#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1032
#define SYMBOL_COUNT 217
#define ALIAS_COUNT 0
#define TOKEN_COUNT 100
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 23
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_testimportlegesher = 2,
  anon_sym_DOT = 3,
  anon_sym_testfromlegesher = 4,
  anon_sym___future__ = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_COMMA = 8,
  anon_sym_testaslegesher = 9,
  anon_sym_STAR = 10,
  anon_sym_testprintlegesher = 11,
  anon_sym_GT_GT = 12,
  anon_sym_testassertlegesher = 13,
  anon_sym_COLON_EQ = 14,
  anon_sym_testreturnlegesher = 15,
  anon_sym_testdellegesher = 16,
  anon_sym_testraiselegesher = 17,
  anon_sym_testpasslegesher = 18,
  anon_sym_testbreaklegesher = 19,
  anon_sym_testcontinuelegesher = 20,
  anon_sym_testiflegesher = 21,
  anon_sym_COLON = 22,
  anon_sym_testeliflegesher = 23,
  anon_sym_testelselegesher = 24,
  anon_sym_testasynclegesher = 25,
  anon_sym_testforlegesher = 26,
  anon_sym_testinlegesher = 27,
  anon_sym_testwhilelegesher = 28,
  anon_sym_testtrylegesher = 29,
  anon_sym_testexceptlegesher = 30,
  anon_sym_testfinallylegesher = 31,
  anon_sym_testwithlegesher = 32,
  anon_sym_testdeflegesher = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_EQ = 35,
  anon_sym_testgloballegesher = 36,
  anon_sym_testnonlocallegesher = 37,
  anon_sym_testexeclegesher = 38,
  anon_sym_testclasslegesher = 39,
  anon_sym_AT = 40,
  anon_sym_testnotlegesher = 41,
  anon_sym_testandlegesher = 42,
  anon_sym_testorlegesher = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_SLASH = 46,
  anon_sym_PERCENT = 47,
  anon_sym_SLASH_SLASH = 48,
  anon_sym_STAR_STAR = 49,
  anon_sym_PIPE = 50,
  anon_sym_AMP = 51,
  anon_sym_CARET = 52,
  anon_sym_LT_LT = 53,
  anon_sym_TILDE = 54,
  anon_sym_LT = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_EQ_EQ = 57,
  anon_sym_BANG_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_GT = 60,
  anon_sym_LT_GT = 61,
  anon_sym_testislegesher = 62,
  anon_sym_testlambdalegesher = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_AT_EQ = 68,
  anon_sym_SLASH_SLASH_EQ = 69,
  anon_sym_PERCENT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_CARET_EQ = 75,
  anon_sym_PIPE_EQ = 76,
  anon_sym_testyieldlegesher = 77,
  anon_sym_LBRACK = 78,
  anon_sym_RBRACK = 79,
  sym_ellipsis = 80,
  anon_sym_LBRACE = 81,
  anon_sym_RBRACE = 82,
  sym_escape_sequence = 83,
  aux_sym_format_specifier_token1 = 84,
  sym_type_conversion = 85,
  sym_integer = 86,
  sym_float = 87,
  sym_true = 88,
  sym_false = 89,
  sym_none = 90,
  anon_sym_testawaitlegesher = 91,
  sym_comment = 92,
  sym__semicolon = 93,
  sym__newline = 94,
  sym__indent = 95,
  sym__dedent = 96,
  sym__string_start = 97,
  sym__string_content = 98,
  sym__string_end = 99,
  sym_module = 100,
  sym__statement = 101,
  sym__simple_statements = 102,
  sym_import_statement = 103,
  sym_import_prefix = 104,
  sym_relative_import = 105,
  sym_future_import_statement = 106,
  sym_import_from_statement = 107,
  sym__import_list = 108,
  sym_aliased_import = 109,
  sym_wildcard_import = 110,
  sym_print_statement = 111,
  sym_chevron = 112,
  sym_assert_statement = 113,
  sym_expression_statement = 114,
  sym_named_expression = 115,
  sym_return_statement = 116,
  sym_delete_statement = 117,
  sym_raise_statement = 118,
  sym_pass_statement = 119,
  sym_break_statement = 120,
  sym_continue_statement = 121,
  sym_if_statement = 122,
  sym_elif_clause = 123,
  sym_else_clause = 124,
  sym_for_statement = 125,
  sym_while_statement = 126,
  sym_try_statement = 127,
  sym_except_clause = 128,
  sym_finally_clause = 129,
  sym_with_statement = 130,
  sym_with_item = 131,
  sym_function_definition = 132,
  sym_parameters = 133,
  sym_lambda_parameters = 134,
  sym__parameters = 135,
  sym_default_parameter = 136,
  sym_typed_default_parameter = 137,
  sym_list_splat = 138,
  sym_dictionary_splat = 139,
  sym_global_statement = 140,
  sym_nonlocal_statement = 141,
  sym_exec_statement = 142,
  sym_class_definition = 143,
  sym_argument_list = 144,
  sym_decorated_definition = 145,
  sym_decorator = 146,
  sym_block = 147,
  sym_variables = 148,
  sym_expression_list = 149,
  sym_dotted_name = 150,
  sym__expression_within_for_in_clause = 151,
  sym__expression = 152,
  sym__primary_expression = 153,
  sym_not_operator = 154,
  sym_boolean_operator = 155,
  sym_binary_operator = 156,
  sym_unary_operator = 157,
  sym_comparison_operator = 158,
  sym_lambda = 159,
  sym_lambda_within_for_in_clause = 160,
  sym_assignment = 161,
  sym_augmented_assignment = 162,
  sym__right_hand_side = 163,
  sym_yield = 164,
  sym_attribute = 165,
  sym_subscript = 166,
  sym_slice = 167,
  sym_call = 168,
  sym_typed_parameter = 169,
  sym_type = 170,
  sym_keyword_argument = 171,
  sym_list = 172,
  sym__comprehension_clauses = 173,
  sym_list_comprehension = 174,
  sym_dictionary = 175,
  sym_dictionary_comprehension = 176,
  sym_pair = 177,
  sym_set = 178,
  sym_set_comprehension = 179,
  sym_parenthesized_expression = 180,
  sym_tuple = 181,
  sym_generator_expression = 182,
  sym_for_in_clause = 183,
  sym_if_clause = 184,
  sym_conditional_expression = 185,
  sym_concatenated_string = 186,
  sym_string = 187,
  sym_interpolation = 188,
  sym_format_specifier = 189,
  sym_format_expression = 190,
  sym_await = 191,
  aux_sym_module_repeat1 = 192,
  aux_sym__simple_statements_repeat1 = 193,
  aux_sym_import_prefix_repeat1 = 194,
  aux_sym__import_list_repeat1 = 195,
  aux_sym_print_statement_repeat1 = 196,
  aux_sym_assert_statement_repeat1 = 197,
  aux_sym_if_statement_repeat1 = 198,
  aux_sym_try_statement_repeat1 = 199,
  aux_sym_with_statement_repeat1 = 200,
  aux_sym__parameters_repeat1 = 201,
  aux_sym_global_statement_repeat1 = 202,
  aux_sym_argument_list_repeat1 = 203,
  aux_sym_decorated_definition_repeat1 = 204,
  aux_sym_variables_repeat1 = 205,
  aux_sym_dotted_name_repeat1 = 206,
  aux_sym_comparison_operator_repeat1 = 207,
  aux_sym_subscript_repeat1 = 208,
  aux_sym_list_repeat1 = 209,
  aux_sym__comprehension_clauses_repeat1 = 210,
  aux_sym_dictionary_repeat1 = 211,
  aux_sym_tuple_repeat1 = 212,
  aux_sym_for_in_clause_repeat1 = 213,
  aux_sym_concatenated_string_repeat1 = 214,
  aux_sym_string_repeat1 = 215,
  aux_sym_format_specifier_repeat1 = 216,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_testimportlegesher] = "testimportlegesher",
  [anon_sym_DOT] = ".",
  [anon_sym_testfromlegesher] = "testfromlegesher",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_testaslegesher] = "testaslegesher",
  [anon_sym_STAR] = "*",
  [anon_sym_testprintlegesher] = "testprintlegesher",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_testassertlegesher] = "testassertlegesher",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_testreturnlegesher] = "testreturnlegesher",
  [anon_sym_testdellegesher] = "testdellegesher",
  [anon_sym_testraiselegesher] = "testraiselegesher",
  [anon_sym_testpasslegesher] = "testpasslegesher",
  [anon_sym_testbreaklegesher] = "testbreaklegesher",
  [anon_sym_testcontinuelegesher] = "testcontinuelegesher",
  [anon_sym_testiflegesher] = "testiflegesher",
  [anon_sym_COLON] = ":",
  [anon_sym_testeliflegesher] = "testeliflegesher",
  [anon_sym_testelselegesher] = "testelselegesher",
  [anon_sym_testasynclegesher] = "testasynclegesher",
  [anon_sym_testforlegesher] = "testforlegesher",
  [anon_sym_testinlegesher] = "testinlegesher",
  [anon_sym_testwhilelegesher] = "testwhilelegesher",
  [anon_sym_testtrylegesher] = "testtrylegesher",
  [anon_sym_testexceptlegesher] = "testexceptlegesher",
  [anon_sym_testfinallylegesher] = "testfinallylegesher",
  [anon_sym_testwithlegesher] = "testwithlegesher",
  [anon_sym_testdeflegesher] = "testdeflegesher",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_EQ] = "=",
  [anon_sym_testgloballegesher] = "testgloballegesher",
  [anon_sym_testnonlocallegesher] = "testnonlocallegesher",
  [anon_sym_testexeclegesher] = "testexeclegesher",
  [anon_sym_testclasslegesher] = "testclasslegesher",
  [anon_sym_AT] = "@",
  [anon_sym_testnotlegesher] = "testnotlegesher",
  [anon_sym_testandlegesher] = "testandlegesher",
  [anon_sym_testorlegesher] = "testorlegesher",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_testislegesher] = "testislegesher",
  [anon_sym_testlambdalegesher] = "testlambdalegesher",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_testyieldlegesher] = "testyieldlegesher",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_testawaitlegesher] = "testawaitlegesher",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_variables] = "variables",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_variables_repeat1] = "variables_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_testimportlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testfromlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testaslegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testprintlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testassertlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testreturnlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testdellegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testraiselegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testpasslegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testbreaklegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testcontinuelegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testiflegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testeliflegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testelselegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testasynclegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testforlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testinlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testwhilelegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testtrylegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testexceptlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testfinallylegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testwithlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testdeflegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testgloballegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testnonlocallegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testexeclegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testclasslegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testnotlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testandlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testorlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testislegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testlambdalegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_testyieldlegesher] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_testawaitlegesher] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_cause = 6,
  field_code = 7,
  field_condition = 8,
  field_consequence = 9,
  field_definition = 10,
  field_function = 11,
  field_key = 12,
  field_left = 13,
  field_module_name = 14,
  field_name = 15,
  field_operator = 16,
  field_parameters = 17,
  field_return_type = 18,
  field_right = 19,
  field_subscript = 20,
  field_superclasses = 21,
  field_type = 22,
  field_value = 23,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 5, .length = 2},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 9, .length = 1},
  [10] = {.index = 10, .length = 2},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 1},
  [15] = {.index = 17, .length = 2},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 21, .length = 2},
  [18] = {.index = 23, .length = 3},
  [19] = {.index = 26, .length = 3},
  [20] = {.index = 29, .length = 1},
  [21] = {.index = 30, .length = 2},
  [22] = {.index = 32, .length = 2},
  [23] = {.index = 34, .length = 1},
  [24] = {.index = 35, .length = 2},
  [25] = {.index = 37, .length = 1},
  [26] = {.index = 38, .length = 2},
  [27] = {.index = 40, .length = 1},
  [28] = {.index = 41, .length = 2},
  [29] = {.index = 43, .length = 2},
  [30] = {.index = 16, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 2},
  [33] = {.index = 48, .length = 2},
  [34] = {.index = 50, .length = 1},
  [36] = {.index = 17, .length = 2},
  [37] = {.index = 51, .length = 1},
  [38] = {.index = 52, .length = 2},
  [39] = {.index = 54, .length = 2},
  [40] = {.index = 56, .length = 2},
  [41] = {.index = 58, .length = 3},
  [42] = {.index = 61, .length = 1},
  [43] = {.index = 62, .length = 3},
  [44] = {.index = 65, .length = 3},
  [45] = {.index = 68, .length = 1},
  [46] = {.index = 69, .length = 3},
  [47] = {.index = 72, .length = 3},
  [48] = {.index = 75, .length = 2},
  [49] = {.index = 77, .length = 2},
  [50] = {.index = 79, .length = 3},
  [51] = {.index = 82, .length = 3},
  [52] = {.index = 85, .length = 3},
  [53] = {.index = 88, .length = 3},
  [54] = {.index = 91, .length = 3},
  [55] = {.index = 94, .length = 1},
  [56] = {.index = 95, .length = 2},
  [57] = {.index = 97, .length = 2},
  [58] = {.index = 99, .length = 4},
  [59] = {.index = 103, .length = 4},
  [60] = {.index = 107, .length = 4},
  [61] = {.index = 111, .length = 2},
  [62] = {.index = 113, .length = 2},
  [63] = {.index = 115, .length = 1},
  [64] = {.index = 116, .length = 3},
  [65] = {.index = 119, .length = 3},
  [66] = {.index = 122, .length = 4},
  [68] = {.index = 126, .length = 4},
  [69] = {.index = 130, .length = 4},
  [70] = {.index = 134, .length = 3},
  [71] = {.index = 134, .length = 3},
  [72] = {.index = 137, .length = 2},
  [73] = {.index = 139, .length = 3},
  [74] = {.index = 142, .length = 5},
  [75] = {.index = 147, .length = 3},
  [76] = {.index = 150, .length = 2},
  [77] = {.index = 152, .length = 4},
  [78] = {.index = 156, .length = 4},
  [79] = {.index = 160, .length = 4},
  [81] = {.index = 164, .length = 4},
  [82] = {.index = 168, .length = 3},
  [83] = {.index = 171, .length = 4},
  [84] = {.index = 175, .length = 4},
  [85] = {.index = 179, .length = 4},
  [86] = {.index = 183, .length = 5},
  [87] = {.index = 188, .length = 5},
  [88] = {.index = 193, .length = 5},
  [89] = {.index = 198, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_definition, 1},
  [10] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [12] =
    {field_argument, 2, .inherited = true},
  [13] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [15] =
    {field_cause, 2},
  [16] =
    {field_body, 2},
  [17] =
    {field_name, 0},
    {field_value, 2},
  [19] =
    {field_left, 0},
    {field_type, 2},
  [21] =
    {field_left, 0},
    {field_right, 2},
  [23] =
    {field_left, 0},
    {field_left, 2},
    {field_operator, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_name, 1},
  [30] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [32] =
    {field_alias, 2},
    {field_name, 0},
  [34] =
    {field_name, 3, .inherited = true},
  [35] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [37] =
    {field_body, 1},
  [38] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [40] =
    {field_cause, 3},
  [41] =
    {field_condition, 1},
    {field_consequence, 3},
  [43] =
    {field_body, 3},
    {field_condition, 1},
  [45] =
    {field_body, 3},
  [46] =
    {field_alias, 2},
    {field_value, 0},
  [48] =
    {field_body, 3},
    {field_name, 1},
  [50] =
    {field_arguments, 2},
  [51] =
    {field_type, 2},
  [52] =
    {field_body, 3},
    {field_parameters, 1},
  [54] =
    {field_key, 0},
    {field_value, 2},
  [56] =
    {field_subscript, 2},
    {field_value, 0},
  [58] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [61] =
    {field_alternative, 0},
  [62] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [65] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [68] =
    {field_body, 4},
  [69] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [72] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [75] =
    {field_body, 2},
    {field_body, 3},
  [77] =
    {field_body, 3},
    {field_body, 4},
  [79] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [82] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [85] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [88] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [91] =
    {field_subscript, 2},
    {field_subscript, 3},
    {field_value, 0},
  [94] =
    {field_name, 4, .inherited = true},
  [95] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [97] =
    {field_left, 1},
    {field_right, 3},
  [99] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [103] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [107] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [111] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [113] =
    {field_body, 4},
    {field_body, 5},
  [115] =
    {field_body, 5},
  [116] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [119] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [122] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [126] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [130] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [134] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [137] =
    {field_left, 2},
    {field_right, 4},
  [139] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [142] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [147] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [150] =
    {field_body, 5},
    {field_body, 6},
  [152] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [156] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [160] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [164] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [168] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [171] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [175] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [179] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [183] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [188] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [193] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [198] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
};

static TSSymbol ts_alias_sequences[91][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [28] = {
    [3] = sym_block,
  },
  [29] = {
    [3] = sym_block,
  },
  [30] = {
    [2] = sym_block,
  },
  [31] = {
    [3] = sym_block,
  },
  [33] = {
    [3] = sym_block,
  },
  [35] = {
    [1] = sym_identifier,
  },
  [36] = {
    [0] = sym_identifier,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [45] = {
    [4] = sym_block,
  },
  [47] = {
    [3] = sym_block,
  },
  [50] = {
    [4] = sym_block,
  },
  [52] = {
    [4] = sym_block,
  },
  [60] = {
    [3] = sym_block,
  },
  [63] = {
    [5] = sym_block,
  },
  [64] = {
    [5] = sym_block,
  },
  [65] = {
    [5] = sym_block,
  },
  [67] = {
    [2] = sym_block,
  },
  [70] = {
    [0] = sym_identifier,
  },
  [75] = {
    [6] = sym_block,
  },
  [79] = {
    [5] = sym_block,
  },
  [80] = {
    [3] = sym_block,
  },
  [81] = {
    [6] = sym_block,
  },
  [84] = {
    [6] = sym_block,
  },
  [85] = {
    [7] = sym_block,
  },
  [90] = {
    [5] = sym_block,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '!') ADVANCE(24);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(70);
      if (lookahead == '&') ADVANCE(78);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(90);
      if (lookahead == '@') ADVANCE(61);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(107);
      if (lookahead == '^') ADVANCE(80);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 1:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(5)
      END_STATE();
    case 4:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(5)
      if (lookahead == '\r') SKIP(3)
      END_STATE();
    case 5:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(70);
      if (lookahead == '&') ADVANCE(78);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(56);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(90);
      if (lookahead == '@') ADVANCE(61);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == ']') ADVANCE(107);
      if (lookahead == '^') ADVANCE(80);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(17)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(17)
      if (lookahead == '\r') SKIP(6)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(18)
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(18)
      if (lookahead == '\r') SKIP(8)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(16)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(16)
      if (lookahead == '\r') SKIP(10)
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(113);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == 'U') ADVANCE(114);
      if (lookahead == 'o') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(41);
      if (lookahead == 'x') ADVANCE(39);
      if (lookahead != 0) ADVANCE(111);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(13)
      if (lookahead == '#') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(116);
      if (lookahead != 0) ADVANCE(118);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(19)
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(19)
      if (lookahead == '\r') SKIP(14)
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(24);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(69);
      if (lookahead == '&') ADVANCE(77);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(45);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(85);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(91);
      if (lookahead == '@') ADVANCE(60);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(11)
      if (lookahead == ']') ADVANCE(107);
      if (lookahead == '^') ADVANCE(79);
      if (lookahead == '|') ADVANCE(75);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(70);
      if (lookahead == '&') ADVANCE(78);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(45);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(90);
      if (lookahead == '@') ADVANCE(61);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(7)
      if (lookahead == '^') ADVANCE(80);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(21);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(56);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(9)
      if (lookahead == ']') ADVANCE(107);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(18)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '-') ADVANCE(25);
      if (lookahead == ':') ADVANCE(56);
      if (lookahead == '\\') SKIP(15)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(108);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(88);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(119);
      END_STATE();
    case 25:
      if (lookahead == '>') ADVANCE(58);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      END_STATE();
    case 27:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 28:
      if (lookahead == '_') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 29:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 30:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(33);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(34);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(73);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(55);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(94);
      if (lookahead == '>') ADVANCE(58);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(72);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(71);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(103);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(82);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(92);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(81);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(92);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(89);
      if (lookahead == '>') ADVANCE(54);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(89);
      if (lookahead == '>') ADVANCE(53);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(12);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(116);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '{' ||
          lookahead == '}') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(26);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(27);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(28);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(130);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(131);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == '_') ADVANCE(2);
      if (lookahead == 't') ADVANCE(3);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(4)
      END_STATE();
    case 2:
      if (lookahead == '_') ADVANCE(5);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(6);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(7);
      END_STATE();
    case 6:
      if (lookahead == 's') ADVANCE(8);
      END_STATE();
    case 7:
      if (lookahead == 'u') ADVANCE(9);
      END_STATE();
    case 8:
      if (lookahead == 't') ADVANCE(10);
      END_STATE();
    case 9:
      if (lookahead == 't') ADVANCE(11);
      END_STATE();
    case 10:
      if (lookahead == 'F') ADVANCE(12);
      if (lookahead == 'N') ADVANCE(13);
      if (lookahead == 'T') ADVANCE(14);
      if (lookahead == 'a') ADVANCE(15);
      if (lookahead == 'b') ADVANCE(16);
      if (lookahead == 'c') ADVANCE(17);
      if (lookahead == 'd') ADVANCE(18);
      if (lookahead == 'e') ADVANCE(19);
      if (lookahead == 'f') ADVANCE(20);
      if (lookahead == 'g') ADVANCE(21);
      if (lookahead == 'i') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      if (lookahead == 'p') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      if (lookahead == 't') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      if (lookahead == 'y') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(34);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'w') ADVANCE(37);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 17:
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 19:
      if (lookahead == 'l') ADVANCE(42);
      if (lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'f') ADVANCE(48);
      if (lookahead == 'm') ADVANCE(49);
      if (lookahead == 'n') ADVANCE(50);
      if (lookahead == 's') ADVANCE(51);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 25:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(55);
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 28:
      if (lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 29:
      if (lookahead == 'h') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(61);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(64);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 35:
      if (lookahead == 'd') ADVANCE(67);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(68);
      if (lookahead == 's') ADVANCE(69);
      if (lookahead == 'y') ADVANCE(70);
      END_STATE();
    case 37:
      if (lookahead == 'a') ADVANCE(71);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(75);
      if (lookahead == 'l') ADVANCE(76);
      END_STATE();
    case 42:
      if (lookahead == 'i') ADVANCE(77);
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 43:
      if (lookahead == 'c') ADVANCE(79);
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 45:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 47:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 49:
      if (lookahead == 'p') ADVANCE(86);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(87);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(88);
      END_STATE();
    case 52:
      if (lookahead == 'm') ADVANCE(89);
      END_STATE();
    case 53:
      if (lookahead == 'n') ADVANCE(90);
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 55:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 59:
      if (lookahead == 'y') ADVANCE(97);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 67:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 70:
      if (lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 73:
      if (lookahead == 's') ADVANCE(111);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 75:
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 77:
      if (lookahead == 'f') ADVANCE(115);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 82:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 83:
      if (lookahead == 'm') ADVANCE(121);
      END_STATE();
    case 84:
      if (lookahead == 'b') ADVANCE(122);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 89:
      if (lookahead == 'b') ADVANCE(127);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 93:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(132);
      END_STATE();
    case 95:
      if (lookahead == 's') ADVANCE(133);
      END_STATE();
    case 96:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(137);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 101:
      if (lookahead == '_') ADVANCE(139);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 103:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(144);
      END_STATE();
    case 107:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(146);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 110:
      if (lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(149);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(150);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 115:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 117:
      if (lookahead == 'p') ADVANCE(155);
      END_STATE();
    case 118:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 119:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(159);
      END_STATE();
    case 122:
      if (lookahead == 'a') ADVANCE(160);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(163);
      END_STATE();
    case 126:
      if (lookahead == 'g') ADVANCE(164);
      END_STATE();
    case 127:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 130:
      if (lookahead == 'g') ADVANCE(168);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(169);
      END_STATE();
    case 132:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 138:
      if (lookahead == 'd') ADVANCE(176);
      END_STATE();
    case 139:
      if (lookahead == '_') ADVANCE(177);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 143:
      if (lookahead == 'g') ADVANCE(181);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(185);
      END_STATE();
    case 148:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 149:
      if (lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 151:
      if (lookahead == 'g') ADVANCE(189);
      END_STATE();
    case 152:
      if (lookahead == 'g') ADVANCE(190);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(193);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 158:
      if (lookahead == 'g') ADVANCE(196);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 160:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 165:
      if (lookahead == 'a') ADVANCE(203);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(204);
      END_STATE();
    case 167:
      if (lookahead == 'g') ADVANCE(205);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 170:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 171:
      if (lookahead == 'l') ADVANCE(209);
      END_STATE();
    case 172:
      if (lookahead == 'n') ADVANCE(210);
      END_STATE();
    case 173:
      if (lookahead == 'g') ADVANCE(211);
      END_STATE();
    case 174:
      if (lookahead == 'l') ADVANCE(212);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 179:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 180:
      if (lookahead == 'g') ADVANCE(217);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(219);
      END_STATE();
    case 183:
      if (lookahead == 'l') ADVANCE(220);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 188:
      if (lookahead == 'u') ADVANCE(225);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 191:
      if (lookahead == 'g') ADVANCE(228);
      END_STATE();
    case 192:
      if (lookahead == 'g') ADVANCE(229);
      END_STATE();
    case 193:
      if (lookahead == 'l') ADVANCE(230);
      END_STATE();
    case 194:
      if (lookahead == 'g') ADVANCE(231);
      END_STATE();
    case 195:
      if (lookahead == 'y') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 197:
      if (lookahead == 'g') ADVANCE(234);
      END_STATE();
    case 198:
      if (lookahead == 'l') ADVANCE(235);
      END_STATE();
    case 199:
      if (lookahead == 's') ADVANCE(236);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(237);
      END_STATE();
    case 201:
      if (lookahead == 's') ADVANCE(238);
      END_STATE();
    case 202:
      if (lookahead == 's') ADVANCE(239);
      END_STATE();
    case 203:
      if (lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 204:
      if (lookahead == 'a') ADVANCE(241);
      END_STATE();
    case 205:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(243);
      END_STATE();
    case 207:
      if (lookahead == 'g') ADVANCE(244);
      END_STATE();
    case 208:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(247);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(248);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 213:
      if (lookahead == 'g') ADVANCE(250);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 215:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(255);
      END_STATE();
    case 219:
      if (lookahead == 'h') ADVANCE(256);
      END_STATE();
    case 220:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 221:
      if (lookahead == 'g') ADVANCE(258);
      END_STATE();
    case 222:
      if (lookahead == 'g') ADVANCE(259);
      END_STATE();
    case 223:
      if (lookahead == 'g') ADVANCE(260);
      END_STATE();
    case 224:
      if (lookahead == 'g') ADVANCE(261);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 226:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 227:
      if (lookahead == 's') ADVANCE(264);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(268);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 233:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 236:
      if (lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 238:
      if (lookahead == 'h') ADVANCE(275);
      END_STATE();
    case 239:
      if (lookahead == 'h') ADVANCE(276);
      END_STATE();
    case 240:
      if (lookahead == 'e') ADVANCE(277);
      END_STATE();
    case 241:
      if (lookahead == 'l') ADVANCE(278);
      END_STATE();
    case 242:
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 243:
      if (lookahead == 'h') ADVANCE(280);
      END_STATE();
    case 244:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 245:
      if (lookahead == 'g') ADVANCE(282);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(283);
      END_STATE();
    case 247:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 248:
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 249:
      if (lookahead == 'g') ADVANCE(286);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 251:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 253:
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 254:
      if (lookahead == 's') ADVANCE(291);
      END_STATE();
    case 255:
      if (lookahead == 'h') ADVANCE(292);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 257:
      if (lookahead == 'g') ADVANCE(294);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(299);
      END_STATE();
    case 263:
      if (lookahead == 'h') ADVANCE(300);
      END_STATE();
    case 264:
      if (lookahead == 'h') ADVANCE(301);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(302);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(303);
      END_STATE();
    case 267:
      if (lookahead == 'g') ADVANCE(304);
      END_STATE();
    case 268:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 270:
      if (lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 271:
      if (lookahead == 's') ADVANCE(308);
      END_STATE();
    case 272:
      if (lookahead == 'g') ADVANCE(309);
      END_STATE();
    case 273:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 274:
      if (lookahead == 'g') ADVANCE(311);
      END_STATE();
    case 275:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 277:
      if (lookahead == 'g') ADVANCE(314);
      END_STATE();
    case 278:
      if (lookahead == 'l') ADVANCE(315);
      END_STATE();
    case 279:
      if (lookahead == 'h') ADVANCE(316);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 281:
      if (lookahead == 's') ADVANCE(318);
      END_STATE();
    case 282:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 283:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 284:
      if (lookahead == 'g') ADVANCE(321);
      END_STATE();
    case 285:
      if (lookahead == 'h') ADVANCE(322);
      END_STATE();
    case 286:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 287:
      if (lookahead == 's') ADVANCE(324);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 289:
      if (lookahead == 's') ADVANCE(326);
      END_STATE();
    case 290:
      if (lookahead == 'h') ADVANCE(327);
      END_STATE();
    case 291:
      if (lookahead == 'h') ADVANCE(328);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 293:
      if (lookahead == 'r') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 's') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'h') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'h') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'h') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'h') ADVANCE(345);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 310:
      if (lookahead == 'r') ADVANCE(347);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 312:
      if (lookahead == 'r') ADVANCE(349);
      END_STATE();
    case 313:
      if (lookahead == 'r') ADVANCE(350);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(352);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 317:
      if (lookahead == 'r') ADVANCE(354);
      END_STATE();
    case 318:
      if (lookahead == 'h') ADVANCE(355);
      END_STATE();
    case 319:
      if (lookahead == 's') ADVANCE(356);
      END_STATE();
    case 320:
      if (lookahead == 's') ADVANCE(357);
      END_STATE();
    case 321:
      if (lookahead == 'e') ADVANCE(358);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 323:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 324:
      if (lookahead == 'h') ADVANCE(361);
      END_STATE();
    case 325:
      if (lookahead == 's') ADVANCE(362);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(363);
      END_STATE();
    case 327:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 328:
      if (lookahead == 'e') ADVANCE(365);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_testaslegesher);
      END_STATE();
    case 331:
      if (lookahead == 's') ADVANCE(367);
      END_STATE();
    case 332:
      if (lookahead == 'h') ADVANCE(368);
      END_STATE();
    case 333:
      if (lookahead == 'h') ADVANCE(369);
      END_STATE();
    case 334:
      if (lookahead == 'h') ADVANCE(370);
      END_STATE();
    case 335:
      if (lookahead == 'h') ADVANCE(371);
      END_STATE();
    case 336:
      if (lookahead == 'g') ADVANCE(372);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 338:
      if (lookahead == 'r') ADVANCE(374);
      END_STATE();
    case 339:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 341:
      if (lookahead == 's') ADVANCE(377);
      END_STATE();
    case 342:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 343:
      if (lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 344:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 345:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 346:
      if (lookahead == 's') ADVANCE(382);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_testiflegesher);
      END_STATE();
    case 348:
      if (lookahead == 's') ADVANCE(383);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_testinlegesher);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_testislegesher);
      END_STATE();
    case 351:
      if (lookahead == 's') ADVANCE(384);
      END_STATE();
    case 352:
      if (lookahead == 'g') ADVANCE(385);
      END_STATE();
    case 353:
      if (lookahead == 'r') ADVANCE(386);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_testorlegesher);
      END_STATE();
    case 355:
      if (lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 356:
      if (lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 357:
      if (lookahead == 'h') ADVANCE(389);
      END_STATE();
    case 358:
      if (lookahead == 's') ADVANCE(390);
      END_STATE();
    case 359:
      if (lookahead == 'r') ADVANCE(391);
      END_STATE();
    case 360:
      if (lookahead == 'h') ADVANCE(392);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 362:
      if (lookahead == 'h') ADVANCE(394);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 364:
      if (lookahead == 'r') ADVANCE(396);
      END_STATE();
    case 365:
      if (lookahead == 'r') ADVANCE(397);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_testandlegesher);
      END_STATE();
    case 367:
      if (lookahead == 'h') ADVANCE(398);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 369:
      if (lookahead == 'e') ADVANCE(400);
      END_STATE();
    case 370:
      if (lookahead == 'e') ADVANCE(401);
      END_STATE();
    case 371:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 372:
      if (lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_testdeflegesher);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_testdellegesher);
      END_STATE();
    case 375:
      if (lookahead == 'r') ADVANCE(404);
      END_STATE();
    case 376:
      if (lookahead == 'r') ADVANCE(405);
      END_STATE();
    case 377:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 378:
      if (lookahead == 'r') ADVANCE(407);
      END_STATE();
    case 379:
      if (lookahead == 's') ADVANCE(408);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_testforlegesher);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(409);
      END_STATE();
    case 382:
      if (lookahead == 'h') ADVANCE(410);
      END_STATE();
    case 383:
      if (lookahead == 'h') ADVANCE(411);
      END_STATE();
    case 384:
      if (lookahead == 'h') ADVANCE(412);
      END_STATE();
    case 385:
      if (lookahead == 'e') ADVANCE(413);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_testnotlegesher);
      END_STATE();
    case 387:
      if (lookahead == 'r') ADVANCE(414);
      END_STATE();
    case 388:
      if (lookahead == 'e') ADVANCE(415);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(416);
      END_STATE();
    case 390:
      if (lookahead == 'h') ADVANCE(417);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_testtrylegesher);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(418);
      END_STATE();
    case 393:
      if (lookahead == 'r') ADVANCE(419);
      END_STATE();
    case 394:
      if (lookahead == 'e') ADVANCE(420);
      END_STATE();
    case 395:
      if (lookahead == 'r') ADVANCE(421);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 399:
      if (lookahead == 'r') ADVANCE(423);
      END_STATE();
    case 400:
      if (lookahead == 'r') ADVANCE(424);
      END_STATE();
    case 401:
      if (lookahead == 'r') ADVANCE(425);
      END_STATE();
    case 402:
      if (lookahead == 'r') ADVANCE(426);
      END_STATE();
    case 403:
      if (lookahead == 's') ADVANCE(427);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_testeliflegesher);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_testelselegesher);
      END_STATE();
    case 406:
      if (lookahead == 'e') ADVANCE(428);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_testexeclegesher);
      END_STATE();
    case 408:
      if (lookahead == 'h') ADVANCE(429);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_testfromlegesher);
      END_STATE();
    case 410:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(431);
      END_STATE();
    case 412:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 413:
      if (lookahead == 's') ADVANCE(433);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_testpasslegesher);
      END_STATE();
    case 415:
      if (lookahead == 'r') ADVANCE(434);
      END_STATE();
    case 416:
      if (lookahead == 'r') ADVANCE(435);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 418:
      if (lookahead == 'r') ADVANCE(437);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_testwithlegesher);
      END_STATE();
    case 420:
      if (lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 422:
      if (lookahead == 'r') ADVANCE(439);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_testasynclegesher);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_testawaitlegesher);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_testbreaklegesher);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_testclasslegesher);
      END_STATE();
    case 427:
      if (lookahead == 'h') ADVANCE(440);
      END_STATE();
    case 428:
      if (lookahead == 'r') ADVANCE(441);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(442);
      END_STATE();
    case 430:
      if (lookahead == 'r') ADVANCE(443);
      END_STATE();
    case 431:
      if (lookahead == 'r') ADVANCE(444);
      END_STATE();
    case 432:
      if (lookahead == 'r') ADVANCE(445);
      END_STATE();
    case 433:
      if (lookahead == 'h') ADVANCE(446);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_testprintlegesher);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_testraiselegesher);
      END_STATE();
    case 436:
      if (lookahead == 'r') ADVANCE(447);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_testwhilelegesher);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_testyieldlegesher);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_testassertlegesher);
      END_STATE();
    case 440:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_testexceptlegesher);
      END_STATE();
    case 442:
      if (lookahead == 'r') ADVANCE(449);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_testgloballegesher);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_testimportlegesher);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_testlambdalegesher);
      END_STATE();
    case 446:
      if (lookahead == 'e') ADVANCE(450);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_testreturnlegesher);
      END_STATE();
    case 448:
      if (lookahead == 'r') ADVANCE(451);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_testfinallylegesher);
      END_STATE();
    case 450:
      if (lookahead == 'r') ADVANCE(452);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_testcontinuelegesher);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_testnonlocallegesher);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 5, .external_lex_state = 2},
  [2] = {.lex_state = 5, .external_lex_state = 3},
  [3] = {.lex_state = 5, .external_lex_state = 3},
  [4] = {.lex_state = 5, .external_lex_state = 3},
  [5] = {.lex_state = 5, .external_lex_state = 3},
  [6] = {.lex_state = 5, .external_lex_state = 3},
  [7] = {.lex_state = 5, .external_lex_state = 3},
  [8] = {.lex_state = 5, .external_lex_state = 3},
  [9] = {.lex_state = 5, .external_lex_state = 3},
  [10] = {.lex_state = 5, .external_lex_state = 3},
  [11] = {.lex_state = 5, .external_lex_state = 3},
  [12] = {.lex_state = 5, .external_lex_state = 3},
  [13] = {.lex_state = 5, .external_lex_state = 3},
  [14] = {.lex_state = 5, .external_lex_state = 3},
  [15] = {.lex_state = 5, .external_lex_state = 3},
  [16] = {.lex_state = 5, .external_lex_state = 3},
  [17] = {.lex_state = 5, .external_lex_state = 3},
  [18] = {.lex_state = 5, .external_lex_state = 3},
  [19] = {.lex_state = 5, .external_lex_state = 3},
  [20] = {.lex_state = 5, .external_lex_state = 3},
  [21] = {.lex_state = 5, .external_lex_state = 3},
  [22] = {.lex_state = 5, .external_lex_state = 3},
  [23] = {.lex_state = 5, .external_lex_state = 3},
  [24] = {.lex_state = 5, .external_lex_state = 3},
  [25] = {.lex_state = 5, .external_lex_state = 3},
  [26] = {.lex_state = 5, .external_lex_state = 3},
  [27] = {.lex_state = 5, .external_lex_state = 3},
  [28] = {.lex_state = 5, .external_lex_state = 3},
  [29] = {.lex_state = 5, .external_lex_state = 3},
  [30] = {.lex_state = 5, .external_lex_state = 3},
  [31] = {.lex_state = 5, .external_lex_state = 3},
  [32] = {.lex_state = 5, .external_lex_state = 3},
  [33] = {.lex_state = 5, .external_lex_state = 3},
  [34] = {.lex_state = 5, .external_lex_state = 3},
  [35] = {.lex_state = 5, .external_lex_state = 3},
  [36] = {.lex_state = 5, .external_lex_state = 3},
  [37] = {.lex_state = 5, .external_lex_state = 3},
  [38] = {.lex_state = 5, .external_lex_state = 3},
  [39] = {.lex_state = 5, .external_lex_state = 3},
  [40] = {.lex_state = 5, .external_lex_state = 3},
  [41] = {.lex_state = 5, .external_lex_state = 3},
  [42] = {.lex_state = 5, .external_lex_state = 2},
  [43] = {.lex_state = 5, .external_lex_state = 3},
  [44] = {.lex_state = 5, .external_lex_state = 3},
  [45] = {.lex_state = 5, .external_lex_state = 2},
  [46] = {.lex_state = 5, .external_lex_state = 3},
  [47] = {.lex_state = 5, .external_lex_state = 3},
  [48] = {.lex_state = 5, .external_lex_state = 4},
  [49] = {.lex_state = 5, .external_lex_state = 5},
  [50] = {.lex_state = 5, .external_lex_state = 5},
  [51] = {.lex_state = 5, .external_lex_state = 5},
  [52] = {.lex_state = 5, .external_lex_state = 5},
  [53] = {.lex_state = 5, .external_lex_state = 5},
  [54] = {.lex_state = 5, .external_lex_state = 5},
  [55] = {.lex_state = 5, .external_lex_state = 5},
  [56] = {.lex_state = 5, .external_lex_state = 5},
  [57] = {.lex_state = 5, .external_lex_state = 5},
  [58] = {.lex_state = 5, .external_lex_state = 5},
  [59] = {.lex_state = 5, .external_lex_state = 5},
  [60] = {.lex_state = 5, .external_lex_state = 5},
  [61] = {.lex_state = 5, .external_lex_state = 5},
  [62] = {.lex_state = 5, .external_lex_state = 5},
  [63] = {.lex_state = 5, .external_lex_state = 5},
  [64] = {.lex_state = 5, .external_lex_state = 5},
  [65] = {.lex_state = 5, .external_lex_state = 5},
  [66] = {.lex_state = 5, .external_lex_state = 5},
  [67] = {.lex_state = 5, .external_lex_state = 5},
  [68] = {.lex_state = 5, .external_lex_state = 5},
  [69] = {.lex_state = 5, .external_lex_state = 5},
  [70] = {.lex_state = 5, .external_lex_state = 5},
  [71] = {.lex_state = 5, .external_lex_state = 5},
  [72] = {.lex_state = 5, .external_lex_state = 5},
  [73] = {.lex_state = 5, .external_lex_state = 5},
  [74] = {.lex_state = 5, .external_lex_state = 5},
  [75] = {.lex_state = 5, .external_lex_state = 5},
  [76] = {.lex_state = 5, .external_lex_state = 5},
  [77] = {.lex_state = 5, .external_lex_state = 5},
  [78] = {.lex_state = 5, .external_lex_state = 5},
  [79] = {.lex_state = 5, .external_lex_state = 5},
  [80] = {.lex_state = 5, .external_lex_state = 5},
  [81] = {.lex_state = 5, .external_lex_state = 5},
  [82] = {.lex_state = 5, .external_lex_state = 5},
  [83] = {.lex_state = 5, .external_lex_state = 5},
  [84] = {.lex_state = 5, .external_lex_state = 5},
  [85] = {.lex_state = 5, .external_lex_state = 5},
  [86] = {.lex_state = 5, .external_lex_state = 5},
  [87] = {.lex_state = 5, .external_lex_state = 5},
  [88] = {.lex_state = 5, .external_lex_state = 5},
  [89] = {.lex_state = 5, .external_lex_state = 4},
  [90] = {.lex_state = 5, .external_lex_state = 4},
  [91] = {.lex_state = 5, .external_lex_state = 4},
  [92] = {.lex_state = 5, .external_lex_state = 4},
  [93] = {.lex_state = 5, .external_lex_state = 4},
  [94] = {.lex_state = 5, .external_lex_state = 4},
  [95] = {.lex_state = 5, .external_lex_state = 2},
  [96] = {.lex_state = 5, .external_lex_state = 4},
  [97] = {.lex_state = 5, .external_lex_state = 4},
  [98] = {.lex_state = 5, .external_lex_state = 4},
  [99] = {.lex_state = 5, .external_lex_state = 4},
  [100] = {.lex_state = 5, .external_lex_state = 2},
  [101] = {.lex_state = 5, .external_lex_state = 2},
  [102] = {.lex_state = 5, .external_lex_state = 2},
  [103] = {.lex_state = 5, .external_lex_state = 2},
  [104] = {.lex_state = 5, .external_lex_state = 2},
  [105] = {.lex_state = 17, .external_lex_state = 4},
  [106] = {.lex_state = 17, .external_lex_state = 6},
  [107] = {.lex_state = 5, .external_lex_state = 2},
  [108] = {.lex_state = 5, .external_lex_state = 2},
  [109] = {.lex_state = 18, .external_lex_state = 2},
  [110] = {.lex_state = 18, .external_lex_state = 2},
  [111] = {.lex_state = 17, .external_lex_state = 4},
  [112] = {.lex_state = 18, .external_lex_state = 2},
  [113] = {.lex_state = 18, .external_lex_state = 2},
  [114] = {.lex_state = 18, .external_lex_state = 2},
  [115] = {.lex_state = 18, .external_lex_state = 2},
  [116] = {.lex_state = 18, .external_lex_state = 2},
  [117] = {.lex_state = 18, .external_lex_state = 2},
  [118] = {.lex_state = 17, .external_lex_state = 4},
  [119] = {.lex_state = 18, .external_lex_state = 2},
  [120] = {.lex_state = 17, .external_lex_state = 6},
  [121] = {.lex_state = 17, .external_lex_state = 6},
  [122] = {.lex_state = 17, .external_lex_state = 6},
  [123] = {.lex_state = 17, .external_lex_state = 6},
  [124] = {.lex_state = 17, .external_lex_state = 6},
  [125] = {.lex_state = 18, .external_lex_state = 2},
  [126] = {.lex_state = 18, .external_lex_state = 2},
  [127] = {.lex_state = 17, .external_lex_state = 6},
  [128] = {.lex_state = 18, .external_lex_state = 2},
  [129] = {.lex_state = 17, .external_lex_state = 4},
  [130] = {.lex_state = 18, .external_lex_state = 2},
  [131] = {.lex_state = 17, .external_lex_state = 6},
  [132] = {.lex_state = 17, .external_lex_state = 6},
  [133] = {.lex_state = 18, .external_lex_state = 2},
  [134] = {.lex_state = 18, .external_lex_state = 2},
  [135] = {.lex_state = 17, .external_lex_state = 6},
  [136] = {.lex_state = 17, .external_lex_state = 6},
  [137] = {.lex_state = 5, .external_lex_state = 2},
  [138] = {.lex_state = 5, .external_lex_state = 2},
  [139] = {.lex_state = 17, .external_lex_state = 4},
  [140] = {.lex_state = 5, .external_lex_state = 3},
  [141] = {.lex_state = 18, .external_lex_state = 2},
  [142] = {.lex_state = 17, .external_lex_state = 4},
  [143] = {.lex_state = 18, .external_lex_state = 2},
  [144] = {.lex_state = 17, .external_lex_state = 6},
  [145] = {.lex_state = 18, .external_lex_state = 2},
  [146] = {.lex_state = 5, .external_lex_state = 4},
  [147] = {.lex_state = 5, .external_lex_state = 2},
  [148] = {.lex_state = 18, .external_lex_state = 2},
  [149] = {.lex_state = 5, .external_lex_state = 2},
  [150] = {.lex_state = 5, .external_lex_state = 3},
  [151] = {.lex_state = 18, .external_lex_state = 2},
  [152] = {.lex_state = 18, .external_lex_state = 2},
  [153] = {.lex_state = 5, .external_lex_state = 2},
  [154] = {.lex_state = 18, .external_lex_state = 2},
  [155] = {.lex_state = 18, .external_lex_state = 2},
  [156] = {.lex_state = 18, .external_lex_state = 2},
  [157] = {.lex_state = 5, .external_lex_state = 2},
  [158] = {.lex_state = 18, .external_lex_state = 2},
  [159] = {.lex_state = 5, .external_lex_state = 4},
  [160] = {.lex_state = 5, .external_lex_state = 2},
  [161] = {.lex_state = 17, .external_lex_state = 6},
  [162] = {.lex_state = 17, .external_lex_state = 6},
  [163] = {.lex_state = 17, .external_lex_state = 6},
  [164] = {.lex_state = 18, .external_lex_state = 2},
  [165] = {.lex_state = 5, .external_lex_state = 2},
  [166] = {.lex_state = 17, .external_lex_state = 6},
  [167] = {.lex_state = 17, .external_lex_state = 6},
  [168] = {.lex_state = 5, .external_lex_state = 4},
  [169] = {.lex_state = 17, .external_lex_state = 6},
  [170] = {.lex_state = 17, .external_lex_state = 6},
  [171] = {.lex_state = 18, .external_lex_state = 2},
  [172] = {.lex_state = 5, .external_lex_state = 2},
  [173] = {.lex_state = 17, .external_lex_state = 6},
  [174] = {.lex_state = 17, .external_lex_state = 6},
  [175] = {.lex_state = 5, .external_lex_state = 4},
  [176] = {.lex_state = 5, .external_lex_state = 4},
  [177] = {.lex_state = 5, .external_lex_state = 2},
  [178] = {.lex_state = 17, .external_lex_state = 6},
  [179] = {.lex_state = 5, .external_lex_state = 2},
  [180] = {.lex_state = 17, .external_lex_state = 6},
  [181] = {.lex_state = 17, .external_lex_state = 6},
  [182] = {.lex_state = 5, .external_lex_state = 2},
  [183] = {.lex_state = 5, .external_lex_state = 2},
  [184] = {.lex_state = 17, .external_lex_state = 6},
  [185] = {.lex_state = 5, .external_lex_state = 2},
  [186] = {.lex_state = 18, .external_lex_state = 2},
  [187] = {.lex_state = 18, .external_lex_state = 2},
  [188] = {.lex_state = 5, .external_lex_state = 2},
  [189] = {.lex_state = 18, .external_lex_state = 2},
  [190] = {.lex_state = 17, .external_lex_state = 6},
  [191] = {.lex_state = 18, .external_lex_state = 2},
  [192] = {.lex_state = 17, .external_lex_state = 6},
  [193] = {.lex_state = 5, .external_lex_state = 2},
  [194] = {.lex_state = 17, .external_lex_state = 6},
  [195] = {.lex_state = 17, .external_lex_state = 6},
  [196] = {.lex_state = 17, .external_lex_state = 6},
  [197] = {.lex_state = 17, .external_lex_state = 6},
  [198] = {.lex_state = 5, .external_lex_state = 2},
  [199] = {.lex_state = 17, .external_lex_state = 6},
  [200] = {.lex_state = 17, .external_lex_state = 6},
  [201] = {.lex_state = 5, .external_lex_state = 2},
  [202] = {.lex_state = 5, .external_lex_state = 2},
  [203] = {.lex_state = 17, .external_lex_state = 6},
  [204] = {.lex_state = 18, .external_lex_state = 2},
  [205] = {.lex_state = 17, .external_lex_state = 6},
  [206] = {.lex_state = 17, .external_lex_state = 6},
  [207] = {.lex_state = 5, .external_lex_state = 2},
  [208] = {.lex_state = 5, .external_lex_state = 2},
  [209] = {.lex_state = 17, .external_lex_state = 6},
  [210] = {.lex_state = 17, .external_lex_state = 6},
  [211] = {.lex_state = 17, .external_lex_state = 6},
  [212] = {.lex_state = 18, .external_lex_state = 2},
  [213] = {.lex_state = 18, .external_lex_state = 2},
  [214] = {.lex_state = 18, .external_lex_state = 2},
  [215] = {.lex_state = 5, .external_lex_state = 2},
  [216] = {.lex_state = 5, .external_lex_state = 2},
  [217] = {.lex_state = 17, .external_lex_state = 6},
  [218] = {.lex_state = 18, .external_lex_state = 2},
  [219] = {.lex_state = 17, .external_lex_state = 6},
  [220] = {.lex_state = 17, .external_lex_state = 6},
  [221] = {.lex_state = 18, .external_lex_state = 2},
  [222] = {.lex_state = 18, .external_lex_state = 2},
  [223] = {.lex_state = 17, .external_lex_state = 6},
  [224] = {.lex_state = 5, .external_lex_state = 2},
  [225] = {.lex_state = 5, .external_lex_state = 3},
  [226] = {.lex_state = 5, .external_lex_state = 2},
  [227] = {.lex_state = 5, .external_lex_state = 2},
  [228] = {.lex_state = 5, .external_lex_state = 4},
  [229] = {.lex_state = 5, .external_lex_state = 3},
  [230] = {.lex_state = 5, .external_lex_state = 2},
  [231] = {.lex_state = 5, .external_lex_state = 2},
  [232] = {.lex_state = 5, .external_lex_state = 2},
  [233] = {.lex_state = 5, .external_lex_state = 2},
  [234] = {.lex_state = 5, .external_lex_state = 2},
  [235] = {.lex_state = 5, .external_lex_state = 2},
  [236] = {.lex_state = 18, .external_lex_state = 2},
  [237] = {.lex_state = 5, .external_lex_state = 2},
  [238] = {.lex_state = 5, .external_lex_state = 2},
  [239] = {.lex_state = 5, .external_lex_state = 2},
  [240] = {.lex_state = 5, .external_lex_state = 2},
  [241] = {.lex_state = 5, .external_lex_state = 2},
  [242] = {.lex_state = 5, .external_lex_state = 2},
  [243] = {.lex_state = 5, .external_lex_state = 2},
  [244] = {.lex_state = 5, .external_lex_state = 2},
  [245] = {.lex_state = 5, .external_lex_state = 4},
  [246] = {.lex_state = 5, .external_lex_state = 4},
  [247] = {.lex_state = 5, .external_lex_state = 3},
  [248] = {.lex_state = 5, .external_lex_state = 3},
  [249] = {.lex_state = 5, .external_lex_state = 2},
  [250] = {.lex_state = 5, .external_lex_state = 3},
  [251] = {.lex_state = 5, .external_lex_state = 2},
  [252] = {.lex_state = 5, .external_lex_state = 4},
  [253] = {.lex_state = 5, .external_lex_state = 2},
  [254] = {.lex_state = 5, .external_lex_state = 2},
  [255] = {.lex_state = 5, .external_lex_state = 2},
  [256] = {.lex_state = 5, .external_lex_state = 2},
  [257] = {.lex_state = 5, .external_lex_state = 2},
  [258] = {.lex_state = 5, .external_lex_state = 2},
  [259] = {.lex_state = 5, .external_lex_state = 3},
  [260] = {.lex_state = 5, .external_lex_state = 2},
  [261] = {.lex_state = 5, .external_lex_state = 2},
  [262] = {.lex_state = 5, .external_lex_state = 3},
  [263] = {.lex_state = 5, .external_lex_state = 2},
  [264] = {.lex_state = 5, .external_lex_state = 3},
  [265] = {.lex_state = 5, .external_lex_state = 2},
  [266] = {.lex_state = 5, .external_lex_state = 2},
  [267] = {.lex_state = 5, .external_lex_state = 3},
  [268] = {.lex_state = 5, .external_lex_state = 2},
  [269] = {.lex_state = 5, .external_lex_state = 3},
  [270] = {.lex_state = 5, .external_lex_state = 2},
  [271] = {.lex_state = 5, .external_lex_state = 2},
  [272] = {.lex_state = 5, .external_lex_state = 2},
  [273] = {.lex_state = 5, .external_lex_state = 2},
  [274] = {.lex_state = 5, .external_lex_state = 2},
  [275] = {.lex_state = 5, .external_lex_state = 2},
  [276] = {.lex_state = 5, .external_lex_state = 2},
  [277] = {.lex_state = 5, .external_lex_state = 2},
  [278] = {.lex_state = 5, .external_lex_state = 2},
  [279] = {.lex_state = 5, .external_lex_state = 2},
  [280] = {.lex_state = 5, .external_lex_state = 2},
  [281] = {.lex_state = 5, .external_lex_state = 3},
  [282] = {.lex_state = 5, .external_lex_state = 2},
  [283] = {.lex_state = 5, .external_lex_state = 2},
  [284] = {.lex_state = 5, .external_lex_state = 2},
  [285] = {.lex_state = 5, .external_lex_state = 2},
  [286] = {.lex_state = 5, .external_lex_state = 2},
  [287] = {.lex_state = 5, .external_lex_state = 2},
  [288] = {.lex_state = 5, .external_lex_state = 2},
  [289] = {.lex_state = 5, .external_lex_state = 2},
  [290] = {.lex_state = 5, .external_lex_state = 2},
  [291] = {.lex_state = 5, .external_lex_state = 2},
  [292] = {.lex_state = 5, .external_lex_state = 2},
  [293] = {.lex_state = 5, .external_lex_state = 2},
  [294] = {.lex_state = 5, .external_lex_state = 2},
  [295] = {.lex_state = 5, .external_lex_state = 2},
  [296] = {.lex_state = 5, .external_lex_state = 2},
  [297] = {.lex_state = 5, .external_lex_state = 2},
  [298] = {.lex_state = 5, .external_lex_state = 2},
  [299] = {.lex_state = 5, .external_lex_state = 2},
  [300] = {.lex_state = 5, .external_lex_state = 2},
  [301] = {.lex_state = 5, .external_lex_state = 2},
  [302] = {.lex_state = 5, .external_lex_state = 2},
  [303] = {.lex_state = 5, .external_lex_state = 2},
  [304] = {.lex_state = 5, .external_lex_state = 2},
  [305] = {.lex_state = 5, .external_lex_state = 2},
  [306] = {.lex_state = 5, .external_lex_state = 2},
  [307] = {.lex_state = 5, .external_lex_state = 2},
  [308] = {.lex_state = 5, .external_lex_state = 2},
  [309] = {.lex_state = 5, .external_lex_state = 2},
  [310] = {.lex_state = 5, .external_lex_state = 2},
  [311] = {.lex_state = 5, .external_lex_state = 2},
  [312] = {.lex_state = 5, .external_lex_state = 2},
  [313] = {.lex_state = 5, .external_lex_state = 2},
  [314] = {.lex_state = 5, .external_lex_state = 2},
  [315] = {.lex_state = 5, .external_lex_state = 2},
  [316] = {.lex_state = 5, .external_lex_state = 2},
  [317] = {.lex_state = 5, .external_lex_state = 2},
  [318] = {.lex_state = 5, .external_lex_state = 2},
  [319] = {.lex_state = 5, .external_lex_state = 2},
  [320] = {.lex_state = 5, .external_lex_state = 2},
  [321] = {.lex_state = 5, .external_lex_state = 2},
  [322] = {.lex_state = 5, .external_lex_state = 2},
  [323] = {.lex_state = 5, .external_lex_state = 3},
  [324] = {.lex_state = 5, .external_lex_state = 3},
  [325] = {.lex_state = 5, .external_lex_state = 2},
  [326] = {.lex_state = 5, .external_lex_state = 2},
  [327] = {.lex_state = 5, .external_lex_state = 2},
  [328] = {.lex_state = 5, .external_lex_state = 2},
  [329] = {.lex_state = 5, .external_lex_state = 2},
  [330] = {.lex_state = 5, .external_lex_state = 2},
  [331] = {.lex_state = 5, .external_lex_state = 3},
  [332] = {.lex_state = 5, .external_lex_state = 2},
  [333] = {.lex_state = 5, .external_lex_state = 2},
  [334] = {.lex_state = 5, .external_lex_state = 2},
  [335] = {.lex_state = 5, .external_lex_state = 2},
  [336] = {.lex_state = 5, .external_lex_state = 2},
  [337] = {.lex_state = 5, .external_lex_state = 2},
  [338] = {.lex_state = 5, .external_lex_state = 2},
  [339] = {.lex_state = 5, .external_lex_state = 2},
  [340] = {.lex_state = 5, .external_lex_state = 3},
  [341] = {.lex_state = 5, .external_lex_state = 3},
  [342] = {.lex_state = 5, .external_lex_state = 3},
  [343] = {.lex_state = 5, .external_lex_state = 2},
  [344] = {.lex_state = 5, .external_lex_state = 2},
  [345] = {.lex_state = 5, .external_lex_state = 2},
  [346] = {.lex_state = 5, .external_lex_state = 2},
  [347] = {.lex_state = 5, .external_lex_state = 2},
  [348] = {.lex_state = 5, .external_lex_state = 2},
  [349] = {.lex_state = 5, .external_lex_state = 2},
  [350] = {.lex_state = 5, .external_lex_state = 2},
  [351] = {.lex_state = 5, .external_lex_state = 2},
  [352] = {.lex_state = 5, .external_lex_state = 2},
  [353] = {.lex_state = 5, .external_lex_state = 2},
  [354] = {.lex_state = 5, .external_lex_state = 2},
  [355] = {.lex_state = 5, .external_lex_state = 2},
  [356] = {.lex_state = 5, .external_lex_state = 3},
  [357] = {.lex_state = 5, .external_lex_state = 2},
  [358] = {.lex_state = 5, .external_lex_state = 3},
  [359] = {.lex_state = 5, .external_lex_state = 3},
  [360] = {.lex_state = 5, .external_lex_state = 3},
  [361] = {.lex_state = 5, .external_lex_state = 3},
  [362] = {.lex_state = 16, .external_lex_state = 2},
  [363] = {.lex_state = 5, .external_lex_state = 2},
  [364] = {.lex_state = 16, .external_lex_state = 2},
  [365] = {.lex_state = 5, .external_lex_state = 2},
  [366] = {.lex_state = 5, .external_lex_state = 3},
  [367] = {.lex_state = 5, .external_lex_state = 2},
  [368] = {.lex_state = 5, .external_lex_state = 2},
  [369] = {.lex_state = 5, .external_lex_state = 2},
  [370] = {.lex_state = 5, .external_lex_state = 3},
  [371] = {.lex_state = 16},
  [372] = {.lex_state = 5, .external_lex_state = 3},
  [373] = {.lex_state = 5, .external_lex_state = 2},
  [374] = {.lex_state = 5, .external_lex_state = 3},
  [375] = {.lex_state = 5, .external_lex_state = 2},
  [376] = {.lex_state = 5, .external_lex_state = 3},
  [377] = {.lex_state = 16, .external_lex_state = 2},
  [378] = {.lex_state = 5, .external_lex_state = 2},
  [379] = {.lex_state = 5, .external_lex_state = 2},
  [380] = {.lex_state = 5, .external_lex_state = 3},
  [381] = {.lex_state = 16},
  [382] = {.lex_state = 16},
  [383] = {.lex_state = 16},
  [384] = {.lex_state = 16},
  [385] = {.lex_state = 16},
  [386] = {.lex_state = 5, .external_lex_state = 3},
  [387] = {.lex_state = 16},
  [388] = {.lex_state = 16},
  [389] = {.lex_state = 16},
  [390] = {.lex_state = 5, .external_lex_state = 3},
  [391] = {.lex_state = 5, .external_lex_state = 2},
  [392] = {.lex_state = 16},
  [393] = {.lex_state = 16},
  [394] = {.lex_state = 5, .external_lex_state = 2},
  [395] = {.lex_state = 5, .external_lex_state = 3},
  [396] = {.lex_state = 5, .external_lex_state = 2},
  [397] = {.lex_state = 5, .external_lex_state = 3},
  [398] = {.lex_state = 5, .external_lex_state = 3},
  [399] = {.lex_state = 5, .external_lex_state = 3},
  [400] = {.lex_state = 5, .external_lex_state = 2},
  [401] = {.lex_state = 5, .external_lex_state = 3},
  [402] = {.lex_state = 5, .external_lex_state = 3},
  [403] = {.lex_state = 5, .external_lex_state = 3},
  [404] = {.lex_state = 5, .external_lex_state = 3},
  [405] = {.lex_state = 5, .external_lex_state = 2},
  [406] = {.lex_state = 5, .external_lex_state = 3},
  [407] = {.lex_state = 5, .external_lex_state = 2},
  [408] = {.lex_state = 5, .external_lex_state = 2},
  [409] = {.lex_state = 5, .external_lex_state = 2},
  [410] = {.lex_state = 5, .external_lex_state = 2},
  [411] = {.lex_state = 5, .external_lex_state = 3},
  [412] = {.lex_state = 5, .external_lex_state = 3},
  [413] = {.lex_state = 5, .external_lex_state = 2},
  [414] = {.lex_state = 5, .external_lex_state = 2},
  [415] = {.lex_state = 5, .external_lex_state = 2},
  [416] = {.lex_state = 16, .external_lex_state = 2},
  [417] = {.lex_state = 5, .external_lex_state = 2},
  [418] = {.lex_state = 16, .external_lex_state = 2},
  [419] = {.lex_state = 5, .external_lex_state = 2},
  [420] = {.lex_state = 5, .external_lex_state = 2},
  [421] = {.lex_state = 5, .external_lex_state = 3},
  [422] = {.lex_state = 5, .external_lex_state = 2},
  [423] = {.lex_state = 5, .external_lex_state = 2},
  [424] = {.lex_state = 5, .external_lex_state = 3},
  [425] = {.lex_state = 5, .external_lex_state = 2},
  [426] = {.lex_state = 5, .external_lex_state = 3},
  [427] = {.lex_state = 5, .external_lex_state = 3},
  [428] = {.lex_state = 5, .external_lex_state = 3},
  [429] = {.lex_state = 5, .external_lex_state = 3},
  [430] = {.lex_state = 5, .external_lex_state = 3},
  [431] = {.lex_state = 5, .external_lex_state = 3},
  [432] = {.lex_state = 5, .external_lex_state = 3},
  [433] = {.lex_state = 5, .external_lex_state = 2},
  [434] = {.lex_state = 5, .external_lex_state = 3},
  [435] = {.lex_state = 5, .external_lex_state = 3},
  [436] = {.lex_state = 5, .external_lex_state = 3},
  [437] = {.lex_state = 5, .external_lex_state = 3},
  [438] = {.lex_state = 5, .external_lex_state = 2},
  [439] = {.lex_state = 5, .external_lex_state = 3},
  [440] = {.lex_state = 5, .external_lex_state = 3},
  [441] = {.lex_state = 5, .external_lex_state = 2},
  [442] = {.lex_state = 5, .external_lex_state = 3},
  [443] = {.lex_state = 5, .external_lex_state = 3},
  [444] = {.lex_state = 5, .external_lex_state = 3},
  [445] = {.lex_state = 5, .external_lex_state = 3},
  [446] = {.lex_state = 5, .external_lex_state = 3},
  [447] = {.lex_state = 5, .external_lex_state = 3},
  [448] = {.lex_state = 5, .external_lex_state = 3},
  [449] = {.lex_state = 5, .external_lex_state = 3},
  [450] = {.lex_state = 5, .external_lex_state = 2},
  [451] = {.lex_state = 5, .external_lex_state = 3},
  [452] = {.lex_state = 5, .external_lex_state = 2},
  [453] = {.lex_state = 5, .external_lex_state = 2},
  [454] = {.lex_state = 5, .external_lex_state = 2},
  [455] = {.lex_state = 5, .external_lex_state = 2},
  [456] = {.lex_state = 5, .external_lex_state = 3},
  [457] = {.lex_state = 5, .external_lex_state = 2},
  [458] = {.lex_state = 5, .external_lex_state = 3},
  [459] = {.lex_state = 5, .external_lex_state = 2},
  [460] = {.lex_state = 5, .external_lex_state = 2},
  [461] = {.lex_state = 5, .external_lex_state = 2},
  [462] = {.lex_state = 5, .external_lex_state = 2},
  [463] = {.lex_state = 5, .external_lex_state = 2},
  [464] = {.lex_state = 5, .external_lex_state = 2},
  [465] = {.lex_state = 5, .external_lex_state = 2},
  [466] = {.lex_state = 5, .external_lex_state = 2},
  [467] = {.lex_state = 5, .external_lex_state = 2},
  [468] = {.lex_state = 5, .external_lex_state = 2},
  [469] = {.lex_state = 5, .external_lex_state = 2},
  [470] = {.lex_state = 5, .external_lex_state = 2},
  [471] = {.lex_state = 16},
  [472] = {.lex_state = 16},
  [473] = {.lex_state = 16},
  [474] = {.lex_state = 16},
  [475] = {.lex_state = 16},
  [476] = {.lex_state = 16},
  [477] = {.lex_state = 16},
  [478] = {.lex_state = 16},
  [479] = {.lex_state = 16},
  [480] = {.lex_state = 16},
  [481] = {.lex_state = 16},
  [482] = {.lex_state = 16},
  [483] = {.lex_state = 16},
  [484] = {.lex_state = 16},
  [485] = {.lex_state = 16},
  [486] = {.lex_state = 16},
  [487] = {.lex_state = 16},
  [488] = {.lex_state = 16},
  [489] = {.lex_state = 16},
  [490] = {.lex_state = 16},
  [491] = {.lex_state = 16},
  [492] = {.lex_state = 16},
  [493] = {.lex_state = 16},
  [494] = {.lex_state = 16},
  [495] = {.lex_state = 16},
  [496] = {.lex_state = 16},
  [497] = {.lex_state = 16},
  [498] = {.lex_state = 16},
  [499] = {.lex_state = 16},
  [500] = {.lex_state = 16},
  [501] = {.lex_state = 16},
  [502] = {.lex_state = 16},
  [503] = {.lex_state = 16, .external_lex_state = 6},
  [504] = {.lex_state = 16, .external_lex_state = 4},
  [505] = {.lex_state = 16, .external_lex_state = 4},
  [506] = {.lex_state = 16, .external_lex_state = 4},
  [507] = {.lex_state = 16, .external_lex_state = 6},
  [508] = {.lex_state = 16, .external_lex_state = 6},
  [509] = {.lex_state = 16, .external_lex_state = 6},
  [510] = {.lex_state = 16, .external_lex_state = 6},
  [511] = {.lex_state = 16, .external_lex_state = 6},
  [512] = {.lex_state = 16, .external_lex_state = 6},
  [513] = {.lex_state = 16, .external_lex_state = 6},
  [514] = {.lex_state = 16, .external_lex_state = 6},
  [515] = {.lex_state = 16, .external_lex_state = 6},
  [516] = {.lex_state = 16, .external_lex_state = 6},
  [517] = {.lex_state = 16},
  [518] = {.lex_state = 16, .external_lex_state = 6},
  [519] = {.lex_state = 16, .external_lex_state = 4},
  [520] = {.lex_state = 16, .external_lex_state = 4},
  [521] = {.lex_state = 5, .external_lex_state = 2},
  [522] = {.lex_state = 16, .external_lex_state = 6},
  [523] = {.lex_state = 5, .external_lex_state = 2},
  [524] = {.lex_state = 16, .external_lex_state = 6},
  [525] = {.lex_state = 16, .external_lex_state = 6},
  [526] = {.lex_state = 16, .external_lex_state = 6},
  [527] = {.lex_state = 5, .external_lex_state = 2},
  [528] = {.lex_state = 16, .external_lex_state = 6},
  [529] = {.lex_state = 16},
  [530] = {.lex_state = 16, .external_lex_state = 6},
  [531] = {.lex_state = 5, .external_lex_state = 2},
  [532] = {.lex_state = 16, .external_lex_state = 6},
  [533] = {.lex_state = 5, .external_lex_state = 2},
  [534] = {.lex_state = 16, .external_lex_state = 6},
  [535] = {.lex_state = 16, .external_lex_state = 6},
  [536] = {.lex_state = 16, .external_lex_state = 6},
  [537] = {.lex_state = 5, .external_lex_state = 2},
  [538] = {.lex_state = 16, .external_lex_state = 6},
  [539] = {.lex_state = 16, .external_lex_state = 6},
  [540] = {.lex_state = 16, .external_lex_state = 6},
  [541] = {.lex_state = 16, .external_lex_state = 6},
  [542] = {.lex_state = 16, .external_lex_state = 6},
  [543] = {.lex_state = 16, .external_lex_state = 6},
  [544] = {.lex_state = 16, .external_lex_state = 6},
  [545] = {.lex_state = 16, .external_lex_state = 6},
  [546] = {.lex_state = 16, .external_lex_state = 6},
  [547] = {.lex_state = 16, .external_lex_state = 6},
  [548] = {.lex_state = 5, .external_lex_state = 2},
  [549] = {.lex_state = 16, .external_lex_state = 6},
  [550] = {.lex_state = 5, .external_lex_state = 2},
  [551] = {.lex_state = 5, .external_lex_state = 2},
  [552] = {.lex_state = 16, .external_lex_state = 6},
  [553] = {.lex_state = 5, .external_lex_state = 2},
  [554] = {.lex_state = 16, .external_lex_state = 6},
  [555] = {.lex_state = 16, .external_lex_state = 6},
  [556] = {.lex_state = 16, .external_lex_state = 6},
  [557] = {.lex_state = 16, .external_lex_state = 6},
  [558] = {.lex_state = 16, .external_lex_state = 6},
  [559] = {.lex_state = 16, .external_lex_state = 6},
  [560] = {.lex_state = 16, .external_lex_state = 6},
  [561] = {.lex_state = 5, .external_lex_state = 2},
  [562] = {.lex_state = 16, .external_lex_state = 6},
  [563] = {.lex_state = 16, .external_lex_state = 6},
  [564] = {.lex_state = 5, .external_lex_state = 2},
  [565] = {.lex_state = 5, .external_lex_state = 2},
  [566] = {.lex_state = 5, .external_lex_state = 2},
  [567] = {.lex_state = 5, .external_lex_state = 2},
  [568] = {.lex_state = 5, .external_lex_state = 2},
  [569] = {.lex_state = 5, .external_lex_state = 2},
  [570] = {.lex_state = 5, .external_lex_state = 2},
  [571] = {.lex_state = 5, .external_lex_state = 2},
  [572] = {.lex_state = 5, .external_lex_state = 2},
  [573] = {.lex_state = 5, .external_lex_state = 2},
  [574] = {.lex_state = 5, .external_lex_state = 2},
  [575] = {.lex_state = 5, .external_lex_state = 2},
  [576] = {.lex_state = 5, .external_lex_state = 2},
  [577] = {.lex_state = 5, .external_lex_state = 2},
  [578] = {.lex_state = 5, .external_lex_state = 2},
  [579] = {.lex_state = 5, .external_lex_state = 2},
  [580] = {.lex_state = 5, .external_lex_state = 2},
  [581] = {.lex_state = 5, .external_lex_state = 2},
  [582] = {.lex_state = 5, .external_lex_state = 2},
  [583] = {.lex_state = 5, .external_lex_state = 2},
  [584] = {.lex_state = 5, .external_lex_state = 2},
  [585] = {.lex_state = 5, .external_lex_state = 2},
  [586] = {.lex_state = 5, .external_lex_state = 2},
  [587] = {.lex_state = 5, .external_lex_state = 2},
  [588] = {.lex_state = 5, .external_lex_state = 2},
  [589] = {.lex_state = 5, .external_lex_state = 2},
  [590] = {.lex_state = 5, .external_lex_state = 2},
  [591] = {.lex_state = 5, .external_lex_state = 2},
  [592] = {.lex_state = 5, .external_lex_state = 2},
  [593] = {.lex_state = 5, .external_lex_state = 2},
  [594] = {.lex_state = 5, .external_lex_state = 2},
  [595] = {.lex_state = 0, .external_lex_state = 6},
  [596] = {.lex_state = 0, .external_lex_state = 6},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 0, .external_lex_state = 6},
  [600] = {.lex_state = 0, .external_lex_state = 6},
  [601] = {.lex_state = 0, .external_lex_state = 6},
  [602] = {.lex_state = 0, .external_lex_state = 6},
  [603] = {.lex_state = 0, .external_lex_state = 6},
  [604] = {.lex_state = 0, .external_lex_state = 6},
  [605] = {.lex_state = 0, .external_lex_state = 6},
  [606] = {.lex_state = 16},
  [607] = {.lex_state = 0, .external_lex_state = 6},
  [608] = {.lex_state = 0, .external_lex_state = 6},
  [609] = {.lex_state = 0, .external_lex_state = 6},
  [610] = {.lex_state = 0, .external_lex_state = 6},
  [611] = {.lex_state = 16},
  [612] = {.lex_state = 0, .external_lex_state = 6},
  [613] = {.lex_state = 0, .external_lex_state = 6},
  [614] = {.lex_state = 0, .external_lex_state = 6},
  [615] = {.lex_state = 0, .external_lex_state = 6},
  [616] = {.lex_state = 0, .external_lex_state = 6},
  [617] = {.lex_state = 0, .external_lex_state = 6},
  [618] = {.lex_state = 0},
  [619] = {.lex_state = 0},
  [620] = {.lex_state = 18},
  [621] = {.lex_state = 18},
  [622] = {.lex_state = 18},
  [623] = {.lex_state = 0},
  [624] = {.lex_state = 18},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 0},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 0},
  [631] = {.lex_state = 18},
  [632] = {.lex_state = 18},
  [633] = {.lex_state = 18},
  [634] = {.lex_state = 18},
  [635] = {.lex_state = 18},
  [636] = {.lex_state = 18},
  [637] = {.lex_state = 18},
  [638] = {.lex_state = 18},
  [639] = {.lex_state = 18},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 18},
  [644] = {.lex_state = 18},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0, .external_lex_state = 6},
  [664] = {.lex_state = 0, .external_lex_state = 6},
  [665] = {.lex_state = 0, .external_lex_state = 6},
  [666] = {.lex_state = 0, .external_lex_state = 6},
  [667] = {.lex_state = 0, .external_lex_state = 6},
  [668] = {.lex_state = 0, .external_lex_state = 6},
  [669] = {.lex_state = 0, .external_lex_state = 6},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0, .external_lex_state = 6},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 17},
  [681] = {.lex_state = 17, .external_lex_state = 6},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 18},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 17, .external_lex_state = 6},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0, .external_lex_state = 6},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 17, .external_lex_state = 6},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0, .external_lex_state = 6},
  [697] = {.lex_state = 0, .external_lex_state = 6},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0, .external_lex_state = 6},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 17},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 17, .external_lex_state = 6},
  [709] = {.lex_state = 0, .external_lex_state = 6},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 20, .external_lex_state = 7},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 20, .external_lex_state = 7},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 20, .external_lex_state = 7},
  [720] = {.lex_state = 20, .external_lex_state = 7},
  [721] = {.lex_state = 17},
  [722] = {.lex_state = 20, .external_lex_state = 7},
  [723] = {.lex_state = 20, .external_lex_state = 7},
  [724] = {.lex_state = 20, .external_lex_state = 7},
  [725] = {.lex_state = 20, .external_lex_state = 7},
  [726] = {.lex_state = 20, .external_lex_state = 7},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 17},
  [730] = {.lex_state = 0, .external_lex_state = 6},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0, .external_lex_state = 6},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0, .external_lex_state = 6},
  [739] = {.lex_state = 0, .external_lex_state = 6},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0, .external_lex_state = 6},
  [742] = {.lex_state = 13},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0, .external_lex_state = 6},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0, .external_lex_state = 6},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 13},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 17},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0, .external_lex_state = 6},
  [756] = {.lex_state = 0, .external_lex_state = 6},
  [757] = {.lex_state = 13},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0, .external_lex_state = 6},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0, .external_lex_state = 6},
  [762] = {.lex_state = 20, .external_lex_state = 7},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0, .external_lex_state = 6},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0, .external_lex_state = 6},
  [770] = {.lex_state = 0, .external_lex_state = 6},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 0, .external_lex_state = 6},
  [781] = {.lex_state = 0, .external_lex_state = 6},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 0, .external_lex_state = 6},
  [788] = {.lex_state = 17},
  [789] = {.lex_state = 17},
  [790] = {.lex_state = 0, .external_lex_state = 6},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0, .external_lex_state = 6},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 0, .external_lex_state = 6},
  [795] = {.lex_state = 0, .external_lex_state = 6},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 0, .external_lex_state = 6},
  [800] = {.lex_state = 20, .external_lex_state = 7},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 0, .external_lex_state = 6},
  [807] = {.lex_state = 0, .external_lex_state = 6},
  [808] = {.lex_state = 20, .external_lex_state = 7},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 0},
  [812] = {.lex_state = 0, .external_lex_state = 6},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0, .external_lex_state = 6},
  [820] = {.lex_state = 0, .external_lex_state = 6},
  [821] = {.lex_state = 0, .external_lex_state = 6},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0, .external_lex_state = 6},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0, .external_lex_state = 6},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0, .external_lex_state = 6},
  [845] = {.lex_state = 0, .external_lex_state = 6},
  [846] = {.lex_state = 0, .external_lex_state = 6},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0, .external_lex_state = 6},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0, .external_lex_state = 6},
  [867] = {.lex_state = 0, .external_lex_state = 6},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0, .external_lex_state = 6},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0, .external_lex_state = 6},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0, .external_lex_state = 6},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 13},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 0, .external_lex_state = 6},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0, .external_lex_state = 6},
  [909] = {.lex_state = 0, .external_lex_state = 6},
  [910] = {.lex_state = 0, .external_lex_state = 6},
  [911] = {.lex_state = 19},
  [912] = {.lex_state = 19},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0, .external_lex_state = 6},
  [917] = {.lex_state = 0, .external_lex_state = 6},
  [918] = {.lex_state = 19},
  [919] = {.lex_state = 19},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0, .external_lex_state = 6},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0, .external_lex_state = 6},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0, .external_lex_state = 6},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0, .external_lex_state = 6},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0, .external_lex_state = 6},
  [931] = {.lex_state = 19},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0, .external_lex_state = 6},
  [935] = {.lex_state = 0, .external_lex_state = 6},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0, .external_lex_state = 6},
  [939] = {.lex_state = 0, .external_lex_state = 6},
  [940] = {.lex_state = 0, .external_lex_state = 6},
  [941] = {.lex_state = 0, .external_lex_state = 6},
  [942] = {.lex_state = 0, .external_lex_state = 6},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 19},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 18},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0, .external_lex_state = 6},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
  },
  [7] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_testimportlegesher] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_testfromlegesher] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_testaslegesher] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_testprintlegesher] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_testassertlegesher] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_testreturnlegesher] = ACTIONS(1),
    [anon_sym_testdellegesher] = ACTIONS(1),
    [anon_sym_testraiselegesher] = ACTIONS(1),
    [anon_sym_testpasslegesher] = ACTIONS(1),
    [anon_sym_testbreaklegesher] = ACTIONS(1),
    [anon_sym_testcontinuelegesher] = ACTIONS(1),
    [anon_sym_testiflegesher] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_testeliflegesher] = ACTIONS(1),
    [anon_sym_testelselegesher] = ACTIONS(1),
    [anon_sym_testasynclegesher] = ACTIONS(1),
    [anon_sym_testforlegesher] = ACTIONS(1),
    [anon_sym_testinlegesher] = ACTIONS(1),
    [anon_sym_testwhilelegesher] = ACTIONS(1),
    [anon_sym_testtrylegesher] = ACTIONS(1),
    [anon_sym_testexceptlegesher] = ACTIONS(1),
    [anon_sym_testfinallylegesher] = ACTIONS(1),
    [anon_sym_testwithlegesher] = ACTIONS(1),
    [anon_sym_testdeflegesher] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_testgloballegesher] = ACTIONS(1),
    [anon_sym_testnonlocallegesher] = ACTIONS(1),
    [anon_sym_testexeclegesher] = ACTIONS(1),
    [anon_sym_testclasslegesher] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_testnotlegesher] = ACTIONS(1),
    [anon_sym_testandlegesher] = ACTIONS(1),
    [anon_sym_testorlegesher] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_testislegesher] = ACTIONS(1),
    [anon_sym_testlambdalegesher] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_testyieldlegesher] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [anon_sym_testawaitlegesher] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(963),
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_if_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_class_definition] = STATE(42),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(675),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(675),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(31),
    [anon_sym_testasynclegesher] = ACTIONS(33),
    [anon_sym_testforlegesher] = ACTIONS(35),
    [anon_sym_testwhilelegesher] = ACTIONS(37),
    [anon_sym_testtrylegesher] = ACTIONS(39),
    [anon_sym_testwithlegesher] = ACTIONS(41),
    [anon_sym_testdeflegesher] = ACTIONS(43),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [2] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(355),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [3] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(745),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [4] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(469),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [5] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(368),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [6] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(390),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [7] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(417),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [8] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(468),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [9] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(323),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [10] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(422),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [11] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(365),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [12] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(248),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [13] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(231),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [14] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(356),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [15] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(391),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [16] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(319),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [17] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(380),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [18] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(462),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [19] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(411),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [20] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(305),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [21] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(369),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [22] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(470),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [23] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(454),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [24] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(413),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [25] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(423),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [26] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(403),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [27] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(446),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [28] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(458),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [29] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(426),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [30] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(419),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [31] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(434),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [32] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(285),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(91),
    [sym__string_start] = ACTIONS(73),
  },
  [33] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(435),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [34] = {
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(740),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
  },
  [35] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(442),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [36] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(443),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [37] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(360),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [38] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(341),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [39] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(376),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [40] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(451),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [41] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(673),
    [sym_block] = STATE(331),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
  },
  [42] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(675),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(675),
    [ts_builtin_sym_end] = ACTIONS(97),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(31),
    [anon_sym_testasynclegesher] = ACTIONS(33),
    [anon_sym_testforlegesher] = ACTIONS(35),
    [anon_sym_testwhilelegesher] = ACTIONS(37),
    [anon_sym_testtrylegesher] = ACTIONS(39),
    [anon_sym_testwithlegesher] = ACTIONS(41),
    [anon_sym_testdeflegesher] = ACTIONS(43),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [43] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(673),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(99),
    [anon_sym_testimportlegesher] = ACTIONS(102),
    [anon_sym_testfromlegesher] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(108),
    [anon_sym_testprintlegesher] = ACTIONS(111),
    [anon_sym_testassertlegesher] = ACTIONS(114),
    [anon_sym_testreturnlegesher] = ACTIONS(117),
    [anon_sym_testdellegesher] = ACTIONS(120),
    [anon_sym_testraiselegesher] = ACTIONS(123),
    [anon_sym_testpasslegesher] = ACTIONS(126),
    [anon_sym_testbreaklegesher] = ACTIONS(129),
    [anon_sym_testcontinuelegesher] = ACTIONS(132),
    [anon_sym_testiflegesher] = ACTIONS(135),
    [anon_sym_testasynclegesher] = ACTIONS(138),
    [anon_sym_testforlegesher] = ACTIONS(141),
    [anon_sym_testwhilelegesher] = ACTIONS(144),
    [anon_sym_testtrylegesher] = ACTIONS(147),
    [anon_sym_testwithlegesher] = ACTIONS(150),
    [anon_sym_testdeflegesher] = ACTIONS(153),
    [anon_sym_testgloballegesher] = ACTIONS(156),
    [anon_sym_testnonlocallegesher] = ACTIONS(159),
    [anon_sym_testexeclegesher] = ACTIONS(162),
    [anon_sym_testclasslegesher] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(168),
    [anon_sym_testnotlegesher] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_testlambdalegesher] = ACTIONS(177),
    [anon_sym_testyieldlegesher] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(183),
    [sym_ellipsis] = ACTIONS(186),
    [anon_sym_LBRACE] = ACTIONS(189),
    [sym_integer] = ACTIONS(192),
    [sym_float] = ACTIONS(186),
    [sym_true] = ACTIONS(192),
    [sym_false] = ACTIONS(192),
    [sym_none] = ACTIONS(192),
    [anon_sym_testawaitlegesher] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(198),
    [sym__string_start] = ACTIONS(200),
  },
  [44] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(673),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(203),
    [sym__string_start] = ACTIONS(73),
  },
  [45] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(675),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(675),
    [ts_builtin_sym_end] = ACTIONS(198),
    [sym_identifier] = ACTIONS(99),
    [anon_sym_testimportlegesher] = ACTIONS(102),
    [anon_sym_testfromlegesher] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(108),
    [anon_sym_testprintlegesher] = ACTIONS(111),
    [anon_sym_testassertlegesher] = ACTIONS(114),
    [anon_sym_testreturnlegesher] = ACTIONS(117),
    [anon_sym_testdellegesher] = ACTIONS(120),
    [anon_sym_testraiselegesher] = ACTIONS(123),
    [anon_sym_testpasslegesher] = ACTIONS(126),
    [anon_sym_testbreaklegesher] = ACTIONS(129),
    [anon_sym_testcontinuelegesher] = ACTIONS(132),
    [anon_sym_testiflegesher] = ACTIONS(205),
    [anon_sym_testasynclegesher] = ACTIONS(208),
    [anon_sym_testforlegesher] = ACTIONS(211),
    [anon_sym_testwhilelegesher] = ACTIONS(214),
    [anon_sym_testtrylegesher] = ACTIONS(217),
    [anon_sym_testwithlegesher] = ACTIONS(220),
    [anon_sym_testdeflegesher] = ACTIONS(223),
    [anon_sym_testgloballegesher] = ACTIONS(156),
    [anon_sym_testnonlocallegesher] = ACTIONS(159),
    [anon_sym_testexeclegesher] = ACTIONS(162),
    [anon_sym_testclasslegesher] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(168),
    [anon_sym_testnotlegesher] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(174),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_TILDE] = ACTIONS(174),
    [anon_sym_testlambdalegesher] = ACTIONS(177),
    [anon_sym_testyieldlegesher] = ACTIONS(180),
    [anon_sym_LBRACK] = ACTIONS(183),
    [sym_ellipsis] = ACTIONS(186),
    [anon_sym_LBRACE] = ACTIONS(189),
    [sym_integer] = ACTIONS(192),
    [sym_float] = ACTIONS(186),
    [sym_true] = ACTIONS(192),
    [sym_false] = ACTIONS(192),
    [sym_none] = ACTIONS(192),
    [anon_sym_testawaitlegesher] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(200),
  },
  [46] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(673),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(229),
    [sym__string_start] = ACTIONS(73),
  },
  [47] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(673),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(673),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testiflegesher] = ACTIONS(75),
    [anon_sym_testasynclegesher] = ACTIONS(77),
    [anon_sym_testforlegesher] = ACTIONS(79),
    [anon_sym_testwhilelegesher] = ACTIONS(81),
    [anon_sym_testtrylegesher] = ACTIONS(83),
    [anon_sym_testwithlegesher] = ACTIONS(85),
    [anon_sym_testdeflegesher] = ACTIONS(87),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testclasslegesher] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(231),
    [sym__string_start] = ACTIONS(73),
  },
  [48] = {
    [sym_chevron] = STATE(790),
    [sym_named_expression] = STATE(677),
    [sym__expression] = STATE(677),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(677),
    [sym_boolean_operator] = STATE(677),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(677),
    [sym_lambda] = STATE(677),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(677),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(677),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_GT_GT] = ACTIONS(241),
    [anon_sym_testiflegesher] = ACTIONS(235),
    [anon_sym_COLON] = ACTIONS(237),
    [anon_sym_testinlegesher] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_AT] = ACTIONS(235),
    [anon_sym_testnotlegesher] = ACTIONS(235),
    [anon_sym_testandlegesher] = ACTIONS(235),
    [anon_sym_testorlegesher] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_SLASH_SLASH] = ACTIONS(235),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_GT] = ACTIONS(237),
    [anon_sym_testislegesher] = ACTIONS(235),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_PLUS_EQ] = ACTIONS(237),
    [anon_sym_DASH_EQ] = ACTIONS(237),
    [anon_sym_STAR_EQ] = ACTIONS(237),
    [anon_sym_SLASH_EQ] = ACTIONS(237),
    [anon_sym_AT_EQ] = ACTIONS(237),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(237),
    [anon_sym_PERCENT_EQ] = ACTIONS(237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(237),
    [anon_sym_GT_GT_EQ] = ACTIONS(237),
    [anon_sym_LT_LT_EQ] = ACTIONS(237),
    [anon_sym_AMP_EQ] = ACTIONS(237),
    [anon_sym_CARET_EQ] = ACTIONS(237),
    [anon_sym_PIPE_EQ] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(237),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(237),
    [sym__newline] = ACTIONS(237),
    [sym__string_start] = ACTIONS(255),
  },
  [49] = {
    [sym__simple_statements] = STATE(241),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(257),
    [sym__string_start] = ACTIONS(73),
  },
  [50] = {
    [sym__simple_statements] = STATE(402),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(259),
    [sym__string_start] = ACTIONS(73),
  },
  [51] = {
    [sym__simple_statements] = STATE(420),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(261),
    [sym__string_start] = ACTIONS(73),
  },
  [52] = {
    [sym__simple_statements] = STATE(373),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(263),
    [sym__string_start] = ACTIONS(73),
  },
  [53] = {
    [sym__simple_statements] = STATE(453),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(265),
    [sym__string_start] = ACTIONS(73),
  },
  [54] = {
    [sym__simple_statements] = STATE(394),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(267),
    [sym__string_start] = ACTIONS(73),
  },
  [55] = {
    [sym__simple_statements] = STATE(463),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(269),
    [sym__string_start] = ACTIONS(73),
  },
  [56] = {
    [sym__simple_statements] = STATE(324),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(271),
    [sym__string_start] = ACTIONS(73),
  },
  [57] = {
    [sym__simple_statements] = STATE(449),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(273),
    [sym__string_start] = ACTIONS(73),
  },
  [58] = {
    [sym__simple_statements] = STATE(366),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(275),
    [sym__string_start] = ACTIONS(73),
  },
  [59] = {
    [sym__simple_statements] = STATE(447),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(277),
    [sym__string_start] = ACTIONS(73),
  },
  [60] = {
    [sym__simple_statements] = STATE(340),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(279),
    [sym__string_start] = ACTIONS(73),
  },
  [61] = {
    [sym__simple_statements] = STATE(425),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(281),
    [sym__string_start] = ACTIONS(73),
  },
  [62] = {
    [sym__simple_statements] = STATE(441),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(283),
    [sym__string_start] = ACTIONS(73),
  },
  [63] = {
    [sym__simple_statements] = STATE(400),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(285),
    [sym__string_start] = ACTIONS(73),
  },
  [64] = {
    [sym__simple_statements] = STATE(247),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(287),
    [sym__string_start] = ACTIONS(73),
  },
  [65] = {
    [sym__simple_statements] = STATE(358),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(289),
    [sym__string_start] = ACTIONS(73),
  },
  [66] = {
    [sym__simple_statements] = STATE(386),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(291),
    [sym__string_start] = ACTIONS(73),
  },
  [67] = {
    [sym__simple_statements] = STATE(359),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(293),
    [sym__string_start] = ACTIONS(73),
  },
  [68] = {
    [sym__simple_statements] = STATE(314),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(295),
    [sym__string_start] = ACTIONS(73),
  },
  [69] = {
    [sym__simple_statements] = STATE(409),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(297),
    [sym__string_start] = ACTIONS(73),
  },
  [70] = {
    [sym__simple_statements] = STATE(439),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(299),
    [sym__string_start] = ACTIONS(73),
  },
  [71] = {
    [sym__simple_statements] = STATE(357),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(301),
    [sym__string_start] = ACTIONS(73),
  },
  [72] = {
    [sym__simple_statements] = STATE(431),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(303),
    [sym__string_start] = ACTIONS(73),
  },
  [73] = {
    [sym__simple_statements] = STATE(342),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(305),
    [sym__string_start] = ACTIONS(73),
  },
  [74] = {
    [sym__simple_statements] = STATE(372),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(307),
    [sym__string_start] = ACTIONS(73),
  },
  [75] = {
    [sym__simple_statements] = STATE(747),
    [sym_import_statement] = STATE(827),
    [sym_future_import_statement] = STATE(827),
    [sym_import_from_statement] = STATE(827),
    [sym_print_statement] = STATE(827),
    [sym_assert_statement] = STATE(827),
    [sym_expression_statement] = STATE(827),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(827),
    [sym_delete_statement] = STATE(827),
    [sym_raise_statement] = STATE(827),
    [sym_pass_statement] = STATE(827),
    [sym_break_statement] = STATE(827),
    [sym_continue_statement] = STATE(827),
    [sym_global_statement] = STATE(827),
    [sym_nonlocal_statement] = STATE(827),
    [sym_exec_statement] = STATE(827),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(309),
    [sym__string_start] = ACTIONS(73),
  },
  [76] = {
    [sym__simple_statements] = STATE(428),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(311),
    [sym__string_start] = ACTIONS(73),
  },
  [77] = {
    [sym__simple_statements] = STATE(427),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(313),
    [sym__string_start] = ACTIONS(73),
  },
  [78] = {
    [sym__simple_statements] = STATE(466),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(315),
    [sym__string_start] = ACTIONS(73),
  },
  [79] = {
    [sym__simple_statements] = STATE(437),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(317),
    [sym__string_start] = ACTIONS(73),
  },
  [80] = {
    [sym__simple_statements] = STATE(316),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(319),
    [sym__string_start] = ACTIONS(73),
  },
  [81] = {
    [sym__simple_statements] = STATE(363),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(321),
    [sym__string_start] = ACTIONS(73),
  },
  [82] = {
    [sym__simple_statements] = STATE(378),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(323),
    [sym__string_start] = ACTIONS(73),
  },
  [83] = {
    [sym__simple_statements] = STATE(455),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(325),
    [sym__string_start] = ACTIONS(73),
  },
  [84] = {
    [sym__simple_statements] = STATE(457),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(327),
    [sym__string_start] = ACTIONS(73),
  },
  [85] = {
    [sym__simple_statements] = STATE(307),
    [sym_import_statement] = STATE(812),
    [sym_future_import_statement] = STATE(812),
    [sym_import_from_statement] = STATE(812),
    [sym_print_statement] = STATE(812),
    [sym_assert_statement] = STATE(812),
    [sym_expression_statement] = STATE(812),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(812),
    [sym_delete_statement] = STATE(812),
    [sym_raise_statement] = STATE(812),
    [sym_pass_statement] = STATE(812),
    [sym_break_statement] = STATE(812),
    [sym_continue_statement] = STATE(812),
    [sym_global_statement] = STATE(812),
    [sym_nonlocal_statement] = STATE(812),
    [sym_exec_statement] = STATE(812),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(329),
    [sym__string_start] = ACTIONS(73),
  },
  [86] = {
    [sym__simple_statements] = STATE(406),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(331),
    [sym__string_start] = ACTIONS(73),
  },
  [87] = {
    [sym__simple_statements] = STATE(404),
    [sym_import_statement] = STATE(845),
    [sym_future_import_statement] = STATE(845),
    [sym_import_from_statement] = STATE(845),
    [sym_print_statement] = STATE(845),
    [sym_assert_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(845),
    [sym_delete_statement] = STATE(845),
    [sym_raise_statement] = STATE(845),
    [sym_pass_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_global_statement] = STATE(845),
    [sym_nonlocal_statement] = STATE(845),
    [sym_exec_statement] = STATE(845),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(333),
    [sym__string_start] = ACTIONS(73),
  },
  [88] = {
    [sym__simple_statements] = STATE(754),
    [sym_import_statement] = STATE(827),
    [sym_future_import_statement] = STATE(827),
    [sym_import_from_statement] = STATE(827),
    [sym_print_statement] = STATE(827),
    [sym_assert_statement] = STATE(827),
    [sym_expression_statement] = STATE(827),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(827),
    [sym_delete_statement] = STATE(827),
    [sym_raise_statement] = STATE(827),
    [sym_pass_statement] = STATE(827),
    [sym_break_statement] = STATE(827),
    [sym_continue_statement] = STATE(827),
    [sym_global_statement] = STATE(827),
    [sym_nonlocal_statement] = STATE(827),
    [sym_exec_statement] = STATE(827),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__indent] = ACTIONS(335),
    [sym__string_start] = ACTIONS(73),
  },
  [89] = {
    [sym_import_statement] = STATE(921),
    [sym_future_import_statement] = STATE(921),
    [sym_import_from_statement] = STATE(921),
    [sym_print_statement] = STATE(921),
    [sym_assert_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(921),
    [sym_delete_statement] = STATE(921),
    [sym_raise_statement] = STATE(921),
    [sym_pass_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_global_statement] = STATE(921),
    [sym_nonlocal_statement] = STATE(921),
    [sym_exec_statement] = STATE(921),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(337),
    [sym__string_start] = ACTIONS(73),
  },
  [90] = {
    [sym_import_statement] = STATE(921),
    [sym_future_import_statement] = STATE(921),
    [sym_import_from_statement] = STATE(921),
    [sym_print_statement] = STATE(921),
    [sym_assert_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(921),
    [sym_delete_statement] = STATE(921),
    [sym_raise_statement] = STATE(921),
    [sym_pass_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_global_statement] = STATE(921),
    [sym_nonlocal_statement] = STATE(921),
    [sym_exec_statement] = STATE(921),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__string_start] = ACTIONS(73),
  },
  [91] = {
    [sym_import_statement] = STATE(921),
    [sym_future_import_statement] = STATE(921),
    [sym_import_from_statement] = STATE(921),
    [sym_print_statement] = STATE(921),
    [sym_assert_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(921),
    [sym_delete_statement] = STATE(921),
    [sym_raise_statement] = STATE(921),
    [sym_pass_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_global_statement] = STATE(921),
    [sym_nonlocal_statement] = STATE(921),
    [sym_exec_statement] = STATE(921),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(341),
    [sym__string_start] = ACTIONS(73),
  },
  [92] = {
    [sym_import_statement] = STATE(921),
    [sym_future_import_statement] = STATE(921),
    [sym_import_from_statement] = STATE(921),
    [sym_print_statement] = STATE(921),
    [sym_assert_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(921),
    [sym_delete_statement] = STATE(921),
    [sym_raise_statement] = STATE(921),
    [sym_pass_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_global_statement] = STATE(921),
    [sym_nonlocal_statement] = STATE(921),
    [sym_exec_statement] = STATE(921),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__string_start] = ACTIONS(73),
  },
  [93] = {
    [sym_import_statement] = STATE(921),
    [sym_future_import_statement] = STATE(921),
    [sym_import_from_statement] = STATE(921),
    [sym_print_statement] = STATE(921),
    [sym_assert_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(921),
    [sym_delete_statement] = STATE(921),
    [sym_raise_statement] = STATE(921),
    [sym_pass_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_global_statement] = STATE(921),
    [sym_nonlocal_statement] = STATE(921),
    [sym_exec_statement] = STATE(921),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(345),
    [sym__string_start] = ACTIONS(73),
  },
  [94] = {
    [sym_import_statement] = STATE(921),
    [sym_future_import_statement] = STATE(921),
    [sym_import_from_statement] = STATE(921),
    [sym_print_statement] = STATE(921),
    [sym_assert_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(921),
    [sym_delete_statement] = STATE(921),
    [sym_raise_statement] = STATE(921),
    [sym_pass_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_global_statement] = STATE(921),
    [sym_nonlocal_statement] = STATE(921),
    [sym_exec_statement] = STATE(921),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__string_start] = ACTIONS(73),
  },
  [95] = {
    [sym_import_statement] = STATE(921),
    [sym_future_import_statement] = STATE(921),
    [sym_import_from_statement] = STATE(921),
    [sym_print_statement] = STATE(921),
    [sym_assert_statement] = STATE(921),
    [sym_expression_statement] = STATE(921),
    [sym_named_expression] = STATE(602),
    [sym_return_statement] = STATE(921),
    [sym_delete_statement] = STATE(921),
    [sym_raise_statement] = STATE(921),
    [sym_pass_statement] = STATE(921),
    [sym_break_statement] = STATE(921),
    [sym_continue_statement] = STATE(921),
    [sym_global_statement] = STATE(921),
    [sym_nonlocal_statement] = STATE(921),
    [sym_exec_statement] = STATE(921),
    [sym_expression_list] = STATE(618),
    [sym__expression] = STATE(602),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(602),
    [sym_boolean_operator] = STATE(602),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(602),
    [sym_lambda] = STATE(602),
    [sym_assignment] = STATE(940),
    [sym_augmented_assignment] = STATE(940),
    [sym_yield] = STATE(940),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(602),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(602),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_testimportlegesher] = ACTIONS(9),
    [anon_sym_testfromlegesher] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(15),
    [anon_sym_testassertlegesher] = ACTIONS(17),
    [anon_sym_testreturnlegesher] = ACTIONS(19),
    [anon_sym_testdellegesher] = ACTIONS(21),
    [anon_sym_testraiselegesher] = ACTIONS(23),
    [anon_sym_testpasslegesher] = ACTIONS(25),
    [anon_sym_testbreaklegesher] = ACTIONS(27),
    [anon_sym_testcontinuelegesher] = ACTIONS(29),
    [anon_sym_testgloballegesher] = ACTIONS(45),
    [anon_sym_testnonlocallegesher] = ACTIONS(47),
    [anon_sym_testexeclegesher] = ACTIONS(49),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [96] = {
    [sym_named_expression] = STATE(609),
    [sym__expression] = STATE(609),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(609),
    [sym_boolean_operator] = STATE(609),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(609),
    [sym_lambda] = STATE(609),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(609),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(609),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_COLON] = ACTIONS(351),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_DASH] = ACTIONS(353),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_PLUS_EQ] = ACTIONS(351),
    [anon_sym_DASH_EQ] = ACTIONS(351),
    [anon_sym_STAR_EQ] = ACTIONS(351),
    [anon_sym_SLASH_EQ] = ACTIONS(351),
    [anon_sym_AT_EQ] = ACTIONS(351),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(351),
    [anon_sym_PERCENT_EQ] = ACTIONS(351),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(351),
    [anon_sym_GT_GT_EQ] = ACTIONS(351),
    [anon_sym_LT_LT_EQ] = ACTIONS(351),
    [anon_sym_AMP_EQ] = ACTIONS(351),
    [anon_sym_CARET_EQ] = ACTIONS(351),
    [anon_sym_PIPE_EQ] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__string_start] = ACTIONS(73),
  },
  [97] = {
    [sym_named_expression] = STATE(609),
    [sym__expression] = STATE(609),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(609),
    [sym_boolean_operator] = STATE(609),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(609),
    [sym_lambda] = STATE(609),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(609),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(609),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_COLON] = ACTIONS(355),
    [anon_sym_EQ] = ACTIONS(355),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_DASH] = ACTIONS(353),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_PLUS_EQ] = ACTIONS(355),
    [anon_sym_DASH_EQ] = ACTIONS(355),
    [anon_sym_STAR_EQ] = ACTIONS(355),
    [anon_sym_SLASH_EQ] = ACTIONS(355),
    [anon_sym_AT_EQ] = ACTIONS(355),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(355),
    [anon_sym_PERCENT_EQ] = ACTIONS(355),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(355),
    [anon_sym_GT_GT_EQ] = ACTIONS(355),
    [anon_sym_LT_LT_EQ] = ACTIONS(355),
    [anon_sym_AMP_EQ] = ACTIONS(355),
    [anon_sym_CARET_EQ] = ACTIONS(355),
    [anon_sym_PIPE_EQ] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__string_start] = ACTIONS(73),
  },
  [98] = {
    [sym_named_expression] = STATE(609),
    [sym__expression] = STATE(609),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(609),
    [sym_boolean_operator] = STATE(609),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(609),
    [sym_lambda] = STATE(609),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(609),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(609),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_COLON] = ACTIONS(351),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_DASH] = ACTIONS(353),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_PLUS_EQ] = ACTIONS(351),
    [anon_sym_DASH_EQ] = ACTIONS(351),
    [anon_sym_STAR_EQ] = ACTIONS(351),
    [anon_sym_SLASH_EQ] = ACTIONS(351),
    [anon_sym_AT_EQ] = ACTIONS(351),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(351),
    [anon_sym_PERCENT_EQ] = ACTIONS(351),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(351),
    [anon_sym_GT_GT_EQ] = ACTIONS(351),
    [anon_sym_LT_LT_EQ] = ACTIONS(351),
    [anon_sym_AMP_EQ] = ACTIONS(351),
    [anon_sym_CARET_EQ] = ACTIONS(351),
    [anon_sym_PIPE_EQ] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(357),
    [sym__newline] = ACTIONS(357),
    [sym__string_start] = ACTIONS(73),
  },
  [99] = {
    [sym_named_expression] = STATE(609),
    [sym__expression] = STATE(609),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(609),
    [sym_boolean_operator] = STATE(609),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(609),
    [sym_lambda] = STATE(609),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(609),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(609),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_COLON] = ACTIONS(355),
    [anon_sym_EQ] = ACTIONS(355),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_DASH] = ACTIONS(353),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_PLUS_EQ] = ACTIONS(355),
    [anon_sym_DASH_EQ] = ACTIONS(355),
    [anon_sym_STAR_EQ] = ACTIONS(355),
    [anon_sym_SLASH_EQ] = ACTIONS(355),
    [anon_sym_AT_EQ] = ACTIONS(355),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(355),
    [anon_sym_PERCENT_EQ] = ACTIONS(355),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(355),
    [anon_sym_GT_GT_EQ] = ACTIONS(355),
    [anon_sym_LT_LT_EQ] = ACTIONS(355),
    [anon_sym_AMP_EQ] = ACTIONS(355),
    [anon_sym_CARET_EQ] = ACTIONS(355),
    [anon_sym_PIPE_EQ] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(359),
    [sym__newline] = ACTIONS(359),
    [sym__string_start] = ACTIONS(73),
  },
  [100] = {
    [sym_named_expression] = STATE(657),
    [sym__expression_within_for_in_clause] = STATE(684),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_lambda_within_for_in_clause] = STATE(684),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(657),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testiflegesher] = ACTIONS(369),
    [anon_sym_testasynclegesher] = ACTIONS(369),
    [anon_sym_testforlegesher] = ACTIONS(369),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(365),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(365),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [101] = {
    [sym_named_expression] = STATE(657),
    [sym__expression_within_for_in_clause] = STATE(684),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_lambda_within_for_in_clause] = STATE(684),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(657),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(389),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testiflegesher] = ACTIONS(391),
    [anon_sym_testasynclegesher] = ACTIONS(391),
    [anon_sym_testforlegesher] = ACTIONS(391),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(389),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(389),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [102] = {
    [sym_named_expression] = STATE(657),
    [sym__expression_within_for_in_clause] = STATE(684),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_lambda_within_for_in_clause] = STATE(684),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(657),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(393),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testiflegesher] = ACTIONS(395),
    [anon_sym_testasynclegesher] = ACTIONS(395),
    [anon_sym_testforlegesher] = ACTIONS(395),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(393),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(393),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [103] = {
    [sym_named_expression] = STATE(657),
    [sym__expression_within_for_in_clause] = STATE(684),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_lambda_within_for_in_clause] = STATE(684),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(657),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(397),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testiflegesher] = ACTIONS(399),
    [anon_sym_testasynclegesher] = ACTIONS(399),
    [anon_sym_testforlegesher] = ACTIONS(399),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(397),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(397),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [104] = {
    [sym_named_expression] = STATE(600),
    [sym_expression_list] = STATE(617),
    [sym__expression] = STATE(600),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(600),
    [sym_boolean_operator] = STATE(600),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(600),
    [sym_lambda] = STATE(600),
    [sym_assignment] = STATE(935),
    [sym_augmented_assignment] = STATE(935),
    [sym__right_hand_side] = STATE(935),
    [sym_yield] = STATE(935),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(600),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(600),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [105] = {
    [sym_string] = STATE(105),
    [aux_sym_concatenated_string_repeat1] = STATE(105),
    [anon_sym_DOT] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_COMMA] = ACTIONS(401),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_GT_GT] = ACTIONS(403),
    [anon_sym_testiflegesher] = ACTIONS(401),
    [anon_sym_COLON] = ACTIONS(401),
    [anon_sym_testinlegesher] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_testnotlegesher] = ACTIONS(401),
    [anon_sym_testandlegesher] = ACTIONS(401),
    [anon_sym_testorlegesher] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(403),
    [anon_sym_DASH] = ACTIONS(403),
    [anon_sym_SLASH] = ACTIONS(403),
    [anon_sym_PERCENT] = ACTIONS(403),
    [anon_sym_SLASH_SLASH] = ACTIONS(403),
    [anon_sym_STAR_STAR] = ACTIONS(403),
    [anon_sym_PIPE] = ACTIONS(403),
    [anon_sym_AMP] = ACTIONS(403),
    [anon_sym_CARET] = ACTIONS(403),
    [anon_sym_LT_LT] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(403),
    [anon_sym_LT_EQ] = ACTIONS(401),
    [anon_sym_EQ_EQ] = ACTIONS(401),
    [anon_sym_BANG_EQ] = ACTIONS(401),
    [anon_sym_GT_EQ] = ACTIONS(401),
    [anon_sym_GT] = ACTIONS(403),
    [anon_sym_LT_GT] = ACTIONS(401),
    [anon_sym_testislegesher] = ACTIONS(401),
    [anon_sym_PLUS_EQ] = ACTIONS(401),
    [anon_sym_DASH_EQ] = ACTIONS(401),
    [anon_sym_STAR_EQ] = ACTIONS(401),
    [anon_sym_SLASH_EQ] = ACTIONS(401),
    [anon_sym_AT_EQ] = ACTIONS(401),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(401),
    [anon_sym_PERCENT_EQ] = ACTIONS(401),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(401),
    [anon_sym_GT_GT_EQ] = ACTIONS(401),
    [anon_sym_LT_LT_EQ] = ACTIONS(401),
    [anon_sym_AMP_EQ] = ACTIONS(401),
    [anon_sym_CARET_EQ] = ACTIONS(401),
    [anon_sym_PIPE_EQ] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(401),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(401),
    [sym__newline] = ACTIONS(401),
    [sym__string_start] = ACTIONS(405),
  },
  [106] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [aux_sym_comparison_operator_repeat1] = STATE(596),
    [anon_sym_DOT] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(416),
    [anon_sym_testiflegesher] = ACTIONS(412),
    [anon_sym_COLON] = ACTIONS(412),
    [anon_sym_testinlegesher] = ACTIONS(418),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(422),
    [anon_sym_testandlegesher] = ACTIONS(412),
    [anon_sym_testorlegesher] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_AMP] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(432),
    [anon_sym_LT_LT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(434),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(434),
    [anon_sym_LT_GT] = ACTIONS(418),
    [anon_sym_testislegesher] = ACTIONS(436),
    [anon_sym_PLUS_EQ] = ACTIONS(412),
    [anon_sym_DASH_EQ] = ACTIONS(412),
    [anon_sym_STAR_EQ] = ACTIONS(412),
    [anon_sym_SLASH_EQ] = ACTIONS(412),
    [anon_sym_AT_EQ] = ACTIONS(412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(412),
    [anon_sym_PERCENT_EQ] = ACTIONS(412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(412),
    [anon_sym_GT_GT_EQ] = ACTIONS(412),
    [anon_sym_LT_LT_EQ] = ACTIONS(412),
    [anon_sym_AMP_EQ] = ACTIONS(412),
    [anon_sym_CARET_EQ] = ACTIONS(412),
    [anon_sym_PIPE_EQ] = ACTIONS(412),
    [anon_sym_LBRACK] = ACTIONS(438),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(412),
    [sym__newline] = ACTIONS(412),
  },
  [107] = {
    [sym_named_expression] = STATE(600),
    [sym_expression_list] = STATE(617),
    [sym__expression] = STATE(600),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(600),
    [sym_boolean_operator] = STATE(600),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(600),
    [sym_lambda] = STATE(600),
    [sym_assignment] = STATE(917),
    [sym_augmented_assignment] = STATE(917),
    [sym__right_hand_side] = STATE(917),
    [sym_yield] = STATE(917),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(600),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(600),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [108] = {
    [sym_named_expression] = STATE(600),
    [sym_expression_list] = STATE(617),
    [sym__expression] = STATE(600),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(600),
    [sym_boolean_operator] = STATE(600),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(600),
    [sym_lambda] = STATE(600),
    [sym_assignment] = STATE(909),
    [sym_augmented_assignment] = STATE(909),
    [sym__right_hand_side] = STATE(909),
    [sym_yield] = STATE(909),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(600),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(600),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_testyieldlegesher] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [109] = {
    [sym_named_expression] = STATE(647),
    [sym_list_splat] = STATE(875),
    [sym_dictionary_splat] = STATE(875),
    [sym__expression] = STATE(647),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(647),
    [sym_boolean_operator] = STATE(647),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(647),
    [sym_lambda] = STATE(647),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(875),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(647),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(647),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [110] = {
    [sym_named_expression] = STATE(641),
    [sym_list_splat] = STATE(839),
    [sym_dictionary_splat] = STATE(840),
    [sym__expression] = STATE(641),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(641),
    [sym_boolean_operator] = STATE(641),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(641),
    [sym_lambda] = STATE(641),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(695),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(641),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(641),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(454),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [111] = {
    [sym_string] = STATE(105),
    [aux_sym_concatenated_string_repeat1] = STATE(105),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_testiflegesher] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(456),
    [anon_sym_testinlegesher] = ACTIONS(456),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_testnotlegesher] = ACTIONS(456),
    [anon_sym_testandlegesher] = ACTIONS(456),
    [anon_sym_testorlegesher] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_SLASH_SLASH] = ACTIONS(458),
    [anon_sym_STAR_STAR] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_LT_GT] = ACTIONS(456),
    [anon_sym_testislegesher] = ACTIONS(456),
    [anon_sym_PLUS_EQ] = ACTIONS(456),
    [anon_sym_DASH_EQ] = ACTIONS(456),
    [anon_sym_STAR_EQ] = ACTIONS(456),
    [anon_sym_SLASH_EQ] = ACTIONS(456),
    [anon_sym_AT_EQ] = ACTIONS(456),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(456),
    [anon_sym_PERCENT_EQ] = ACTIONS(456),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(456),
    [anon_sym_GT_GT_EQ] = ACTIONS(456),
    [anon_sym_LT_LT_EQ] = ACTIONS(456),
    [anon_sym_AMP_EQ] = ACTIONS(456),
    [anon_sym_CARET_EQ] = ACTIONS(456),
    [anon_sym_PIPE_EQ] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(456),
    [sym__newline] = ACTIONS(456),
    [sym__string_start] = ACTIONS(73),
  },
  [112] = {
    [sym_named_expression] = STATE(646),
    [sym_list_splat] = STATE(897),
    [sym_dictionary_splat] = STATE(897),
    [sym__expression] = STATE(646),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(646),
    [sym_boolean_operator] = STATE(646),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(646),
    [sym_lambda] = STATE(646),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(897),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(646),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(646),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(462),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [113] = {
    [sym_named_expression] = STATE(642),
    [sym_list_splat] = STATE(835),
    [sym_dictionary_splat] = STATE(834),
    [sym__expression] = STATE(642),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(642),
    [sym_boolean_operator] = STATE(642),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(642),
    [sym_lambda] = STATE(642),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(691),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(642),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(642),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(466),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [114] = {
    [sym_named_expression] = STATE(700),
    [sym_list_splat] = STATE(897),
    [sym_dictionary_splat] = STATE(897),
    [sym__expression] = STATE(700),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(700),
    [sym_boolean_operator] = STATE(700),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(700),
    [sym_lambda] = STATE(700),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(897),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(700),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(700),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(462),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [115] = {
    [sym_named_expression] = STATE(727),
    [sym_list_splat] = STATE(875),
    [sym_dictionary_splat] = STATE(875),
    [sym__expression] = STATE(727),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(875),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [116] = {
    [sym_named_expression] = STATE(640),
    [sym_list_splat] = STATE(859),
    [sym_dictionary_splat] = STATE(858),
    [sym__expression] = STATE(640),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(640),
    [sym_boolean_operator] = STATE(640),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(640),
    [sym_lambda] = STATE(640),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(679),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(640),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(640),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(470),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [117] = {
    [sym_named_expression] = STATE(653),
    [sym_list_splat] = STATE(860),
    [sym_dictionary_splat] = STATE(860),
    [sym__expression] = STATE(653),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(653),
    [sym_boolean_operator] = STATE(653),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(653),
    [sym_lambda] = STATE(653),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(860),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(653),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(653),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(472),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [118] = {
    [sym_string] = STATE(111),
    [aux_sym_concatenated_string_repeat1] = STATE(111),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_testiflegesher] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(476),
    [anon_sym_testinlegesher] = ACTIONS(476),
    [anon_sym_EQ] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(478),
    [anon_sym_testnotlegesher] = ACTIONS(476),
    [anon_sym_testandlegesher] = ACTIONS(476),
    [anon_sym_testorlegesher] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(478),
    [anon_sym_SLASH_SLASH] = ACTIONS(478),
    [anon_sym_STAR_STAR] = ACTIONS(478),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(478),
    [anon_sym_LT_LT] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT_GT] = ACTIONS(476),
    [anon_sym_testislegesher] = ACTIONS(476),
    [anon_sym_PLUS_EQ] = ACTIONS(476),
    [anon_sym_DASH_EQ] = ACTIONS(476),
    [anon_sym_STAR_EQ] = ACTIONS(476),
    [anon_sym_SLASH_EQ] = ACTIONS(476),
    [anon_sym_AT_EQ] = ACTIONS(476),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(476),
    [anon_sym_PERCENT_EQ] = ACTIONS(476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(476),
    [anon_sym_GT_GT_EQ] = ACTIONS(476),
    [anon_sym_LT_LT_EQ] = ACTIONS(476),
    [anon_sym_AMP_EQ] = ACTIONS(476),
    [anon_sym_CARET_EQ] = ACTIONS(476),
    [anon_sym_PIPE_EQ] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(476),
    [sym__newline] = ACTIONS(476),
    [sym__string_start] = ACTIONS(73),
  },
  [119] = {
    [sym_named_expression] = STATE(736),
    [sym_list_splat] = STATE(936),
    [sym_dictionary_splat] = STATE(936),
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(736),
    [sym_boolean_operator] = STATE(736),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(736),
    [sym_lambda] = STATE(736),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(936),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(736),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(736),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(480),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [120] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(484),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(484),
    [anon_sym_SLASH_SLASH] = ACTIONS(484),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_LT_LT] = ACTIONS(484),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_AT_EQ] = ACTIONS(482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(482),
    [anon_sym_PERCENT_EQ] = ACTIONS(482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(482),
    [anon_sym_GT_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_LT_EQ] = ACTIONS(482),
    [anon_sym_AMP_EQ] = ACTIONS(482),
    [anon_sym_CARET_EQ] = ACTIONS(482),
    [anon_sym_PIPE_EQ] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [121] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_GT_GT] = ACTIONS(488),
    [anon_sym_testiflegesher] = ACTIONS(486),
    [anon_sym_COLON] = ACTIONS(486),
    [anon_sym_testinlegesher] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(488),
    [anon_sym_AT] = ACTIONS(488),
    [anon_sym_testnotlegesher] = ACTIONS(486),
    [anon_sym_testandlegesher] = ACTIONS(486),
    [anon_sym_testorlegesher] = ACTIONS(486),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(488),
    [anon_sym_SLASH_SLASH] = ACTIONS(488),
    [anon_sym_STAR_STAR] = ACTIONS(488),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_AMP] = ACTIONS(488),
    [anon_sym_CARET] = ACTIONS(488),
    [anon_sym_LT_LT] = ACTIONS(488),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_LT_GT] = ACTIONS(486),
    [anon_sym_testislegesher] = ACTIONS(486),
    [anon_sym_PLUS_EQ] = ACTIONS(486),
    [anon_sym_DASH_EQ] = ACTIONS(486),
    [anon_sym_STAR_EQ] = ACTIONS(486),
    [anon_sym_SLASH_EQ] = ACTIONS(486),
    [anon_sym_AT_EQ] = ACTIONS(486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(486),
    [anon_sym_PERCENT_EQ] = ACTIONS(486),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(486),
    [anon_sym_GT_GT_EQ] = ACTIONS(486),
    [anon_sym_LT_LT_EQ] = ACTIONS(486),
    [anon_sym_AMP_EQ] = ACTIONS(486),
    [anon_sym_CARET_EQ] = ACTIONS(486),
    [anon_sym_PIPE_EQ] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(486),
    [sym__newline] = ACTIONS(486),
  },
  [122] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(416),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_LT_LT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_AT_EQ] = ACTIONS(482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(482),
    [anon_sym_PERCENT_EQ] = ACTIONS(482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(482),
    [anon_sym_GT_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_LT_EQ] = ACTIONS(482),
    [anon_sym_AMP_EQ] = ACTIONS(482),
    [anon_sym_CARET_EQ] = ACTIONS(482),
    [anon_sym_PIPE_EQ] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [123] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(416),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(432),
    [anon_sym_LT_LT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_AT_EQ] = ACTIONS(482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(482),
    [anon_sym_PERCENT_EQ] = ACTIONS(482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(482),
    [anon_sym_GT_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_LT_EQ] = ACTIONS(482),
    [anon_sym_AMP_EQ] = ACTIONS(482),
    [anon_sym_CARET_EQ] = ACTIONS(482),
    [anon_sym_PIPE_EQ] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [124] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(416),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(432),
    [anon_sym_LT_LT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_AT_EQ] = ACTIONS(482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(482),
    [anon_sym_PERCENT_EQ] = ACTIONS(482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(482),
    [anon_sym_GT_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_LT_EQ] = ACTIONS(482),
    [anon_sym_AMP_EQ] = ACTIONS(482),
    [anon_sym_CARET_EQ] = ACTIONS(482),
    [anon_sym_PIPE_EQ] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [125] = {
    [sym_named_expression] = STATE(736),
    [sym_list_splat] = STATE(936),
    [sym_dictionary_splat] = STATE(936),
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(736),
    [sym_boolean_operator] = STATE(736),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(736),
    [sym_lambda] = STATE(736),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(936),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(736),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(736),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(490),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [126] = {
    [sym_named_expression] = STATE(662),
    [sym__expression] = STATE(662),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(662),
    [sym_boolean_operator] = STATE(662),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(662),
    [sym_lambda] = STATE(662),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(662),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(662),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(492),
    [anon_sym_COMMA] = ACTIONS(492),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(492),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(492),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [127] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(484),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(484),
    [anon_sym_SLASH_SLASH] = ACTIONS(484),
    [anon_sym_STAR_STAR] = ACTIONS(484),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_LT_LT] = ACTIONS(484),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_AT_EQ] = ACTIONS(482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(482),
    [anon_sym_PERCENT_EQ] = ACTIONS(482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(482),
    [anon_sym_GT_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_LT_EQ] = ACTIONS(482),
    [anon_sym_AMP_EQ] = ACTIONS(482),
    [anon_sym_CARET_EQ] = ACTIONS(482),
    [anon_sym_PIPE_EQ] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [128] = {
    [sym_named_expression] = STATE(736),
    [sym_list_splat] = STATE(936),
    [sym_dictionary_splat] = STATE(936),
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(736),
    [sym_boolean_operator] = STATE(736),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(736),
    [sym_lambda] = STATE(736),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(936),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(736),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(736),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [129] = {
    [sym_string] = STATE(892),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_testiflegesher] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(237),
    [anon_sym_testinlegesher] = ACTIONS(237),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_AT] = ACTIONS(235),
    [anon_sym_testnotlegesher] = ACTIONS(237),
    [anon_sym_testandlegesher] = ACTIONS(237),
    [anon_sym_testorlegesher] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_SLASH_SLASH] = ACTIONS(235),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_GT] = ACTIONS(237),
    [anon_sym_testislegesher] = ACTIONS(237),
    [anon_sym_PLUS_EQ] = ACTIONS(237),
    [anon_sym_DASH_EQ] = ACTIONS(237),
    [anon_sym_STAR_EQ] = ACTIONS(237),
    [anon_sym_SLASH_EQ] = ACTIONS(237),
    [anon_sym_AT_EQ] = ACTIONS(237),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(237),
    [anon_sym_PERCENT_EQ] = ACTIONS(237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(237),
    [anon_sym_GT_GT_EQ] = ACTIONS(237),
    [anon_sym_LT_LT_EQ] = ACTIONS(237),
    [anon_sym_AMP_EQ] = ACTIONS(237),
    [anon_sym_CARET_EQ] = ACTIONS(237),
    [anon_sym_PIPE_EQ] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(237),
    [sym__newline] = ACTIONS(237),
    [sym__string_start] = ACTIONS(498),
  },
  [130] = {
    [sym_named_expression] = STATE(736),
    [sym_list_splat] = STATE(936),
    [sym_dictionary_splat] = STATE(936),
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(736),
    [sym_boolean_operator] = STATE(736),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(736),
    [sym_lambda] = STATE(736),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(936),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(736),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(736),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(500),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [131] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_LT_LT] = ACTIONS(484),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_AT_EQ] = ACTIONS(482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(482),
    [anon_sym_PERCENT_EQ] = ACTIONS(482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(482),
    [anon_sym_GT_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_LT_EQ] = ACTIONS(482),
    [anon_sym_AMP_EQ] = ACTIONS(482),
    [anon_sym_CARET_EQ] = ACTIONS(482),
    [anon_sym_PIPE_EQ] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [132] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(416),
    [anon_sym_testiflegesher] = ACTIONS(502),
    [anon_sym_COLON] = ACTIONS(502),
    [anon_sym_testinlegesher] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(502),
    [anon_sym_testandlegesher] = ACTIONS(502),
    [anon_sym_testorlegesher] = ACTIONS(502),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_AMP] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(432),
    [anon_sym_LT_LT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(504),
    [anon_sym_LT_EQ] = ACTIONS(502),
    [anon_sym_EQ_EQ] = ACTIONS(502),
    [anon_sym_BANG_EQ] = ACTIONS(502),
    [anon_sym_GT_EQ] = ACTIONS(502),
    [anon_sym_GT] = ACTIONS(504),
    [anon_sym_LT_GT] = ACTIONS(502),
    [anon_sym_testislegesher] = ACTIONS(502),
    [anon_sym_PLUS_EQ] = ACTIONS(502),
    [anon_sym_DASH_EQ] = ACTIONS(502),
    [anon_sym_STAR_EQ] = ACTIONS(502),
    [anon_sym_SLASH_EQ] = ACTIONS(502),
    [anon_sym_AT_EQ] = ACTIONS(502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(502),
    [anon_sym_PERCENT_EQ] = ACTIONS(502),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(502),
    [anon_sym_GT_GT_EQ] = ACTIONS(502),
    [anon_sym_LT_LT_EQ] = ACTIONS(502),
    [anon_sym_AMP_EQ] = ACTIONS(502),
    [anon_sym_CARET_EQ] = ACTIONS(502),
    [anon_sym_PIPE_EQ] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(438),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(502),
    [sym__newline] = ACTIONS(502),
  },
  [133] = {
    [sym_named_expression] = STATE(736),
    [sym_list_splat] = STATE(936),
    [sym_dictionary_splat] = STATE(936),
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(736),
    [sym_boolean_operator] = STATE(736),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(736),
    [sym_lambda] = STATE(736),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(936),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(736),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(736),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(506),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [134] = {
    [sym_named_expression] = STATE(736),
    [sym_list_splat] = STATE(936),
    [sym_dictionary_splat] = STATE(936),
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(736),
    [sym_boolean_operator] = STATE(736),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(736),
    [sym_lambda] = STATE(736),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(936),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(736),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(736),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [135] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(416),
    [anon_sym_testiflegesher] = ACTIONS(510),
    [anon_sym_COLON] = ACTIONS(510),
    [anon_sym_testinlegesher] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(510),
    [anon_sym_testandlegesher] = ACTIONS(510),
    [anon_sym_testorlegesher] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_AMP] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(432),
    [anon_sym_LT_LT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_LT_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_GT_EQ] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_LT_GT] = ACTIONS(510),
    [anon_sym_testislegesher] = ACTIONS(510),
    [anon_sym_PLUS_EQ] = ACTIONS(510),
    [anon_sym_DASH_EQ] = ACTIONS(510),
    [anon_sym_STAR_EQ] = ACTIONS(510),
    [anon_sym_SLASH_EQ] = ACTIONS(510),
    [anon_sym_AT_EQ] = ACTIONS(510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(510),
    [anon_sym_PERCENT_EQ] = ACTIONS(510),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(510),
    [anon_sym_GT_GT_EQ] = ACTIONS(510),
    [anon_sym_LT_LT_EQ] = ACTIONS(510),
    [anon_sym_AMP_EQ] = ACTIONS(510),
    [anon_sym_CARET_EQ] = ACTIONS(510),
    [anon_sym_PIPE_EQ] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(438),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(510),
    [sym__newline] = ACTIONS(510),
  },
  [136] = {
    [sym_argument_list] = STATE(184),
    [sym_generator_expression] = STATE(184),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(414),
    [anon_sym_SLASH_SLASH] = ACTIONS(414),
    [anon_sym_STAR_STAR] = ACTIONS(426),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_LT_LT] = ACTIONS(484),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_AT_EQ] = ACTIONS(482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(482),
    [anon_sym_PERCENT_EQ] = ACTIONS(482),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(482),
    [anon_sym_GT_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_LT_EQ] = ACTIONS(482),
    [anon_sym_AMP_EQ] = ACTIONS(482),
    [anon_sym_CARET_EQ] = ACTIONS(482),
    [anon_sym_PIPE_EQ] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [137] = {
    [sym_named_expression] = STATE(650),
    [sym__expression] = STATE(650),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(650),
    [sym_boolean_operator] = STATE(650),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(650),
    [sym_lambda] = STATE(650),
    [sym_yield] = STATE(885),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(650),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(650),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(514),
    [anon_sym_COMMA] = ACTIONS(516),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [138] = {
    [sym_else_clause] = STATE(379),
    [sym_except_clause] = STATE(226),
    [sym_finally_clause] = STATE(461),
    [aux_sym_try_statement_repeat1] = STATE(226),
    [ts_builtin_sym_end] = ACTIONS(520),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_testimportlegesher] = ACTIONS(522),
    [anon_sym_testfromlegesher] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_testprintlegesher] = ACTIONS(522),
    [anon_sym_testassertlegesher] = ACTIONS(522),
    [anon_sym_testreturnlegesher] = ACTIONS(522),
    [anon_sym_testdellegesher] = ACTIONS(522),
    [anon_sym_testraiselegesher] = ACTIONS(522),
    [anon_sym_testpasslegesher] = ACTIONS(522),
    [anon_sym_testbreaklegesher] = ACTIONS(522),
    [anon_sym_testcontinuelegesher] = ACTIONS(522),
    [anon_sym_testiflegesher] = ACTIONS(522),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(522),
    [anon_sym_testforlegesher] = ACTIONS(522),
    [anon_sym_testwhilelegesher] = ACTIONS(522),
    [anon_sym_testtrylegesher] = ACTIONS(522),
    [anon_sym_testexceptlegesher] = ACTIONS(526),
    [anon_sym_testfinallylegesher] = ACTIONS(528),
    [anon_sym_testwithlegesher] = ACTIONS(522),
    [anon_sym_testdeflegesher] = ACTIONS(522),
    [anon_sym_testgloballegesher] = ACTIONS(522),
    [anon_sym_testnonlocallegesher] = ACTIONS(522),
    [anon_sym_testexeclegesher] = ACTIONS(522),
    [anon_sym_testclasslegesher] = ACTIONS(522),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_testnotlegesher] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_testlambdalegesher] = ACTIONS(522),
    [anon_sym_testyieldlegesher] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(520),
    [sym_ellipsis] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(520),
    [sym_integer] = ACTIONS(522),
    [sym_float] = ACTIONS(520),
    [sym_true] = ACTIONS(522),
    [sym_false] = ACTIONS(522),
    [sym_none] = ACTIONS(522),
    [anon_sym_testawaitlegesher] = ACTIONS(522),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(520),
  },
  [139] = {
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_testiflegesher] = ACTIONS(530),
    [anon_sym_COLON] = ACTIONS(530),
    [anon_sym_testinlegesher] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(532),
    [anon_sym_testnotlegesher] = ACTIONS(530),
    [anon_sym_testandlegesher] = ACTIONS(530),
    [anon_sym_testorlegesher] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(532),
    [anon_sym_SLASH_SLASH] = ACTIONS(532),
    [anon_sym_STAR_STAR] = ACTIONS(532),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_AMP] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_GT] = ACTIONS(530),
    [anon_sym_testislegesher] = ACTIONS(530),
    [anon_sym_PLUS_EQ] = ACTIONS(530),
    [anon_sym_DASH_EQ] = ACTIONS(530),
    [anon_sym_STAR_EQ] = ACTIONS(530),
    [anon_sym_SLASH_EQ] = ACTIONS(530),
    [anon_sym_AT_EQ] = ACTIONS(530),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(530),
    [anon_sym_PERCENT_EQ] = ACTIONS(530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(530),
    [anon_sym_GT_GT_EQ] = ACTIONS(530),
    [anon_sym_LT_LT_EQ] = ACTIONS(530),
    [anon_sym_AMP_EQ] = ACTIONS(530),
    [anon_sym_CARET_EQ] = ACTIONS(530),
    [anon_sym_PIPE_EQ] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(530),
    [sym__newline] = ACTIONS(530),
    [sym__string_start] = ACTIONS(530),
  },
  [140] = {
    [sym_else_clause] = STATE(374),
    [sym_except_clause] = STATE(225),
    [sym_finally_clause] = STATE(397),
    [aux_sym_try_statement_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(534),
    [anon_sym_testimportlegesher] = ACTIONS(534),
    [anon_sym_testfromlegesher] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_testprintlegesher] = ACTIONS(534),
    [anon_sym_testassertlegesher] = ACTIONS(534),
    [anon_sym_testreturnlegesher] = ACTIONS(534),
    [anon_sym_testdellegesher] = ACTIONS(534),
    [anon_sym_testraiselegesher] = ACTIONS(534),
    [anon_sym_testpasslegesher] = ACTIONS(534),
    [anon_sym_testbreaklegesher] = ACTIONS(534),
    [anon_sym_testcontinuelegesher] = ACTIONS(534),
    [anon_sym_testiflegesher] = ACTIONS(534),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(534),
    [anon_sym_testforlegesher] = ACTIONS(534),
    [anon_sym_testwhilelegesher] = ACTIONS(534),
    [anon_sym_testtrylegesher] = ACTIONS(534),
    [anon_sym_testexceptlegesher] = ACTIONS(540),
    [anon_sym_testfinallylegesher] = ACTIONS(542),
    [anon_sym_testwithlegesher] = ACTIONS(534),
    [anon_sym_testdeflegesher] = ACTIONS(534),
    [anon_sym_testgloballegesher] = ACTIONS(534),
    [anon_sym_testnonlocallegesher] = ACTIONS(534),
    [anon_sym_testexeclegesher] = ACTIONS(534),
    [anon_sym_testclasslegesher] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(536),
    [anon_sym_testnotlegesher] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(536),
    [anon_sym_testlambdalegesher] = ACTIONS(534),
    [anon_sym_testyieldlegesher] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(536),
    [sym_ellipsis] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [sym_integer] = ACTIONS(534),
    [sym_float] = ACTIONS(536),
    [sym_true] = ACTIONS(534),
    [sym_false] = ACTIONS(534),
    [sym_none] = ACTIONS(534),
    [anon_sym_testawaitlegesher] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(536),
    [sym__string_start] = ACTIONS(536),
  },
  [141] = {
    [sym_named_expression] = STATE(791),
    [sym_dictionary_splat] = STATE(914),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(791),
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(914),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(791),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(791),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(546),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [142] = {
    [anon_sym_DOT] = ACTIONS(548),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_COMMA] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(550),
    [anon_sym_testiflegesher] = ACTIONS(548),
    [anon_sym_COLON] = ACTIONS(548),
    [anon_sym_testinlegesher] = ACTIONS(548),
    [anon_sym_EQ] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(550),
    [anon_sym_testnotlegesher] = ACTIONS(548),
    [anon_sym_testandlegesher] = ACTIONS(548),
    [anon_sym_testorlegesher] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(550),
    [anon_sym_SLASH] = ACTIONS(550),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_SLASH_SLASH] = ACTIONS(550),
    [anon_sym_STAR_STAR] = ACTIONS(550),
    [anon_sym_PIPE] = ACTIONS(550),
    [anon_sym_AMP] = ACTIONS(550),
    [anon_sym_CARET] = ACTIONS(550),
    [anon_sym_LT_LT] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(548),
    [anon_sym_GT] = ACTIONS(550),
    [anon_sym_LT_GT] = ACTIONS(548),
    [anon_sym_testislegesher] = ACTIONS(548),
    [anon_sym_PLUS_EQ] = ACTIONS(548),
    [anon_sym_DASH_EQ] = ACTIONS(548),
    [anon_sym_STAR_EQ] = ACTIONS(548),
    [anon_sym_SLASH_EQ] = ACTIONS(548),
    [anon_sym_AT_EQ] = ACTIONS(548),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(548),
    [anon_sym_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(548),
    [anon_sym_GT_GT_EQ] = ACTIONS(548),
    [anon_sym_LT_LT_EQ] = ACTIONS(548),
    [anon_sym_AMP_EQ] = ACTIONS(548),
    [anon_sym_CARET_EQ] = ACTIONS(548),
    [anon_sym_PIPE_EQ] = ACTIONS(548),
    [anon_sym_LBRACK] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(548),
    [sym__newline] = ACTIONS(548),
    [sym__string_start] = ACTIONS(548),
  },
  [143] = {
    [sym_named_expression] = STATE(736),
    [sym_list_splat] = STATE(936),
    [sym_dictionary_splat] = STATE(936),
    [sym__expression] = STATE(736),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(736),
    [sym_boolean_operator] = STATE(736),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(736),
    [sym_lambda] = STATE(736),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_keyword_argument] = STATE(936),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(736),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(736),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(448),
    [anon_sym_testexeclegesher] = ACTIONS(448),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [144] = {
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_COLON_EQ] = ACTIONS(552),
    [anon_sym_testiflegesher] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(478),
    [anon_sym_testinlegesher] = ACTIONS(476),
    [anon_sym_EQ] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(478),
    [anon_sym_testnotlegesher] = ACTIONS(476),
    [anon_sym_testandlegesher] = ACTIONS(476),
    [anon_sym_testorlegesher] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(478),
    [anon_sym_SLASH_SLASH] = ACTIONS(478),
    [anon_sym_STAR_STAR] = ACTIONS(478),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(478),
    [anon_sym_LT_LT] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT_GT] = ACTIONS(476),
    [anon_sym_testislegesher] = ACTIONS(476),
    [anon_sym_PLUS_EQ] = ACTIONS(476),
    [anon_sym_DASH_EQ] = ACTIONS(476),
    [anon_sym_STAR_EQ] = ACTIONS(476),
    [anon_sym_SLASH_EQ] = ACTIONS(476),
    [anon_sym_AT_EQ] = ACTIONS(476),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(476),
    [anon_sym_PERCENT_EQ] = ACTIONS(476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(476),
    [anon_sym_GT_GT_EQ] = ACTIONS(476),
    [anon_sym_LT_LT_EQ] = ACTIONS(476),
    [anon_sym_AMP_EQ] = ACTIONS(476),
    [anon_sym_CARET_EQ] = ACTIONS(476),
    [anon_sym_PIPE_EQ] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(476),
    [sym__newline] = ACTIONS(476),
  },
  [145] = {
    [sym_named_expression] = STATE(648),
    [sym_list_splat] = STATE(869),
    [sym__expression] = STATE(648),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(648),
    [sym_boolean_operator] = STATE(648),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(648),
    [sym_lambda] = STATE(648),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(648),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(648),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(558),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [146] = {
    [sym_named_expression] = STATE(665),
    [sym_expression_list] = STATE(916),
    [sym__expression] = STATE(665),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(665),
    [sym_boolean_operator] = STATE(665),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(665),
    [sym_lambda] = STATE(665),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(665),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(665),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_testfromlegesher] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(568),
    [sym__newline] = ACTIONS(568),
    [sym__string_start] = ACTIONS(255),
  },
  [147] = {
    [sym_named_expression] = STATE(682),
    [sym_expression_list] = STATE(944),
    [sym__expression] = STATE(682),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(682),
    [sym_boolean_operator] = STATE(682),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(682),
    [sym_lambda] = STATE(682),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(682),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(682),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_testfromlegesher] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(568),
    [anon_sym_COMMA] = ACTIONS(568),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [148] = {
    [sym_named_expression] = STATE(652),
    [sym_list_splat] = STATE(841),
    [sym__expression] = STATE(652),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(652),
    [sym_boolean_operator] = STATE(652),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(652),
    [sym_lambda] = STATE(652),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(652),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(652),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(574),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [149] = {
    [sym_named_expression] = STATE(651),
    [sym__expression] = STATE(651),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(651),
    [sym_boolean_operator] = STATE(651),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(651),
    [sym_lambda] = STATE(651),
    [sym_yield] = STATE(842),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(651),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(651),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(576),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [150] = {
    [sym_else_clause] = STATE(370),
    [sym_except_clause] = STATE(225),
    [sym_finally_clause] = STATE(430),
    [aux_sym_try_statement_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_testimportlegesher] = ACTIONS(522),
    [anon_sym_testfromlegesher] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_testprintlegesher] = ACTIONS(522),
    [anon_sym_testassertlegesher] = ACTIONS(522),
    [anon_sym_testreturnlegesher] = ACTIONS(522),
    [anon_sym_testdellegesher] = ACTIONS(522),
    [anon_sym_testraiselegesher] = ACTIONS(522),
    [anon_sym_testpasslegesher] = ACTIONS(522),
    [anon_sym_testbreaklegesher] = ACTIONS(522),
    [anon_sym_testcontinuelegesher] = ACTIONS(522),
    [anon_sym_testiflegesher] = ACTIONS(522),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(522),
    [anon_sym_testforlegesher] = ACTIONS(522),
    [anon_sym_testwhilelegesher] = ACTIONS(522),
    [anon_sym_testtrylegesher] = ACTIONS(522),
    [anon_sym_testexceptlegesher] = ACTIONS(540),
    [anon_sym_testfinallylegesher] = ACTIONS(542),
    [anon_sym_testwithlegesher] = ACTIONS(522),
    [anon_sym_testdeflegesher] = ACTIONS(522),
    [anon_sym_testgloballegesher] = ACTIONS(522),
    [anon_sym_testnonlocallegesher] = ACTIONS(522),
    [anon_sym_testexeclegesher] = ACTIONS(522),
    [anon_sym_testclasslegesher] = ACTIONS(522),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_testnotlegesher] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_testlambdalegesher] = ACTIONS(522),
    [anon_sym_testyieldlegesher] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(520),
    [sym_ellipsis] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(520),
    [sym_integer] = ACTIONS(522),
    [sym_float] = ACTIONS(520),
    [sym_true] = ACTIONS(522),
    [sym_false] = ACTIONS(522),
    [sym_none] = ACTIONS(522),
    [anon_sym_testawaitlegesher] = ACTIONS(522),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(520),
    [sym__string_start] = ACTIONS(520),
  },
  [151] = {
    [sym_named_expression] = STATE(791),
    [sym_dictionary_splat] = STATE(914),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(791),
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(914),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(791),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(791),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(580),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [152] = {
    [sym_named_expression] = STATE(791),
    [sym_dictionary_splat] = STATE(914),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(791),
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(914),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(791),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(791),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(582),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [153] = {
    [sym_named_expression] = STATE(645),
    [sym__expression] = STATE(645),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(645),
    [sym_boolean_operator] = STATE(645),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(645),
    [sym_lambda] = STATE(645),
    [sym_yield] = STATE(832),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(645),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(645),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [154] = {
    [sym_named_expression] = STATE(649),
    [sym_list_splat] = STATE(836),
    [sym__expression] = STATE(649),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(649),
    [sym_boolean_operator] = STATE(649),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(649),
    [sym_lambda] = STATE(649),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(649),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(649),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(590),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [155] = {
    [sym_named_expression] = STATE(791),
    [sym_dictionary_splat] = STATE(914),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(791),
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(914),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(791),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(791),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(592),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [156] = {
    [sym_named_expression] = STATE(791),
    [sym_dictionary_splat] = STATE(914),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(791),
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(914),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(791),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(791),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(594),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [157] = {
    [sym_named_expression] = STATE(713),
    [sym__expression] = STATE(713),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(713),
    [sym_boolean_operator] = STATE(713),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(713),
    [sym_lambda] = STATE(713),
    [sym_yield] = STATE(823),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(713),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(713),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [158] = {
    [sym_named_expression] = STATE(791),
    [sym_dictionary_splat] = STATE(914),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(791),
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(914),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(791),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(791),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(596),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [159] = {
    [sym_named_expression] = STATE(665),
    [sym_expression_list] = STATE(902),
    [sym__expression] = STATE(665),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(665),
    [sym_boolean_operator] = STATE(665),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(665),
    [sym_lambda] = STATE(665),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(665),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(665),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_testfromlegesher] = ACTIONS(598),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(600),
    [sym__newline] = ACTIONS(600),
    [sym__string_start] = ACTIONS(255),
  },
  [160] = {
    [sym_else_clause] = STATE(367),
    [sym_except_clause] = STATE(226),
    [sym_finally_clause] = STATE(415),
    [aux_sym_try_statement_repeat1] = STATE(226),
    [ts_builtin_sym_end] = ACTIONS(536),
    [sym_identifier] = ACTIONS(534),
    [anon_sym_testimportlegesher] = ACTIONS(534),
    [anon_sym_testfromlegesher] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_testprintlegesher] = ACTIONS(534),
    [anon_sym_testassertlegesher] = ACTIONS(534),
    [anon_sym_testreturnlegesher] = ACTIONS(534),
    [anon_sym_testdellegesher] = ACTIONS(534),
    [anon_sym_testraiselegesher] = ACTIONS(534),
    [anon_sym_testpasslegesher] = ACTIONS(534),
    [anon_sym_testbreaklegesher] = ACTIONS(534),
    [anon_sym_testcontinuelegesher] = ACTIONS(534),
    [anon_sym_testiflegesher] = ACTIONS(534),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(534),
    [anon_sym_testforlegesher] = ACTIONS(534),
    [anon_sym_testwhilelegesher] = ACTIONS(534),
    [anon_sym_testtrylegesher] = ACTIONS(534),
    [anon_sym_testexceptlegesher] = ACTIONS(526),
    [anon_sym_testfinallylegesher] = ACTIONS(528),
    [anon_sym_testwithlegesher] = ACTIONS(534),
    [anon_sym_testdeflegesher] = ACTIONS(534),
    [anon_sym_testgloballegesher] = ACTIONS(534),
    [anon_sym_testnonlocallegesher] = ACTIONS(534),
    [anon_sym_testexeclegesher] = ACTIONS(534),
    [anon_sym_testclasslegesher] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(536),
    [anon_sym_testnotlegesher] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(536),
    [anon_sym_testlambdalegesher] = ACTIONS(534),
    [anon_sym_testyieldlegesher] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(536),
    [sym_ellipsis] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [sym_integer] = ACTIONS(534),
    [sym_float] = ACTIONS(536),
    [sym_true] = ACTIONS(534),
    [sym_false] = ACTIONS(534),
    [sym_none] = ACTIONS(534),
    [anon_sym_testawaitlegesher] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(536),
  },
  [161] = {
    [anon_sym_DOT] = ACTIONS(602),
    [anon_sym_LPAREN] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_STAR] = ACTIONS(604),
    [anon_sym_GT_GT] = ACTIONS(604),
    [anon_sym_testiflegesher] = ACTIONS(602),
    [anon_sym_COLON] = ACTIONS(602),
    [anon_sym_testinlegesher] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(604),
    [anon_sym_AT] = ACTIONS(604),
    [anon_sym_testnotlegesher] = ACTIONS(602),
    [anon_sym_testandlegesher] = ACTIONS(602),
    [anon_sym_testorlegesher] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(604),
    [anon_sym_DASH] = ACTIONS(604),
    [anon_sym_SLASH] = ACTIONS(604),
    [anon_sym_PERCENT] = ACTIONS(604),
    [anon_sym_SLASH_SLASH] = ACTIONS(604),
    [anon_sym_STAR_STAR] = ACTIONS(604),
    [anon_sym_PIPE] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(604),
    [anon_sym_CARET] = ACTIONS(604),
    [anon_sym_LT_LT] = ACTIONS(604),
    [anon_sym_LT] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ] = ACTIONS(602),
    [anon_sym_GT_EQ] = ACTIONS(602),
    [anon_sym_GT] = ACTIONS(604),
    [anon_sym_LT_GT] = ACTIONS(602),
    [anon_sym_testislegesher] = ACTIONS(602),
    [anon_sym_PLUS_EQ] = ACTIONS(602),
    [anon_sym_DASH_EQ] = ACTIONS(602),
    [anon_sym_STAR_EQ] = ACTIONS(602),
    [anon_sym_SLASH_EQ] = ACTIONS(602),
    [anon_sym_AT_EQ] = ACTIONS(602),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(602),
    [anon_sym_PERCENT_EQ] = ACTIONS(602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(602),
    [anon_sym_GT_GT_EQ] = ACTIONS(602),
    [anon_sym_LT_LT_EQ] = ACTIONS(602),
    [anon_sym_AMP_EQ] = ACTIONS(602),
    [anon_sym_CARET_EQ] = ACTIONS(602),
    [anon_sym_PIPE_EQ] = ACTIONS(602),
    [anon_sym_LBRACK] = ACTIONS(602),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(602),
    [sym__newline] = ACTIONS(602),
  },
  [162] = {
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_STAR] = ACTIONS(608),
    [anon_sym_GT_GT] = ACTIONS(608),
    [anon_sym_testiflegesher] = ACTIONS(606),
    [anon_sym_COLON] = ACTIONS(606),
    [anon_sym_testinlegesher] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(608),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_testnotlegesher] = ACTIONS(606),
    [anon_sym_testandlegesher] = ACTIONS(606),
    [anon_sym_testorlegesher] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(608),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_SLASH] = ACTIONS(608),
    [anon_sym_PERCENT] = ACTIONS(608),
    [anon_sym_SLASH_SLASH] = ACTIONS(608),
    [anon_sym_STAR_STAR] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(608),
    [anon_sym_CARET] = ACTIONS(608),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(608),
    [anon_sym_LT_EQ] = ACTIONS(606),
    [anon_sym_EQ_EQ] = ACTIONS(606),
    [anon_sym_BANG_EQ] = ACTIONS(606),
    [anon_sym_GT_EQ] = ACTIONS(606),
    [anon_sym_GT] = ACTIONS(608),
    [anon_sym_LT_GT] = ACTIONS(606),
    [anon_sym_testislegesher] = ACTIONS(606),
    [anon_sym_PLUS_EQ] = ACTIONS(606),
    [anon_sym_DASH_EQ] = ACTIONS(606),
    [anon_sym_STAR_EQ] = ACTIONS(606),
    [anon_sym_SLASH_EQ] = ACTIONS(606),
    [anon_sym_AT_EQ] = ACTIONS(606),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(606),
    [anon_sym_PERCENT_EQ] = ACTIONS(606),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(606),
    [anon_sym_GT_GT_EQ] = ACTIONS(606),
    [anon_sym_LT_LT_EQ] = ACTIONS(606),
    [anon_sym_AMP_EQ] = ACTIONS(606),
    [anon_sym_CARET_EQ] = ACTIONS(606),
    [anon_sym_PIPE_EQ] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(606),
    [sym__newline] = ACTIONS(606),
  },
  [163] = {
    [anon_sym_DOT] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_COMMA] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_GT_GT] = ACTIONS(612),
    [anon_sym_testiflegesher] = ACTIONS(610),
    [anon_sym_COLON] = ACTIONS(610),
    [anon_sym_testinlegesher] = ACTIONS(610),
    [anon_sym_EQ] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(612),
    [anon_sym_testnotlegesher] = ACTIONS(610),
    [anon_sym_testandlegesher] = ACTIONS(610),
    [anon_sym_testorlegesher] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_SLASH] = ACTIONS(612),
    [anon_sym_PERCENT] = ACTIONS(612),
    [anon_sym_SLASH_SLASH] = ACTIONS(612),
    [anon_sym_STAR_STAR] = ACTIONS(612),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_CARET] = ACTIONS(612),
    [anon_sym_LT_LT] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_LT_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_GT_EQ] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(612),
    [anon_sym_LT_GT] = ACTIONS(610),
    [anon_sym_testislegesher] = ACTIONS(610),
    [anon_sym_PLUS_EQ] = ACTIONS(610),
    [anon_sym_DASH_EQ] = ACTIONS(610),
    [anon_sym_STAR_EQ] = ACTIONS(610),
    [anon_sym_SLASH_EQ] = ACTIONS(610),
    [anon_sym_AT_EQ] = ACTIONS(610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(610),
    [anon_sym_PERCENT_EQ] = ACTIONS(610),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(610),
    [anon_sym_GT_GT_EQ] = ACTIONS(610),
    [anon_sym_LT_LT_EQ] = ACTIONS(610),
    [anon_sym_AMP_EQ] = ACTIONS(610),
    [anon_sym_CARET_EQ] = ACTIONS(610),
    [anon_sym_PIPE_EQ] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(610),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(610),
    [sym__newline] = ACTIONS(610),
  },
  [164] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(614),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [165] = {
    [sym_named_expression] = STATE(753),
    [sym__expression] = STATE(753),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(753),
    [sym_boolean_operator] = STATE(753),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(753),
    [sym_lambda] = STATE(753),
    [sym_yield] = STATE(922),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(753),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(753),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(616),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [166] = {
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_GT_GT] = ACTIONS(620),
    [anon_sym_testiflegesher] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(618),
    [anon_sym_testinlegesher] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(620),
    [anon_sym_testnotlegesher] = ACTIONS(618),
    [anon_sym_testandlegesher] = ACTIONS(618),
    [anon_sym_testorlegesher] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_SLASH_SLASH] = ACTIONS(620),
    [anon_sym_STAR_STAR] = ACTIONS(620),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_AMP] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(620),
    [anon_sym_LT_LT] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(620),
    [anon_sym_LT_GT] = ACTIONS(618),
    [anon_sym_testislegesher] = ACTIONS(618),
    [anon_sym_PLUS_EQ] = ACTIONS(618),
    [anon_sym_DASH_EQ] = ACTIONS(618),
    [anon_sym_STAR_EQ] = ACTIONS(618),
    [anon_sym_SLASH_EQ] = ACTIONS(618),
    [anon_sym_AT_EQ] = ACTIONS(618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(618),
    [anon_sym_PERCENT_EQ] = ACTIONS(618),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(618),
    [anon_sym_GT_GT_EQ] = ACTIONS(618),
    [anon_sym_LT_LT_EQ] = ACTIONS(618),
    [anon_sym_AMP_EQ] = ACTIONS(618),
    [anon_sym_CARET_EQ] = ACTIONS(618),
    [anon_sym_PIPE_EQ] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(618),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(618),
    [sym__newline] = ACTIONS(618),
  },
  [167] = {
    [anon_sym_DOT] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(624),
    [anon_sym_GT_GT] = ACTIONS(624),
    [anon_sym_testiflegesher] = ACTIONS(622),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_testinlegesher] = ACTIONS(622),
    [anon_sym_EQ] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(624),
    [anon_sym_testnotlegesher] = ACTIONS(622),
    [anon_sym_testandlegesher] = ACTIONS(622),
    [anon_sym_testorlegesher] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_PERCENT] = ACTIONS(624),
    [anon_sym_SLASH_SLASH] = ACTIONS(624),
    [anon_sym_STAR_STAR] = ACTIONS(624),
    [anon_sym_PIPE] = ACTIONS(624),
    [anon_sym_AMP] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(624),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_LT_EQ] = ACTIONS(622),
    [anon_sym_EQ_EQ] = ACTIONS(622),
    [anon_sym_BANG_EQ] = ACTIONS(622),
    [anon_sym_GT_EQ] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(624),
    [anon_sym_LT_GT] = ACTIONS(622),
    [anon_sym_testislegesher] = ACTIONS(622),
    [anon_sym_PLUS_EQ] = ACTIONS(622),
    [anon_sym_DASH_EQ] = ACTIONS(622),
    [anon_sym_STAR_EQ] = ACTIONS(622),
    [anon_sym_SLASH_EQ] = ACTIONS(622),
    [anon_sym_AT_EQ] = ACTIONS(622),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(622),
    [anon_sym_PERCENT_EQ] = ACTIONS(622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(622),
    [anon_sym_GT_GT_EQ] = ACTIONS(622),
    [anon_sym_LT_LT_EQ] = ACTIONS(622),
    [anon_sym_AMP_EQ] = ACTIONS(622),
    [anon_sym_CARET_EQ] = ACTIONS(622),
    [anon_sym_PIPE_EQ] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(622),
    [sym__newline] = ACTIONS(622),
  },
  [168] = {
    [sym_named_expression] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(696),
    [sym_boolean_operator] = STATE(696),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(696),
    [sym_lambda] = STATE(696),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(696),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(696),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_testfromlegesher] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
    [sym__string_start] = ACTIONS(255),
  },
  [169] = {
    [anon_sym_DOT] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_GT_GT] = ACTIONS(630),
    [anon_sym_testiflegesher] = ACTIONS(628),
    [anon_sym_COLON] = ACTIONS(628),
    [anon_sym_testinlegesher] = ACTIONS(628),
    [anon_sym_EQ] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(630),
    [anon_sym_testnotlegesher] = ACTIONS(628),
    [anon_sym_testandlegesher] = ACTIONS(628),
    [anon_sym_testorlegesher] = ACTIONS(628),
    [anon_sym_PLUS] = ACTIONS(630),
    [anon_sym_DASH] = ACTIONS(630),
    [anon_sym_SLASH] = ACTIONS(630),
    [anon_sym_PERCENT] = ACTIONS(630),
    [anon_sym_SLASH_SLASH] = ACTIONS(630),
    [anon_sym_STAR_STAR] = ACTIONS(630),
    [anon_sym_PIPE] = ACTIONS(630),
    [anon_sym_AMP] = ACTIONS(630),
    [anon_sym_CARET] = ACTIONS(630),
    [anon_sym_LT_LT] = ACTIONS(630),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_LT_EQ] = ACTIONS(628),
    [anon_sym_EQ_EQ] = ACTIONS(628),
    [anon_sym_BANG_EQ] = ACTIONS(628),
    [anon_sym_GT_EQ] = ACTIONS(628),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_LT_GT] = ACTIONS(628),
    [anon_sym_testislegesher] = ACTIONS(628),
    [anon_sym_PLUS_EQ] = ACTIONS(628),
    [anon_sym_DASH_EQ] = ACTIONS(628),
    [anon_sym_STAR_EQ] = ACTIONS(628),
    [anon_sym_SLASH_EQ] = ACTIONS(628),
    [anon_sym_AT_EQ] = ACTIONS(628),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(628),
    [anon_sym_PERCENT_EQ] = ACTIONS(628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(628),
    [anon_sym_GT_GT_EQ] = ACTIONS(628),
    [anon_sym_LT_LT_EQ] = ACTIONS(628),
    [anon_sym_AMP_EQ] = ACTIONS(628),
    [anon_sym_CARET_EQ] = ACTIONS(628),
    [anon_sym_PIPE_EQ] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(628),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(628),
    [sym__newline] = ACTIONS(628),
  },
  [170] = {
    [anon_sym_DOT] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(634),
    [anon_sym_testiflegesher] = ACTIONS(632),
    [anon_sym_COLON] = ACTIONS(632),
    [anon_sym_testinlegesher] = ACTIONS(632),
    [anon_sym_EQ] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(634),
    [anon_sym_testnotlegesher] = ACTIONS(632),
    [anon_sym_testandlegesher] = ACTIONS(632),
    [anon_sym_testorlegesher] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(634),
    [anon_sym_DASH] = ACTIONS(634),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(634),
    [anon_sym_SLASH_SLASH] = ACTIONS(634),
    [anon_sym_STAR_STAR] = ACTIONS(634),
    [anon_sym_PIPE] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(634),
    [anon_sym_CARET] = ACTIONS(634),
    [anon_sym_LT_LT] = ACTIONS(634),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_LT_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ] = ACTIONS(632),
    [anon_sym_GT_EQ] = ACTIONS(632),
    [anon_sym_GT] = ACTIONS(634),
    [anon_sym_LT_GT] = ACTIONS(632),
    [anon_sym_testislegesher] = ACTIONS(632),
    [anon_sym_PLUS_EQ] = ACTIONS(632),
    [anon_sym_DASH_EQ] = ACTIONS(632),
    [anon_sym_STAR_EQ] = ACTIONS(632),
    [anon_sym_SLASH_EQ] = ACTIONS(632),
    [anon_sym_AT_EQ] = ACTIONS(632),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(632),
    [anon_sym_PERCENT_EQ] = ACTIONS(632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(632),
    [anon_sym_GT_GT_EQ] = ACTIONS(632),
    [anon_sym_LT_LT_EQ] = ACTIONS(632),
    [anon_sym_AMP_EQ] = ACTIONS(632),
    [anon_sym_CARET_EQ] = ACTIONS(632),
    [anon_sym_PIPE_EQ] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(632),
    [sym__newline] = ACTIONS(632),
  },
  [171] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(636),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [172] = {
    [sym_named_expression] = STATE(718),
    [sym__expression] = STATE(718),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(718),
    [sym_boolean_operator] = STATE(718),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(718),
    [sym_lambda] = STATE(718),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(718),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(718),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(351),
    [anon_sym_COMMA] = ACTIONS(351),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(351),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [173] = {
    [anon_sym_DOT] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(638),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_testiflegesher] = ACTIONS(638),
    [anon_sym_COLON] = ACTIONS(638),
    [anon_sym_testinlegesher] = ACTIONS(638),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(640),
    [anon_sym_testnotlegesher] = ACTIONS(638),
    [anon_sym_testandlegesher] = ACTIONS(638),
    [anon_sym_testorlegesher] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(640),
    [anon_sym_SLASH_SLASH] = ACTIONS(640),
    [anon_sym_STAR_STAR] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_CARET] = ACTIONS(640),
    [anon_sym_LT_LT] = ACTIONS(640),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_LT_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(638),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_LT_GT] = ACTIONS(638),
    [anon_sym_testislegesher] = ACTIONS(638),
    [anon_sym_PLUS_EQ] = ACTIONS(638),
    [anon_sym_DASH_EQ] = ACTIONS(638),
    [anon_sym_STAR_EQ] = ACTIONS(638),
    [anon_sym_SLASH_EQ] = ACTIONS(638),
    [anon_sym_AT_EQ] = ACTIONS(638),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(638),
    [anon_sym_PERCENT_EQ] = ACTIONS(638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(638),
    [anon_sym_GT_GT_EQ] = ACTIONS(638),
    [anon_sym_LT_LT_EQ] = ACTIONS(638),
    [anon_sym_AMP_EQ] = ACTIONS(638),
    [anon_sym_CARET_EQ] = ACTIONS(638),
    [anon_sym_PIPE_EQ] = ACTIONS(638),
    [anon_sym_LBRACK] = ACTIONS(638),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(638),
    [sym__newline] = ACTIONS(638),
  },
  [174] = {
    [anon_sym_DOT] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(644),
    [anon_sym_testiflegesher] = ACTIONS(642),
    [anon_sym_COLON] = ACTIONS(642),
    [anon_sym_testinlegesher] = ACTIONS(642),
    [anon_sym_EQ] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(644),
    [anon_sym_testnotlegesher] = ACTIONS(642),
    [anon_sym_testandlegesher] = ACTIONS(642),
    [anon_sym_testorlegesher] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(644),
    [anon_sym_SLASH_SLASH] = ACTIONS(644),
    [anon_sym_STAR_STAR] = ACTIONS(644),
    [anon_sym_PIPE] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(644),
    [anon_sym_CARET] = ACTIONS(644),
    [anon_sym_LT_LT] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_EQ_EQ] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(644),
    [anon_sym_LT_GT] = ACTIONS(642),
    [anon_sym_testislegesher] = ACTIONS(642),
    [anon_sym_PLUS_EQ] = ACTIONS(642),
    [anon_sym_DASH_EQ] = ACTIONS(642),
    [anon_sym_STAR_EQ] = ACTIONS(642),
    [anon_sym_SLASH_EQ] = ACTIONS(642),
    [anon_sym_AT_EQ] = ACTIONS(642),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(642),
    [anon_sym_PERCENT_EQ] = ACTIONS(642),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(642),
    [anon_sym_GT_GT_EQ] = ACTIONS(642),
    [anon_sym_LT_LT_EQ] = ACTIONS(642),
    [anon_sym_AMP_EQ] = ACTIONS(642),
    [anon_sym_CARET_EQ] = ACTIONS(642),
    [anon_sym_PIPE_EQ] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(642),
    [sym__newline] = ACTIONS(642),
  },
  [175] = {
    [sym_named_expression] = STATE(665),
    [sym_expression_list] = STATE(910),
    [sym__expression] = STATE(665),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(665),
    [sym_boolean_operator] = STATE(665),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(665),
    [sym_lambda] = STATE(665),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(665),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(665),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(646),
    [sym__newline] = ACTIONS(646),
    [sym__string_start] = ACTIONS(255),
  },
  [176] = {
    [sym_named_expression] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(696),
    [sym_boolean_operator] = STATE(696),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(696),
    [sym_lambda] = STATE(696),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(696),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(696),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_testfromlegesher] = ACTIONS(648),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(355),
    [sym__newline] = ACTIONS(355),
    [sym__string_start] = ACTIONS(255),
  },
  [177] = {
    [sym_named_expression] = STATE(718),
    [sym__expression] = STATE(718),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(718),
    [sym_boolean_operator] = STATE(718),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(718),
    [sym_lambda] = STATE(718),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(718),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(718),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(355),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(355),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [178] = {
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_GT_GT] = ACTIONS(652),
    [anon_sym_testiflegesher] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_testinlegesher] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(652),
    [anon_sym_testnotlegesher] = ACTIONS(650),
    [anon_sym_testandlegesher] = ACTIONS(650),
    [anon_sym_testorlegesher] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(652),
    [anon_sym_DASH] = ACTIONS(652),
    [anon_sym_SLASH] = ACTIONS(652),
    [anon_sym_PERCENT] = ACTIONS(652),
    [anon_sym_SLASH_SLASH] = ACTIONS(652),
    [anon_sym_STAR_STAR] = ACTIONS(652),
    [anon_sym_PIPE] = ACTIONS(652),
    [anon_sym_AMP] = ACTIONS(652),
    [anon_sym_CARET] = ACTIONS(652),
    [anon_sym_LT_LT] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(652),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(652),
    [anon_sym_LT_GT] = ACTIONS(650),
    [anon_sym_testislegesher] = ACTIONS(650),
    [anon_sym_PLUS_EQ] = ACTIONS(650),
    [anon_sym_DASH_EQ] = ACTIONS(650),
    [anon_sym_STAR_EQ] = ACTIONS(650),
    [anon_sym_SLASH_EQ] = ACTIONS(650),
    [anon_sym_AT_EQ] = ACTIONS(650),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(650),
    [anon_sym_PERCENT_EQ] = ACTIONS(650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(650),
    [anon_sym_GT_GT_EQ] = ACTIONS(650),
    [anon_sym_LT_LT_EQ] = ACTIONS(650),
    [anon_sym_AMP_EQ] = ACTIONS(650),
    [anon_sym_CARET_EQ] = ACTIONS(650),
    [anon_sym_PIPE_EQ] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(650),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(650),
    [sym__newline] = ACTIONS(650),
  },
  [179] = {
    [sym_named_expression] = STATE(753),
    [sym__expression] = STATE(753),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(753),
    [sym_boolean_operator] = STATE(753),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(753),
    [sym_lambda] = STATE(753),
    [sym_yield] = STATE(922),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(753),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(753),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(654),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [180] = {
    [anon_sym_DOT] = ACTIONS(656),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_COMMA] = ACTIONS(656),
    [anon_sym_STAR] = ACTIONS(658),
    [anon_sym_GT_GT] = ACTIONS(658),
    [anon_sym_testiflegesher] = ACTIONS(656),
    [anon_sym_COLON] = ACTIONS(656),
    [anon_sym_testinlegesher] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(658),
    [anon_sym_testnotlegesher] = ACTIONS(656),
    [anon_sym_testandlegesher] = ACTIONS(656),
    [anon_sym_testorlegesher] = ACTIONS(656),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_SLASH] = ACTIONS(658),
    [anon_sym_PERCENT] = ACTIONS(658),
    [anon_sym_SLASH_SLASH] = ACTIONS(658),
    [anon_sym_STAR_STAR] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(658),
    [anon_sym_AMP] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_LT_LT] = ACTIONS(658),
    [anon_sym_LT] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(656),
    [anon_sym_EQ_EQ] = ACTIONS(656),
    [anon_sym_BANG_EQ] = ACTIONS(656),
    [anon_sym_GT_EQ] = ACTIONS(656),
    [anon_sym_GT] = ACTIONS(658),
    [anon_sym_LT_GT] = ACTIONS(656),
    [anon_sym_testislegesher] = ACTIONS(656),
    [anon_sym_PLUS_EQ] = ACTIONS(656),
    [anon_sym_DASH_EQ] = ACTIONS(656),
    [anon_sym_STAR_EQ] = ACTIONS(656),
    [anon_sym_SLASH_EQ] = ACTIONS(656),
    [anon_sym_AT_EQ] = ACTIONS(656),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(656),
    [anon_sym_PERCENT_EQ] = ACTIONS(656),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(656),
    [anon_sym_GT_GT_EQ] = ACTIONS(656),
    [anon_sym_LT_LT_EQ] = ACTIONS(656),
    [anon_sym_AMP_EQ] = ACTIONS(656),
    [anon_sym_CARET_EQ] = ACTIONS(656),
    [anon_sym_PIPE_EQ] = ACTIONS(656),
    [anon_sym_LBRACK] = ACTIONS(656),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(656),
    [sym__newline] = ACTIONS(656),
  },
  [181] = {
    [anon_sym_DOT] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(662),
    [anon_sym_GT_GT] = ACTIONS(662),
    [anon_sym_testiflegesher] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(660),
    [anon_sym_testinlegesher] = ACTIONS(660),
    [anon_sym_EQ] = ACTIONS(662),
    [anon_sym_AT] = ACTIONS(662),
    [anon_sym_testnotlegesher] = ACTIONS(660),
    [anon_sym_testandlegesher] = ACTIONS(660),
    [anon_sym_testorlegesher] = ACTIONS(660),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_SLASH] = ACTIONS(662),
    [anon_sym_PERCENT] = ACTIONS(662),
    [anon_sym_SLASH_SLASH] = ACTIONS(662),
    [anon_sym_STAR_STAR] = ACTIONS(662),
    [anon_sym_PIPE] = ACTIONS(662),
    [anon_sym_AMP] = ACTIONS(662),
    [anon_sym_CARET] = ACTIONS(662),
    [anon_sym_LT_LT] = ACTIONS(662),
    [anon_sym_LT] = ACTIONS(662),
    [anon_sym_LT_EQ] = ACTIONS(660),
    [anon_sym_EQ_EQ] = ACTIONS(660),
    [anon_sym_BANG_EQ] = ACTIONS(660),
    [anon_sym_GT_EQ] = ACTIONS(660),
    [anon_sym_GT] = ACTIONS(662),
    [anon_sym_LT_GT] = ACTIONS(660),
    [anon_sym_testislegesher] = ACTIONS(660),
    [anon_sym_PLUS_EQ] = ACTIONS(660),
    [anon_sym_DASH_EQ] = ACTIONS(660),
    [anon_sym_STAR_EQ] = ACTIONS(660),
    [anon_sym_SLASH_EQ] = ACTIONS(660),
    [anon_sym_AT_EQ] = ACTIONS(660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(660),
    [anon_sym_PERCENT_EQ] = ACTIONS(660),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(660),
    [anon_sym_GT_GT_EQ] = ACTIONS(660),
    [anon_sym_LT_LT_EQ] = ACTIONS(660),
    [anon_sym_AMP_EQ] = ACTIONS(660),
    [anon_sym_CARET_EQ] = ACTIONS(660),
    [anon_sym_PIPE_EQ] = ACTIONS(660),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(660),
    [sym__newline] = ACTIONS(660),
  },
  [182] = {
    [sym_named_expression] = STATE(701),
    [sym__expression] = STATE(701),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(701),
    [sym_boolean_operator] = STATE(701),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(701),
    [sym_lambda] = STATE(701),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(701),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(701),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(664),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(664),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [183] = {
    [sym_named_expression] = STATE(712),
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(937),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(712),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(670),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [184] = {
    [anon_sym_DOT] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(672),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(674),
    [anon_sym_testiflegesher] = ACTIONS(672),
    [anon_sym_COLON] = ACTIONS(672),
    [anon_sym_testinlegesher] = ACTIONS(672),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(674),
    [anon_sym_testnotlegesher] = ACTIONS(672),
    [anon_sym_testandlegesher] = ACTIONS(672),
    [anon_sym_testorlegesher] = ACTIONS(672),
    [anon_sym_PLUS] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(674),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(674),
    [anon_sym_SLASH_SLASH] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(674),
    [anon_sym_AMP] = ACTIONS(674),
    [anon_sym_CARET] = ACTIONS(674),
    [anon_sym_LT_LT] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(672),
    [anon_sym_EQ_EQ] = ACTIONS(672),
    [anon_sym_BANG_EQ] = ACTIONS(672),
    [anon_sym_GT_EQ] = ACTIONS(672),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(672),
    [anon_sym_testislegesher] = ACTIONS(672),
    [anon_sym_PLUS_EQ] = ACTIONS(672),
    [anon_sym_DASH_EQ] = ACTIONS(672),
    [anon_sym_STAR_EQ] = ACTIONS(672),
    [anon_sym_SLASH_EQ] = ACTIONS(672),
    [anon_sym_AT_EQ] = ACTIONS(672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(672),
    [anon_sym_PERCENT_EQ] = ACTIONS(672),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(672),
    [anon_sym_GT_GT_EQ] = ACTIONS(672),
    [anon_sym_LT_LT_EQ] = ACTIONS(672),
    [anon_sym_AMP_EQ] = ACTIONS(672),
    [anon_sym_CARET_EQ] = ACTIONS(672),
    [anon_sym_PIPE_EQ] = ACTIONS(672),
    [anon_sym_LBRACK] = ACTIONS(672),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(672),
    [sym__newline] = ACTIONS(672),
  },
  [185] = {
    [sym_named_expression] = STATE(712),
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(937),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(712),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(676),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [186] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(678),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [187] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(680),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [188] = {
    [sym_named_expression] = STATE(753),
    [sym__expression] = STATE(753),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(753),
    [sym_boolean_operator] = STATE(753),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(753),
    [sym_lambda] = STATE(753),
    [sym_yield] = STATE(922),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(753),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(753),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(682),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [189] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(684),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [190] = {
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_testiflegesher] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(237),
    [anon_sym_testinlegesher] = ACTIONS(237),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_AT] = ACTIONS(235),
    [anon_sym_testnotlegesher] = ACTIONS(237),
    [anon_sym_testandlegesher] = ACTIONS(237),
    [anon_sym_testorlegesher] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_SLASH_SLASH] = ACTIONS(235),
    [anon_sym_STAR_STAR] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_GT] = ACTIONS(237),
    [anon_sym_testislegesher] = ACTIONS(237),
    [anon_sym_PLUS_EQ] = ACTIONS(237),
    [anon_sym_DASH_EQ] = ACTIONS(237),
    [anon_sym_STAR_EQ] = ACTIONS(237),
    [anon_sym_SLASH_EQ] = ACTIONS(237),
    [anon_sym_AT_EQ] = ACTIONS(237),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(237),
    [anon_sym_PERCENT_EQ] = ACTIONS(237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(237),
    [anon_sym_GT_GT_EQ] = ACTIONS(237),
    [anon_sym_LT_LT_EQ] = ACTIONS(237),
    [anon_sym_AMP_EQ] = ACTIONS(237),
    [anon_sym_CARET_EQ] = ACTIONS(237),
    [anon_sym_PIPE_EQ] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(237),
    [sym__newline] = ACTIONS(237),
  },
  [191] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(686),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [192] = {
    [anon_sym_DOT] = ACTIONS(688),
    [anon_sym_LPAREN] = ACTIONS(688),
    [anon_sym_COMMA] = ACTIONS(688),
    [anon_sym_STAR] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(690),
    [anon_sym_testiflegesher] = ACTIONS(688),
    [anon_sym_COLON] = ACTIONS(688),
    [anon_sym_testinlegesher] = ACTIONS(688),
    [anon_sym_EQ] = ACTIONS(690),
    [anon_sym_AT] = ACTIONS(690),
    [anon_sym_testnotlegesher] = ACTIONS(688),
    [anon_sym_testandlegesher] = ACTIONS(688),
    [anon_sym_testorlegesher] = ACTIONS(688),
    [anon_sym_PLUS] = ACTIONS(690),
    [anon_sym_DASH] = ACTIONS(690),
    [anon_sym_SLASH] = ACTIONS(690),
    [anon_sym_PERCENT] = ACTIONS(690),
    [anon_sym_SLASH_SLASH] = ACTIONS(690),
    [anon_sym_STAR_STAR] = ACTIONS(690),
    [anon_sym_PIPE] = ACTIONS(690),
    [anon_sym_AMP] = ACTIONS(690),
    [anon_sym_CARET] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(690),
    [anon_sym_LT_EQ] = ACTIONS(688),
    [anon_sym_EQ_EQ] = ACTIONS(688),
    [anon_sym_BANG_EQ] = ACTIONS(688),
    [anon_sym_GT_EQ] = ACTIONS(688),
    [anon_sym_GT] = ACTIONS(690),
    [anon_sym_LT_GT] = ACTIONS(688),
    [anon_sym_testislegesher] = ACTIONS(688),
    [anon_sym_PLUS_EQ] = ACTIONS(688),
    [anon_sym_DASH_EQ] = ACTIONS(688),
    [anon_sym_STAR_EQ] = ACTIONS(688),
    [anon_sym_SLASH_EQ] = ACTIONS(688),
    [anon_sym_AT_EQ] = ACTIONS(688),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(688),
    [anon_sym_PERCENT_EQ] = ACTIONS(688),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(688),
    [anon_sym_GT_GT_EQ] = ACTIONS(688),
    [anon_sym_LT_LT_EQ] = ACTIONS(688),
    [anon_sym_AMP_EQ] = ACTIONS(688),
    [anon_sym_CARET_EQ] = ACTIONS(688),
    [anon_sym_PIPE_EQ] = ACTIONS(688),
    [anon_sym_LBRACK] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(688),
    [sym__newline] = ACTIONS(688),
  },
  [193] = {
    [sym_named_expression] = STATE(753),
    [sym__expression] = STATE(753),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(753),
    [sym_boolean_operator] = STATE(753),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(753),
    [sym_lambda] = STATE(753),
    [sym_yield] = STATE(922),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(753),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(753),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(692),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [194] = {
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_GT_GT] = ACTIONS(696),
    [anon_sym_testiflegesher] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_testinlegesher] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_testnotlegesher] = ACTIONS(694),
    [anon_sym_testandlegesher] = ACTIONS(694),
    [anon_sym_testorlegesher] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(696),
    [anon_sym_PERCENT] = ACTIONS(696),
    [anon_sym_SLASH_SLASH] = ACTIONS(696),
    [anon_sym_STAR_STAR] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(696),
    [anon_sym_AMP] = ACTIONS(696),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_LT_LT] = ACTIONS(696),
    [anon_sym_LT] = ACTIONS(696),
    [anon_sym_LT_EQ] = ACTIONS(694),
    [anon_sym_EQ_EQ] = ACTIONS(694),
    [anon_sym_BANG_EQ] = ACTIONS(694),
    [anon_sym_GT_EQ] = ACTIONS(694),
    [anon_sym_GT] = ACTIONS(696),
    [anon_sym_LT_GT] = ACTIONS(694),
    [anon_sym_testislegesher] = ACTIONS(694),
    [anon_sym_PLUS_EQ] = ACTIONS(694),
    [anon_sym_DASH_EQ] = ACTIONS(694),
    [anon_sym_STAR_EQ] = ACTIONS(694),
    [anon_sym_SLASH_EQ] = ACTIONS(694),
    [anon_sym_AT_EQ] = ACTIONS(694),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(694),
    [anon_sym_PERCENT_EQ] = ACTIONS(694),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(694),
    [anon_sym_GT_GT_EQ] = ACTIONS(694),
    [anon_sym_LT_LT_EQ] = ACTIONS(694),
    [anon_sym_AMP_EQ] = ACTIONS(694),
    [anon_sym_CARET_EQ] = ACTIONS(694),
    [anon_sym_PIPE_EQ] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(694),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(694),
    [sym__newline] = ACTIONS(694),
  },
  [195] = {
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_GT_GT] = ACTIONS(700),
    [anon_sym_testiflegesher] = ACTIONS(698),
    [anon_sym_COLON] = ACTIONS(698),
    [anon_sym_testinlegesher] = ACTIONS(698),
    [anon_sym_EQ] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(700),
    [anon_sym_testnotlegesher] = ACTIONS(698),
    [anon_sym_testandlegesher] = ACTIONS(698),
    [anon_sym_testorlegesher] = ACTIONS(698),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_SLASH] = ACTIONS(700),
    [anon_sym_PERCENT] = ACTIONS(700),
    [anon_sym_SLASH_SLASH] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(700),
    [anon_sym_PIPE] = ACTIONS(700),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_LT_LT] = ACTIONS(700),
    [anon_sym_LT] = ACTIONS(700),
    [anon_sym_LT_EQ] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(698),
    [anon_sym_BANG_EQ] = ACTIONS(698),
    [anon_sym_GT_EQ] = ACTIONS(698),
    [anon_sym_GT] = ACTIONS(700),
    [anon_sym_LT_GT] = ACTIONS(698),
    [anon_sym_testislegesher] = ACTIONS(698),
    [anon_sym_PLUS_EQ] = ACTIONS(698),
    [anon_sym_DASH_EQ] = ACTIONS(698),
    [anon_sym_STAR_EQ] = ACTIONS(698),
    [anon_sym_SLASH_EQ] = ACTIONS(698),
    [anon_sym_AT_EQ] = ACTIONS(698),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(698),
    [anon_sym_PERCENT_EQ] = ACTIONS(698),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(698),
    [anon_sym_GT_GT_EQ] = ACTIONS(698),
    [anon_sym_LT_LT_EQ] = ACTIONS(698),
    [anon_sym_AMP_EQ] = ACTIONS(698),
    [anon_sym_CARET_EQ] = ACTIONS(698),
    [anon_sym_PIPE_EQ] = ACTIONS(698),
    [anon_sym_LBRACK] = ACTIONS(698),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(698),
    [sym__newline] = ACTIONS(698),
  },
  [196] = {
    [anon_sym_DOT] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(702),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_testiflegesher] = ACTIONS(702),
    [anon_sym_COLON] = ACTIONS(702),
    [anon_sym_testinlegesher] = ACTIONS(702),
    [anon_sym_EQ] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(704),
    [anon_sym_testnotlegesher] = ACTIONS(702),
    [anon_sym_testandlegesher] = ACTIONS(702),
    [anon_sym_testorlegesher] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_PERCENT] = ACTIONS(704),
    [anon_sym_SLASH_SLASH] = ACTIONS(704),
    [anon_sym_STAR_STAR] = ACTIONS(704),
    [anon_sym_PIPE] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(704),
    [anon_sym_CARET] = ACTIONS(704),
    [anon_sym_LT_LT] = ACTIONS(704),
    [anon_sym_LT] = ACTIONS(704),
    [anon_sym_LT_EQ] = ACTIONS(702),
    [anon_sym_EQ_EQ] = ACTIONS(702),
    [anon_sym_BANG_EQ] = ACTIONS(702),
    [anon_sym_GT_EQ] = ACTIONS(702),
    [anon_sym_GT] = ACTIONS(704),
    [anon_sym_LT_GT] = ACTIONS(702),
    [anon_sym_testislegesher] = ACTIONS(702),
    [anon_sym_PLUS_EQ] = ACTIONS(702),
    [anon_sym_DASH_EQ] = ACTIONS(702),
    [anon_sym_STAR_EQ] = ACTIONS(702),
    [anon_sym_SLASH_EQ] = ACTIONS(702),
    [anon_sym_AT_EQ] = ACTIONS(702),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(702),
    [anon_sym_PERCENT_EQ] = ACTIONS(702),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(702),
    [anon_sym_GT_GT_EQ] = ACTIONS(702),
    [anon_sym_LT_LT_EQ] = ACTIONS(702),
    [anon_sym_AMP_EQ] = ACTIONS(702),
    [anon_sym_CARET_EQ] = ACTIONS(702),
    [anon_sym_PIPE_EQ] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(702),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(702),
    [sym__newline] = ACTIONS(702),
  },
  [197] = {
    [anon_sym_DOT] = ACTIONS(706),
    [anon_sym_LPAREN] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_GT_GT] = ACTIONS(708),
    [anon_sym_testiflegesher] = ACTIONS(706),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_testinlegesher] = ACTIONS(706),
    [anon_sym_EQ] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(708),
    [anon_sym_testnotlegesher] = ACTIONS(706),
    [anon_sym_testandlegesher] = ACTIONS(706),
    [anon_sym_testorlegesher] = ACTIONS(706),
    [anon_sym_PLUS] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(708),
    [anon_sym_SLASH] = ACTIONS(708),
    [anon_sym_PERCENT] = ACTIONS(708),
    [anon_sym_SLASH_SLASH] = ACTIONS(708),
    [anon_sym_STAR_STAR] = ACTIONS(708),
    [anon_sym_PIPE] = ACTIONS(708),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_CARET] = ACTIONS(708),
    [anon_sym_LT_LT] = ACTIONS(708),
    [anon_sym_LT] = ACTIONS(708),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(708),
    [anon_sym_LT_GT] = ACTIONS(706),
    [anon_sym_testislegesher] = ACTIONS(706),
    [anon_sym_PLUS_EQ] = ACTIONS(706),
    [anon_sym_DASH_EQ] = ACTIONS(706),
    [anon_sym_STAR_EQ] = ACTIONS(706),
    [anon_sym_SLASH_EQ] = ACTIONS(706),
    [anon_sym_AT_EQ] = ACTIONS(706),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(706),
    [anon_sym_PERCENT_EQ] = ACTIONS(706),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(706),
    [anon_sym_GT_GT_EQ] = ACTIONS(706),
    [anon_sym_LT_LT_EQ] = ACTIONS(706),
    [anon_sym_AMP_EQ] = ACTIONS(706),
    [anon_sym_CARET_EQ] = ACTIONS(706),
    [anon_sym_PIPE_EQ] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(706),
    [sym__newline] = ACTIONS(706),
  },
  [198] = {
    [sym_named_expression] = STATE(712),
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(937),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(712),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(710),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [199] = {
    [anon_sym_DOT] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(712),
    [anon_sym_COMMA] = ACTIONS(712),
    [anon_sym_STAR] = ACTIONS(714),
    [anon_sym_GT_GT] = ACTIONS(714),
    [anon_sym_testiflegesher] = ACTIONS(712),
    [anon_sym_COLON] = ACTIONS(712),
    [anon_sym_testinlegesher] = ACTIONS(712),
    [anon_sym_EQ] = ACTIONS(714),
    [anon_sym_AT] = ACTIONS(714),
    [anon_sym_testnotlegesher] = ACTIONS(712),
    [anon_sym_testandlegesher] = ACTIONS(712),
    [anon_sym_testorlegesher] = ACTIONS(712),
    [anon_sym_PLUS] = ACTIONS(714),
    [anon_sym_DASH] = ACTIONS(714),
    [anon_sym_SLASH] = ACTIONS(714),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_SLASH_SLASH] = ACTIONS(714),
    [anon_sym_STAR_STAR] = ACTIONS(714),
    [anon_sym_PIPE] = ACTIONS(714),
    [anon_sym_AMP] = ACTIONS(714),
    [anon_sym_CARET] = ACTIONS(714),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_LT] = ACTIONS(714),
    [anon_sym_LT_EQ] = ACTIONS(712),
    [anon_sym_EQ_EQ] = ACTIONS(712),
    [anon_sym_BANG_EQ] = ACTIONS(712),
    [anon_sym_GT_EQ] = ACTIONS(712),
    [anon_sym_GT] = ACTIONS(714),
    [anon_sym_LT_GT] = ACTIONS(712),
    [anon_sym_testislegesher] = ACTIONS(712),
    [anon_sym_PLUS_EQ] = ACTIONS(712),
    [anon_sym_DASH_EQ] = ACTIONS(712),
    [anon_sym_STAR_EQ] = ACTIONS(712),
    [anon_sym_SLASH_EQ] = ACTIONS(712),
    [anon_sym_AT_EQ] = ACTIONS(712),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(712),
    [anon_sym_PERCENT_EQ] = ACTIONS(712),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(712),
    [anon_sym_GT_GT_EQ] = ACTIONS(712),
    [anon_sym_LT_LT_EQ] = ACTIONS(712),
    [anon_sym_AMP_EQ] = ACTIONS(712),
    [anon_sym_CARET_EQ] = ACTIONS(712),
    [anon_sym_PIPE_EQ] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(712),
    [sym__newline] = ACTIONS(712),
  },
  [200] = {
    [anon_sym_DOT] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(716),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_GT_GT] = ACTIONS(718),
    [anon_sym_testiflegesher] = ACTIONS(716),
    [anon_sym_COLON] = ACTIONS(716),
    [anon_sym_testinlegesher] = ACTIONS(716),
    [anon_sym_EQ] = ACTIONS(718),
    [anon_sym_AT] = ACTIONS(718),
    [anon_sym_testnotlegesher] = ACTIONS(716),
    [anon_sym_testandlegesher] = ACTIONS(716),
    [anon_sym_testorlegesher] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_PERCENT] = ACTIONS(718),
    [anon_sym_SLASH_SLASH] = ACTIONS(718),
    [anon_sym_STAR_STAR] = ACTIONS(718),
    [anon_sym_PIPE] = ACTIONS(718),
    [anon_sym_AMP] = ACTIONS(718),
    [anon_sym_CARET] = ACTIONS(718),
    [anon_sym_LT_LT] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(716),
    [anon_sym_EQ_EQ] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(716),
    [anon_sym_GT_EQ] = ACTIONS(716),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_LT_GT] = ACTIONS(716),
    [anon_sym_testislegesher] = ACTIONS(716),
    [anon_sym_PLUS_EQ] = ACTIONS(716),
    [anon_sym_DASH_EQ] = ACTIONS(716),
    [anon_sym_STAR_EQ] = ACTIONS(716),
    [anon_sym_SLASH_EQ] = ACTIONS(716),
    [anon_sym_AT_EQ] = ACTIONS(716),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(716),
    [anon_sym_PERCENT_EQ] = ACTIONS(716),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(716),
    [anon_sym_GT_GT_EQ] = ACTIONS(716),
    [anon_sym_LT_LT_EQ] = ACTIONS(716),
    [anon_sym_AMP_EQ] = ACTIONS(716),
    [anon_sym_CARET_EQ] = ACTIONS(716),
    [anon_sym_PIPE_EQ] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(716),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(716),
    [sym__newline] = ACTIONS(716),
  },
  [201] = {
    [sym_named_expression] = STATE(712),
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(937),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(712),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(720),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [202] = {
    [sym_named_expression] = STATE(712),
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(937),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(712),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(722),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [203] = {
    [anon_sym_DOT] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_COMMA] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_GT_GT] = ACTIONS(726),
    [anon_sym_testiflegesher] = ACTIONS(724),
    [anon_sym_COLON] = ACTIONS(724),
    [anon_sym_testinlegesher] = ACTIONS(724),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(726),
    [anon_sym_testnotlegesher] = ACTIONS(724),
    [anon_sym_testandlegesher] = ACTIONS(724),
    [anon_sym_testorlegesher] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(726),
    [anon_sym_DASH] = ACTIONS(726),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_PERCENT] = ACTIONS(726),
    [anon_sym_SLASH_SLASH] = ACTIONS(726),
    [anon_sym_STAR_STAR] = ACTIONS(726),
    [anon_sym_PIPE] = ACTIONS(726),
    [anon_sym_AMP] = ACTIONS(726),
    [anon_sym_CARET] = ACTIONS(726),
    [anon_sym_LT_LT] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_LT_EQ] = ACTIONS(724),
    [anon_sym_EQ_EQ] = ACTIONS(724),
    [anon_sym_BANG_EQ] = ACTIONS(724),
    [anon_sym_GT_EQ] = ACTIONS(724),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_LT_GT] = ACTIONS(724),
    [anon_sym_testislegesher] = ACTIONS(724),
    [anon_sym_PLUS_EQ] = ACTIONS(724),
    [anon_sym_DASH_EQ] = ACTIONS(724),
    [anon_sym_STAR_EQ] = ACTIONS(724),
    [anon_sym_SLASH_EQ] = ACTIONS(724),
    [anon_sym_AT_EQ] = ACTIONS(724),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(724),
    [anon_sym_PERCENT_EQ] = ACTIONS(724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(724),
    [anon_sym_GT_GT_EQ] = ACTIONS(724),
    [anon_sym_LT_LT_EQ] = ACTIONS(724),
    [anon_sym_AMP_EQ] = ACTIONS(724),
    [anon_sym_CARET_EQ] = ACTIONS(724),
    [anon_sym_PIPE_EQ] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(724),
    [sym__newline] = ACTIONS(724),
  },
  [204] = {
    [sym_named_expression] = STATE(791),
    [sym_dictionary_splat] = STATE(914),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(791),
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_pair] = STATE(914),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(791),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(791),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [205] = {
    [anon_sym_DOT] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(728),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_GT_GT] = ACTIONS(730),
    [anon_sym_testiflegesher] = ACTIONS(728),
    [anon_sym_COLON] = ACTIONS(728),
    [anon_sym_testinlegesher] = ACTIONS(728),
    [anon_sym_EQ] = ACTIONS(730),
    [anon_sym_AT] = ACTIONS(730),
    [anon_sym_testnotlegesher] = ACTIONS(728),
    [anon_sym_testandlegesher] = ACTIONS(728),
    [anon_sym_testorlegesher] = ACTIONS(728),
    [anon_sym_PLUS] = ACTIONS(730),
    [anon_sym_DASH] = ACTIONS(730),
    [anon_sym_SLASH] = ACTIONS(730),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_SLASH_SLASH] = ACTIONS(730),
    [anon_sym_STAR_STAR] = ACTIONS(730),
    [anon_sym_PIPE] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(730),
    [anon_sym_CARET] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(728),
    [anon_sym_EQ_EQ] = ACTIONS(728),
    [anon_sym_BANG_EQ] = ACTIONS(728),
    [anon_sym_GT_EQ] = ACTIONS(728),
    [anon_sym_GT] = ACTIONS(730),
    [anon_sym_LT_GT] = ACTIONS(728),
    [anon_sym_testislegesher] = ACTIONS(728),
    [anon_sym_PLUS_EQ] = ACTIONS(728),
    [anon_sym_DASH_EQ] = ACTIONS(728),
    [anon_sym_STAR_EQ] = ACTIONS(728),
    [anon_sym_SLASH_EQ] = ACTIONS(728),
    [anon_sym_AT_EQ] = ACTIONS(728),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(728),
    [anon_sym_PERCENT_EQ] = ACTIONS(728),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(728),
    [anon_sym_GT_GT_EQ] = ACTIONS(728),
    [anon_sym_LT_LT_EQ] = ACTIONS(728),
    [anon_sym_AMP_EQ] = ACTIONS(728),
    [anon_sym_CARET_EQ] = ACTIONS(728),
    [anon_sym_PIPE_EQ] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(728),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(728),
    [sym__newline] = ACTIONS(728),
  },
  [206] = {
    [anon_sym_DOT] = ACTIONS(732),
    [anon_sym_LPAREN] = ACTIONS(732),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_testiflegesher] = ACTIONS(732),
    [anon_sym_COLON] = ACTIONS(732),
    [anon_sym_testinlegesher] = ACTIONS(732),
    [anon_sym_EQ] = ACTIONS(734),
    [anon_sym_AT] = ACTIONS(734),
    [anon_sym_testnotlegesher] = ACTIONS(732),
    [anon_sym_testandlegesher] = ACTIONS(732),
    [anon_sym_testorlegesher] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_SLASH_SLASH] = ACTIONS(734),
    [anon_sym_STAR_STAR] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(734),
    [anon_sym_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(732),
    [anon_sym_BANG_EQ] = ACTIONS(732),
    [anon_sym_GT_EQ] = ACTIONS(732),
    [anon_sym_GT] = ACTIONS(734),
    [anon_sym_LT_GT] = ACTIONS(732),
    [anon_sym_testislegesher] = ACTIONS(732),
    [anon_sym_PLUS_EQ] = ACTIONS(732),
    [anon_sym_DASH_EQ] = ACTIONS(732),
    [anon_sym_STAR_EQ] = ACTIONS(732),
    [anon_sym_SLASH_EQ] = ACTIONS(732),
    [anon_sym_AT_EQ] = ACTIONS(732),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(732),
    [anon_sym_PERCENT_EQ] = ACTIONS(732),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(732),
    [anon_sym_GT_GT_EQ] = ACTIONS(732),
    [anon_sym_LT_LT_EQ] = ACTIONS(732),
    [anon_sym_AMP_EQ] = ACTIONS(732),
    [anon_sym_CARET_EQ] = ACTIONS(732),
    [anon_sym_PIPE_EQ] = ACTIONS(732),
    [anon_sym_LBRACK] = ACTIONS(732),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(732),
    [sym__newline] = ACTIONS(732),
  },
  [207] = {
    [sym_named_expression] = STATE(712),
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(937),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(712),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(736),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [208] = {
    [sym_named_expression] = STATE(704),
    [sym__expression] = STATE(704),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(704),
    [sym_boolean_operator] = STATE(704),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(704),
    [sym_lambda] = STATE(704),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(704),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(704),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(740),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(738),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [209] = {
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(744),
    [anon_sym_testiflegesher] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_testinlegesher] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_testnotlegesher] = ACTIONS(742),
    [anon_sym_testandlegesher] = ACTIONS(742),
    [anon_sym_testorlegesher] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_SLASH_SLASH] = ACTIONS(744),
    [anon_sym_STAR_STAR] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(744),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym_LT_LT] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_LT_GT] = ACTIONS(742),
    [anon_sym_testislegesher] = ACTIONS(742),
    [anon_sym_PLUS_EQ] = ACTIONS(742),
    [anon_sym_DASH_EQ] = ACTIONS(742),
    [anon_sym_STAR_EQ] = ACTIONS(742),
    [anon_sym_SLASH_EQ] = ACTIONS(742),
    [anon_sym_AT_EQ] = ACTIONS(742),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(742),
    [anon_sym_PERCENT_EQ] = ACTIONS(742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(742),
    [anon_sym_GT_GT_EQ] = ACTIONS(742),
    [anon_sym_LT_LT_EQ] = ACTIONS(742),
    [anon_sym_AMP_EQ] = ACTIONS(742),
    [anon_sym_CARET_EQ] = ACTIONS(742),
    [anon_sym_PIPE_EQ] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(742),
    [sym__newline] = ACTIONS(742),
  },
  [210] = {
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(748),
    [anon_sym_GT_GT] = ACTIONS(748),
    [anon_sym_testiflegesher] = ACTIONS(746),
    [anon_sym_COLON] = ACTIONS(746),
    [anon_sym_testinlegesher] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(748),
    [anon_sym_testnotlegesher] = ACTIONS(746),
    [anon_sym_testandlegesher] = ACTIONS(746),
    [anon_sym_testorlegesher] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(748),
    [anon_sym_DASH] = ACTIONS(748),
    [anon_sym_SLASH] = ACTIONS(748),
    [anon_sym_PERCENT] = ACTIONS(748),
    [anon_sym_SLASH_SLASH] = ACTIONS(748),
    [anon_sym_STAR_STAR] = ACTIONS(748),
    [anon_sym_PIPE] = ACTIONS(748),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(748),
    [anon_sym_LT_LT] = ACTIONS(748),
    [anon_sym_LT] = ACTIONS(748),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(748),
    [anon_sym_LT_GT] = ACTIONS(746),
    [anon_sym_testislegesher] = ACTIONS(746),
    [anon_sym_PLUS_EQ] = ACTIONS(746),
    [anon_sym_DASH_EQ] = ACTIONS(746),
    [anon_sym_STAR_EQ] = ACTIONS(746),
    [anon_sym_SLASH_EQ] = ACTIONS(746),
    [anon_sym_AT_EQ] = ACTIONS(746),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(746),
    [anon_sym_PERCENT_EQ] = ACTIONS(746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(746),
    [anon_sym_GT_GT_EQ] = ACTIONS(746),
    [anon_sym_LT_LT_EQ] = ACTIONS(746),
    [anon_sym_AMP_EQ] = ACTIONS(746),
    [anon_sym_CARET_EQ] = ACTIONS(746),
    [anon_sym_PIPE_EQ] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(746),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(746),
    [sym__newline] = ACTIONS(746),
  },
  [211] = {
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(752),
    [anon_sym_GT_GT] = ACTIONS(752),
    [anon_sym_testiflegesher] = ACTIONS(750),
    [anon_sym_COLON] = ACTIONS(750),
    [anon_sym_testinlegesher] = ACTIONS(750),
    [anon_sym_EQ] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(752),
    [anon_sym_testnotlegesher] = ACTIONS(750),
    [anon_sym_testandlegesher] = ACTIONS(750),
    [anon_sym_testorlegesher] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(752),
    [anon_sym_DASH] = ACTIONS(752),
    [anon_sym_SLASH] = ACTIONS(752),
    [anon_sym_PERCENT] = ACTIONS(752),
    [anon_sym_SLASH_SLASH] = ACTIONS(752),
    [anon_sym_STAR_STAR] = ACTIONS(752),
    [anon_sym_PIPE] = ACTIONS(752),
    [anon_sym_AMP] = ACTIONS(752),
    [anon_sym_CARET] = ACTIONS(752),
    [anon_sym_LT_LT] = ACTIONS(752),
    [anon_sym_LT] = ACTIONS(752),
    [anon_sym_LT_EQ] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(750),
    [anon_sym_BANG_EQ] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(750),
    [anon_sym_GT] = ACTIONS(752),
    [anon_sym_LT_GT] = ACTIONS(750),
    [anon_sym_testislegesher] = ACTIONS(750),
    [anon_sym_PLUS_EQ] = ACTIONS(750),
    [anon_sym_DASH_EQ] = ACTIONS(750),
    [anon_sym_STAR_EQ] = ACTIONS(750),
    [anon_sym_SLASH_EQ] = ACTIONS(750),
    [anon_sym_AT_EQ] = ACTIONS(750),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(750),
    [anon_sym_PERCENT_EQ] = ACTIONS(750),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(750),
    [anon_sym_GT_GT_EQ] = ACTIONS(750),
    [anon_sym_LT_LT_EQ] = ACTIONS(750),
    [anon_sym_AMP_EQ] = ACTIONS(750),
    [anon_sym_CARET_EQ] = ACTIONS(750),
    [anon_sym_PIPE_EQ] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(750),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(750),
    [sym__newline] = ACTIONS(750),
  },
  [212] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(754),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [213] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(756),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [214] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(758),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [215] = {
    [sym_named_expression] = STATE(753),
    [sym__expression] = STATE(753),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(753),
    [sym_boolean_operator] = STATE(753),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(753),
    [sym_lambda] = STATE(753),
    [sym_yield] = STATE(922),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(753),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(753),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(760),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [216] = {
    [sym_named_expression] = STATE(753),
    [sym__expression] = STATE(753),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(753),
    [sym_boolean_operator] = STATE(753),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(753),
    [sym_lambda] = STATE(753),
    [sym_yield] = STATE(922),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(753),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(753),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_RPAREN] = ACTIONS(762),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [217] = {
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_LPAREN] = ACTIONS(764),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_STAR] = ACTIONS(766),
    [anon_sym_GT_GT] = ACTIONS(766),
    [anon_sym_testiflegesher] = ACTIONS(764),
    [anon_sym_COLON] = ACTIONS(764),
    [anon_sym_testinlegesher] = ACTIONS(764),
    [anon_sym_EQ] = ACTIONS(766),
    [anon_sym_AT] = ACTIONS(766),
    [anon_sym_testnotlegesher] = ACTIONS(764),
    [anon_sym_testandlegesher] = ACTIONS(764),
    [anon_sym_testorlegesher] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(766),
    [anon_sym_DASH] = ACTIONS(766),
    [anon_sym_SLASH] = ACTIONS(766),
    [anon_sym_PERCENT] = ACTIONS(766),
    [anon_sym_SLASH_SLASH] = ACTIONS(766),
    [anon_sym_STAR_STAR] = ACTIONS(766),
    [anon_sym_PIPE] = ACTIONS(766),
    [anon_sym_AMP] = ACTIONS(766),
    [anon_sym_CARET] = ACTIONS(766),
    [anon_sym_LT_LT] = ACTIONS(766),
    [anon_sym_LT] = ACTIONS(766),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_GT] = ACTIONS(766),
    [anon_sym_LT_GT] = ACTIONS(764),
    [anon_sym_testislegesher] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(764),
    [anon_sym_DASH_EQ] = ACTIONS(764),
    [anon_sym_STAR_EQ] = ACTIONS(764),
    [anon_sym_SLASH_EQ] = ACTIONS(764),
    [anon_sym_AT_EQ] = ACTIONS(764),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(764),
    [anon_sym_PERCENT_EQ] = ACTIONS(764),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(764),
    [anon_sym_GT_GT_EQ] = ACTIONS(764),
    [anon_sym_LT_LT_EQ] = ACTIONS(764),
    [anon_sym_AMP_EQ] = ACTIONS(764),
    [anon_sym_CARET_EQ] = ACTIONS(764),
    [anon_sym_PIPE_EQ] = ACTIONS(764),
    [anon_sym_LBRACK] = ACTIONS(764),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(764),
    [sym__newline] = ACTIONS(764),
  },
  [218] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(768),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [219] = {
    [anon_sym_DOT] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_COMMA] = ACTIONS(770),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_testiflegesher] = ACTIONS(770),
    [anon_sym_COLON] = ACTIONS(770),
    [anon_sym_testinlegesher] = ACTIONS(770),
    [anon_sym_EQ] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_testnotlegesher] = ACTIONS(770),
    [anon_sym_testandlegesher] = ACTIONS(770),
    [anon_sym_testorlegesher] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_SLASH_SLASH] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(770),
    [anon_sym_EQ_EQ] = ACTIONS(770),
    [anon_sym_BANG_EQ] = ACTIONS(770),
    [anon_sym_GT_EQ] = ACTIONS(770),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT_GT] = ACTIONS(770),
    [anon_sym_testislegesher] = ACTIONS(770),
    [anon_sym_PLUS_EQ] = ACTIONS(770),
    [anon_sym_DASH_EQ] = ACTIONS(770),
    [anon_sym_STAR_EQ] = ACTIONS(770),
    [anon_sym_SLASH_EQ] = ACTIONS(770),
    [anon_sym_AT_EQ] = ACTIONS(770),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(770),
    [anon_sym_PERCENT_EQ] = ACTIONS(770),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(770),
    [anon_sym_GT_GT_EQ] = ACTIONS(770),
    [anon_sym_LT_LT_EQ] = ACTIONS(770),
    [anon_sym_AMP_EQ] = ACTIONS(770),
    [anon_sym_CARET_EQ] = ACTIONS(770),
    [anon_sym_PIPE_EQ] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(770),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(770),
    [sym__newline] = ACTIONS(770),
  },
  [220] = {
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(774),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_GT_GT] = ACTIONS(776),
    [anon_sym_testiflegesher] = ACTIONS(774),
    [anon_sym_COLON] = ACTIONS(774),
    [anon_sym_testinlegesher] = ACTIONS(774),
    [anon_sym_EQ] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(776),
    [anon_sym_testnotlegesher] = ACTIONS(774),
    [anon_sym_testandlegesher] = ACTIONS(774),
    [anon_sym_testorlegesher] = ACTIONS(774),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_SLASH] = ACTIONS(776),
    [anon_sym_PERCENT] = ACTIONS(776),
    [anon_sym_SLASH_SLASH] = ACTIONS(776),
    [anon_sym_STAR_STAR] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(776),
    [anon_sym_AMP] = ACTIONS(776),
    [anon_sym_CARET] = ACTIONS(776),
    [anon_sym_LT_LT] = ACTIONS(776),
    [anon_sym_LT] = ACTIONS(776),
    [anon_sym_LT_EQ] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(774),
    [anon_sym_BANG_EQ] = ACTIONS(774),
    [anon_sym_GT_EQ] = ACTIONS(774),
    [anon_sym_GT] = ACTIONS(776),
    [anon_sym_LT_GT] = ACTIONS(774),
    [anon_sym_testislegesher] = ACTIONS(774),
    [anon_sym_PLUS_EQ] = ACTIONS(774),
    [anon_sym_DASH_EQ] = ACTIONS(774),
    [anon_sym_STAR_EQ] = ACTIONS(774),
    [anon_sym_SLASH_EQ] = ACTIONS(774),
    [anon_sym_AT_EQ] = ACTIONS(774),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(774),
    [anon_sym_PERCENT_EQ] = ACTIONS(774),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(774),
    [anon_sym_GT_GT_EQ] = ACTIONS(774),
    [anon_sym_LT_LT_EQ] = ACTIONS(774),
    [anon_sym_AMP_EQ] = ACTIONS(774),
    [anon_sym_CARET_EQ] = ACTIONS(774),
    [anon_sym_PIPE_EQ] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(774),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(774),
    [sym__newline] = ACTIONS(774),
  },
  [221] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(778),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [222] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(780),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [223] = {
    [anon_sym_DOT] = ACTIONS(782),
    [anon_sym_LPAREN] = ACTIONS(782),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_STAR] = ACTIONS(784),
    [anon_sym_GT_GT] = ACTIONS(784),
    [anon_sym_testiflegesher] = ACTIONS(782),
    [anon_sym_COLON] = ACTIONS(782),
    [anon_sym_testinlegesher] = ACTIONS(782),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(784),
    [anon_sym_testnotlegesher] = ACTIONS(782),
    [anon_sym_testandlegesher] = ACTIONS(782),
    [anon_sym_testorlegesher] = ACTIONS(782),
    [anon_sym_PLUS] = ACTIONS(784),
    [anon_sym_DASH] = ACTIONS(784),
    [anon_sym_SLASH] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(784),
    [anon_sym_SLASH_SLASH] = ACTIONS(784),
    [anon_sym_STAR_STAR] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(784),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(784),
    [anon_sym_LT_LT] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(784),
    [anon_sym_LT_EQ] = ACTIONS(782),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_GT_EQ] = ACTIONS(782),
    [anon_sym_GT] = ACTIONS(784),
    [anon_sym_LT_GT] = ACTIONS(782),
    [anon_sym_testislegesher] = ACTIONS(782),
    [anon_sym_PLUS_EQ] = ACTIONS(782),
    [anon_sym_DASH_EQ] = ACTIONS(782),
    [anon_sym_STAR_EQ] = ACTIONS(782),
    [anon_sym_SLASH_EQ] = ACTIONS(782),
    [anon_sym_AT_EQ] = ACTIONS(782),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(782),
    [anon_sym_PERCENT_EQ] = ACTIONS(782),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(782),
    [anon_sym_GT_GT_EQ] = ACTIONS(782),
    [anon_sym_LT_LT_EQ] = ACTIONS(782),
    [anon_sym_AMP_EQ] = ACTIONS(782),
    [anon_sym_CARET_EQ] = ACTIONS(782),
    [anon_sym_PIPE_EQ] = ACTIONS(782),
    [anon_sym_LBRACK] = ACTIONS(782),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(782),
    [sym__newline] = ACTIONS(782),
  },
  [224] = {
    [sym_named_expression] = STATE(662),
    [sym__expression] = STATE(662),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(662),
    [sym_boolean_operator] = STATE(662),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(662),
    [sym_lambda] = STATE(662),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(662),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(662),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(492),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(492),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(492),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [225] = {
    [sym_except_clause] = STATE(225),
    [aux_sym_try_statement_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(786),
    [anon_sym_testimportlegesher] = ACTIONS(786),
    [anon_sym_testfromlegesher] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(788),
    [anon_sym_testprintlegesher] = ACTIONS(786),
    [anon_sym_testassertlegesher] = ACTIONS(786),
    [anon_sym_testreturnlegesher] = ACTIONS(786),
    [anon_sym_testdellegesher] = ACTIONS(786),
    [anon_sym_testraiselegesher] = ACTIONS(786),
    [anon_sym_testpasslegesher] = ACTIONS(786),
    [anon_sym_testbreaklegesher] = ACTIONS(786),
    [anon_sym_testcontinuelegesher] = ACTIONS(786),
    [anon_sym_testiflegesher] = ACTIONS(786),
    [anon_sym_testelselegesher] = ACTIONS(786),
    [anon_sym_testasynclegesher] = ACTIONS(786),
    [anon_sym_testforlegesher] = ACTIONS(786),
    [anon_sym_testwhilelegesher] = ACTIONS(786),
    [anon_sym_testtrylegesher] = ACTIONS(786),
    [anon_sym_testexceptlegesher] = ACTIONS(790),
    [anon_sym_testfinallylegesher] = ACTIONS(786),
    [anon_sym_testwithlegesher] = ACTIONS(786),
    [anon_sym_testdeflegesher] = ACTIONS(786),
    [anon_sym_testgloballegesher] = ACTIONS(786),
    [anon_sym_testnonlocallegesher] = ACTIONS(786),
    [anon_sym_testexeclegesher] = ACTIONS(786),
    [anon_sym_testclasslegesher] = ACTIONS(786),
    [anon_sym_AT] = ACTIONS(788),
    [anon_sym_testnotlegesher] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(788),
    [anon_sym_DASH] = ACTIONS(788),
    [anon_sym_TILDE] = ACTIONS(788),
    [anon_sym_testlambdalegesher] = ACTIONS(786),
    [anon_sym_testyieldlegesher] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(788),
    [sym_ellipsis] = ACTIONS(788),
    [anon_sym_LBRACE] = ACTIONS(788),
    [sym_integer] = ACTIONS(786),
    [sym_float] = ACTIONS(788),
    [sym_true] = ACTIONS(786),
    [sym_false] = ACTIONS(786),
    [sym_none] = ACTIONS(786),
    [anon_sym_testawaitlegesher] = ACTIONS(786),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(788),
    [sym__string_start] = ACTIONS(788),
  },
  [226] = {
    [sym_except_clause] = STATE(226),
    [aux_sym_try_statement_repeat1] = STATE(226),
    [ts_builtin_sym_end] = ACTIONS(788),
    [sym_identifier] = ACTIONS(786),
    [anon_sym_testimportlegesher] = ACTIONS(786),
    [anon_sym_testfromlegesher] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(788),
    [anon_sym_testprintlegesher] = ACTIONS(786),
    [anon_sym_testassertlegesher] = ACTIONS(786),
    [anon_sym_testreturnlegesher] = ACTIONS(786),
    [anon_sym_testdellegesher] = ACTIONS(786),
    [anon_sym_testraiselegesher] = ACTIONS(786),
    [anon_sym_testpasslegesher] = ACTIONS(786),
    [anon_sym_testbreaklegesher] = ACTIONS(786),
    [anon_sym_testcontinuelegesher] = ACTIONS(786),
    [anon_sym_testiflegesher] = ACTIONS(786),
    [anon_sym_testelselegesher] = ACTIONS(786),
    [anon_sym_testasynclegesher] = ACTIONS(786),
    [anon_sym_testforlegesher] = ACTIONS(786),
    [anon_sym_testwhilelegesher] = ACTIONS(786),
    [anon_sym_testtrylegesher] = ACTIONS(786),
    [anon_sym_testexceptlegesher] = ACTIONS(793),
    [anon_sym_testfinallylegesher] = ACTIONS(786),
    [anon_sym_testwithlegesher] = ACTIONS(786),
    [anon_sym_testdeflegesher] = ACTIONS(786),
    [anon_sym_testgloballegesher] = ACTIONS(786),
    [anon_sym_testnonlocallegesher] = ACTIONS(786),
    [anon_sym_testexeclegesher] = ACTIONS(786),
    [anon_sym_testclasslegesher] = ACTIONS(786),
    [anon_sym_AT] = ACTIONS(788),
    [anon_sym_testnotlegesher] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(788),
    [anon_sym_DASH] = ACTIONS(788),
    [anon_sym_TILDE] = ACTIONS(788),
    [anon_sym_testlambdalegesher] = ACTIONS(786),
    [anon_sym_testyieldlegesher] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(788),
    [sym_ellipsis] = ACTIONS(788),
    [anon_sym_LBRACE] = ACTIONS(788),
    [sym_integer] = ACTIONS(786),
    [sym_float] = ACTIONS(788),
    [sym_true] = ACTIONS(786),
    [sym_false] = ACTIONS(786),
    [sym_none] = ACTIONS(786),
    [anon_sym_testawaitlegesher] = ACTIONS(786),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(788),
  },
  [227] = {
    [sym_named_expression] = STATE(655),
    [sym__expression_within_for_in_clause] = STATE(678),
    [sym__expression] = STATE(655),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(655),
    [sym_boolean_operator] = STATE(655),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(655),
    [sym_lambda] = STATE(655),
    [sym_lambda_within_for_in_clause] = STATE(678),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(655),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(655),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [228] = {
    [sym_named_expression] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(702),
    [sym_boolean_operator] = STATE(702),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(702),
    [sym_lambda] = STATE(702),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(702),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(702),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(796),
    [sym__newline] = ACTIONS(796),
    [sym__string_start] = ACTIONS(255),
  },
  [229] = {
    [sym_elif_clause] = STATE(361),
    [sym_else_clause] = STATE(436),
    [aux_sym_if_statement_repeat1] = STATE(259),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_testimportlegesher] = ACTIONS(798),
    [anon_sym_testfromlegesher] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_testprintlegesher] = ACTIONS(798),
    [anon_sym_testassertlegesher] = ACTIONS(798),
    [anon_sym_testreturnlegesher] = ACTIONS(798),
    [anon_sym_testdellegesher] = ACTIONS(798),
    [anon_sym_testraiselegesher] = ACTIONS(798),
    [anon_sym_testpasslegesher] = ACTIONS(798),
    [anon_sym_testbreaklegesher] = ACTIONS(798),
    [anon_sym_testcontinuelegesher] = ACTIONS(798),
    [anon_sym_testiflegesher] = ACTIONS(798),
    [anon_sym_testeliflegesher] = ACTIONS(802),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(798),
    [anon_sym_testforlegesher] = ACTIONS(798),
    [anon_sym_testwhilelegesher] = ACTIONS(798),
    [anon_sym_testtrylegesher] = ACTIONS(798),
    [anon_sym_testwithlegesher] = ACTIONS(798),
    [anon_sym_testdeflegesher] = ACTIONS(798),
    [anon_sym_testgloballegesher] = ACTIONS(798),
    [anon_sym_testnonlocallegesher] = ACTIONS(798),
    [anon_sym_testexeclegesher] = ACTIONS(798),
    [anon_sym_testclasslegesher] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(800),
    [anon_sym_testnotlegesher] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_TILDE] = ACTIONS(800),
    [anon_sym_testlambdalegesher] = ACTIONS(798),
    [anon_sym_testyieldlegesher] = ACTIONS(798),
    [anon_sym_LBRACK] = ACTIONS(800),
    [sym_ellipsis] = ACTIONS(800),
    [anon_sym_LBRACE] = ACTIONS(800),
    [sym_integer] = ACTIONS(798),
    [sym_float] = ACTIONS(800),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_none] = ACTIONS(798),
    [anon_sym_testawaitlegesher] = ACTIONS(798),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(800),
    [sym__string_start] = ACTIONS(800),
  },
  [230] = {
    [sym_elif_clause] = STATE(375),
    [sym_else_clause] = STATE(452),
    [aux_sym_if_statement_repeat1] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(804),
    [sym_identifier] = ACTIONS(806),
    [anon_sym_testimportlegesher] = ACTIONS(806),
    [anon_sym_testfromlegesher] = ACTIONS(806),
    [anon_sym_LPAREN] = ACTIONS(804),
    [anon_sym_testprintlegesher] = ACTIONS(806),
    [anon_sym_testassertlegesher] = ACTIONS(806),
    [anon_sym_testreturnlegesher] = ACTIONS(806),
    [anon_sym_testdellegesher] = ACTIONS(806),
    [anon_sym_testraiselegesher] = ACTIONS(806),
    [anon_sym_testpasslegesher] = ACTIONS(806),
    [anon_sym_testbreaklegesher] = ACTIONS(806),
    [anon_sym_testcontinuelegesher] = ACTIONS(806),
    [anon_sym_testiflegesher] = ACTIONS(806),
    [anon_sym_testeliflegesher] = ACTIONS(808),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(806),
    [anon_sym_testforlegesher] = ACTIONS(806),
    [anon_sym_testwhilelegesher] = ACTIONS(806),
    [anon_sym_testtrylegesher] = ACTIONS(806),
    [anon_sym_testwithlegesher] = ACTIONS(806),
    [anon_sym_testdeflegesher] = ACTIONS(806),
    [anon_sym_testgloballegesher] = ACTIONS(806),
    [anon_sym_testnonlocallegesher] = ACTIONS(806),
    [anon_sym_testexeclegesher] = ACTIONS(806),
    [anon_sym_testclasslegesher] = ACTIONS(806),
    [anon_sym_AT] = ACTIONS(804),
    [anon_sym_testnotlegesher] = ACTIONS(806),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_testlambdalegesher] = ACTIONS(806),
    [anon_sym_testyieldlegesher] = ACTIONS(806),
    [anon_sym_LBRACK] = ACTIONS(804),
    [sym_ellipsis] = ACTIONS(804),
    [anon_sym_LBRACE] = ACTIONS(804),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(804),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_none] = ACTIONS(806),
    [anon_sym_testawaitlegesher] = ACTIONS(806),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(804),
  },
  [231] = {
    [sym_elif_clause] = STATE(375),
    [sym_else_clause] = STATE(450),
    [aux_sym_if_statement_repeat1] = STATE(244),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_testimportlegesher] = ACTIONS(812),
    [anon_sym_testfromlegesher] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_testprintlegesher] = ACTIONS(812),
    [anon_sym_testassertlegesher] = ACTIONS(812),
    [anon_sym_testreturnlegesher] = ACTIONS(812),
    [anon_sym_testdellegesher] = ACTIONS(812),
    [anon_sym_testraiselegesher] = ACTIONS(812),
    [anon_sym_testpasslegesher] = ACTIONS(812),
    [anon_sym_testbreaklegesher] = ACTIONS(812),
    [anon_sym_testcontinuelegesher] = ACTIONS(812),
    [anon_sym_testiflegesher] = ACTIONS(812),
    [anon_sym_testeliflegesher] = ACTIONS(808),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(812),
    [anon_sym_testforlegesher] = ACTIONS(812),
    [anon_sym_testwhilelegesher] = ACTIONS(812),
    [anon_sym_testtrylegesher] = ACTIONS(812),
    [anon_sym_testwithlegesher] = ACTIONS(812),
    [anon_sym_testdeflegesher] = ACTIONS(812),
    [anon_sym_testgloballegesher] = ACTIONS(812),
    [anon_sym_testnonlocallegesher] = ACTIONS(812),
    [anon_sym_testexeclegesher] = ACTIONS(812),
    [anon_sym_testclasslegesher] = ACTIONS(812),
    [anon_sym_AT] = ACTIONS(810),
    [anon_sym_testnotlegesher] = ACTIONS(812),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_testlambdalegesher] = ACTIONS(812),
    [anon_sym_testyieldlegesher] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(810),
    [sym_ellipsis] = ACTIONS(810),
    [anon_sym_LBRACE] = ACTIONS(810),
    [sym_integer] = ACTIONS(812),
    [sym_float] = ACTIONS(810),
    [sym_true] = ACTIONS(812),
    [sym_false] = ACTIONS(812),
    [sym_none] = ACTIONS(812),
    [anon_sym_testawaitlegesher] = ACTIONS(812),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(810),
  },
  [232] = {
    [sym_named_expression] = STATE(753),
    [sym__expression] = STATE(753),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(753),
    [sym_boolean_operator] = STATE(753),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(753),
    [sym_lambda] = STATE(753),
    [sym_yield] = STATE(922),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(753),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(753),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_testyieldlegesher] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [233] = {
    [sym_named_expression] = STATE(657),
    [sym__expression_within_for_in_clause] = STATE(684),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_lambda_within_for_in_clause] = STATE(684),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(657),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [234] = {
    [sym_named_expression] = STATE(657),
    [sym__expression_within_for_in_clause] = STATE(670),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_lambda_within_for_in_clause] = STATE(670),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(657),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [235] = {
    [sym_named_expression] = STATE(659),
    [sym__expression_within_for_in_clause] = STATE(688),
    [sym__expression] = STATE(659),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(659),
    [sym_boolean_operator] = STATE(659),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(659),
    [sym_lambda] = STATE(659),
    [sym_lambda_within_for_in_clause] = STATE(688),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(659),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(659),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [236] = {
    [sym_named_expression] = STATE(710),
    [sym_list_splat] = STATE(854),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(710),
    [sym_lambda] = STATE(710),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(710),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(710),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [237] = {
    [sym_named_expression] = STATE(712),
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(937),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(712),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [238] = {
    [sym_named_expression] = STATE(743),
    [sym__expression] = STATE(743),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(743),
    [sym_boolean_operator] = STATE(743),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(743),
    [sym_lambda] = STATE(743),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(743),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(743),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(738),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [239] = {
    [sym_named_expression] = STATE(733),
    [sym__expression] = STATE(733),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(733),
    [sym_boolean_operator] = STATE(733),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(733),
    [sym_lambda] = STATE(733),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(733),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(733),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(814),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(814),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [240] = {
    [sym_named_expression] = STATE(689),
    [sym__expression] = STATE(689),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(689),
    [sym_boolean_operator] = STATE(689),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(689),
    [sym_lambda] = STATE(689),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(879),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(689),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(689),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [241] = {
    [sym_elif_clause] = STATE(375),
    [sym_else_clause] = STATE(396),
    [aux_sym_if_statement_repeat1] = STATE(230),
    [ts_builtin_sym_end] = ACTIONS(816),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_testimportlegesher] = ACTIONS(818),
    [anon_sym_testfromlegesher] = ACTIONS(818),
    [anon_sym_LPAREN] = ACTIONS(816),
    [anon_sym_testprintlegesher] = ACTIONS(818),
    [anon_sym_testassertlegesher] = ACTIONS(818),
    [anon_sym_testreturnlegesher] = ACTIONS(818),
    [anon_sym_testdellegesher] = ACTIONS(818),
    [anon_sym_testraiselegesher] = ACTIONS(818),
    [anon_sym_testpasslegesher] = ACTIONS(818),
    [anon_sym_testbreaklegesher] = ACTIONS(818),
    [anon_sym_testcontinuelegesher] = ACTIONS(818),
    [anon_sym_testiflegesher] = ACTIONS(818),
    [anon_sym_testeliflegesher] = ACTIONS(808),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(818),
    [anon_sym_testforlegesher] = ACTIONS(818),
    [anon_sym_testwhilelegesher] = ACTIONS(818),
    [anon_sym_testtrylegesher] = ACTIONS(818),
    [anon_sym_testwithlegesher] = ACTIONS(818),
    [anon_sym_testdeflegesher] = ACTIONS(818),
    [anon_sym_testgloballegesher] = ACTIONS(818),
    [anon_sym_testnonlocallegesher] = ACTIONS(818),
    [anon_sym_testexeclegesher] = ACTIONS(818),
    [anon_sym_testclasslegesher] = ACTIONS(818),
    [anon_sym_AT] = ACTIONS(816),
    [anon_sym_testnotlegesher] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_TILDE] = ACTIONS(816),
    [anon_sym_testlambdalegesher] = ACTIONS(818),
    [anon_sym_testyieldlegesher] = ACTIONS(818),
    [anon_sym_LBRACK] = ACTIONS(816),
    [sym_ellipsis] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(816),
    [sym_integer] = ACTIONS(818),
    [sym_float] = ACTIONS(816),
    [sym_true] = ACTIONS(818),
    [sym_false] = ACTIONS(818),
    [sym_none] = ACTIONS(818),
    [anon_sym_testawaitlegesher] = ACTIONS(818),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(816),
  },
  [242] = {
    [sym_named_expression] = STATE(758),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(758),
    [sym_lambda] = STATE(758),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(758),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(758),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(820),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(820),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [243] = {
    [sym_named_expression] = STATE(657),
    [sym__expression_within_for_in_clause] = STATE(660),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_lambda_within_for_in_clause] = STATE(660),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(657),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [244] = {
    [sym_elif_clause] = STATE(375),
    [sym_else_clause] = STATE(433),
    [aux_sym_if_statement_repeat1] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(800),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_testimportlegesher] = ACTIONS(798),
    [anon_sym_testfromlegesher] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_testprintlegesher] = ACTIONS(798),
    [anon_sym_testassertlegesher] = ACTIONS(798),
    [anon_sym_testreturnlegesher] = ACTIONS(798),
    [anon_sym_testdellegesher] = ACTIONS(798),
    [anon_sym_testraiselegesher] = ACTIONS(798),
    [anon_sym_testpasslegesher] = ACTIONS(798),
    [anon_sym_testbreaklegesher] = ACTIONS(798),
    [anon_sym_testcontinuelegesher] = ACTIONS(798),
    [anon_sym_testiflegesher] = ACTIONS(798),
    [anon_sym_testeliflegesher] = ACTIONS(808),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(798),
    [anon_sym_testforlegesher] = ACTIONS(798),
    [anon_sym_testwhilelegesher] = ACTIONS(798),
    [anon_sym_testtrylegesher] = ACTIONS(798),
    [anon_sym_testwithlegesher] = ACTIONS(798),
    [anon_sym_testdeflegesher] = ACTIONS(798),
    [anon_sym_testgloballegesher] = ACTIONS(798),
    [anon_sym_testnonlocallegesher] = ACTIONS(798),
    [anon_sym_testexeclegesher] = ACTIONS(798),
    [anon_sym_testclasslegesher] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(800),
    [anon_sym_testnotlegesher] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_TILDE] = ACTIONS(800),
    [anon_sym_testlambdalegesher] = ACTIONS(798),
    [anon_sym_testyieldlegesher] = ACTIONS(798),
    [anon_sym_LBRACK] = ACTIONS(800),
    [sym_ellipsis] = ACTIONS(800),
    [anon_sym_LBRACE] = ACTIONS(800),
    [sym_integer] = ACTIONS(798),
    [sym_float] = ACTIONS(800),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_none] = ACTIONS(798),
    [anon_sym_testawaitlegesher] = ACTIONS(798),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(800),
  },
  [245] = {
    [sym_named_expression] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(702),
    [sym_boolean_operator] = STATE(702),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(702),
    [sym_lambda] = STATE(702),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(702),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(702),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(822),
    [sym__newline] = ACTIONS(822),
    [sym__string_start] = ACTIONS(255),
  },
  [246] = {
    [sym_named_expression] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(702),
    [sym_boolean_operator] = STATE(702),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(702),
    [sym_lambda] = STATE(702),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(702),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(702),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(824),
    [sym__newline] = ACTIONS(824),
    [sym__string_start] = ACTIONS(255),
  },
  [247] = {
    [sym_elif_clause] = STATE(361),
    [sym_else_clause] = STATE(412),
    [aux_sym_if_statement_repeat1] = STATE(250),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_testimportlegesher] = ACTIONS(818),
    [anon_sym_testfromlegesher] = ACTIONS(818),
    [anon_sym_LPAREN] = ACTIONS(816),
    [anon_sym_testprintlegesher] = ACTIONS(818),
    [anon_sym_testassertlegesher] = ACTIONS(818),
    [anon_sym_testreturnlegesher] = ACTIONS(818),
    [anon_sym_testdellegesher] = ACTIONS(818),
    [anon_sym_testraiselegesher] = ACTIONS(818),
    [anon_sym_testpasslegesher] = ACTIONS(818),
    [anon_sym_testbreaklegesher] = ACTIONS(818),
    [anon_sym_testcontinuelegesher] = ACTIONS(818),
    [anon_sym_testiflegesher] = ACTIONS(818),
    [anon_sym_testeliflegesher] = ACTIONS(802),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(818),
    [anon_sym_testforlegesher] = ACTIONS(818),
    [anon_sym_testwhilelegesher] = ACTIONS(818),
    [anon_sym_testtrylegesher] = ACTIONS(818),
    [anon_sym_testwithlegesher] = ACTIONS(818),
    [anon_sym_testdeflegesher] = ACTIONS(818),
    [anon_sym_testgloballegesher] = ACTIONS(818),
    [anon_sym_testnonlocallegesher] = ACTIONS(818),
    [anon_sym_testexeclegesher] = ACTIONS(818),
    [anon_sym_testclasslegesher] = ACTIONS(818),
    [anon_sym_AT] = ACTIONS(816),
    [anon_sym_testnotlegesher] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_TILDE] = ACTIONS(816),
    [anon_sym_testlambdalegesher] = ACTIONS(818),
    [anon_sym_testyieldlegesher] = ACTIONS(818),
    [anon_sym_LBRACK] = ACTIONS(816),
    [sym_ellipsis] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(816),
    [sym_integer] = ACTIONS(818),
    [sym_float] = ACTIONS(816),
    [sym_true] = ACTIONS(818),
    [sym_false] = ACTIONS(818),
    [sym_none] = ACTIONS(818),
    [anon_sym_testawaitlegesher] = ACTIONS(818),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(816),
    [sym__string_start] = ACTIONS(816),
  },
  [248] = {
    [sym_elif_clause] = STATE(361),
    [sym_else_clause] = STATE(421),
    [aux_sym_if_statement_repeat1] = STATE(229),
    [sym_identifier] = ACTIONS(812),
    [anon_sym_testimportlegesher] = ACTIONS(812),
    [anon_sym_testfromlegesher] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_testprintlegesher] = ACTIONS(812),
    [anon_sym_testassertlegesher] = ACTIONS(812),
    [anon_sym_testreturnlegesher] = ACTIONS(812),
    [anon_sym_testdellegesher] = ACTIONS(812),
    [anon_sym_testraiselegesher] = ACTIONS(812),
    [anon_sym_testpasslegesher] = ACTIONS(812),
    [anon_sym_testbreaklegesher] = ACTIONS(812),
    [anon_sym_testcontinuelegesher] = ACTIONS(812),
    [anon_sym_testiflegesher] = ACTIONS(812),
    [anon_sym_testeliflegesher] = ACTIONS(802),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(812),
    [anon_sym_testforlegesher] = ACTIONS(812),
    [anon_sym_testwhilelegesher] = ACTIONS(812),
    [anon_sym_testtrylegesher] = ACTIONS(812),
    [anon_sym_testwithlegesher] = ACTIONS(812),
    [anon_sym_testdeflegesher] = ACTIONS(812),
    [anon_sym_testgloballegesher] = ACTIONS(812),
    [anon_sym_testnonlocallegesher] = ACTIONS(812),
    [anon_sym_testexeclegesher] = ACTIONS(812),
    [anon_sym_testclasslegesher] = ACTIONS(812),
    [anon_sym_AT] = ACTIONS(810),
    [anon_sym_testnotlegesher] = ACTIONS(812),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_testlambdalegesher] = ACTIONS(812),
    [anon_sym_testyieldlegesher] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(810),
    [sym_ellipsis] = ACTIONS(810),
    [anon_sym_LBRACE] = ACTIONS(810),
    [sym_integer] = ACTIONS(812),
    [sym_float] = ACTIONS(810),
    [sym_true] = ACTIONS(812),
    [sym_false] = ACTIONS(812),
    [sym_none] = ACTIONS(812),
    [anon_sym_testawaitlegesher] = ACTIONS(812),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(810),
    [sym__string_start] = ACTIONS(810),
  },
  [249] = {
    [sym_named_expression] = STATE(686),
    [sym__expression] = STATE(686),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(686),
    [sym_boolean_operator] = STATE(686),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(686),
    [sym_lambda] = STATE(686),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(810),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(686),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(686),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [250] = {
    [sym_elif_clause] = STATE(361),
    [sym_else_clause] = STATE(424),
    [aux_sym_if_statement_repeat1] = STATE(259),
    [sym_identifier] = ACTIONS(806),
    [anon_sym_testimportlegesher] = ACTIONS(806),
    [anon_sym_testfromlegesher] = ACTIONS(806),
    [anon_sym_LPAREN] = ACTIONS(804),
    [anon_sym_testprintlegesher] = ACTIONS(806),
    [anon_sym_testassertlegesher] = ACTIONS(806),
    [anon_sym_testreturnlegesher] = ACTIONS(806),
    [anon_sym_testdellegesher] = ACTIONS(806),
    [anon_sym_testraiselegesher] = ACTIONS(806),
    [anon_sym_testpasslegesher] = ACTIONS(806),
    [anon_sym_testbreaklegesher] = ACTIONS(806),
    [anon_sym_testcontinuelegesher] = ACTIONS(806),
    [anon_sym_testiflegesher] = ACTIONS(806),
    [anon_sym_testeliflegesher] = ACTIONS(802),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(806),
    [anon_sym_testforlegesher] = ACTIONS(806),
    [anon_sym_testwhilelegesher] = ACTIONS(806),
    [anon_sym_testtrylegesher] = ACTIONS(806),
    [anon_sym_testwithlegesher] = ACTIONS(806),
    [anon_sym_testdeflegesher] = ACTIONS(806),
    [anon_sym_testgloballegesher] = ACTIONS(806),
    [anon_sym_testnonlocallegesher] = ACTIONS(806),
    [anon_sym_testexeclegesher] = ACTIONS(806),
    [anon_sym_testclasslegesher] = ACTIONS(806),
    [anon_sym_AT] = ACTIONS(804),
    [anon_sym_testnotlegesher] = ACTIONS(806),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_testlambdalegesher] = ACTIONS(806),
    [anon_sym_testyieldlegesher] = ACTIONS(806),
    [anon_sym_LBRACK] = ACTIONS(804),
    [sym_ellipsis] = ACTIONS(804),
    [anon_sym_LBRACE] = ACTIONS(804),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(804),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_none] = ACTIONS(806),
    [anon_sym_testawaitlegesher] = ACTIONS(806),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(804),
    [sym__string_start] = ACTIONS(804),
  },
  [251] = {
    [sym_named_expression] = STATE(693),
    [sym__expression] = STATE(693),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(693),
    [sym_boolean_operator] = STATE(693),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(693),
    [sym_lambda] = STATE(693),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_slice] = STATE(853),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(693),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(693),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [252] = {
    [sym_named_expression] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(702),
    [sym_boolean_operator] = STATE(702),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(702),
    [sym_lambda] = STATE(702),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(702),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(702),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(826),
    [sym__newline] = ACTIONS(826),
    [sym__string_start] = ACTIONS(255),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(828),
    [sym_identifier] = ACTIONS(830),
    [anon_sym_testimportlegesher] = ACTIONS(830),
    [anon_sym_testfromlegesher] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_testprintlegesher] = ACTIONS(830),
    [anon_sym_testassertlegesher] = ACTIONS(830),
    [anon_sym_testreturnlegesher] = ACTIONS(830),
    [anon_sym_testdellegesher] = ACTIONS(830),
    [anon_sym_testraiselegesher] = ACTIONS(830),
    [anon_sym_testpasslegesher] = ACTIONS(830),
    [anon_sym_testbreaklegesher] = ACTIONS(830),
    [anon_sym_testcontinuelegesher] = ACTIONS(830),
    [anon_sym_testiflegesher] = ACTIONS(830),
    [anon_sym_testeliflegesher] = ACTIONS(830),
    [anon_sym_testelselegesher] = ACTIONS(830),
    [anon_sym_testasynclegesher] = ACTIONS(830),
    [anon_sym_testforlegesher] = ACTIONS(830),
    [anon_sym_testwhilelegesher] = ACTIONS(830),
    [anon_sym_testtrylegesher] = ACTIONS(830),
    [anon_sym_testexceptlegesher] = ACTIONS(830),
    [anon_sym_testfinallylegesher] = ACTIONS(830),
    [anon_sym_testwithlegesher] = ACTIONS(830),
    [anon_sym_testdeflegesher] = ACTIONS(830),
    [anon_sym_testgloballegesher] = ACTIONS(830),
    [anon_sym_testnonlocallegesher] = ACTIONS(830),
    [anon_sym_testexeclegesher] = ACTIONS(830),
    [anon_sym_testclasslegesher] = ACTIONS(830),
    [anon_sym_AT] = ACTIONS(828),
    [anon_sym_testnotlegesher] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(828),
    [anon_sym_TILDE] = ACTIONS(828),
    [anon_sym_testlambdalegesher] = ACTIONS(830),
    [anon_sym_testyieldlegesher] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(828),
    [sym_ellipsis] = ACTIONS(828),
    [anon_sym_LBRACE] = ACTIONS(828),
    [sym_integer] = ACTIONS(830),
    [sym_float] = ACTIONS(828),
    [sym_true] = ACTIONS(830),
    [sym_false] = ACTIONS(830),
    [sym_none] = ACTIONS(830),
    [anon_sym_testawaitlegesher] = ACTIONS(830),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(828),
  },
  [254] = {
    [sym_named_expression] = STATE(682),
    [sym_expression_list] = STATE(999),
    [sym__expression] = STATE(682),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(682),
    [sym_boolean_operator] = STATE(682),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(682),
    [sym_lambda] = STATE(682),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(682),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(682),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [255] = {
    [sym_named_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(698),
    [sym_boolean_operator] = STATE(698),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(698),
    [sym_lambda] = STATE(698),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_type] = STATE(1030),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(698),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(698),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [256] = {
    [sym_named_expression] = STATE(703),
    [sym_with_item] = STATE(899),
    [sym__expression] = STATE(703),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(703),
    [sym_boolean_operator] = STATE(703),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(703),
    [sym_lambda] = STATE(703),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(703),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(703),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(832),
    [sym_identifier] = ACTIONS(834),
    [anon_sym_testimportlegesher] = ACTIONS(834),
    [anon_sym_testfromlegesher] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(832),
    [anon_sym_testprintlegesher] = ACTIONS(834),
    [anon_sym_testassertlegesher] = ACTIONS(834),
    [anon_sym_testreturnlegesher] = ACTIONS(834),
    [anon_sym_testdellegesher] = ACTIONS(834),
    [anon_sym_testraiselegesher] = ACTIONS(834),
    [anon_sym_testpasslegesher] = ACTIONS(834),
    [anon_sym_testbreaklegesher] = ACTIONS(834),
    [anon_sym_testcontinuelegesher] = ACTIONS(834),
    [anon_sym_testiflegesher] = ACTIONS(834),
    [anon_sym_testeliflegesher] = ACTIONS(834),
    [anon_sym_testelselegesher] = ACTIONS(834),
    [anon_sym_testasynclegesher] = ACTIONS(834),
    [anon_sym_testforlegesher] = ACTIONS(834),
    [anon_sym_testwhilelegesher] = ACTIONS(834),
    [anon_sym_testtrylegesher] = ACTIONS(834),
    [anon_sym_testexceptlegesher] = ACTIONS(834),
    [anon_sym_testfinallylegesher] = ACTIONS(834),
    [anon_sym_testwithlegesher] = ACTIONS(834),
    [anon_sym_testdeflegesher] = ACTIONS(834),
    [anon_sym_testgloballegesher] = ACTIONS(834),
    [anon_sym_testnonlocallegesher] = ACTIONS(834),
    [anon_sym_testexeclegesher] = ACTIONS(834),
    [anon_sym_testclasslegesher] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(832),
    [anon_sym_testnotlegesher] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_TILDE] = ACTIONS(832),
    [anon_sym_testlambdalegesher] = ACTIONS(834),
    [anon_sym_testyieldlegesher] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(832),
    [sym_ellipsis] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(832),
    [sym_integer] = ACTIONS(834),
    [sym_float] = ACTIONS(832),
    [sym_true] = ACTIONS(834),
    [sym_false] = ACTIONS(834),
    [sym_none] = ACTIONS(834),
    [anon_sym_testawaitlegesher] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(832),
  },
  [258] = {
    [sym_named_expression] = STATE(703),
    [sym_with_item] = STATE(913),
    [sym__expression] = STATE(703),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(703),
    [sym_boolean_operator] = STATE(703),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(703),
    [sym_lambda] = STATE(703),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(703),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(703),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [259] = {
    [sym_elif_clause] = STATE(361),
    [aux_sym_if_statement_repeat1] = STATE(259),
    [sym_identifier] = ACTIONS(836),
    [anon_sym_testimportlegesher] = ACTIONS(836),
    [anon_sym_testfromlegesher] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_testprintlegesher] = ACTIONS(836),
    [anon_sym_testassertlegesher] = ACTIONS(836),
    [anon_sym_testreturnlegesher] = ACTIONS(836),
    [anon_sym_testdellegesher] = ACTIONS(836),
    [anon_sym_testraiselegesher] = ACTIONS(836),
    [anon_sym_testpasslegesher] = ACTIONS(836),
    [anon_sym_testbreaklegesher] = ACTIONS(836),
    [anon_sym_testcontinuelegesher] = ACTIONS(836),
    [anon_sym_testiflegesher] = ACTIONS(836),
    [anon_sym_testeliflegesher] = ACTIONS(840),
    [anon_sym_testelselegesher] = ACTIONS(836),
    [anon_sym_testasynclegesher] = ACTIONS(836),
    [anon_sym_testforlegesher] = ACTIONS(836),
    [anon_sym_testwhilelegesher] = ACTIONS(836),
    [anon_sym_testtrylegesher] = ACTIONS(836),
    [anon_sym_testwithlegesher] = ACTIONS(836),
    [anon_sym_testdeflegesher] = ACTIONS(836),
    [anon_sym_testgloballegesher] = ACTIONS(836),
    [anon_sym_testnonlocallegesher] = ACTIONS(836),
    [anon_sym_testexeclegesher] = ACTIONS(836),
    [anon_sym_testclasslegesher] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(838),
    [anon_sym_testnotlegesher] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_testlambdalegesher] = ACTIONS(836),
    [anon_sym_testyieldlegesher] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(838),
    [sym_ellipsis] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(838),
    [sym_integer] = ACTIONS(836),
    [sym_float] = ACTIONS(838),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_none] = ACTIONS(836),
    [anon_sym_testawaitlegesher] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(838),
    [sym__string_start] = ACTIONS(838),
  },
  [260] = {
    [sym_elif_clause] = STATE(375),
    [aux_sym_if_statement_repeat1] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(838),
    [sym_identifier] = ACTIONS(836),
    [anon_sym_testimportlegesher] = ACTIONS(836),
    [anon_sym_testfromlegesher] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_testprintlegesher] = ACTIONS(836),
    [anon_sym_testassertlegesher] = ACTIONS(836),
    [anon_sym_testreturnlegesher] = ACTIONS(836),
    [anon_sym_testdellegesher] = ACTIONS(836),
    [anon_sym_testraiselegesher] = ACTIONS(836),
    [anon_sym_testpasslegesher] = ACTIONS(836),
    [anon_sym_testbreaklegesher] = ACTIONS(836),
    [anon_sym_testcontinuelegesher] = ACTIONS(836),
    [anon_sym_testiflegesher] = ACTIONS(836),
    [anon_sym_testeliflegesher] = ACTIONS(843),
    [anon_sym_testelselegesher] = ACTIONS(836),
    [anon_sym_testasynclegesher] = ACTIONS(836),
    [anon_sym_testforlegesher] = ACTIONS(836),
    [anon_sym_testwhilelegesher] = ACTIONS(836),
    [anon_sym_testtrylegesher] = ACTIONS(836),
    [anon_sym_testwithlegesher] = ACTIONS(836),
    [anon_sym_testdeflegesher] = ACTIONS(836),
    [anon_sym_testgloballegesher] = ACTIONS(836),
    [anon_sym_testnonlocallegesher] = ACTIONS(836),
    [anon_sym_testexeclegesher] = ACTIONS(836),
    [anon_sym_testclasslegesher] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(838),
    [anon_sym_testnotlegesher] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_testlambdalegesher] = ACTIONS(836),
    [anon_sym_testyieldlegesher] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(838),
    [sym_ellipsis] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(838),
    [sym_integer] = ACTIONS(836),
    [sym_float] = ACTIONS(838),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_none] = ACTIONS(836),
    [anon_sym_testawaitlegesher] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(838),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(846),
    [sym_identifier] = ACTIONS(848),
    [anon_sym_testimportlegesher] = ACTIONS(848),
    [anon_sym_testfromlegesher] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(846),
    [anon_sym_testprintlegesher] = ACTIONS(848),
    [anon_sym_testassertlegesher] = ACTIONS(848),
    [anon_sym_testreturnlegesher] = ACTIONS(848),
    [anon_sym_testdellegesher] = ACTIONS(848),
    [anon_sym_testraiselegesher] = ACTIONS(848),
    [anon_sym_testpasslegesher] = ACTIONS(848),
    [anon_sym_testbreaklegesher] = ACTIONS(848),
    [anon_sym_testcontinuelegesher] = ACTIONS(848),
    [anon_sym_testiflegesher] = ACTIONS(848),
    [anon_sym_testeliflegesher] = ACTIONS(848),
    [anon_sym_testelselegesher] = ACTIONS(848),
    [anon_sym_testasynclegesher] = ACTIONS(848),
    [anon_sym_testforlegesher] = ACTIONS(848),
    [anon_sym_testwhilelegesher] = ACTIONS(848),
    [anon_sym_testtrylegesher] = ACTIONS(848),
    [anon_sym_testexceptlegesher] = ACTIONS(848),
    [anon_sym_testfinallylegesher] = ACTIONS(848),
    [anon_sym_testwithlegesher] = ACTIONS(848),
    [anon_sym_testdeflegesher] = ACTIONS(848),
    [anon_sym_testgloballegesher] = ACTIONS(848),
    [anon_sym_testnonlocallegesher] = ACTIONS(848),
    [anon_sym_testexeclegesher] = ACTIONS(848),
    [anon_sym_testclasslegesher] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(846),
    [anon_sym_testnotlegesher] = ACTIONS(848),
    [anon_sym_PLUS] = ACTIONS(846),
    [anon_sym_DASH] = ACTIONS(846),
    [anon_sym_TILDE] = ACTIONS(846),
    [anon_sym_testlambdalegesher] = ACTIONS(848),
    [anon_sym_testyieldlegesher] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(846),
    [sym_ellipsis] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(846),
    [sym_integer] = ACTIONS(848),
    [sym_float] = ACTIONS(846),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_none] = ACTIONS(848),
    [anon_sym_testawaitlegesher] = ACTIONS(848),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(846),
  },
  [262] = {
    [sym_identifier] = ACTIONS(850),
    [anon_sym_testimportlegesher] = ACTIONS(850),
    [anon_sym_testfromlegesher] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_testprintlegesher] = ACTIONS(850),
    [anon_sym_testassertlegesher] = ACTIONS(850),
    [anon_sym_testreturnlegesher] = ACTIONS(850),
    [anon_sym_testdellegesher] = ACTIONS(850),
    [anon_sym_testraiselegesher] = ACTIONS(850),
    [anon_sym_testpasslegesher] = ACTIONS(850),
    [anon_sym_testbreaklegesher] = ACTIONS(850),
    [anon_sym_testcontinuelegesher] = ACTIONS(850),
    [anon_sym_testiflegesher] = ACTIONS(850),
    [anon_sym_testeliflegesher] = ACTIONS(850),
    [anon_sym_testelselegesher] = ACTIONS(850),
    [anon_sym_testasynclegesher] = ACTIONS(850),
    [anon_sym_testforlegesher] = ACTIONS(850),
    [anon_sym_testwhilelegesher] = ACTIONS(850),
    [anon_sym_testtrylegesher] = ACTIONS(850),
    [anon_sym_testexceptlegesher] = ACTIONS(850),
    [anon_sym_testfinallylegesher] = ACTIONS(850),
    [anon_sym_testwithlegesher] = ACTIONS(850),
    [anon_sym_testdeflegesher] = ACTIONS(850),
    [anon_sym_testgloballegesher] = ACTIONS(850),
    [anon_sym_testnonlocallegesher] = ACTIONS(850),
    [anon_sym_testexeclegesher] = ACTIONS(850),
    [anon_sym_testclasslegesher] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_testnotlegesher] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_testlambdalegesher] = ACTIONS(850),
    [anon_sym_testyieldlegesher] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(852),
    [sym_ellipsis] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [sym_integer] = ACTIONS(850),
    [sym_float] = ACTIONS(852),
    [sym_true] = ACTIONS(850),
    [sym_false] = ACTIONS(850),
    [sym_none] = ACTIONS(850),
    [anon_sym_testawaitlegesher] = ACTIONS(850),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(852),
    [sym__string_start] = ACTIONS(852),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(854),
    [sym_identifier] = ACTIONS(856),
    [anon_sym_testimportlegesher] = ACTIONS(856),
    [anon_sym_testfromlegesher] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_testprintlegesher] = ACTIONS(856),
    [anon_sym_testassertlegesher] = ACTIONS(856),
    [anon_sym_testreturnlegesher] = ACTIONS(856),
    [anon_sym_testdellegesher] = ACTIONS(856),
    [anon_sym_testraiselegesher] = ACTIONS(856),
    [anon_sym_testpasslegesher] = ACTIONS(856),
    [anon_sym_testbreaklegesher] = ACTIONS(856),
    [anon_sym_testcontinuelegesher] = ACTIONS(856),
    [anon_sym_testiflegesher] = ACTIONS(856),
    [anon_sym_testeliflegesher] = ACTIONS(856),
    [anon_sym_testelselegesher] = ACTIONS(856),
    [anon_sym_testasynclegesher] = ACTIONS(856),
    [anon_sym_testforlegesher] = ACTIONS(856),
    [anon_sym_testwhilelegesher] = ACTIONS(856),
    [anon_sym_testtrylegesher] = ACTIONS(856),
    [anon_sym_testexceptlegesher] = ACTIONS(856),
    [anon_sym_testfinallylegesher] = ACTIONS(856),
    [anon_sym_testwithlegesher] = ACTIONS(856),
    [anon_sym_testdeflegesher] = ACTIONS(856),
    [anon_sym_testgloballegesher] = ACTIONS(856),
    [anon_sym_testnonlocallegesher] = ACTIONS(856),
    [anon_sym_testexeclegesher] = ACTIONS(856),
    [anon_sym_testclasslegesher] = ACTIONS(856),
    [anon_sym_AT] = ACTIONS(854),
    [anon_sym_testnotlegesher] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_testlambdalegesher] = ACTIONS(856),
    [anon_sym_testyieldlegesher] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(854),
    [sym_ellipsis] = ACTIONS(854),
    [anon_sym_LBRACE] = ACTIONS(854),
    [sym_integer] = ACTIONS(856),
    [sym_float] = ACTIONS(854),
    [sym_true] = ACTIONS(856),
    [sym_false] = ACTIONS(856),
    [sym_none] = ACTIONS(856),
    [anon_sym_testawaitlegesher] = ACTIONS(856),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(854),
  },
  [264] = {
    [sym_identifier] = ACTIONS(834),
    [anon_sym_testimportlegesher] = ACTIONS(834),
    [anon_sym_testfromlegesher] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(832),
    [anon_sym_testprintlegesher] = ACTIONS(834),
    [anon_sym_testassertlegesher] = ACTIONS(834),
    [anon_sym_testreturnlegesher] = ACTIONS(834),
    [anon_sym_testdellegesher] = ACTIONS(834),
    [anon_sym_testraiselegesher] = ACTIONS(834),
    [anon_sym_testpasslegesher] = ACTIONS(834),
    [anon_sym_testbreaklegesher] = ACTIONS(834),
    [anon_sym_testcontinuelegesher] = ACTIONS(834),
    [anon_sym_testiflegesher] = ACTIONS(834),
    [anon_sym_testeliflegesher] = ACTIONS(834),
    [anon_sym_testelselegesher] = ACTIONS(834),
    [anon_sym_testasynclegesher] = ACTIONS(834),
    [anon_sym_testforlegesher] = ACTIONS(834),
    [anon_sym_testwhilelegesher] = ACTIONS(834),
    [anon_sym_testtrylegesher] = ACTIONS(834),
    [anon_sym_testexceptlegesher] = ACTIONS(834),
    [anon_sym_testfinallylegesher] = ACTIONS(834),
    [anon_sym_testwithlegesher] = ACTIONS(834),
    [anon_sym_testdeflegesher] = ACTIONS(834),
    [anon_sym_testgloballegesher] = ACTIONS(834),
    [anon_sym_testnonlocallegesher] = ACTIONS(834),
    [anon_sym_testexeclegesher] = ACTIONS(834),
    [anon_sym_testclasslegesher] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(832),
    [anon_sym_testnotlegesher] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_TILDE] = ACTIONS(832),
    [anon_sym_testlambdalegesher] = ACTIONS(834),
    [anon_sym_testyieldlegesher] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(832),
    [sym_ellipsis] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(832),
    [sym_integer] = ACTIONS(834),
    [sym_float] = ACTIONS(832),
    [sym_true] = ACTIONS(834),
    [sym_false] = ACTIONS(834),
    [sym_none] = ACTIONS(834),
    [anon_sym_testawaitlegesher] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(832),
    [sym__string_start] = ACTIONS(832),
  },
  [265] = {
    [sym_named_expression] = STATE(682),
    [sym_expression_list] = STATE(1010),
    [sym__expression] = STATE(682),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(682),
    [sym_boolean_operator] = STATE(682),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(682),
    [sym_lambda] = STATE(682),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(682),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(682),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [266] = {
    [sym_named_expression] = STATE(716),
    [sym__expression] = STATE(716),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(716),
    [sym_boolean_operator] = STATE(716),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(716),
    [sym_lambda] = STATE(716),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(716),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(716),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(858),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [267] = {
    [sym_identifier] = ACTIONS(848),
    [anon_sym_testimportlegesher] = ACTIONS(848),
    [anon_sym_testfromlegesher] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(846),
    [anon_sym_testprintlegesher] = ACTIONS(848),
    [anon_sym_testassertlegesher] = ACTIONS(848),
    [anon_sym_testreturnlegesher] = ACTIONS(848),
    [anon_sym_testdellegesher] = ACTIONS(848),
    [anon_sym_testraiselegesher] = ACTIONS(848),
    [anon_sym_testpasslegesher] = ACTIONS(848),
    [anon_sym_testbreaklegesher] = ACTIONS(848),
    [anon_sym_testcontinuelegesher] = ACTIONS(848),
    [anon_sym_testiflegesher] = ACTIONS(848),
    [anon_sym_testeliflegesher] = ACTIONS(848),
    [anon_sym_testelselegesher] = ACTIONS(848),
    [anon_sym_testasynclegesher] = ACTIONS(848),
    [anon_sym_testforlegesher] = ACTIONS(848),
    [anon_sym_testwhilelegesher] = ACTIONS(848),
    [anon_sym_testtrylegesher] = ACTIONS(848),
    [anon_sym_testexceptlegesher] = ACTIONS(848),
    [anon_sym_testfinallylegesher] = ACTIONS(848),
    [anon_sym_testwithlegesher] = ACTIONS(848),
    [anon_sym_testdeflegesher] = ACTIONS(848),
    [anon_sym_testgloballegesher] = ACTIONS(848),
    [anon_sym_testnonlocallegesher] = ACTIONS(848),
    [anon_sym_testexeclegesher] = ACTIONS(848),
    [anon_sym_testclasslegesher] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(846),
    [anon_sym_testnotlegesher] = ACTIONS(848),
    [anon_sym_PLUS] = ACTIONS(846),
    [anon_sym_DASH] = ACTIONS(846),
    [anon_sym_TILDE] = ACTIONS(846),
    [anon_sym_testlambdalegesher] = ACTIONS(848),
    [anon_sym_testyieldlegesher] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(846),
    [sym_ellipsis] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(846),
    [sym_integer] = ACTIONS(848),
    [sym_float] = ACTIONS(846),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_none] = ACTIONS(848),
    [anon_sym_testawaitlegesher] = ACTIONS(848),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(846),
    [sym__string_start] = ACTIONS(846),
  },
  [268] = {
    [sym_named_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(698),
    [sym_boolean_operator] = STATE(698),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(698),
    [sym_lambda] = STATE(698),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_type] = STATE(1006),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(698),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(698),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [269] = {
    [sym_identifier] = ACTIONS(856),
    [anon_sym_testimportlegesher] = ACTIONS(856),
    [anon_sym_testfromlegesher] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_testprintlegesher] = ACTIONS(856),
    [anon_sym_testassertlegesher] = ACTIONS(856),
    [anon_sym_testreturnlegesher] = ACTIONS(856),
    [anon_sym_testdellegesher] = ACTIONS(856),
    [anon_sym_testraiselegesher] = ACTIONS(856),
    [anon_sym_testpasslegesher] = ACTIONS(856),
    [anon_sym_testbreaklegesher] = ACTIONS(856),
    [anon_sym_testcontinuelegesher] = ACTIONS(856),
    [anon_sym_testiflegesher] = ACTIONS(856),
    [anon_sym_testeliflegesher] = ACTIONS(856),
    [anon_sym_testelselegesher] = ACTIONS(856),
    [anon_sym_testasynclegesher] = ACTIONS(856),
    [anon_sym_testforlegesher] = ACTIONS(856),
    [anon_sym_testwhilelegesher] = ACTIONS(856),
    [anon_sym_testtrylegesher] = ACTIONS(856),
    [anon_sym_testexceptlegesher] = ACTIONS(856),
    [anon_sym_testfinallylegesher] = ACTIONS(856),
    [anon_sym_testwithlegesher] = ACTIONS(856),
    [anon_sym_testdeflegesher] = ACTIONS(856),
    [anon_sym_testgloballegesher] = ACTIONS(856),
    [anon_sym_testnonlocallegesher] = ACTIONS(856),
    [anon_sym_testexeclegesher] = ACTIONS(856),
    [anon_sym_testclasslegesher] = ACTIONS(856),
    [anon_sym_AT] = ACTIONS(854),
    [anon_sym_testnotlegesher] = ACTIONS(856),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_testlambdalegesher] = ACTIONS(856),
    [anon_sym_testyieldlegesher] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(854),
    [sym_ellipsis] = ACTIONS(854),
    [anon_sym_LBRACE] = ACTIONS(854),
    [sym_integer] = ACTIONS(856),
    [sym_float] = ACTIONS(854),
    [sym_true] = ACTIONS(856),
    [sym_false] = ACTIONS(856),
    [sym_none] = ACTIONS(856),
    [anon_sym_testawaitlegesher] = ACTIONS(856),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(854),
    [sym__string_start] = ACTIONS(854),
  },
  [270] = {
    [sym_named_expression] = STATE(703),
    [sym_with_item] = STATE(883),
    [sym__expression] = STATE(703),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(703),
    [sym_boolean_operator] = STATE(703),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(703),
    [sym_lambda] = STATE(703),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(703),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(703),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [271] = {
    [sym_named_expression] = STATE(703),
    [sym_with_item] = STATE(873),
    [sym__expression] = STATE(703),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(703),
    [sym_boolean_operator] = STATE(703),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(703),
    [sym_lambda] = STATE(703),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(703),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(703),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [272] = {
    [sym_named_expression] = STATE(706),
    [sym__expression] = STATE(706),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(706),
    [sym_boolean_operator] = STATE(706),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(706),
    [sym_lambda] = STATE(706),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(706),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(706),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(860),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [273] = {
    [sym_named_expression] = STATE(665),
    [sym_expression_list] = STATE(908),
    [sym__expression] = STATE(665),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(665),
    [sym_boolean_operator] = STATE(665),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(665),
    [sym_lambda] = STATE(665),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(665),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(665),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [274] = {
    [sym_named_expression] = STATE(703),
    [sym_with_item] = STATE(898),
    [sym__expression] = STATE(703),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(703),
    [sym_boolean_operator] = STATE(703),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(703),
    [sym_lambda] = STATE(703),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(703),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(703),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [275] = {
    [sym_named_expression] = STATE(682),
    [sym_expression_list] = STATE(998),
    [sym__expression] = STATE(682),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(682),
    [sym_boolean_operator] = STATE(682),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(682),
    [sym_lambda] = STATE(682),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(682),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(682),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [276] = {
    [sym_named_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(698),
    [sym_boolean_operator] = STATE(698),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(698),
    [sym_lambda] = STATE(698),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_type] = STATE(1020),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(698),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(698),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [277] = {
    [sym_named_expression] = STATE(682),
    [sym_expression_list] = STATE(1002),
    [sym__expression] = STATE(682),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(682),
    [sym_boolean_operator] = STATE(682),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(682),
    [sym_lambda] = STATE(682),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(682),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(682),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [278] = {
    [sym_named_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(698),
    [sym_boolean_operator] = STATE(698),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(698),
    [sym_lambda] = STATE(698),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_type] = STATE(1004),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(698),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(698),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [279] = {
    [sym_named_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(698),
    [sym_boolean_operator] = STATE(698),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(698),
    [sym_lambda] = STATE(698),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_type] = STATE(954),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(698),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(698),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [280] = {
    [sym_named_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(698),
    [sym_boolean_operator] = STATE(698),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(698),
    [sym_lambda] = STATE(698),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_type] = STATE(785),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(698),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(698),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [281] = {
    [sym_identifier] = ACTIONS(830),
    [anon_sym_testimportlegesher] = ACTIONS(830),
    [anon_sym_testfromlegesher] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_testprintlegesher] = ACTIONS(830),
    [anon_sym_testassertlegesher] = ACTIONS(830),
    [anon_sym_testreturnlegesher] = ACTIONS(830),
    [anon_sym_testdellegesher] = ACTIONS(830),
    [anon_sym_testraiselegesher] = ACTIONS(830),
    [anon_sym_testpasslegesher] = ACTIONS(830),
    [anon_sym_testbreaklegesher] = ACTIONS(830),
    [anon_sym_testcontinuelegesher] = ACTIONS(830),
    [anon_sym_testiflegesher] = ACTIONS(830),
    [anon_sym_testeliflegesher] = ACTIONS(830),
    [anon_sym_testelselegesher] = ACTIONS(830),
    [anon_sym_testasynclegesher] = ACTIONS(830),
    [anon_sym_testforlegesher] = ACTIONS(830),
    [anon_sym_testwhilelegesher] = ACTIONS(830),
    [anon_sym_testtrylegesher] = ACTIONS(830),
    [anon_sym_testexceptlegesher] = ACTIONS(830),
    [anon_sym_testfinallylegesher] = ACTIONS(830),
    [anon_sym_testwithlegesher] = ACTIONS(830),
    [anon_sym_testdeflegesher] = ACTIONS(830),
    [anon_sym_testgloballegesher] = ACTIONS(830),
    [anon_sym_testnonlocallegesher] = ACTIONS(830),
    [anon_sym_testexeclegesher] = ACTIONS(830),
    [anon_sym_testclasslegesher] = ACTIONS(830),
    [anon_sym_AT] = ACTIONS(828),
    [anon_sym_testnotlegesher] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(828),
    [anon_sym_TILDE] = ACTIONS(828),
    [anon_sym_testlambdalegesher] = ACTIONS(830),
    [anon_sym_testyieldlegesher] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(828),
    [sym_ellipsis] = ACTIONS(828),
    [anon_sym_LBRACE] = ACTIONS(828),
    [sym_integer] = ACTIONS(830),
    [sym_float] = ACTIONS(828),
    [sym_true] = ACTIONS(830),
    [sym_false] = ACTIONS(830),
    [sym_none] = ACTIONS(830),
    [anon_sym_testawaitlegesher] = ACTIONS(830),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(828),
    [sym__string_start] = ACTIONS(828),
  },
  [282] = {
    [sym_named_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(698),
    [sym_boolean_operator] = STATE(698),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(698),
    [sym_lambda] = STATE(698),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_type] = STATE(851),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(698),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(698),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [283] = {
    [sym_named_expression] = STATE(709),
    [sym__expression] = STATE(709),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(709),
    [sym_boolean_operator] = STATE(709),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(709),
    [sym_lambda] = STATE(709),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_type] = STATE(867),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(709),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(709),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(852),
    [sym_identifier] = ACTIONS(850),
    [anon_sym_testimportlegesher] = ACTIONS(850),
    [anon_sym_testfromlegesher] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_testprintlegesher] = ACTIONS(850),
    [anon_sym_testassertlegesher] = ACTIONS(850),
    [anon_sym_testreturnlegesher] = ACTIONS(850),
    [anon_sym_testdellegesher] = ACTIONS(850),
    [anon_sym_testraiselegesher] = ACTIONS(850),
    [anon_sym_testpasslegesher] = ACTIONS(850),
    [anon_sym_testbreaklegesher] = ACTIONS(850),
    [anon_sym_testcontinuelegesher] = ACTIONS(850),
    [anon_sym_testiflegesher] = ACTIONS(850),
    [anon_sym_testeliflegesher] = ACTIONS(850),
    [anon_sym_testelselegesher] = ACTIONS(850),
    [anon_sym_testasynclegesher] = ACTIONS(850),
    [anon_sym_testforlegesher] = ACTIONS(850),
    [anon_sym_testwhilelegesher] = ACTIONS(850),
    [anon_sym_testtrylegesher] = ACTIONS(850),
    [anon_sym_testexceptlegesher] = ACTIONS(850),
    [anon_sym_testfinallylegesher] = ACTIONS(850),
    [anon_sym_testwithlegesher] = ACTIONS(850),
    [anon_sym_testdeflegesher] = ACTIONS(850),
    [anon_sym_testgloballegesher] = ACTIONS(850),
    [anon_sym_testnonlocallegesher] = ACTIONS(850),
    [anon_sym_testexeclegesher] = ACTIONS(850),
    [anon_sym_testclasslegesher] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_testnotlegesher] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_testlambdalegesher] = ACTIONS(850),
    [anon_sym_testyieldlegesher] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(852),
    [sym_ellipsis] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [sym_integer] = ACTIONS(850),
    [sym_float] = ACTIONS(852),
    [sym_true] = ACTIONS(850),
    [sym_false] = ACTIONS(850),
    [sym_none] = ACTIONS(850),
    [anon_sym_testawaitlegesher] = ACTIONS(850),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(852),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(862),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_testimportlegesher] = ACTIONS(864),
    [anon_sym_testfromlegesher] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_testprintlegesher] = ACTIONS(864),
    [anon_sym_testassertlegesher] = ACTIONS(864),
    [anon_sym_testreturnlegesher] = ACTIONS(864),
    [anon_sym_testdellegesher] = ACTIONS(864),
    [anon_sym_testraiselegesher] = ACTIONS(864),
    [anon_sym_testpasslegesher] = ACTIONS(864),
    [anon_sym_testbreaklegesher] = ACTIONS(864),
    [anon_sym_testcontinuelegesher] = ACTIONS(864),
    [anon_sym_testiflegesher] = ACTIONS(864),
    [anon_sym_testelselegesher] = ACTIONS(864),
    [anon_sym_testasynclegesher] = ACTIONS(864),
    [anon_sym_testforlegesher] = ACTIONS(864),
    [anon_sym_testwhilelegesher] = ACTIONS(864),
    [anon_sym_testtrylegesher] = ACTIONS(864),
    [anon_sym_testexceptlegesher] = ACTIONS(864),
    [anon_sym_testfinallylegesher] = ACTIONS(864),
    [anon_sym_testwithlegesher] = ACTIONS(864),
    [anon_sym_testdeflegesher] = ACTIONS(864),
    [anon_sym_testgloballegesher] = ACTIONS(864),
    [anon_sym_testnonlocallegesher] = ACTIONS(864),
    [anon_sym_testexeclegesher] = ACTIONS(864),
    [anon_sym_testclasslegesher] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(862),
    [anon_sym_testnotlegesher] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(862),
    [anon_sym_DASH] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(862),
    [anon_sym_testlambdalegesher] = ACTIONS(864),
    [anon_sym_testyieldlegesher] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(862),
    [sym_ellipsis] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(862),
    [sym_integer] = ACTIONS(864),
    [sym_float] = ACTIONS(862),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_none] = ACTIONS(864),
    [anon_sym_testawaitlegesher] = ACTIONS(864),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(862),
  },
  [286] = {
    [sym_named_expression] = STATE(737),
    [sym__expression] = STATE(737),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(737),
    [sym_boolean_operator] = STATE(737),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(737),
    [sym_lambda] = STATE(737),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(737),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(737),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [287] = {
    [sym_named_expression] = STATE(731),
    [sym__expression] = STATE(731),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(731),
    [sym_boolean_operator] = STATE(731),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(731),
    [sym_lambda] = STATE(731),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(731),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(731),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [288] = {
    [sym_named_expression] = STATE(625),
    [sym__expression] = STATE(625),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(625),
    [sym_boolean_operator] = STATE(625),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(625),
    [sym_lambda] = STATE(625),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(625),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(625),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [289] = {
    [sym_named_expression] = STATE(798),
    [sym__expression] = STATE(798),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(798),
    [sym_boolean_operator] = STATE(798),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(798),
    [sym_lambda] = STATE(798),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(798),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(798),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [290] = {
    [sym_named_expression] = STATE(756),
    [sym__expression] = STATE(756),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(756),
    [sym_boolean_operator] = STATE(756),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(756),
    [sym_lambda] = STATE(756),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(756),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(756),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [291] = {
    [sym_named_expression] = STATE(676),
    [sym__expression] = STATE(676),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(676),
    [sym_boolean_operator] = STATE(676),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(676),
    [sym_lambda] = STATE(676),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(676),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(676),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [292] = {
    [sym_named_expression] = STATE(765),
    [sym__expression] = STATE(765),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(765),
    [sym_boolean_operator] = STATE(765),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(765),
    [sym_lambda] = STATE(765),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(765),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(765),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [293] = {
    [sym_named_expression] = STATE(768),
    [sym__expression] = STATE(768),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(768),
    [sym_boolean_operator] = STATE(768),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(768),
    [sym_lambda] = STATE(768),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(768),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(768),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [294] = {
    [sym_named_expression] = STATE(608),
    [sym__expression] = STATE(608),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(608),
    [sym_boolean_operator] = STATE(608),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(608),
    [sym_lambda] = STATE(608),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(608),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(608),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [295] = {
    [sym_named_expression] = STATE(619),
    [sym__expression] = STATE(619),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(619),
    [sym_boolean_operator] = STATE(619),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(619),
    [sym_lambda] = STATE(619),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(619),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(619),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [296] = {
    [sym_named_expression] = STATE(669),
    [sym__expression] = STATE(669),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(669),
    [sym_boolean_operator] = STATE(669),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(669),
    [sym_lambda] = STATE(669),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(669),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(669),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [297] = {
    [sym_named_expression] = STATE(601),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [298] = {
    [sym_named_expression] = STATE(697),
    [sym__expression] = STATE(697),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(697),
    [sym_boolean_operator] = STATE(697),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(697),
    [sym_lambda] = STATE(697),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(697),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(697),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [299] = {
    [sym_named_expression] = STATE(771),
    [sym__expression] = STATE(771),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(771),
    [sym_boolean_operator] = STATE(771),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(771),
    [sym_lambda] = STATE(771),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(771),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(771),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [300] = {
    [sym_named_expression] = STATE(774),
    [sym__expression] = STATE(774),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(774),
    [sym_boolean_operator] = STATE(774),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(774),
    [sym_lambda] = STATE(774),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(774),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(774),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [301] = {
    [sym_named_expression] = STATE(796),
    [sym__expression] = STATE(796),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(796),
    [sym_boolean_operator] = STATE(796),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(796),
    [sym_lambda] = STATE(796),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(796),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(796),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [302] = {
    [sym_named_expression] = STATE(666),
    [sym__expression] = STATE(666),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(666),
    [sym_boolean_operator] = STATE(666),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(666),
    [sym_lambda] = STATE(666),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(666),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(666),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [303] = {
    [sym_named_expression] = STATE(667),
    [sym__expression] = STATE(667),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(667),
    [sym_boolean_operator] = STATE(667),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(667),
    [sym_lambda] = STATE(667),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(667),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(667),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [304] = {
    [sym_named_expression] = STATE(778),
    [sym__expression] = STATE(778),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(778),
    [sym_boolean_operator] = STATE(778),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(778),
    [sym_lambda] = STATE(778),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(778),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(778),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(866),
    [sym_identifier] = ACTIONS(868),
    [anon_sym_testimportlegesher] = ACTIONS(868),
    [anon_sym_testfromlegesher] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(866),
    [anon_sym_testprintlegesher] = ACTIONS(868),
    [anon_sym_testassertlegesher] = ACTIONS(868),
    [anon_sym_testreturnlegesher] = ACTIONS(868),
    [anon_sym_testdellegesher] = ACTIONS(868),
    [anon_sym_testraiselegesher] = ACTIONS(868),
    [anon_sym_testpasslegesher] = ACTIONS(868),
    [anon_sym_testbreaklegesher] = ACTIONS(868),
    [anon_sym_testcontinuelegesher] = ACTIONS(868),
    [anon_sym_testiflegesher] = ACTIONS(868),
    [anon_sym_testelselegesher] = ACTIONS(868),
    [anon_sym_testasynclegesher] = ACTIONS(868),
    [anon_sym_testforlegesher] = ACTIONS(868),
    [anon_sym_testwhilelegesher] = ACTIONS(868),
    [anon_sym_testtrylegesher] = ACTIONS(868),
    [anon_sym_testexceptlegesher] = ACTIONS(868),
    [anon_sym_testfinallylegesher] = ACTIONS(868),
    [anon_sym_testwithlegesher] = ACTIONS(868),
    [anon_sym_testdeflegesher] = ACTIONS(868),
    [anon_sym_testgloballegesher] = ACTIONS(868),
    [anon_sym_testnonlocallegesher] = ACTIONS(868),
    [anon_sym_testexeclegesher] = ACTIONS(868),
    [anon_sym_testclasslegesher] = ACTIONS(868),
    [anon_sym_AT] = ACTIONS(866),
    [anon_sym_testnotlegesher] = ACTIONS(868),
    [anon_sym_PLUS] = ACTIONS(866),
    [anon_sym_DASH] = ACTIONS(866),
    [anon_sym_TILDE] = ACTIONS(866),
    [anon_sym_testlambdalegesher] = ACTIONS(868),
    [anon_sym_testyieldlegesher] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(866),
    [sym_ellipsis] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(866),
    [sym_integer] = ACTIONS(868),
    [sym_float] = ACTIONS(866),
    [sym_true] = ACTIONS(868),
    [sym_false] = ACTIONS(868),
    [sym_none] = ACTIONS(868),
    [anon_sym_testawaitlegesher] = ACTIONS(868),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(866),
  },
  [306] = {
    [sym_named_expression] = STATE(801),
    [sym__expression] = STATE(801),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(801),
    [sym_boolean_operator] = STATE(801),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(801),
    [sym_lambda] = STATE(801),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(801),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(801),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(870),
    [sym_identifier] = ACTIONS(872),
    [anon_sym_testimportlegesher] = ACTIONS(872),
    [anon_sym_testfromlegesher] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(870),
    [anon_sym_testprintlegesher] = ACTIONS(872),
    [anon_sym_testassertlegesher] = ACTIONS(872),
    [anon_sym_testreturnlegesher] = ACTIONS(872),
    [anon_sym_testdellegesher] = ACTIONS(872),
    [anon_sym_testraiselegesher] = ACTIONS(872),
    [anon_sym_testpasslegesher] = ACTIONS(872),
    [anon_sym_testbreaklegesher] = ACTIONS(872),
    [anon_sym_testcontinuelegesher] = ACTIONS(872),
    [anon_sym_testiflegesher] = ACTIONS(872),
    [anon_sym_testelselegesher] = ACTIONS(872),
    [anon_sym_testasynclegesher] = ACTIONS(872),
    [anon_sym_testforlegesher] = ACTIONS(872),
    [anon_sym_testwhilelegesher] = ACTIONS(872),
    [anon_sym_testtrylegesher] = ACTIONS(872),
    [anon_sym_testexceptlegesher] = ACTIONS(872),
    [anon_sym_testfinallylegesher] = ACTIONS(872),
    [anon_sym_testwithlegesher] = ACTIONS(872),
    [anon_sym_testdeflegesher] = ACTIONS(872),
    [anon_sym_testgloballegesher] = ACTIONS(872),
    [anon_sym_testnonlocallegesher] = ACTIONS(872),
    [anon_sym_testexeclegesher] = ACTIONS(872),
    [anon_sym_testclasslegesher] = ACTIONS(872),
    [anon_sym_AT] = ACTIONS(870),
    [anon_sym_testnotlegesher] = ACTIONS(872),
    [anon_sym_PLUS] = ACTIONS(870),
    [anon_sym_DASH] = ACTIONS(870),
    [anon_sym_TILDE] = ACTIONS(870),
    [anon_sym_testlambdalegesher] = ACTIONS(872),
    [anon_sym_testyieldlegesher] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(870),
    [sym_ellipsis] = ACTIONS(870),
    [anon_sym_LBRACE] = ACTIONS(870),
    [sym_integer] = ACTIONS(872),
    [sym_float] = ACTIONS(870),
    [sym_true] = ACTIONS(872),
    [sym_false] = ACTIONS(872),
    [sym_none] = ACTIONS(872),
    [anon_sym_testawaitlegesher] = ACTIONS(872),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(870),
  },
  [308] = {
    [sym_named_expression] = STATE(734),
    [sym__expression] = STATE(734),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(734),
    [sym_boolean_operator] = STATE(734),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(734),
    [sym_lambda] = STATE(734),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(734),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(734),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [309] = {
    [sym_named_expression] = STATE(668),
    [sym__expression] = STATE(668),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(668),
    [sym_boolean_operator] = STATE(668),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(668),
    [sym_lambda] = STATE(668),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(668),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(668),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [310] = {
    [sym_named_expression] = STATE(797),
    [sym__expression] = STATE(797),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(797),
    [sym_boolean_operator] = STATE(797),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(797),
    [sym_lambda] = STATE(797),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(797),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(797),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [311] = {
    [sym_named_expression] = STATE(805),
    [sym__expression] = STATE(805),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(805),
    [sym_boolean_operator] = STATE(805),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(805),
    [sym_lambda] = STATE(805),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(805),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(805),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [312] = {
    [sym_named_expression] = STATE(702),
    [sym__expression] = STATE(702),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(702),
    [sym_boolean_operator] = STATE(702),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(702),
    [sym_lambda] = STATE(702),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(702),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(702),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [313] = {
    [sym_named_expression] = STATE(793),
    [sym__expression] = STATE(793),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(793),
    [sym_boolean_operator] = STATE(793),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(793),
    [sym_lambda] = STATE(793),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(793),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(793),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(874),
    [sym_identifier] = ACTIONS(876),
    [anon_sym_testimportlegesher] = ACTIONS(876),
    [anon_sym_testfromlegesher] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_testprintlegesher] = ACTIONS(876),
    [anon_sym_testassertlegesher] = ACTIONS(876),
    [anon_sym_testreturnlegesher] = ACTIONS(876),
    [anon_sym_testdellegesher] = ACTIONS(876),
    [anon_sym_testraiselegesher] = ACTIONS(876),
    [anon_sym_testpasslegesher] = ACTIONS(876),
    [anon_sym_testbreaklegesher] = ACTIONS(876),
    [anon_sym_testcontinuelegesher] = ACTIONS(876),
    [anon_sym_testiflegesher] = ACTIONS(876),
    [anon_sym_testelselegesher] = ACTIONS(876),
    [anon_sym_testasynclegesher] = ACTIONS(876),
    [anon_sym_testforlegesher] = ACTIONS(876),
    [anon_sym_testwhilelegesher] = ACTIONS(876),
    [anon_sym_testtrylegesher] = ACTIONS(876),
    [anon_sym_testexceptlegesher] = ACTIONS(876),
    [anon_sym_testfinallylegesher] = ACTIONS(876),
    [anon_sym_testwithlegesher] = ACTIONS(876),
    [anon_sym_testdeflegesher] = ACTIONS(876),
    [anon_sym_testgloballegesher] = ACTIONS(876),
    [anon_sym_testnonlocallegesher] = ACTIONS(876),
    [anon_sym_testexeclegesher] = ACTIONS(876),
    [anon_sym_testclasslegesher] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_testnotlegesher] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_testlambdalegesher] = ACTIONS(876),
    [anon_sym_testyieldlegesher] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(874),
    [sym_ellipsis] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [sym_integer] = ACTIONS(876),
    [sym_float] = ACTIONS(874),
    [sym_true] = ACTIONS(876),
    [sym_false] = ACTIONS(876),
    [sym_none] = ACTIONS(876),
    [anon_sym_testawaitlegesher] = ACTIONS(876),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(874),
  },
  [315] = {
    [sym_named_expression] = STATE(610),
    [sym__expression] = STATE(610),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(610),
    [sym_boolean_operator] = STATE(610),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(610),
    [sym_lambda] = STATE(610),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(610),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(610),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(878),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_testimportlegesher] = ACTIONS(880),
    [anon_sym_testfromlegesher] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_testprintlegesher] = ACTIONS(880),
    [anon_sym_testassertlegesher] = ACTIONS(880),
    [anon_sym_testreturnlegesher] = ACTIONS(880),
    [anon_sym_testdellegesher] = ACTIONS(880),
    [anon_sym_testraiselegesher] = ACTIONS(880),
    [anon_sym_testpasslegesher] = ACTIONS(880),
    [anon_sym_testbreaklegesher] = ACTIONS(880),
    [anon_sym_testcontinuelegesher] = ACTIONS(880),
    [anon_sym_testiflegesher] = ACTIONS(880),
    [anon_sym_testelselegesher] = ACTIONS(880),
    [anon_sym_testasynclegesher] = ACTIONS(880),
    [anon_sym_testforlegesher] = ACTIONS(880),
    [anon_sym_testwhilelegesher] = ACTIONS(880),
    [anon_sym_testtrylegesher] = ACTIONS(880),
    [anon_sym_testexceptlegesher] = ACTIONS(880),
    [anon_sym_testfinallylegesher] = ACTIONS(880),
    [anon_sym_testwithlegesher] = ACTIONS(880),
    [anon_sym_testdeflegesher] = ACTIONS(880),
    [anon_sym_testgloballegesher] = ACTIONS(880),
    [anon_sym_testnonlocallegesher] = ACTIONS(880),
    [anon_sym_testexeclegesher] = ACTIONS(880),
    [anon_sym_testclasslegesher] = ACTIONS(880),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_testnotlegesher] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_testlambdalegesher] = ACTIONS(880),
    [anon_sym_testyieldlegesher] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(878),
    [sym_ellipsis] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [sym_integer] = ACTIONS(880),
    [sym_float] = ACTIONS(878),
    [sym_true] = ACTIONS(880),
    [sym_false] = ACTIONS(880),
    [sym_none] = ACTIONS(880),
    [anon_sym_testawaitlegesher] = ACTIONS(880),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(878),
  },
  [317] = {
    [sym_named_expression] = STATE(628),
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(628),
    [sym_boolean_operator] = STATE(628),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(628),
    [sym_lambda] = STATE(628),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(628),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(628),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [318] = {
    [sym_named_expression] = STATE(696),
    [sym__expression] = STATE(696),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(696),
    [sym_boolean_operator] = STATE(696),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(696),
    [sym_lambda] = STATE(696),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(696),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(696),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(884),
    [anon_sym_testimportlegesher] = ACTIONS(884),
    [anon_sym_testfromlegesher] = ACTIONS(884),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_testprintlegesher] = ACTIONS(884),
    [anon_sym_testassertlegesher] = ACTIONS(884),
    [anon_sym_testreturnlegesher] = ACTIONS(884),
    [anon_sym_testdellegesher] = ACTIONS(884),
    [anon_sym_testraiselegesher] = ACTIONS(884),
    [anon_sym_testpasslegesher] = ACTIONS(884),
    [anon_sym_testbreaklegesher] = ACTIONS(884),
    [anon_sym_testcontinuelegesher] = ACTIONS(884),
    [anon_sym_testiflegesher] = ACTIONS(884),
    [anon_sym_testelselegesher] = ACTIONS(884),
    [anon_sym_testasynclegesher] = ACTIONS(884),
    [anon_sym_testforlegesher] = ACTIONS(884),
    [anon_sym_testwhilelegesher] = ACTIONS(884),
    [anon_sym_testtrylegesher] = ACTIONS(884),
    [anon_sym_testexceptlegesher] = ACTIONS(884),
    [anon_sym_testfinallylegesher] = ACTIONS(884),
    [anon_sym_testwithlegesher] = ACTIONS(884),
    [anon_sym_testdeflegesher] = ACTIONS(884),
    [anon_sym_testgloballegesher] = ACTIONS(884),
    [anon_sym_testnonlocallegesher] = ACTIONS(884),
    [anon_sym_testexeclegesher] = ACTIONS(884),
    [anon_sym_testclasslegesher] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(882),
    [anon_sym_testnotlegesher] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_testlambdalegesher] = ACTIONS(884),
    [anon_sym_testyieldlegesher] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(882),
    [sym_ellipsis] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(882),
    [sym_integer] = ACTIONS(884),
    [sym_float] = ACTIONS(882),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_none] = ACTIONS(884),
    [anon_sym_testawaitlegesher] = ACTIONS(884),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(882),
  },
  [320] = {
    [sym_named_expression] = STATE(599),
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(599),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [321] = {
    [sym_named_expression] = STATE(599),
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(599),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [322] = {
    [sym_named_expression] = STATE(738),
    [sym__expression] = STATE(738),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(738),
    [sym_boolean_operator] = STATE(738),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(738),
    [sym_lambda] = STATE(738),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(738),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(738),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [323] = {
    [sym_identifier] = ACTIONS(868),
    [anon_sym_testimportlegesher] = ACTIONS(868),
    [anon_sym_testfromlegesher] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(866),
    [anon_sym_testprintlegesher] = ACTIONS(868),
    [anon_sym_testassertlegesher] = ACTIONS(868),
    [anon_sym_testreturnlegesher] = ACTIONS(868),
    [anon_sym_testdellegesher] = ACTIONS(868),
    [anon_sym_testraiselegesher] = ACTIONS(868),
    [anon_sym_testpasslegesher] = ACTIONS(868),
    [anon_sym_testbreaklegesher] = ACTIONS(868),
    [anon_sym_testcontinuelegesher] = ACTIONS(868),
    [anon_sym_testiflegesher] = ACTIONS(868),
    [anon_sym_testelselegesher] = ACTIONS(868),
    [anon_sym_testasynclegesher] = ACTIONS(868),
    [anon_sym_testforlegesher] = ACTIONS(868),
    [anon_sym_testwhilelegesher] = ACTIONS(868),
    [anon_sym_testtrylegesher] = ACTIONS(868),
    [anon_sym_testexceptlegesher] = ACTIONS(868),
    [anon_sym_testfinallylegesher] = ACTIONS(868),
    [anon_sym_testwithlegesher] = ACTIONS(868),
    [anon_sym_testdeflegesher] = ACTIONS(868),
    [anon_sym_testgloballegesher] = ACTIONS(868),
    [anon_sym_testnonlocallegesher] = ACTIONS(868),
    [anon_sym_testexeclegesher] = ACTIONS(868),
    [anon_sym_testclasslegesher] = ACTIONS(868),
    [anon_sym_AT] = ACTIONS(866),
    [anon_sym_testnotlegesher] = ACTIONS(868),
    [anon_sym_PLUS] = ACTIONS(866),
    [anon_sym_DASH] = ACTIONS(866),
    [anon_sym_TILDE] = ACTIONS(866),
    [anon_sym_testlambdalegesher] = ACTIONS(868),
    [anon_sym_testyieldlegesher] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(866),
    [sym_ellipsis] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(866),
    [sym_integer] = ACTIONS(868),
    [sym_float] = ACTIONS(866),
    [sym_true] = ACTIONS(868),
    [sym_false] = ACTIONS(868),
    [sym_none] = ACTIONS(868),
    [anon_sym_testawaitlegesher] = ACTIONS(868),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(866),
    [sym__string_start] = ACTIONS(866),
  },
  [324] = {
    [sym_identifier] = ACTIONS(872),
    [anon_sym_testimportlegesher] = ACTIONS(872),
    [anon_sym_testfromlegesher] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(870),
    [anon_sym_testprintlegesher] = ACTIONS(872),
    [anon_sym_testassertlegesher] = ACTIONS(872),
    [anon_sym_testreturnlegesher] = ACTIONS(872),
    [anon_sym_testdellegesher] = ACTIONS(872),
    [anon_sym_testraiselegesher] = ACTIONS(872),
    [anon_sym_testpasslegesher] = ACTIONS(872),
    [anon_sym_testbreaklegesher] = ACTIONS(872),
    [anon_sym_testcontinuelegesher] = ACTIONS(872),
    [anon_sym_testiflegesher] = ACTIONS(872),
    [anon_sym_testelselegesher] = ACTIONS(872),
    [anon_sym_testasynclegesher] = ACTIONS(872),
    [anon_sym_testforlegesher] = ACTIONS(872),
    [anon_sym_testwhilelegesher] = ACTIONS(872),
    [anon_sym_testtrylegesher] = ACTIONS(872),
    [anon_sym_testexceptlegesher] = ACTIONS(872),
    [anon_sym_testfinallylegesher] = ACTIONS(872),
    [anon_sym_testwithlegesher] = ACTIONS(872),
    [anon_sym_testdeflegesher] = ACTIONS(872),
    [anon_sym_testgloballegesher] = ACTIONS(872),
    [anon_sym_testnonlocallegesher] = ACTIONS(872),
    [anon_sym_testexeclegesher] = ACTIONS(872),
    [anon_sym_testclasslegesher] = ACTIONS(872),
    [anon_sym_AT] = ACTIONS(870),
    [anon_sym_testnotlegesher] = ACTIONS(872),
    [anon_sym_PLUS] = ACTIONS(870),
    [anon_sym_DASH] = ACTIONS(870),
    [anon_sym_TILDE] = ACTIONS(870),
    [anon_sym_testlambdalegesher] = ACTIONS(872),
    [anon_sym_testyieldlegesher] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(870),
    [sym_ellipsis] = ACTIONS(870),
    [anon_sym_LBRACE] = ACTIONS(870),
    [sym_integer] = ACTIONS(872),
    [sym_float] = ACTIONS(870),
    [sym_true] = ACTIONS(872),
    [sym_false] = ACTIONS(872),
    [sym_none] = ACTIONS(872),
    [anon_sym_testawaitlegesher] = ACTIONS(872),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(870),
    [sym__string_start] = ACTIONS(870),
  },
  [325] = {
    [sym_named_expression] = STATE(604),
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(604),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [326] = {
    [sym_named_expression] = STATE(690),
    [sym__expression] = STATE(690),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(690),
    [sym_boolean_operator] = STATE(690),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(690),
    [sym_lambda] = STATE(690),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(690),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(690),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [327] = {
    [sym_named_expression] = STATE(802),
    [sym__expression] = STATE(802),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(802),
    [sym_boolean_operator] = STATE(802),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(802),
    [sym_lambda] = STATE(802),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(802),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(802),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [328] = {
    [sym_named_expression] = STATE(718),
    [sym__expression] = STATE(718),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(718),
    [sym_boolean_operator] = STATE(718),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(718),
    [sym_lambda] = STATE(718),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(718),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(718),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [329] = {
    [sym_named_expression] = STATE(685),
    [sym__expression] = STATE(685),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(685),
    [sym_boolean_operator] = STATE(685),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(685),
    [sym_lambda] = STATE(685),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(685),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(685),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [330] = {
    [sym_named_expression] = STATE(626),
    [sym__expression] = STATE(626),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(626),
    [sym_boolean_operator] = STATE(626),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(626),
    [sym_lambda] = STATE(626),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(626),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(626),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [331] = {
    [sym_identifier] = ACTIONS(884),
    [anon_sym_testimportlegesher] = ACTIONS(884),
    [anon_sym_testfromlegesher] = ACTIONS(884),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_testprintlegesher] = ACTIONS(884),
    [anon_sym_testassertlegesher] = ACTIONS(884),
    [anon_sym_testreturnlegesher] = ACTIONS(884),
    [anon_sym_testdellegesher] = ACTIONS(884),
    [anon_sym_testraiselegesher] = ACTIONS(884),
    [anon_sym_testpasslegesher] = ACTIONS(884),
    [anon_sym_testbreaklegesher] = ACTIONS(884),
    [anon_sym_testcontinuelegesher] = ACTIONS(884),
    [anon_sym_testiflegesher] = ACTIONS(884),
    [anon_sym_testelselegesher] = ACTIONS(884),
    [anon_sym_testasynclegesher] = ACTIONS(884),
    [anon_sym_testforlegesher] = ACTIONS(884),
    [anon_sym_testwhilelegesher] = ACTIONS(884),
    [anon_sym_testtrylegesher] = ACTIONS(884),
    [anon_sym_testexceptlegesher] = ACTIONS(884),
    [anon_sym_testfinallylegesher] = ACTIONS(884),
    [anon_sym_testwithlegesher] = ACTIONS(884),
    [anon_sym_testdeflegesher] = ACTIONS(884),
    [anon_sym_testgloballegesher] = ACTIONS(884),
    [anon_sym_testnonlocallegesher] = ACTIONS(884),
    [anon_sym_testexeclegesher] = ACTIONS(884),
    [anon_sym_testclasslegesher] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(882),
    [anon_sym_testnotlegesher] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_testlambdalegesher] = ACTIONS(884),
    [anon_sym_testyieldlegesher] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(882),
    [sym_ellipsis] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(882),
    [sym_integer] = ACTIONS(884),
    [sym_float] = ACTIONS(882),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_none] = ACTIONS(884),
    [anon_sym_testawaitlegesher] = ACTIONS(884),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(882),
    [sym__string_start] = ACTIONS(882),
  },
  [332] = {
    [sym_named_expression] = STATE(623),
    [sym__expression] = STATE(623),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(623),
    [sym_boolean_operator] = STATE(623),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(623),
    [sym_lambda] = STATE(623),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(623),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(623),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [333] = {
    [sym_named_expression] = STATE(714),
    [sym__expression] = STATE(714),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(714),
    [sym_boolean_operator] = STATE(714),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(714),
    [sym_lambda] = STATE(714),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(714),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(714),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [334] = {
    [sym_named_expression] = STATE(728),
    [sym__expression] = STATE(728),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(728),
    [sym_boolean_operator] = STATE(728),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(728),
    [sym_lambda] = STATE(728),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(728),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(728),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [335] = {
    [sym_named_expression] = STATE(605),
    [sym__expression] = STATE(605),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(605),
    [sym_boolean_operator] = STATE(605),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(605),
    [sym_lambda] = STATE(605),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(605),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(605),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [336] = {
    [sym_named_expression] = STATE(732),
    [sym__expression] = STATE(732),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(732),
    [sym_boolean_operator] = STATE(732),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(732),
    [sym_lambda] = STATE(732),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(732),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(732),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [337] = {
    [sym_named_expression] = STATE(629),
    [sym__expression] = STATE(629),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(629),
    [sym_boolean_operator] = STATE(629),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(629),
    [sym_lambda] = STATE(629),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(629),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(629),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [338] = {
    [sym_named_expression] = STATE(603),
    [sym__expression] = STATE(603),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(603),
    [sym_boolean_operator] = STATE(603),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(603),
    [sym_lambda] = STATE(603),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(603),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(603),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [339] = {
    [sym_named_expression] = STATE(630),
    [sym__expression] = STATE(630),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(630),
    [sym_boolean_operator] = STATE(630),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(630),
    [sym_lambda] = STATE(630),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(630),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(630),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [340] = {
    [sym_identifier] = ACTIONS(876),
    [anon_sym_testimportlegesher] = ACTIONS(876),
    [anon_sym_testfromlegesher] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_testprintlegesher] = ACTIONS(876),
    [anon_sym_testassertlegesher] = ACTIONS(876),
    [anon_sym_testreturnlegesher] = ACTIONS(876),
    [anon_sym_testdellegesher] = ACTIONS(876),
    [anon_sym_testraiselegesher] = ACTIONS(876),
    [anon_sym_testpasslegesher] = ACTIONS(876),
    [anon_sym_testbreaklegesher] = ACTIONS(876),
    [anon_sym_testcontinuelegesher] = ACTIONS(876),
    [anon_sym_testiflegesher] = ACTIONS(876),
    [anon_sym_testelselegesher] = ACTIONS(876),
    [anon_sym_testasynclegesher] = ACTIONS(876),
    [anon_sym_testforlegesher] = ACTIONS(876),
    [anon_sym_testwhilelegesher] = ACTIONS(876),
    [anon_sym_testtrylegesher] = ACTIONS(876),
    [anon_sym_testexceptlegesher] = ACTIONS(876),
    [anon_sym_testfinallylegesher] = ACTIONS(876),
    [anon_sym_testwithlegesher] = ACTIONS(876),
    [anon_sym_testdeflegesher] = ACTIONS(876),
    [anon_sym_testgloballegesher] = ACTIONS(876),
    [anon_sym_testnonlocallegesher] = ACTIONS(876),
    [anon_sym_testexeclegesher] = ACTIONS(876),
    [anon_sym_testclasslegesher] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_testnotlegesher] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_testlambdalegesher] = ACTIONS(876),
    [anon_sym_testyieldlegesher] = ACTIONS(876),
    [anon_sym_LBRACK] = ACTIONS(874),
    [sym_ellipsis] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [sym_integer] = ACTIONS(876),
    [sym_float] = ACTIONS(874),
    [sym_true] = ACTIONS(876),
    [sym_false] = ACTIONS(876),
    [sym_none] = ACTIONS(876),
    [anon_sym_testawaitlegesher] = ACTIONS(876),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(874),
    [sym__string_start] = ACTIONS(874),
  },
  [341] = {
    [sym_identifier] = ACTIONS(864),
    [anon_sym_testimportlegesher] = ACTIONS(864),
    [anon_sym_testfromlegesher] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_testprintlegesher] = ACTIONS(864),
    [anon_sym_testassertlegesher] = ACTIONS(864),
    [anon_sym_testreturnlegesher] = ACTIONS(864),
    [anon_sym_testdellegesher] = ACTIONS(864),
    [anon_sym_testraiselegesher] = ACTIONS(864),
    [anon_sym_testpasslegesher] = ACTIONS(864),
    [anon_sym_testbreaklegesher] = ACTIONS(864),
    [anon_sym_testcontinuelegesher] = ACTIONS(864),
    [anon_sym_testiflegesher] = ACTIONS(864),
    [anon_sym_testelselegesher] = ACTIONS(864),
    [anon_sym_testasynclegesher] = ACTIONS(864),
    [anon_sym_testforlegesher] = ACTIONS(864),
    [anon_sym_testwhilelegesher] = ACTIONS(864),
    [anon_sym_testtrylegesher] = ACTIONS(864),
    [anon_sym_testexceptlegesher] = ACTIONS(864),
    [anon_sym_testfinallylegesher] = ACTIONS(864),
    [anon_sym_testwithlegesher] = ACTIONS(864),
    [anon_sym_testdeflegesher] = ACTIONS(864),
    [anon_sym_testgloballegesher] = ACTIONS(864),
    [anon_sym_testnonlocallegesher] = ACTIONS(864),
    [anon_sym_testexeclegesher] = ACTIONS(864),
    [anon_sym_testclasslegesher] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(862),
    [anon_sym_testnotlegesher] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(862),
    [anon_sym_DASH] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(862),
    [anon_sym_testlambdalegesher] = ACTIONS(864),
    [anon_sym_testyieldlegesher] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(862),
    [sym_ellipsis] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(862),
    [sym_integer] = ACTIONS(864),
    [sym_float] = ACTIONS(862),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_none] = ACTIONS(864),
    [anon_sym_testawaitlegesher] = ACTIONS(864),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(862),
    [sym__string_start] = ACTIONS(862),
  },
  [342] = {
    [sym_identifier] = ACTIONS(880),
    [anon_sym_testimportlegesher] = ACTIONS(880),
    [anon_sym_testfromlegesher] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_testprintlegesher] = ACTIONS(880),
    [anon_sym_testassertlegesher] = ACTIONS(880),
    [anon_sym_testreturnlegesher] = ACTIONS(880),
    [anon_sym_testdellegesher] = ACTIONS(880),
    [anon_sym_testraiselegesher] = ACTIONS(880),
    [anon_sym_testpasslegesher] = ACTIONS(880),
    [anon_sym_testbreaklegesher] = ACTIONS(880),
    [anon_sym_testcontinuelegesher] = ACTIONS(880),
    [anon_sym_testiflegesher] = ACTIONS(880),
    [anon_sym_testelselegesher] = ACTIONS(880),
    [anon_sym_testasynclegesher] = ACTIONS(880),
    [anon_sym_testforlegesher] = ACTIONS(880),
    [anon_sym_testwhilelegesher] = ACTIONS(880),
    [anon_sym_testtrylegesher] = ACTIONS(880),
    [anon_sym_testexceptlegesher] = ACTIONS(880),
    [anon_sym_testfinallylegesher] = ACTIONS(880),
    [anon_sym_testwithlegesher] = ACTIONS(880),
    [anon_sym_testdeflegesher] = ACTIONS(880),
    [anon_sym_testgloballegesher] = ACTIONS(880),
    [anon_sym_testnonlocallegesher] = ACTIONS(880),
    [anon_sym_testexeclegesher] = ACTIONS(880),
    [anon_sym_testclasslegesher] = ACTIONS(880),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_testnotlegesher] = ACTIONS(880),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_testlambdalegesher] = ACTIONS(880),
    [anon_sym_testyieldlegesher] = ACTIONS(880),
    [anon_sym_LBRACK] = ACTIONS(878),
    [sym_ellipsis] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [sym_integer] = ACTIONS(880),
    [sym_float] = ACTIONS(878),
    [sym_true] = ACTIONS(880),
    [sym_false] = ACTIONS(880),
    [sym_none] = ACTIONS(880),
    [anon_sym_testawaitlegesher] = ACTIONS(880),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(878),
    [sym__string_start] = ACTIONS(878),
  },
  [343] = {
    [sym_named_expression] = STATE(627),
    [sym__expression] = STATE(627),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(627),
    [sym_boolean_operator] = STATE(627),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(627),
    [sym_lambda] = STATE(627),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(627),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(627),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [344] = {
    [sym_named_expression] = STATE(746),
    [sym__expression] = STATE(746),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(746),
    [sym_boolean_operator] = STATE(746),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(746),
    [sym_lambda] = STATE(746),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(746),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(746),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [345] = {
    [sym_named_expression] = STATE(663),
    [sym__expression] = STATE(663),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(663),
    [sym_boolean_operator] = STATE(663),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(663),
    [sym_lambda] = STATE(663),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(663),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(663),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [346] = {
    [sym_named_expression] = STATE(692),
    [sym__expression] = STATE(692),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(692),
    [sym_boolean_operator] = STATE(692),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(692),
    [sym_lambda] = STATE(692),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(692),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(692),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [347] = {
    [sym_named_expression] = STATE(715),
    [sym__expression] = STATE(715),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(715),
    [sym_boolean_operator] = STATE(715),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(715),
    [sym_lambda] = STATE(715),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(715),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(715),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [348] = {
    [sym_named_expression] = STATE(609),
    [sym__expression] = STATE(609),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(609),
    [sym_boolean_operator] = STATE(609),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(609),
    [sym_lambda] = STATE(609),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(609),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(609),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [349] = {
    [sym_named_expression] = STATE(674),
    [sym__expression] = STATE(674),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(674),
    [sym_boolean_operator] = STATE(674),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(674),
    [sym_lambda] = STATE(674),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(674),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(674),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [350] = {
    [sym_named_expression] = STATE(699),
    [sym__expression] = STATE(699),
    [sym__primary_expression] = STATE(371),
    [sym_not_operator] = STATE(699),
    [sym_boolean_operator] = STATE(699),
    [sym_binary_operator] = STATE(371),
    [sym_unary_operator] = STATE(371),
    [sym_comparison_operator] = STATE(699),
    [sym_lambda] = STATE(699),
    [sym_attribute] = STATE(371),
    [sym_subscript] = STATE(371),
    [sym_call] = STATE(371),
    [sym_list] = STATE(371),
    [sym_list_comprehension] = STATE(371),
    [sym_dictionary] = STATE(371),
    [sym_dictionary_comprehension] = STATE(371),
    [sym_set] = STATE(371),
    [sym_set_comprehension] = STATE(371),
    [sym_parenthesized_expression] = STATE(371),
    [sym_tuple] = STATE(371),
    [sym_generator_expression] = STATE(371),
    [sym_conditional_expression] = STATE(699),
    [sym_concatenated_string] = STATE(371),
    [sym_string] = STATE(364),
    [sym_await] = STATE(699),
    [sym_identifier] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_testlambdalegesher] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(383),
    [sym_float] = ACTIONS(379),
    [sym_true] = ACTIONS(383),
    [sym_false] = ACTIONS(383),
    [sym_none] = ACTIONS(383),
    [anon_sym_testawaitlegesher] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [351] = {
    [sym_named_expression] = STATE(607),
    [sym__expression] = STATE(607),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(607),
    [sym_boolean_operator] = STATE(607),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(607),
    [sym_lambda] = STATE(607),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(607),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(607),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [352] = {
    [sym_named_expression] = STATE(601),
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(106),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(106),
    [sym_unary_operator] = STATE(106),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_attribute] = STATE(106),
    [sym_subscript] = STATE(106),
    [sym_call] = STATE(106),
    [sym_list] = STATE(106),
    [sym_list_comprehension] = STATE(106),
    [sym_dictionary] = STATE(106),
    [sym_dictionary_comprehension] = STATE(106),
    [sym_set] = STATE(106),
    [sym_set_comprehension] = STATE(106),
    [sym_parenthesized_expression] = STATE(106),
    [sym_tuple] = STATE(106),
    [sym_generator_expression] = STATE(106),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(106),
    [sym_string] = STATE(118),
    [sym_await] = STATE(601),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_testlambdalegesher] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(69),
    [sym_float] = ACTIONS(65),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_none] = ACTIONS(69),
    [anon_sym_testawaitlegesher] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [353] = {
    [sym_named_expression] = STATE(730),
    [sym__expression] = STATE(730),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(730),
    [sym_boolean_operator] = STATE(730),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(730),
    [sym_lambda] = STATE(730),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(730),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(730),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [354] = {
    [sym_named_expression] = STATE(664),
    [sym__expression] = STATE(664),
    [sym__primary_expression] = STATE(503),
    [sym_not_operator] = STATE(664),
    [sym_boolean_operator] = STATE(664),
    [sym_binary_operator] = STATE(503),
    [sym_unary_operator] = STATE(503),
    [sym_comparison_operator] = STATE(664),
    [sym_lambda] = STATE(664),
    [sym_attribute] = STATE(503),
    [sym_subscript] = STATE(503),
    [sym_call] = STATE(503),
    [sym_list] = STATE(503),
    [sym_list_comprehension] = STATE(503),
    [sym_dictionary] = STATE(503),
    [sym_dictionary_comprehension] = STATE(503),
    [sym_set] = STATE(503),
    [sym_set_comprehension] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_tuple] = STATE(503),
    [sym_generator_expression] = STATE(503),
    [sym_conditional_expression] = STATE(664),
    [sym_concatenated_string] = STATE(503),
    [sym_string] = STATE(504),
    [sym_await] = STATE(664),
    [sym_identifier] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_testlambdalegesher] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(251),
    [sym_float] = ACTIONS(247),
    [sym_true] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [sym_none] = ACTIONS(251),
    [anon_sym_testawaitlegesher] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [355] = {
    [sym_else_clause] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(886),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_testimportlegesher] = ACTIONS(888),
    [anon_sym_testfromlegesher] = ACTIONS(888),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_testprintlegesher] = ACTIONS(888),
    [anon_sym_testassertlegesher] = ACTIONS(888),
    [anon_sym_testreturnlegesher] = ACTIONS(888),
    [anon_sym_testdellegesher] = ACTIONS(888),
    [anon_sym_testraiselegesher] = ACTIONS(888),
    [anon_sym_testpasslegesher] = ACTIONS(888),
    [anon_sym_testbreaklegesher] = ACTIONS(888),
    [anon_sym_testcontinuelegesher] = ACTIONS(888),
    [anon_sym_testiflegesher] = ACTIONS(888),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(888),
    [anon_sym_testforlegesher] = ACTIONS(888),
    [anon_sym_testwhilelegesher] = ACTIONS(888),
    [anon_sym_testtrylegesher] = ACTIONS(888),
    [anon_sym_testwithlegesher] = ACTIONS(888),
    [anon_sym_testdeflegesher] = ACTIONS(888),
    [anon_sym_testgloballegesher] = ACTIONS(888),
    [anon_sym_testnonlocallegesher] = ACTIONS(888),
    [anon_sym_testexeclegesher] = ACTIONS(888),
    [anon_sym_testclasslegesher] = ACTIONS(888),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_testnotlegesher] = ACTIONS(888),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_testlambdalegesher] = ACTIONS(888),
    [anon_sym_testyieldlegesher] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(886),
    [sym_ellipsis] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [sym_integer] = ACTIONS(888),
    [sym_float] = ACTIONS(886),
    [sym_true] = ACTIONS(888),
    [sym_false] = ACTIONS(888),
    [sym_none] = ACTIONS(888),
    [anon_sym_testawaitlegesher] = ACTIONS(888),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(886),
  },
  [356] = {
    [sym_else_clause] = STATE(429),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_testimportlegesher] = ACTIONS(890),
    [anon_sym_testfromlegesher] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(892),
    [anon_sym_testprintlegesher] = ACTIONS(890),
    [anon_sym_testassertlegesher] = ACTIONS(890),
    [anon_sym_testreturnlegesher] = ACTIONS(890),
    [anon_sym_testdellegesher] = ACTIONS(890),
    [anon_sym_testraiselegesher] = ACTIONS(890),
    [anon_sym_testpasslegesher] = ACTIONS(890),
    [anon_sym_testbreaklegesher] = ACTIONS(890),
    [anon_sym_testcontinuelegesher] = ACTIONS(890),
    [anon_sym_testiflegesher] = ACTIONS(890),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(890),
    [anon_sym_testforlegesher] = ACTIONS(890),
    [anon_sym_testwhilelegesher] = ACTIONS(890),
    [anon_sym_testtrylegesher] = ACTIONS(890),
    [anon_sym_testwithlegesher] = ACTIONS(890),
    [anon_sym_testdeflegesher] = ACTIONS(890),
    [anon_sym_testgloballegesher] = ACTIONS(890),
    [anon_sym_testnonlocallegesher] = ACTIONS(890),
    [anon_sym_testexeclegesher] = ACTIONS(890),
    [anon_sym_testclasslegesher] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(892),
    [anon_sym_testnotlegesher] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(892),
    [anon_sym_testlambdalegesher] = ACTIONS(890),
    [anon_sym_testyieldlegesher] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(892),
    [sym_ellipsis] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(892),
    [sym_integer] = ACTIONS(890),
    [sym_float] = ACTIONS(892),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_none] = ACTIONS(890),
    [anon_sym_testawaitlegesher] = ACTIONS(890),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(892),
    [sym__string_start] = ACTIONS(892),
  },
  [357] = {
    [sym_else_clause] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym_identifier] = ACTIONS(896),
    [anon_sym_testimportlegesher] = ACTIONS(896),
    [anon_sym_testfromlegesher] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_testprintlegesher] = ACTIONS(896),
    [anon_sym_testassertlegesher] = ACTIONS(896),
    [anon_sym_testreturnlegesher] = ACTIONS(896),
    [anon_sym_testdellegesher] = ACTIONS(896),
    [anon_sym_testraiselegesher] = ACTIONS(896),
    [anon_sym_testpasslegesher] = ACTIONS(896),
    [anon_sym_testbreaklegesher] = ACTIONS(896),
    [anon_sym_testcontinuelegesher] = ACTIONS(896),
    [anon_sym_testiflegesher] = ACTIONS(896),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(896),
    [anon_sym_testforlegesher] = ACTIONS(896),
    [anon_sym_testwhilelegesher] = ACTIONS(896),
    [anon_sym_testtrylegesher] = ACTIONS(896),
    [anon_sym_testwithlegesher] = ACTIONS(896),
    [anon_sym_testdeflegesher] = ACTIONS(896),
    [anon_sym_testgloballegesher] = ACTIONS(896),
    [anon_sym_testnonlocallegesher] = ACTIONS(896),
    [anon_sym_testexeclegesher] = ACTIONS(896),
    [anon_sym_testclasslegesher] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(894),
    [anon_sym_testnotlegesher] = ACTIONS(896),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_testlambdalegesher] = ACTIONS(896),
    [anon_sym_testyieldlegesher] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(894),
    [sym_ellipsis] = ACTIONS(894),
    [anon_sym_LBRACE] = ACTIONS(894),
    [sym_integer] = ACTIONS(896),
    [sym_float] = ACTIONS(894),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_none] = ACTIONS(896),
    [anon_sym_testawaitlegesher] = ACTIONS(896),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(894),
  },
  [358] = {
    [sym_else_clause] = STATE(448),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_testimportlegesher] = ACTIONS(898),
    [anon_sym_testfromlegesher] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(900),
    [anon_sym_testprintlegesher] = ACTIONS(898),
    [anon_sym_testassertlegesher] = ACTIONS(898),
    [anon_sym_testreturnlegesher] = ACTIONS(898),
    [anon_sym_testdellegesher] = ACTIONS(898),
    [anon_sym_testraiselegesher] = ACTIONS(898),
    [anon_sym_testpasslegesher] = ACTIONS(898),
    [anon_sym_testbreaklegesher] = ACTIONS(898),
    [anon_sym_testcontinuelegesher] = ACTIONS(898),
    [anon_sym_testiflegesher] = ACTIONS(898),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(898),
    [anon_sym_testforlegesher] = ACTIONS(898),
    [anon_sym_testwhilelegesher] = ACTIONS(898),
    [anon_sym_testtrylegesher] = ACTIONS(898),
    [anon_sym_testwithlegesher] = ACTIONS(898),
    [anon_sym_testdeflegesher] = ACTIONS(898),
    [anon_sym_testgloballegesher] = ACTIONS(898),
    [anon_sym_testnonlocallegesher] = ACTIONS(898),
    [anon_sym_testexeclegesher] = ACTIONS(898),
    [anon_sym_testclasslegesher] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(900),
    [anon_sym_testnotlegesher] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_testlambdalegesher] = ACTIONS(898),
    [anon_sym_testyieldlegesher] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(900),
    [sym_ellipsis] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(900),
    [sym_integer] = ACTIONS(898),
    [sym_float] = ACTIONS(900),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_none] = ACTIONS(898),
    [anon_sym_testawaitlegesher] = ACTIONS(898),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(900),
    [sym__string_start] = ACTIONS(900),
  },
  [359] = {
    [sym_else_clause] = STATE(401),
    [sym_identifier] = ACTIONS(896),
    [anon_sym_testimportlegesher] = ACTIONS(896),
    [anon_sym_testfromlegesher] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_testprintlegesher] = ACTIONS(896),
    [anon_sym_testassertlegesher] = ACTIONS(896),
    [anon_sym_testreturnlegesher] = ACTIONS(896),
    [anon_sym_testdellegesher] = ACTIONS(896),
    [anon_sym_testraiselegesher] = ACTIONS(896),
    [anon_sym_testpasslegesher] = ACTIONS(896),
    [anon_sym_testbreaklegesher] = ACTIONS(896),
    [anon_sym_testcontinuelegesher] = ACTIONS(896),
    [anon_sym_testiflegesher] = ACTIONS(896),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(896),
    [anon_sym_testforlegesher] = ACTIONS(896),
    [anon_sym_testwhilelegesher] = ACTIONS(896),
    [anon_sym_testtrylegesher] = ACTIONS(896),
    [anon_sym_testwithlegesher] = ACTIONS(896),
    [anon_sym_testdeflegesher] = ACTIONS(896),
    [anon_sym_testgloballegesher] = ACTIONS(896),
    [anon_sym_testnonlocallegesher] = ACTIONS(896),
    [anon_sym_testexeclegesher] = ACTIONS(896),
    [anon_sym_testclasslegesher] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(894),
    [anon_sym_testnotlegesher] = ACTIONS(896),
    [anon_sym_PLUS] = ACTIONS(894),
    [anon_sym_DASH] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_testlambdalegesher] = ACTIONS(896),
    [anon_sym_testyieldlegesher] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(894),
    [sym_ellipsis] = ACTIONS(894),
    [anon_sym_LBRACE] = ACTIONS(894),
    [sym_integer] = ACTIONS(896),
    [sym_float] = ACTIONS(894),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_none] = ACTIONS(896),
    [anon_sym_testawaitlegesher] = ACTIONS(896),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(894),
    [sym__string_start] = ACTIONS(894),
  },
  [360] = {
    [sym_else_clause] = STATE(395),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_testimportlegesher] = ACTIONS(888),
    [anon_sym_testfromlegesher] = ACTIONS(888),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_testprintlegesher] = ACTIONS(888),
    [anon_sym_testassertlegesher] = ACTIONS(888),
    [anon_sym_testreturnlegesher] = ACTIONS(888),
    [anon_sym_testdellegesher] = ACTIONS(888),
    [anon_sym_testraiselegesher] = ACTIONS(888),
    [anon_sym_testpasslegesher] = ACTIONS(888),
    [anon_sym_testbreaklegesher] = ACTIONS(888),
    [anon_sym_testcontinuelegesher] = ACTIONS(888),
    [anon_sym_testiflegesher] = ACTIONS(888),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(888),
    [anon_sym_testforlegesher] = ACTIONS(888),
    [anon_sym_testwhilelegesher] = ACTIONS(888),
    [anon_sym_testtrylegesher] = ACTIONS(888),
    [anon_sym_testwithlegesher] = ACTIONS(888),
    [anon_sym_testdeflegesher] = ACTIONS(888),
    [anon_sym_testgloballegesher] = ACTIONS(888),
    [anon_sym_testnonlocallegesher] = ACTIONS(888),
    [anon_sym_testexeclegesher] = ACTIONS(888),
    [anon_sym_testclasslegesher] = ACTIONS(888),
    [anon_sym_AT] = ACTIONS(886),
    [anon_sym_testnotlegesher] = ACTIONS(888),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_testlambdalegesher] = ACTIONS(888),
    [anon_sym_testyieldlegesher] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(886),
    [sym_ellipsis] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [sym_integer] = ACTIONS(888),
    [sym_float] = ACTIONS(886),
    [sym_true] = ACTIONS(888),
    [sym_false] = ACTIONS(888),
    [sym_none] = ACTIONS(888),
    [anon_sym_testawaitlegesher] = ACTIONS(888),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(886),
    [sym__string_start] = ACTIONS(886),
  },
  [361] = {
    [sym_identifier] = ACTIONS(902),
    [anon_sym_testimportlegesher] = ACTIONS(902),
    [anon_sym_testfromlegesher] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_testprintlegesher] = ACTIONS(902),
    [anon_sym_testassertlegesher] = ACTIONS(902),
    [anon_sym_testreturnlegesher] = ACTIONS(902),
    [anon_sym_testdellegesher] = ACTIONS(902),
    [anon_sym_testraiselegesher] = ACTIONS(902),
    [anon_sym_testpasslegesher] = ACTIONS(902),
    [anon_sym_testbreaklegesher] = ACTIONS(902),
    [anon_sym_testcontinuelegesher] = ACTIONS(902),
    [anon_sym_testiflegesher] = ACTIONS(902),
    [anon_sym_testeliflegesher] = ACTIONS(902),
    [anon_sym_testelselegesher] = ACTIONS(902),
    [anon_sym_testasynclegesher] = ACTIONS(902),
    [anon_sym_testforlegesher] = ACTIONS(902),
    [anon_sym_testwhilelegesher] = ACTIONS(902),
    [anon_sym_testtrylegesher] = ACTIONS(902),
    [anon_sym_testwithlegesher] = ACTIONS(902),
    [anon_sym_testdeflegesher] = ACTIONS(902),
    [anon_sym_testgloballegesher] = ACTIONS(902),
    [anon_sym_testnonlocallegesher] = ACTIONS(902),
    [anon_sym_testexeclegesher] = ACTIONS(902),
    [anon_sym_testclasslegesher] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_testnotlegesher] = ACTIONS(902),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_testlambdalegesher] = ACTIONS(902),
    [anon_sym_testyieldlegesher] = ACTIONS(902),
    [anon_sym_LBRACK] = ACTIONS(904),
    [sym_ellipsis] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(904),
    [sym_integer] = ACTIONS(902),
    [sym_float] = ACTIONS(904),
    [sym_true] = ACTIONS(902),
    [sym_false] = ACTIONS(902),
    [sym_none] = ACTIONS(902),
    [anon_sym_testawaitlegesher] = ACTIONS(902),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(904),
    [sym__string_start] = ACTIONS(904),
  },
  [362] = {
    [sym_string] = STATE(362),
    [aux_sym_concatenated_string_repeat1] = STATE(362),
    [anon_sym_DOT] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_RPAREN] = ACTIONS(401),
    [anon_sym_COMMA] = ACTIONS(401),
    [anon_sym_testaslegesher] = ACTIONS(401),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_GT_GT] = ACTIONS(401),
    [anon_sym_testiflegesher] = ACTIONS(401),
    [anon_sym_COLON] = ACTIONS(401),
    [anon_sym_testelselegesher] = ACTIONS(401),
    [anon_sym_testasynclegesher] = ACTIONS(401),
    [anon_sym_testforlegesher] = ACTIONS(401),
    [anon_sym_testinlegesher] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(401),
    [anon_sym_testnotlegesher] = ACTIONS(401),
    [anon_sym_testandlegesher] = ACTIONS(401),
    [anon_sym_testorlegesher] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(401),
    [anon_sym_SLASH] = ACTIONS(403),
    [anon_sym_PERCENT] = ACTIONS(401),
    [anon_sym_SLASH_SLASH] = ACTIONS(401),
    [anon_sym_STAR_STAR] = ACTIONS(401),
    [anon_sym_PIPE] = ACTIONS(401),
    [anon_sym_AMP] = ACTIONS(401),
    [anon_sym_CARET] = ACTIONS(401),
    [anon_sym_LT_LT] = ACTIONS(401),
    [anon_sym_LT] = ACTIONS(403),
    [anon_sym_LT_EQ] = ACTIONS(401),
    [anon_sym_EQ_EQ] = ACTIONS(401),
    [anon_sym_BANG_EQ] = ACTIONS(401),
    [anon_sym_GT_EQ] = ACTIONS(401),
    [anon_sym_GT] = ACTIONS(403),
    [anon_sym_LT_GT] = ACTIONS(401),
    [anon_sym_testislegesher] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_RBRACK] = ACTIONS(401),
    [anon_sym_RBRACE] = ACTIONS(401),
    [sym_type_conversion] = ACTIONS(401),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(906),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_testimportlegesher] = ACTIONS(911),
    [anon_sym_testfromlegesher] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_testprintlegesher] = ACTIONS(911),
    [anon_sym_testassertlegesher] = ACTIONS(911),
    [anon_sym_testreturnlegesher] = ACTIONS(911),
    [anon_sym_testdellegesher] = ACTIONS(911),
    [anon_sym_testraiselegesher] = ACTIONS(911),
    [anon_sym_testpasslegesher] = ACTIONS(911),
    [anon_sym_testbreaklegesher] = ACTIONS(911),
    [anon_sym_testcontinuelegesher] = ACTIONS(911),
    [anon_sym_testiflegesher] = ACTIONS(911),
    [anon_sym_testeliflegesher] = ACTIONS(911),
    [anon_sym_testelselegesher] = ACTIONS(911),
    [anon_sym_testasynclegesher] = ACTIONS(911),
    [anon_sym_testforlegesher] = ACTIONS(911),
    [anon_sym_testwhilelegesher] = ACTIONS(911),
    [anon_sym_testtrylegesher] = ACTIONS(911),
    [anon_sym_testwithlegesher] = ACTIONS(911),
    [anon_sym_testdeflegesher] = ACTIONS(911),
    [anon_sym_testgloballegesher] = ACTIONS(911),
    [anon_sym_testnonlocallegesher] = ACTIONS(911),
    [anon_sym_testexeclegesher] = ACTIONS(911),
    [anon_sym_testclasslegesher] = ACTIONS(911),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_testnotlegesher] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_testlambdalegesher] = ACTIONS(911),
    [anon_sym_testyieldlegesher] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(909),
    [sym_ellipsis] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [sym_integer] = ACTIONS(911),
    [sym_float] = ACTIONS(909),
    [sym_true] = ACTIONS(911),
    [sym_false] = ACTIONS(911),
    [sym_none] = ACTIONS(911),
    [anon_sym_testawaitlegesher] = ACTIONS(911),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(909),
  },
  [364] = {
    [sym_string] = STATE(377),
    [aux_sym_concatenated_string_repeat1] = STATE(377),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_RPAREN] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_testaslegesher] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_testiflegesher] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(476),
    [anon_sym_testelselegesher] = ACTIONS(476),
    [anon_sym_testasynclegesher] = ACTIONS(476),
    [anon_sym_testforlegesher] = ACTIONS(476),
    [anon_sym_testinlegesher] = ACTIONS(476),
    [anon_sym_EQ] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_testnotlegesher] = ACTIONS(476),
    [anon_sym_testandlegesher] = ACTIONS(476),
    [anon_sym_testorlegesher] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_SLASH_SLASH] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT_GT] = ACTIONS(476),
    [anon_sym_testislegesher] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_RBRACK] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [sym_type_conversion] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [365] = {
    [sym_else_clause] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(892),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_testimportlegesher] = ACTIONS(890),
    [anon_sym_testfromlegesher] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(892),
    [anon_sym_testprintlegesher] = ACTIONS(890),
    [anon_sym_testassertlegesher] = ACTIONS(890),
    [anon_sym_testreturnlegesher] = ACTIONS(890),
    [anon_sym_testdellegesher] = ACTIONS(890),
    [anon_sym_testraiselegesher] = ACTIONS(890),
    [anon_sym_testpasslegesher] = ACTIONS(890),
    [anon_sym_testbreaklegesher] = ACTIONS(890),
    [anon_sym_testcontinuelegesher] = ACTIONS(890),
    [anon_sym_testiflegesher] = ACTIONS(890),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(890),
    [anon_sym_testforlegesher] = ACTIONS(890),
    [anon_sym_testwhilelegesher] = ACTIONS(890),
    [anon_sym_testtrylegesher] = ACTIONS(890),
    [anon_sym_testwithlegesher] = ACTIONS(890),
    [anon_sym_testdeflegesher] = ACTIONS(890),
    [anon_sym_testgloballegesher] = ACTIONS(890),
    [anon_sym_testnonlocallegesher] = ACTIONS(890),
    [anon_sym_testexeclegesher] = ACTIONS(890),
    [anon_sym_testclasslegesher] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(892),
    [anon_sym_testnotlegesher] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(892),
    [anon_sym_testlambdalegesher] = ACTIONS(890),
    [anon_sym_testyieldlegesher] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(892),
    [sym_ellipsis] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(892),
    [sym_integer] = ACTIONS(890),
    [sym_float] = ACTIONS(892),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_none] = ACTIONS(890),
    [anon_sym_testawaitlegesher] = ACTIONS(890),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(892),
  },
  [366] = {
    [sym_identifier] = ACTIONS(911),
    [anon_sym_testimportlegesher] = ACTIONS(911),
    [anon_sym_testfromlegesher] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_testprintlegesher] = ACTIONS(911),
    [anon_sym_testassertlegesher] = ACTIONS(911),
    [anon_sym_testreturnlegesher] = ACTIONS(911),
    [anon_sym_testdellegesher] = ACTIONS(911),
    [anon_sym_testraiselegesher] = ACTIONS(911),
    [anon_sym_testpasslegesher] = ACTIONS(911),
    [anon_sym_testbreaklegesher] = ACTIONS(911),
    [anon_sym_testcontinuelegesher] = ACTIONS(911),
    [anon_sym_testiflegesher] = ACTIONS(911),
    [anon_sym_testeliflegesher] = ACTIONS(911),
    [anon_sym_testelselegesher] = ACTIONS(911),
    [anon_sym_testasynclegesher] = ACTIONS(911),
    [anon_sym_testforlegesher] = ACTIONS(911),
    [anon_sym_testwhilelegesher] = ACTIONS(911),
    [anon_sym_testtrylegesher] = ACTIONS(911),
    [anon_sym_testwithlegesher] = ACTIONS(911),
    [anon_sym_testdeflegesher] = ACTIONS(911),
    [anon_sym_testgloballegesher] = ACTIONS(911),
    [anon_sym_testnonlocallegesher] = ACTIONS(911),
    [anon_sym_testexeclegesher] = ACTIONS(911),
    [anon_sym_testclasslegesher] = ACTIONS(911),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_testnotlegesher] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_testlambdalegesher] = ACTIONS(911),
    [anon_sym_testyieldlegesher] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(909),
    [sym_ellipsis] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(909),
    [sym_integer] = ACTIONS(911),
    [sym_float] = ACTIONS(909),
    [sym_true] = ACTIONS(911),
    [sym_false] = ACTIONS(911),
    [sym_none] = ACTIONS(911),
    [anon_sym_testawaitlegesher] = ACTIONS(911),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(909),
    [sym__string_start] = ACTIONS(909),
  },
  [367] = {
    [sym_finally_clause] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(913),
    [sym_identifier] = ACTIONS(915),
    [anon_sym_testimportlegesher] = ACTIONS(915),
    [anon_sym_testfromlegesher] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_testprintlegesher] = ACTIONS(915),
    [anon_sym_testassertlegesher] = ACTIONS(915),
    [anon_sym_testreturnlegesher] = ACTIONS(915),
    [anon_sym_testdellegesher] = ACTIONS(915),
    [anon_sym_testraiselegesher] = ACTIONS(915),
    [anon_sym_testpasslegesher] = ACTIONS(915),
    [anon_sym_testbreaklegesher] = ACTIONS(915),
    [anon_sym_testcontinuelegesher] = ACTIONS(915),
    [anon_sym_testiflegesher] = ACTIONS(915),
    [anon_sym_testasynclegesher] = ACTIONS(915),
    [anon_sym_testforlegesher] = ACTIONS(915),
    [anon_sym_testwhilelegesher] = ACTIONS(915),
    [anon_sym_testtrylegesher] = ACTIONS(915),
    [anon_sym_testfinallylegesher] = ACTIONS(528),
    [anon_sym_testwithlegesher] = ACTIONS(915),
    [anon_sym_testdeflegesher] = ACTIONS(915),
    [anon_sym_testgloballegesher] = ACTIONS(915),
    [anon_sym_testnonlocallegesher] = ACTIONS(915),
    [anon_sym_testexeclegesher] = ACTIONS(915),
    [anon_sym_testclasslegesher] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(913),
    [anon_sym_testnotlegesher] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_testlambdalegesher] = ACTIONS(915),
    [anon_sym_testyieldlegesher] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(913),
    [sym_ellipsis] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(913),
    [sym_integer] = ACTIONS(915),
    [sym_float] = ACTIONS(913),
    [sym_true] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
    [sym_none] = ACTIONS(915),
    [anon_sym_testawaitlegesher] = ACTIONS(915),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(913),
  },
  [368] = {
    [sym_else_clause] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym_identifier] = ACTIONS(919),
    [anon_sym_testimportlegesher] = ACTIONS(919),
    [anon_sym_testfromlegesher] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_testprintlegesher] = ACTIONS(919),
    [anon_sym_testassertlegesher] = ACTIONS(919),
    [anon_sym_testreturnlegesher] = ACTIONS(919),
    [anon_sym_testdellegesher] = ACTIONS(919),
    [anon_sym_testraiselegesher] = ACTIONS(919),
    [anon_sym_testpasslegesher] = ACTIONS(919),
    [anon_sym_testbreaklegesher] = ACTIONS(919),
    [anon_sym_testcontinuelegesher] = ACTIONS(919),
    [anon_sym_testiflegesher] = ACTIONS(919),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(919),
    [anon_sym_testforlegesher] = ACTIONS(919),
    [anon_sym_testwhilelegesher] = ACTIONS(919),
    [anon_sym_testtrylegesher] = ACTIONS(919),
    [anon_sym_testwithlegesher] = ACTIONS(919),
    [anon_sym_testdeflegesher] = ACTIONS(919),
    [anon_sym_testgloballegesher] = ACTIONS(919),
    [anon_sym_testnonlocallegesher] = ACTIONS(919),
    [anon_sym_testexeclegesher] = ACTIONS(919),
    [anon_sym_testclasslegesher] = ACTIONS(919),
    [anon_sym_AT] = ACTIONS(917),
    [anon_sym_testnotlegesher] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [anon_sym_TILDE] = ACTIONS(917),
    [anon_sym_testlambdalegesher] = ACTIONS(919),
    [anon_sym_testyieldlegesher] = ACTIONS(919),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(917),
    [sym_integer] = ACTIONS(919),
    [sym_float] = ACTIONS(917),
    [sym_true] = ACTIONS(919),
    [sym_false] = ACTIONS(919),
    [sym_none] = ACTIONS(919),
    [anon_sym_testawaitlegesher] = ACTIONS(919),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(917),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(921),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_testimportlegesher] = ACTIONS(923),
    [anon_sym_testfromlegesher] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_testprintlegesher] = ACTIONS(923),
    [anon_sym_testassertlegesher] = ACTIONS(923),
    [anon_sym_testreturnlegesher] = ACTIONS(923),
    [anon_sym_testdellegesher] = ACTIONS(923),
    [anon_sym_testraiselegesher] = ACTIONS(923),
    [anon_sym_testpasslegesher] = ACTIONS(923),
    [anon_sym_testbreaklegesher] = ACTIONS(923),
    [anon_sym_testcontinuelegesher] = ACTIONS(923),
    [anon_sym_testiflegesher] = ACTIONS(923),
    [anon_sym_testeliflegesher] = ACTIONS(923),
    [anon_sym_testelselegesher] = ACTIONS(923),
    [anon_sym_testasynclegesher] = ACTIONS(923),
    [anon_sym_testforlegesher] = ACTIONS(923),
    [anon_sym_testwhilelegesher] = ACTIONS(923),
    [anon_sym_testtrylegesher] = ACTIONS(923),
    [anon_sym_testwithlegesher] = ACTIONS(923),
    [anon_sym_testdeflegesher] = ACTIONS(923),
    [anon_sym_testgloballegesher] = ACTIONS(923),
    [anon_sym_testnonlocallegesher] = ACTIONS(923),
    [anon_sym_testexeclegesher] = ACTIONS(923),
    [anon_sym_testclasslegesher] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(921),
    [anon_sym_testnotlegesher] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(921),
    [anon_sym_testlambdalegesher] = ACTIONS(923),
    [anon_sym_testyieldlegesher] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(921),
    [sym_ellipsis] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(921),
    [sym_integer] = ACTIONS(923),
    [sym_float] = ACTIONS(921),
    [sym_true] = ACTIONS(923),
    [sym_false] = ACTIONS(923),
    [sym_none] = ACTIONS(923),
    [anon_sym_testawaitlegesher] = ACTIONS(923),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(921),
  },
  [370] = {
    [sym_finally_clause] = STATE(445),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_testimportlegesher] = ACTIONS(925),
    [anon_sym_testfromlegesher] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_testprintlegesher] = ACTIONS(925),
    [anon_sym_testassertlegesher] = ACTIONS(925),
    [anon_sym_testreturnlegesher] = ACTIONS(925),
    [anon_sym_testdellegesher] = ACTIONS(925),
    [anon_sym_testraiselegesher] = ACTIONS(925),
    [anon_sym_testpasslegesher] = ACTIONS(925),
    [anon_sym_testbreaklegesher] = ACTIONS(925),
    [anon_sym_testcontinuelegesher] = ACTIONS(925),
    [anon_sym_testiflegesher] = ACTIONS(925),
    [anon_sym_testasynclegesher] = ACTIONS(925),
    [anon_sym_testforlegesher] = ACTIONS(925),
    [anon_sym_testwhilelegesher] = ACTIONS(925),
    [anon_sym_testtrylegesher] = ACTIONS(925),
    [anon_sym_testfinallylegesher] = ACTIONS(542),
    [anon_sym_testwithlegesher] = ACTIONS(925),
    [anon_sym_testdeflegesher] = ACTIONS(925),
    [anon_sym_testgloballegesher] = ACTIONS(925),
    [anon_sym_testnonlocallegesher] = ACTIONS(925),
    [anon_sym_testexeclegesher] = ACTIONS(925),
    [anon_sym_testclasslegesher] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(927),
    [anon_sym_testnotlegesher] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_testlambdalegesher] = ACTIONS(925),
    [anon_sym_testyieldlegesher] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_ellipsis] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [sym_integer] = ACTIONS(925),
    [sym_float] = ACTIONS(927),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_none] = ACTIONS(925),
    [anon_sym_testawaitlegesher] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(927),
    [sym__string_start] = ACTIONS(927),
  },
  [371] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [aux_sym_comparison_operator_repeat1] = STATE(598),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(412),
    [anon_sym_COMMA] = ACTIONS(412),
    [anon_sym_testaslegesher] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testiflegesher] = ACTIONS(412),
    [anon_sym_COLON] = ACTIONS(412),
    [anon_sym_testelselegesher] = ACTIONS(412),
    [anon_sym_testasynclegesher] = ACTIONS(412),
    [anon_sym_testforlegesher] = ACTIONS(412),
    [anon_sym_testinlegesher] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(941),
    [anon_sym_testandlegesher] = ACTIONS(412),
    [anon_sym_testorlegesher] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(953),
    [anon_sym_LT_EQ] = ACTIONS(937),
    [anon_sym_EQ_EQ] = ACTIONS(937),
    [anon_sym_BANG_EQ] = ACTIONS(937),
    [anon_sym_GT_EQ] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(953),
    [anon_sym_LT_GT] = ACTIONS(937),
    [anon_sym_testislegesher] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_RBRACK] = ACTIONS(412),
    [anon_sym_RBRACE] = ACTIONS(412),
    [sym_type_conversion] = ACTIONS(412),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_else_clause] = STATE(444),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_testimportlegesher] = ACTIONS(959),
    [anon_sym_testfromlegesher] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_testprintlegesher] = ACTIONS(959),
    [anon_sym_testassertlegesher] = ACTIONS(959),
    [anon_sym_testreturnlegesher] = ACTIONS(959),
    [anon_sym_testdellegesher] = ACTIONS(959),
    [anon_sym_testraiselegesher] = ACTIONS(959),
    [anon_sym_testpasslegesher] = ACTIONS(959),
    [anon_sym_testbreaklegesher] = ACTIONS(959),
    [anon_sym_testcontinuelegesher] = ACTIONS(959),
    [anon_sym_testiflegesher] = ACTIONS(959),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(959),
    [anon_sym_testforlegesher] = ACTIONS(959),
    [anon_sym_testwhilelegesher] = ACTIONS(959),
    [anon_sym_testtrylegesher] = ACTIONS(959),
    [anon_sym_testwithlegesher] = ACTIONS(959),
    [anon_sym_testdeflegesher] = ACTIONS(959),
    [anon_sym_testgloballegesher] = ACTIONS(959),
    [anon_sym_testnonlocallegesher] = ACTIONS(959),
    [anon_sym_testexeclegesher] = ACTIONS(959),
    [anon_sym_testclasslegesher] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_testnotlegesher] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_TILDE] = ACTIONS(961),
    [anon_sym_testlambdalegesher] = ACTIONS(959),
    [anon_sym_testyieldlegesher] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(961),
    [sym_ellipsis] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(961),
    [sym_integer] = ACTIONS(959),
    [sym_float] = ACTIONS(961),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_none] = ACTIONS(959),
    [anon_sym_testawaitlegesher] = ACTIONS(959),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(961),
    [sym__string_start] = ACTIONS(961),
  },
  [373] = {
    [sym_else_clause] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(900),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_testimportlegesher] = ACTIONS(898),
    [anon_sym_testfromlegesher] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(900),
    [anon_sym_testprintlegesher] = ACTIONS(898),
    [anon_sym_testassertlegesher] = ACTIONS(898),
    [anon_sym_testreturnlegesher] = ACTIONS(898),
    [anon_sym_testdellegesher] = ACTIONS(898),
    [anon_sym_testraiselegesher] = ACTIONS(898),
    [anon_sym_testpasslegesher] = ACTIONS(898),
    [anon_sym_testbreaklegesher] = ACTIONS(898),
    [anon_sym_testcontinuelegesher] = ACTIONS(898),
    [anon_sym_testiflegesher] = ACTIONS(898),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(898),
    [anon_sym_testforlegesher] = ACTIONS(898),
    [anon_sym_testwhilelegesher] = ACTIONS(898),
    [anon_sym_testtrylegesher] = ACTIONS(898),
    [anon_sym_testwithlegesher] = ACTIONS(898),
    [anon_sym_testdeflegesher] = ACTIONS(898),
    [anon_sym_testgloballegesher] = ACTIONS(898),
    [anon_sym_testnonlocallegesher] = ACTIONS(898),
    [anon_sym_testexeclegesher] = ACTIONS(898),
    [anon_sym_testclasslegesher] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(900),
    [anon_sym_testnotlegesher] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_testlambdalegesher] = ACTIONS(898),
    [anon_sym_testyieldlegesher] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(900),
    [sym_ellipsis] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(900),
    [sym_integer] = ACTIONS(898),
    [sym_float] = ACTIONS(900),
    [sym_true] = ACTIONS(898),
    [sym_false] = ACTIONS(898),
    [sym_none] = ACTIONS(898),
    [anon_sym_testawaitlegesher] = ACTIONS(898),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(900),
  },
  [374] = {
    [sym_finally_clause] = STATE(432),
    [sym_identifier] = ACTIONS(915),
    [anon_sym_testimportlegesher] = ACTIONS(915),
    [anon_sym_testfromlegesher] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_testprintlegesher] = ACTIONS(915),
    [anon_sym_testassertlegesher] = ACTIONS(915),
    [anon_sym_testreturnlegesher] = ACTIONS(915),
    [anon_sym_testdellegesher] = ACTIONS(915),
    [anon_sym_testraiselegesher] = ACTIONS(915),
    [anon_sym_testpasslegesher] = ACTIONS(915),
    [anon_sym_testbreaklegesher] = ACTIONS(915),
    [anon_sym_testcontinuelegesher] = ACTIONS(915),
    [anon_sym_testiflegesher] = ACTIONS(915),
    [anon_sym_testasynclegesher] = ACTIONS(915),
    [anon_sym_testforlegesher] = ACTIONS(915),
    [anon_sym_testwhilelegesher] = ACTIONS(915),
    [anon_sym_testtrylegesher] = ACTIONS(915),
    [anon_sym_testfinallylegesher] = ACTIONS(542),
    [anon_sym_testwithlegesher] = ACTIONS(915),
    [anon_sym_testdeflegesher] = ACTIONS(915),
    [anon_sym_testgloballegesher] = ACTIONS(915),
    [anon_sym_testnonlocallegesher] = ACTIONS(915),
    [anon_sym_testexeclegesher] = ACTIONS(915),
    [anon_sym_testclasslegesher] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(913),
    [anon_sym_testnotlegesher] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_testlambdalegesher] = ACTIONS(915),
    [anon_sym_testyieldlegesher] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(913),
    [sym_ellipsis] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(913),
    [sym_integer] = ACTIONS(915),
    [sym_float] = ACTIONS(913),
    [sym_true] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
    [sym_none] = ACTIONS(915),
    [anon_sym_testawaitlegesher] = ACTIONS(915),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(913),
    [sym__string_start] = ACTIONS(913),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(904),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_testimportlegesher] = ACTIONS(902),
    [anon_sym_testfromlegesher] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_testprintlegesher] = ACTIONS(902),
    [anon_sym_testassertlegesher] = ACTIONS(902),
    [anon_sym_testreturnlegesher] = ACTIONS(902),
    [anon_sym_testdellegesher] = ACTIONS(902),
    [anon_sym_testraiselegesher] = ACTIONS(902),
    [anon_sym_testpasslegesher] = ACTIONS(902),
    [anon_sym_testbreaklegesher] = ACTIONS(902),
    [anon_sym_testcontinuelegesher] = ACTIONS(902),
    [anon_sym_testiflegesher] = ACTIONS(902),
    [anon_sym_testeliflegesher] = ACTIONS(902),
    [anon_sym_testelselegesher] = ACTIONS(902),
    [anon_sym_testasynclegesher] = ACTIONS(902),
    [anon_sym_testforlegesher] = ACTIONS(902),
    [anon_sym_testwhilelegesher] = ACTIONS(902),
    [anon_sym_testtrylegesher] = ACTIONS(902),
    [anon_sym_testwithlegesher] = ACTIONS(902),
    [anon_sym_testdeflegesher] = ACTIONS(902),
    [anon_sym_testgloballegesher] = ACTIONS(902),
    [anon_sym_testnonlocallegesher] = ACTIONS(902),
    [anon_sym_testexeclegesher] = ACTIONS(902),
    [anon_sym_testclasslegesher] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_testnotlegesher] = ACTIONS(902),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_testlambdalegesher] = ACTIONS(902),
    [anon_sym_testyieldlegesher] = ACTIONS(902),
    [anon_sym_LBRACK] = ACTIONS(904),
    [sym_ellipsis] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(904),
    [sym_integer] = ACTIONS(902),
    [sym_float] = ACTIONS(904),
    [sym_true] = ACTIONS(902),
    [sym_false] = ACTIONS(902),
    [sym_none] = ACTIONS(902),
    [anon_sym_testawaitlegesher] = ACTIONS(902),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(904),
  },
  [376] = {
    [sym_identifier] = ACTIONS(923),
    [anon_sym_testimportlegesher] = ACTIONS(923),
    [anon_sym_testfromlegesher] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_testprintlegesher] = ACTIONS(923),
    [anon_sym_testassertlegesher] = ACTIONS(923),
    [anon_sym_testreturnlegesher] = ACTIONS(923),
    [anon_sym_testdellegesher] = ACTIONS(923),
    [anon_sym_testraiselegesher] = ACTIONS(923),
    [anon_sym_testpasslegesher] = ACTIONS(923),
    [anon_sym_testbreaklegesher] = ACTIONS(923),
    [anon_sym_testcontinuelegesher] = ACTIONS(923),
    [anon_sym_testiflegesher] = ACTIONS(923),
    [anon_sym_testeliflegesher] = ACTIONS(923),
    [anon_sym_testelselegesher] = ACTIONS(923),
    [anon_sym_testasynclegesher] = ACTIONS(923),
    [anon_sym_testforlegesher] = ACTIONS(923),
    [anon_sym_testwhilelegesher] = ACTIONS(923),
    [anon_sym_testtrylegesher] = ACTIONS(923),
    [anon_sym_testwithlegesher] = ACTIONS(923),
    [anon_sym_testdeflegesher] = ACTIONS(923),
    [anon_sym_testgloballegesher] = ACTIONS(923),
    [anon_sym_testnonlocallegesher] = ACTIONS(923),
    [anon_sym_testexeclegesher] = ACTIONS(923),
    [anon_sym_testclasslegesher] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(921),
    [anon_sym_testnotlegesher] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(921),
    [anon_sym_testlambdalegesher] = ACTIONS(923),
    [anon_sym_testyieldlegesher] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(921),
    [sym_ellipsis] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(921),
    [sym_integer] = ACTIONS(923),
    [sym_float] = ACTIONS(921),
    [sym_true] = ACTIONS(923),
    [sym_false] = ACTIONS(923),
    [sym_none] = ACTIONS(923),
    [anon_sym_testawaitlegesher] = ACTIONS(923),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(921),
    [sym__string_start] = ACTIONS(921),
  },
  [377] = {
    [sym_string] = STATE(362),
    [aux_sym_concatenated_string_repeat1] = STATE(362),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(456),
    [anon_sym_RPAREN] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_testaslegesher] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_testiflegesher] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(456),
    [anon_sym_testelselegesher] = ACTIONS(456),
    [anon_sym_testasynclegesher] = ACTIONS(456),
    [anon_sym_testforlegesher] = ACTIONS(456),
    [anon_sym_testinlegesher] = ACTIONS(456),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(456),
    [anon_sym_testnotlegesher] = ACTIONS(456),
    [anon_sym_testandlegesher] = ACTIONS(456),
    [anon_sym_testorlegesher] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_SLASH_SLASH] = ACTIONS(456),
    [anon_sym_STAR_STAR] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_LT_GT] = ACTIONS(456),
    [anon_sym_testislegesher] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_RBRACK] = ACTIONS(456),
    [anon_sym_RBRACE] = ACTIONS(456),
    [sym_type_conversion] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [378] = {
    [sym_else_clause] = STATE(405),
    [ts_builtin_sym_end] = ACTIONS(961),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_testimportlegesher] = ACTIONS(959),
    [anon_sym_testfromlegesher] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_testprintlegesher] = ACTIONS(959),
    [anon_sym_testassertlegesher] = ACTIONS(959),
    [anon_sym_testreturnlegesher] = ACTIONS(959),
    [anon_sym_testdellegesher] = ACTIONS(959),
    [anon_sym_testraiselegesher] = ACTIONS(959),
    [anon_sym_testpasslegesher] = ACTIONS(959),
    [anon_sym_testbreaklegesher] = ACTIONS(959),
    [anon_sym_testcontinuelegesher] = ACTIONS(959),
    [anon_sym_testiflegesher] = ACTIONS(959),
    [anon_sym_testelselegesher] = ACTIONS(524),
    [anon_sym_testasynclegesher] = ACTIONS(959),
    [anon_sym_testforlegesher] = ACTIONS(959),
    [anon_sym_testwhilelegesher] = ACTIONS(959),
    [anon_sym_testtrylegesher] = ACTIONS(959),
    [anon_sym_testwithlegesher] = ACTIONS(959),
    [anon_sym_testdeflegesher] = ACTIONS(959),
    [anon_sym_testgloballegesher] = ACTIONS(959),
    [anon_sym_testnonlocallegesher] = ACTIONS(959),
    [anon_sym_testexeclegesher] = ACTIONS(959),
    [anon_sym_testclasslegesher] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_testnotlegesher] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_TILDE] = ACTIONS(961),
    [anon_sym_testlambdalegesher] = ACTIONS(959),
    [anon_sym_testyieldlegesher] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(961),
    [sym_ellipsis] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(961),
    [sym_integer] = ACTIONS(959),
    [sym_float] = ACTIONS(961),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_none] = ACTIONS(959),
    [anon_sym_testawaitlegesher] = ACTIONS(959),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(961),
  },
  [379] = {
    [sym_finally_clause] = STATE(414),
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_testimportlegesher] = ACTIONS(925),
    [anon_sym_testfromlegesher] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_testprintlegesher] = ACTIONS(925),
    [anon_sym_testassertlegesher] = ACTIONS(925),
    [anon_sym_testreturnlegesher] = ACTIONS(925),
    [anon_sym_testdellegesher] = ACTIONS(925),
    [anon_sym_testraiselegesher] = ACTIONS(925),
    [anon_sym_testpasslegesher] = ACTIONS(925),
    [anon_sym_testbreaklegesher] = ACTIONS(925),
    [anon_sym_testcontinuelegesher] = ACTIONS(925),
    [anon_sym_testiflegesher] = ACTIONS(925),
    [anon_sym_testasynclegesher] = ACTIONS(925),
    [anon_sym_testforlegesher] = ACTIONS(925),
    [anon_sym_testwhilelegesher] = ACTIONS(925),
    [anon_sym_testtrylegesher] = ACTIONS(925),
    [anon_sym_testfinallylegesher] = ACTIONS(528),
    [anon_sym_testwithlegesher] = ACTIONS(925),
    [anon_sym_testdeflegesher] = ACTIONS(925),
    [anon_sym_testgloballegesher] = ACTIONS(925),
    [anon_sym_testnonlocallegesher] = ACTIONS(925),
    [anon_sym_testexeclegesher] = ACTIONS(925),
    [anon_sym_testclasslegesher] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(927),
    [anon_sym_testnotlegesher] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_testlambdalegesher] = ACTIONS(925),
    [anon_sym_testyieldlegesher] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_ellipsis] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [sym_integer] = ACTIONS(925),
    [sym_float] = ACTIONS(927),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_none] = ACTIONS(925),
    [anon_sym_testawaitlegesher] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(927),
  },
  [380] = {
    [sym_else_clause] = STATE(456),
    [sym_identifier] = ACTIONS(919),
    [anon_sym_testimportlegesher] = ACTIONS(919),
    [anon_sym_testfromlegesher] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(917),
    [anon_sym_testprintlegesher] = ACTIONS(919),
    [anon_sym_testassertlegesher] = ACTIONS(919),
    [anon_sym_testreturnlegesher] = ACTIONS(919),
    [anon_sym_testdellegesher] = ACTIONS(919),
    [anon_sym_testraiselegesher] = ACTIONS(919),
    [anon_sym_testpasslegesher] = ACTIONS(919),
    [anon_sym_testbreaklegesher] = ACTIONS(919),
    [anon_sym_testcontinuelegesher] = ACTIONS(919),
    [anon_sym_testiflegesher] = ACTIONS(919),
    [anon_sym_testelselegesher] = ACTIONS(538),
    [anon_sym_testasynclegesher] = ACTIONS(919),
    [anon_sym_testforlegesher] = ACTIONS(919),
    [anon_sym_testwhilelegesher] = ACTIONS(919),
    [anon_sym_testtrylegesher] = ACTIONS(919),
    [anon_sym_testwithlegesher] = ACTIONS(919),
    [anon_sym_testdeflegesher] = ACTIONS(919),
    [anon_sym_testgloballegesher] = ACTIONS(919),
    [anon_sym_testnonlocallegesher] = ACTIONS(919),
    [anon_sym_testexeclegesher] = ACTIONS(919),
    [anon_sym_testclasslegesher] = ACTIONS(919),
    [anon_sym_AT] = ACTIONS(917),
    [anon_sym_testnotlegesher] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [anon_sym_TILDE] = ACTIONS(917),
    [anon_sym_testlambdalegesher] = ACTIONS(919),
    [anon_sym_testyieldlegesher] = ACTIONS(919),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(917),
    [sym_integer] = ACTIONS(919),
    [sym_float] = ACTIONS(917),
    [sym_true] = ACTIONS(919),
    [sym_false] = ACTIONS(919),
    [sym_none] = ACTIONS(919),
    [anon_sym_testawaitlegesher] = ACTIONS(919),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(917),
    [sym__string_start] = ACTIONS(917),
  },
  [381] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_testaslegesher] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testelselegesher] = ACTIONS(482),
    [anon_sym_testasynclegesher] = ACTIONS(482),
    [anon_sym_testforlegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_testaslegesher] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testiflegesher] = ACTIONS(510),
    [anon_sym_COLON] = ACTIONS(510),
    [anon_sym_testelselegesher] = ACTIONS(510),
    [anon_sym_testasynclegesher] = ACTIONS(510),
    [anon_sym_testforlegesher] = ACTIONS(510),
    [anon_sym_testinlegesher] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(510),
    [anon_sym_testandlegesher] = ACTIONS(510),
    [anon_sym_testorlegesher] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_LT_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_GT_EQ] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_LT_GT] = ACTIONS(510),
    [anon_sym_testislegesher] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_RBRACK] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [sym_type_conversion] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_testaslegesher] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testelselegesher] = ACTIONS(482),
    [anon_sym_testasynclegesher] = ACTIONS(482),
    [anon_sym_testforlegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_testaslegesher] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testelselegesher] = ACTIONS(482),
    [anon_sym_testasynclegesher] = ACTIONS(482),
    [anon_sym_testforlegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(482),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(482),
    [anon_sym_SLASH_SLASH] = ACTIONS(482),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(502),
    [anon_sym_COMMA] = ACTIONS(502),
    [anon_sym_testaslegesher] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testiflegesher] = ACTIONS(502),
    [anon_sym_COLON] = ACTIONS(502),
    [anon_sym_testelselegesher] = ACTIONS(502),
    [anon_sym_testasynclegesher] = ACTIONS(502),
    [anon_sym_testforlegesher] = ACTIONS(502),
    [anon_sym_testinlegesher] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(502),
    [anon_sym_testandlegesher] = ACTIONS(502),
    [anon_sym_testorlegesher] = ACTIONS(502),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(504),
    [anon_sym_LT_EQ] = ACTIONS(502),
    [anon_sym_EQ_EQ] = ACTIONS(502),
    [anon_sym_BANG_EQ] = ACTIONS(502),
    [anon_sym_GT_EQ] = ACTIONS(502),
    [anon_sym_GT] = ACTIONS(504),
    [anon_sym_LT_GT] = ACTIONS(502),
    [anon_sym_testislegesher] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_RBRACK] = ACTIONS(502),
    [anon_sym_RBRACE] = ACTIONS(502),
    [sym_type_conversion] = ACTIONS(502),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(963),
    [anon_sym_testimportlegesher] = ACTIONS(963),
    [anon_sym_testfromlegesher] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_testprintlegesher] = ACTIONS(963),
    [anon_sym_testassertlegesher] = ACTIONS(963),
    [anon_sym_testreturnlegesher] = ACTIONS(963),
    [anon_sym_testdellegesher] = ACTIONS(963),
    [anon_sym_testraiselegesher] = ACTIONS(963),
    [anon_sym_testpasslegesher] = ACTIONS(963),
    [anon_sym_testbreaklegesher] = ACTIONS(963),
    [anon_sym_testcontinuelegesher] = ACTIONS(963),
    [anon_sym_testiflegesher] = ACTIONS(963),
    [anon_sym_testasynclegesher] = ACTIONS(963),
    [anon_sym_testforlegesher] = ACTIONS(963),
    [anon_sym_testwhilelegesher] = ACTIONS(963),
    [anon_sym_testtrylegesher] = ACTIONS(963),
    [anon_sym_testfinallylegesher] = ACTIONS(963),
    [anon_sym_testwithlegesher] = ACTIONS(963),
    [anon_sym_testdeflegesher] = ACTIONS(963),
    [anon_sym_testgloballegesher] = ACTIONS(963),
    [anon_sym_testnonlocallegesher] = ACTIONS(963),
    [anon_sym_testexeclegesher] = ACTIONS(963),
    [anon_sym_testclasslegesher] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_testnotlegesher] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_testlambdalegesher] = ACTIONS(963),
    [anon_sym_testyieldlegesher] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(965),
    [sym_ellipsis] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [sym_integer] = ACTIONS(963),
    [sym_float] = ACTIONS(965),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_none] = ACTIONS(963),
    [anon_sym_testawaitlegesher] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(965),
    [sym__string_start] = ACTIONS(965),
  },
  [387] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_testaslegesher] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testelselegesher] = ACTIONS(482),
    [anon_sym_testasynclegesher] = ACTIONS(482),
    [anon_sym_testforlegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_testaslegesher] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testelselegesher] = ACTIONS(482),
    [anon_sym_testasynclegesher] = ACTIONS(482),
    [anon_sym_testforlegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(482),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(482),
    [anon_sym_SLASH_SLASH] = ACTIONS(482),
    [anon_sym_STAR_STAR] = ACTIONS(482),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_testaslegesher] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testelselegesher] = ACTIONS(482),
    [anon_sym_testasynclegesher] = ACTIONS(482),
    [anon_sym_testforlegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_identifier] = ACTIONS(967),
    [anon_sym_testimportlegesher] = ACTIONS(967),
    [anon_sym_testfromlegesher] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(969),
    [anon_sym_testprintlegesher] = ACTIONS(967),
    [anon_sym_testassertlegesher] = ACTIONS(967),
    [anon_sym_testreturnlegesher] = ACTIONS(967),
    [anon_sym_testdellegesher] = ACTIONS(967),
    [anon_sym_testraiselegesher] = ACTIONS(967),
    [anon_sym_testpasslegesher] = ACTIONS(967),
    [anon_sym_testbreaklegesher] = ACTIONS(967),
    [anon_sym_testcontinuelegesher] = ACTIONS(967),
    [anon_sym_testiflegesher] = ACTIONS(967),
    [anon_sym_testasynclegesher] = ACTIONS(967),
    [anon_sym_testforlegesher] = ACTIONS(967),
    [anon_sym_testwhilelegesher] = ACTIONS(967),
    [anon_sym_testtrylegesher] = ACTIONS(967),
    [anon_sym_testfinallylegesher] = ACTIONS(967),
    [anon_sym_testwithlegesher] = ACTIONS(967),
    [anon_sym_testdeflegesher] = ACTIONS(967),
    [anon_sym_testgloballegesher] = ACTIONS(967),
    [anon_sym_testnonlocallegesher] = ACTIONS(967),
    [anon_sym_testexeclegesher] = ACTIONS(967),
    [anon_sym_testclasslegesher] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym_testnotlegesher] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_testlambdalegesher] = ACTIONS(967),
    [anon_sym_testyieldlegesher] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(969),
    [sym_ellipsis] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(969),
    [sym_integer] = ACTIONS(967),
    [sym_float] = ACTIONS(969),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_none] = ACTIONS(967),
    [anon_sym_testawaitlegesher] = ACTIONS(967),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(969),
    [sym__string_start] = ACTIONS(969),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(969),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_testimportlegesher] = ACTIONS(967),
    [anon_sym_testfromlegesher] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(969),
    [anon_sym_testprintlegesher] = ACTIONS(967),
    [anon_sym_testassertlegesher] = ACTIONS(967),
    [anon_sym_testreturnlegesher] = ACTIONS(967),
    [anon_sym_testdellegesher] = ACTIONS(967),
    [anon_sym_testraiselegesher] = ACTIONS(967),
    [anon_sym_testpasslegesher] = ACTIONS(967),
    [anon_sym_testbreaklegesher] = ACTIONS(967),
    [anon_sym_testcontinuelegesher] = ACTIONS(967),
    [anon_sym_testiflegesher] = ACTIONS(967),
    [anon_sym_testasynclegesher] = ACTIONS(967),
    [anon_sym_testforlegesher] = ACTIONS(967),
    [anon_sym_testwhilelegesher] = ACTIONS(967),
    [anon_sym_testtrylegesher] = ACTIONS(967),
    [anon_sym_testfinallylegesher] = ACTIONS(967),
    [anon_sym_testwithlegesher] = ACTIONS(967),
    [anon_sym_testdeflegesher] = ACTIONS(967),
    [anon_sym_testgloballegesher] = ACTIONS(967),
    [anon_sym_testnonlocallegesher] = ACTIONS(967),
    [anon_sym_testexeclegesher] = ACTIONS(967),
    [anon_sym_testclasslegesher] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym_testnotlegesher] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_testlambdalegesher] = ACTIONS(967),
    [anon_sym_testyieldlegesher] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(969),
    [sym_ellipsis] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(969),
    [sym_integer] = ACTIONS(967),
    [sym_float] = ACTIONS(969),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_none] = ACTIONS(967),
    [anon_sym_testawaitlegesher] = ACTIONS(967),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(969),
  },
  [392] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(486),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_testaslegesher] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_testiflegesher] = ACTIONS(486),
    [anon_sym_COLON] = ACTIONS(486),
    [anon_sym_testelselegesher] = ACTIONS(486),
    [anon_sym_testasynclegesher] = ACTIONS(486),
    [anon_sym_testforlegesher] = ACTIONS(486),
    [anon_sym_testinlegesher] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(488),
    [anon_sym_AT] = ACTIONS(486),
    [anon_sym_testnotlegesher] = ACTIONS(486),
    [anon_sym_testandlegesher] = ACTIONS(486),
    [anon_sym_testorlegesher] = ACTIONS(486),
    [anon_sym_PLUS] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(486),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_SLASH_SLASH] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_LT_GT] = ACTIONS(486),
    [anon_sym_testislegesher] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [anon_sym_RBRACK] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [sym_type_conversion] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_testaslegesher] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_testelselegesher] = ACTIONS(482),
    [anon_sym_testasynclegesher] = ACTIONS(482),
    [anon_sym_testforlegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [sym_type_conversion] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(965),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_testimportlegesher] = ACTIONS(963),
    [anon_sym_testfromlegesher] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_testprintlegesher] = ACTIONS(963),
    [anon_sym_testassertlegesher] = ACTIONS(963),
    [anon_sym_testreturnlegesher] = ACTIONS(963),
    [anon_sym_testdellegesher] = ACTIONS(963),
    [anon_sym_testraiselegesher] = ACTIONS(963),
    [anon_sym_testpasslegesher] = ACTIONS(963),
    [anon_sym_testbreaklegesher] = ACTIONS(963),
    [anon_sym_testcontinuelegesher] = ACTIONS(963),
    [anon_sym_testiflegesher] = ACTIONS(963),
    [anon_sym_testasynclegesher] = ACTIONS(963),
    [anon_sym_testforlegesher] = ACTIONS(963),
    [anon_sym_testwhilelegesher] = ACTIONS(963),
    [anon_sym_testtrylegesher] = ACTIONS(963),
    [anon_sym_testfinallylegesher] = ACTIONS(963),
    [anon_sym_testwithlegesher] = ACTIONS(963),
    [anon_sym_testdeflegesher] = ACTIONS(963),
    [anon_sym_testgloballegesher] = ACTIONS(963),
    [anon_sym_testnonlocallegesher] = ACTIONS(963),
    [anon_sym_testexeclegesher] = ACTIONS(963),
    [anon_sym_testclasslegesher] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_testnotlegesher] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_testlambdalegesher] = ACTIONS(963),
    [anon_sym_testyieldlegesher] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(965),
    [sym_ellipsis] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [sym_integer] = ACTIONS(963),
    [sym_float] = ACTIONS(965),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_none] = ACTIONS(963),
    [anon_sym_testawaitlegesher] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(965),
  },
  [395] = {
    [sym_identifier] = ACTIONS(971),
    [anon_sym_testimportlegesher] = ACTIONS(971),
    [anon_sym_testfromlegesher] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_testprintlegesher] = ACTIONS(971),
    [anon_sym_testassertlegesher] = ACTIONS(971),
    [anon_sym_testreturnlegesher] = ACTIONS(971),
    [anon_sym_testdellegesher] = ACTIONS(971),
    [anon_sym_testraiselegesher] = ACTIONS(971),
    [anon_sym_testpasslegesher] = ACTIONS(971),
    [anon_sym_testbreaklegesher] = ACTIONS(971),
    [anon_sym_testcontinuelegesher] = ACTIONS(971),
    [anon_sym_testiflegesher] = ACTIONS(971),
    [anon_sym_testasynclegesher] = ACTIONS(971),
    [anon_sym_testforlegesher] = ACTIONS(971),
    [anon_sym_testwhilelegesher] = ACTIONS(971),
    [anon_sym_testtrylegesher] = ACTIONS(971),
    [anon_sym_testwithlegesher] = ACTIONS(971),
    [anon_sym_testdeflegesher] = ACTIONS(971),
    [anon_sym_testgloballegesher] = ACTIONS(971),
    [anon_sym_testnonlocallegesher] = ACTIONS(971),
    [anon_sym_testexeclegesher] = ACTIONS(971),
    [anon_sym_testclasslegesher] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_testnotlegesher] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(973),
    [anon_sym_testlambdalegesher] = ACTIONS(971),
    [anon_sym_testyieldlegesher] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(973),
    [sym_ellipsis] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(973),
    [sym_integer] = ACTIONS(971),
    [sym_float] = ACTIONS(973),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_none] = ACTIONS(971),
    [anon_sym_testawaitlegesher] = ACTIONS(971),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(973),
    [sym__string_start] = ACTIONS(973),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(975),
    [sym_identifier] = ACTIONS(977),
    [anon_sym_testimportlegesher] = ACTIONS(977),
    [anon_sym_testfromlegesher] = ACTIONS(977),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_testprintlegesher] = ACTIONS(977),
    [anon_sym_testassertlegesher] = ACTIONS(977),
    [anon_sym_testreturnlegesher] = ACTIONS(977),
    [anon_sym_testdellegesher] = ACTIONS(977),
    [anon_sym_testraiselegesher] = ACTIONS(977),
    [anon_sym_testpasslegesher] = ACTIONS(977),
    [anon_sym_testbreaklegesher] = ACTIONS(977),
    [anon_sym_testcontinuelegesher] = ACTIONS(977),
    [anon_sym_testiflegesher] = ACTIONS(977),
    [anon_sym_testasynclegesher] = ACTIONS(977),
    [anon_sym_testforlegesher] = ACTIONS(977),
    [anon_sym_testwhilelegesher] = ACTIONS(977),
    [anon_sym_testtrylegesher] = ACTIONS(977),
    [anon_sym_testwithlegesher] = ACTIONS(977),
    [anon_sym_testdeflegesher] = ACTIONS(977),
    [anon_sym_testgloballegesher] = ACTIONS(977),
    [anon_sym_testnonlocallegesher] = ACTIONS(977),
    [anon_sym_testexeclegesher] = ACTIONS(977),
    [anon_sym_testclasslegesher] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_testnotlegesher] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_testlambdalegesher] = ACTIONS(977),
    [anon_sym_testyieldlegesher] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(975),
    [sym_ellipsis] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [sym_integer] = ACTIONS(977),
    [sym_float] = ACTIONS(975),
    [sym_true] = ACTIONS(977),
    [sym_false] = ACTIONS(977),
    [sym_none] = ACTIONS(977),
    [anon_sym_testawaitlegesher] = ACTIONS(977),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(975),
  },
  [397] = {
    [sym_identifier] = ACTIONS(915),
    [anon_sym_testimportlegesher] = ACTIONS(915),
    [anon_sym_testfromlegesher] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_testprintlegesher] = ACTIONS(915),
    [anon_sym_testassertlegesher] = ACTIONS(915),
    [anon_sym_testreturnlegesher] = ACTIONS(915),
    [anon_sym_testdellegesher] = ACTIONS(915),
    [anon_sym_testraiselegesher] = ACTIONS(915),
    [anon_sym_testpasslegesher] = ACTIONS(915),
    [anon_sym_testbreaklegesher] = ACTIONS(915),
    [anon_sym_testcontinuelegesher] = ACTIONS(915),
    [anon_sym_testiflegesher] = ACTIONS(915),
    [anon_sym_testasynclegesher] = ACTIONS(915),
    [anon_sym_testforlegesher] = ACTIONS(915),
    [anon_sym_testwhilelegesher] = ACTIONS(915),
    [anon_sym_testtrylegesher] = ACTIONS(915),
    [anon_sym_testwithlegesher] = ACTIONS(915),
    [anon_sym_testdeflegesher] = ACTIONS(915),
    [anon_sym_testgloballegesher] = ACTIONS(915),
    [anon_sym_testnonlocallegesher] = ACTIONS(915),
    [anon_sym_testexeclegesher] = ACTIONS(915),
    [anon_sym_testclasslegesher] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(913),
    [anon_sym_testnotlegesher] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_testlambdalegesher] = ACTIONS(915),
    [anon_sym_testyieldlegesher] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(913),
    [sym_ellipsis] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(913),
    [sym_integer] = ACTIONS(915),
    [sym_float] = ACTIONS(913),
    [sym_true] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
    [sym_none] = ACTIONS(915),
    [anon_sym_testawaitlegesher] = ACTIONS(915),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(913),
    [sym__string_start] = ACTIONS(913),
  },
  [398] = {
    [sym_identifier] = ACTIONS(979),
    [anon_sym_testimportlegesher] = ACTIONS(979),
    [anon_sym_testfromlegesher] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(981),
    [anon_sym_testprintlegesher] = ACTIONS(979),
    [anon_sym_testassertlegesher] = ACTIONS(979),
    [anon_sym_testreturnlegesher] = ACTIONS(979),
    [anon_sym_testdellegesher] = ACTIONS(979),
    [anon_sym_testraiselegesher] = ACTIONS(979),
    [anon_sym_testpasslegesher] = ACTIONS(979),
    [anon_sym_testbreaklegesher] = ACTIONS(979),
    [anon_sym_testcontinuelegesher] = ACTIONS(979),
    [anon_sym_testiflegesher] = ACTIONS(979),
    [anon_sym_testasynclegesher] = ACTIONS(979),
    [anon_sym_testforlegesher] = ACTIONS(979),
    [anon_sym_testwhilelegesher] = ACTIONS(979),
    [anon_sym_testtrylegesher] = ACTIONS(979),
    [anon_sym_testwithlegesher] = ACTIONS(979),
    [anon_sym_testdeflegesher] = ACTIONS(979),
    [anon_sym_testgloballegesher] = ACTIONS(979),
    [anon_sym_testnonlocallegesher] = ACTIONS(979),
    [anon_sym_testexeclegesher] = ACTIONS(979),
    [anon_sym_testclasslegesher] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_testnotlegesher] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_testlambdalegesher] = ACTIONS(979),
    [anon_sym_testyieldlegesher] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [sym_ellipsis] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(981),
    [sym_integer] = ACTIONS(979),
    [sym_float] = ACTIONS(981),
    [sym_true] = ACTIONS(979),
    [sym_false] = ACTIONS(979),
    [sym_none] = ACTIONS(979),
    [anon_sym_testawaitlegesher] = ACTIONS(979),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(981),
    [sym__string_start] = ACTIONS(981),
  },
  [399] = {
    [sym_identifier] = ACTIONS(522),
    [anon_sym_testimportlegesher] = ACTIONS(522),
    [anon_sym_testfromlegesher] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_testprintlegesher] = ACTIONS(522),
    [anon_sym_testassertlegesher] = ACTIONS(522),
    [anon_sym_testreturnlegesher] = ACTIONS(522),
    [anon_sym_testdellegesher] = ACTIONS(522),
    [anon_sym_testraiselegesher] = ACTIONS(522),
    [anon_sym_testpasslegesher] = ACTIONS(522),
    [anon_sym_testbreaklegesher] = ACTIONS(522),
    [anon_sym_testcontinuelegesher] = ACTIONS(522),
    [anon_sym_testiflegesher] = ACTIONS(522),
    [anon_sym_testasynclegesher] = ACTIONS(522),
    [anon_sym_testforlegesher] = ACTIONS(522),
    [anon_sym_testwhilelegesher] = ACTIONS(522),
    [anon_sym_testtrylegesher] = ACTIONS(522),
    [anon_sym_testwithlegesher] = ACTIONS(522),
    [anon_sym_testdeflegesher] = ACTIONS(522),
    [anon_sym_testgloballegesher] = ACTIONS(522),
    [anon_sym_testnonlocallegesher] = ACTIONS(522),
    [anon_sym_testexeclegesher] = ACTIONS(522),
    [anon_sym_testclasslegesher] = ACTIONS(522),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_testnotlegesher] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_testlambdalegesher] = ACTIONS(522),
    [anon_sym_testyieldlegesher] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(520),
    [sym_ellipsis] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(520),
    [sym_integer] = ACTIONS(522),
    [sym_float] = ACTIONS(520),
    [sym_true] = ACTIONS(522),
    [sym_false] = ACTIONS(522),
    [sym_none] = ACTIONS(522),
    [anon_sym_testawaitlegesher] = ACTIONS(522),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(520),
    [sym__string_start] = ACTIONS(520),
  },
  [400] = {
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_identifier] = ACTIONS(985),
    [anon_sym_testimportlegesher] = ACTIONS(985),
    [anon_sym_testfromlegesher] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_testprintlegesher] = ACTIONS(985),
    [anon_sym_testassertlegesher] = ACTIONS(985),
    [anon_sym_testreturnlegesher] = ACTIONS(985),
    [anon_sym_testdellegesher] = ACTIONS(985),
    [anon_sym_testraiselegesher] = ACTIONS(985),
    [anon_sym_testpasslegesher] = ACTIONS(985),
    [anon_sym_testbreaklegesher] = ACTIONS(985),
    [anon_sym_testcontinuelegesher] = ACTIONS(985),
    [anon_sym_testiflegesher] = ACTIONS(985),
    [anon_sym_testasynclegesher] = ACTIONS(985),
    [anon_sym_testforlegesher] = ACTIONS(985),
    [anon_sym_testwhilelegesher] = ACTIONS(985),
    [anon_sym_testtrylegesher] = ACTIONS(985),
    [anon_sym_testwithlegesher] = ACTIONS(985),
    [anon_sym_testdeflegesher] = ACTIONS(985),
    [anon_sym_testgloballegesher] = ACTIONS(985),
    [anon_sym_testnonlocallegesher] = ACTIONS(985),
    [anon_sym_testexeclegesher] = ACTIONS(985),
    [anon_sym_testclasslegesher] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(983),
    [anon_sym_testnotlegesher] = ACTIONS(985),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_testlambdalegesher] = ACTIONS(985),
    [anon_sym_testyieldlegesher] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(983),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [sym_integer] = ACTIONS(985),
    [sym_float] = ACTIONS(983),
    [sym_true] = ACTIONS(985),
    [sym_false] = ACTIONS(985),
    [sym_none] = ACTIONS(985),
    [anon_sym_testawaitlegesher] = ACTIONS(985),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(983),
  },
  [401] = {
    [sym_identifier] = ACTIONS(987),
    [anon_sym_testimportlegesher] = ACTIONS(987),
    [anon_sym_testfromlegesher] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_testprintlegesher] = ACTIONS(987),
    [anon_sym_testassertlegesher] = ACTIONS(987),
    [anon_sym_testreturnlegesher] = ACTIONS(987),
    [anon_sym_testdellegesher] = ACTIONS(987),
    [anon_sym_testraiselegesher] = ACTIONS(987),
    [anon_sym_testpasslegesher] = ACTIONS(987),
    [anon_sym_testbreaklegesher] = ACTIONS(987),
    [anon_sym_testcontinuelegesher] = ACTIONS(987),
    [anon_sym_testiflegesher] = ACTIONS(987),
    [anon_sym_testasynclegesher] = ACTIONS(987),
    [anon_sym_testforlegesher] = ACTIONS(987),
    [anon_sym_testwhilelegesher] = ACTIONS(987),
    [anon_sym_testtrylegesher] = ACTIONS(987),
    [anon_sym_testwithlegesher] = ACTIONS(987),
    [anon_sym_testdeflegesher] = ACTIONS(987),
    [anon_sym_testgloballegesher] = ACTIONS(987),
    [anon_sym_testnonlocallegesher] = ACTIONS(987),
    [anon_sym_testexeclegesher] = ACTIONS(987),
    [anon_sym_testclasslegesher] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_testnotlegesher] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_testlambdalegesher] = ACTIONS(987),
    [anon_sym_testyieldlegesher] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(989),
    [sym_ellipsis] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(989),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_testawaitlegesher] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(989),
    [sym__string_start] = ACTIONS(989),
  },
  [402] = {
    [sym_identifier] = ACTIONS(991),
    [anon_sym_testimportlegesher] = ACTIONS(991),
    [anon_sym_testfromlegesher] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(993),
    [anon_sym_testprintlegesher] = ACTIONS(991),
    [anon_sym_testassertlegesher] = ACTIONS(991),
    [anon_sym_testreturnlegesher] = ACTIONS(991),
    [anon_sym_testdellegesher] = ACTIONS(991),
    [anon_sym_testraiselegesher] = ACTIONS(991),
    [anon_sym_testpasslegesher] = ACTIONS(991),
    [anon_sym_testbreaklegesher] = ACTIONS(991),
    [anon_sym_testcontinuelegesher] = ACTIONS(991),
    [anon_sym_testiflegesher] = ACTIONS(991),
    [anon_sym_testasynclegesher] = ACTIONS(991),
    [anon_sym_testforlegesher] = ACTIONS(991),
    [anon_sym_testwhilelegesher] = ACTIONS(991),
    [anon_sym_testtrylegesher] = ACTIONS(991),
    [anon_sym_testwithlegesher] = ACTIONS(991),
    [anon_sym_testdeflegesher] = ACTIONS(991),
    [anon_sym_testgloballegesher] = ACTIONS(991),
    [anon_sym_testnonlocallegesher] = ACTIONS(991),
    [anon_sym_testexeclegesher] = ACTIONS(991),
    [anon_sym_testclasslegesher] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_testnotlegesher] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(993),
    [anon_sym_testlambdalegesher] = ACTIONS(991),
    [anon_sym_testyieldlegesher] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(993),
    [sym_ellipsis] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(993),
    [sym_integer] = ACTIONS(991),
    [sym_float] = ACTIONS(993),
    [sym_true] = ACTIONS(991),
    [sym_false] = ACTIONS(991),
    [sym_none] = ACTIONS(991),
    [anon_sym_testawaitlegesher] = ACTIONS(991),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(993),
    [sym__string_start] = ACTIONS(993),
  },
  [403] = {
    [sym_identifier] = ACTIONS(995),
    [anon_sym_testimportlegesher] = ACTIONS(995),
    [anon_sym_testfromlegesher] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_testprintlegesher] = ACTIONS(995),
    [anon_sym_testassertlegesher] = ACTIONS(995),
    [anon_sym_testreturnlegesher] = ACTIONS(995),
    [anon_sym_testdellegesher] = ACTIONS(995),
    [anon_sym_testraiselegesher] = ACTIONS(995),
    [anon_sym_testpasslegesher] = ACTIONS(995),
    [anon_sym_testbreaklegesher] = ACTIONS(995),
    [anon_sym_testcontinuelegesher] = ACTIONS(995),
    [anon_sym_testiflegesher] = ACTIONS(995),
    [anon_sym_testasynclegesher] = ACTIONS(995),
    [anon_sym_testforlegesher] = ACTIONS(995),
    [anon_sym_testwhilelegesher] = ACTIONS(995),
    [anon_sym_testtrylegesher] = ACTIONS(995),
    [anon_sym_testwithlegesher] = ACTIONS(995),
    [anon_sym_testdeflegesher] = ACTIONS(995),
    [anon_sym_testgloballegesher] = ACTIONS(995),
    [anon_sym_testnonlocallegesher] = ACTIONS(995),
    [anon_sym_testexeclegesher] = ACTIONS(995),
    [anon_sym_testclasslegesher] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(997),
    [anon_sym_testnotlegesher] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_testlambdalegesher] = ACTIONS(995),
    [anon_sym_testyieldlegesher] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(997),
    [sym_ellipsis] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [sym_integer] = ACTIONS(995),
    [sym_float] = ACTIONS(997),
    [sym_true] = ACTIONS(995),
    [sym_false] = ACTIONS(995),
    [sym_none] = ACTIONS(995),
    [anon_sym_testawaitlegesher] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(997),
    [sym__string_start] = ACTIONS(997),
  },
  [404] = {
    [sym_identifier] = ACTIONS(985),
    [anon_sym_testimportlegesher] = ACTIONS(985),
    [anon_sym_testfromlegesher] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_testprintlegesher] = ACTIONS(985),
    [anon_sym_testassertlegesher] = ACTIONS(985),
    [anon_sym_testreturnlegesher] = ACTIONS(985),
    [anon_sym_testdellegesher] = ACTIONS(985),
    [anon_sym_testraiselegesher] = ACTIONS(985),
    [anon_sym_testpasslegesher] = ACTIONS(985),
    [anon_sym_testbreaklegesher] = ACTIONS(985),
    [anon_sym_testcontinuelegesher] = ACTIONS(985),
    [anon_sym_testiflegesher] = ACTIONS(985),
    [anon_sym_testasynclegesher] = ACTIONS(985),
    [anon_sym_testforlegesher] = ACTIONS(985),
    [anon_sym_testwhilelegesher] = ACTIONS(985),
    [anon_sym_testtrylegesher] = ACTIONS(985),
    [anon_sym_testwithlegesher] = ACTIONS(985),
    [anon_sym_testdeflegesher] = ACTIONS(985),
    [anon_sym_testgloballegesher] = ACTIONS(985),
    [anon_sym_testnonlocallegesher] = ACTIONS(985),
    [anon_sym_testexeclegesher] = ACTIONS(985),
    [anon_sym_testclasslegesher] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(983),
    [anon_sym_testnotlegesher] = ACTIONS(985),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_testlambdalegesher] = ACTIONS(985),
    [anon_sym_testyieldlegesher] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(983),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [sym_integer] = ACTIONS(985),
    [sym_float] = ACTIONS(983),
    [sym_true] = ACTIONS(985),
    [sym_false] = ACTIONS(985),
    [sym_none] = ACTIONS(985),
    [anon_sym_testawaitlegesher] = ACTIONS(985),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(983),
    [sym__string_start] = ACTIONS(983),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_testimportlegesher] = ACTIONS(1001),
    [anon_sym_testfromlegesher] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_testprintlegesher] = ACTIONS(1001),
    [anon_sym_testassertlegesher] = ACTIONS(1001),
    [anon_sym_testreturnlegesher] = ACTIONS(1001),
    [anon_sym_testdellegesher] = ACTIONS(1001),
    [anon_sym_testraiselegesher] = ACTIONS(1001),
    [anon_sym_testpasslegesher] = ACTIONS(1001),
    [anon_sym_testbreaklegesher] = ACTIONS(1001),
    [anon_sym_testcontinuelegesher] = ACTIONS(1001),
    [anon_sym_testiflegesher] = ACTIONS(1001),
    [anon_sym_testasynclegesher] = ACTIONS(1001),
    [anon_sym_testforlegesher] = ACTIONS(1001),
    [anon_sym_testwhilelegesher] = ACTIONS(1001),
    [anon_sym_testtrylegesher] = ACTIONS(1001),
    [anon_sym_testwithlegesher] = ACTIONS(1001),
    [anon_sym_testdeflegesher] = ACTIONS(1001),
    [anon_sym_testgloballegesher] = ACTIONS(1001),
    [anon_sym_testnonlocallegesher] = ACTIONS(1001),
    [anon_sym_testexeclegesher] = ACTIONS(1001),
    [anon_sym_testclasslegesher] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(999),
    [anon_sym_testnotlegesher] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_testlambdalegesher] = ACTIONS(1001),
    [anon_sym_testyieldlegesher] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [sym_ellipsis] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [sym_integer] = ACTIONS(1001),
    [sym_float] = ACTIONS(999),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [sym_none] = ACTIONS(1001),
    [anon_sym_testawaitlegesher] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(999),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_testimportlegesher] = ACTIONS(1003),
    [anon_sym_testfromlegesher] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_testprintlegesher] = ACTIONS(1003),
    [anon_sym_testassertlegesher] = ACTIONS(1003),
    [anon_sym_testreturnlegesher] = ACTIONS(1003),
    [anon_sym_testdellegesher] = ACTIONS(1003),
    [anon_sym_testraiselegesher] = ACTIONS(1003),
    [anon_sym_testpasslegesher] = ACTIONS(1003),
    [anon_sym_testbreaklegesher] = ACTIONS(1003),
    [anon_sym_testcontinuelegesher] = ACTIONS(1003),
    [anon_sym_testiflegesher] = ACTIONS(1003),
    [anon_sym_testasynclegesher] = ACTIONS(1003),
    [anon_sym_testforlegesher] = ACTIONS(1003),
    [anon_sym_testwhilelegesher] = ACTIONS(1003),
    [anon_sym_testtrylegesher] = ACTIONS(1003),
    [anon_sym_testwithlegesher] = ACTIONS(1003),
    [anon_sym_testdeflegesher] = ACTIONS(1003),
    [anon_sym_testgloballegesher] = ACTIONS(1003),
    [anon_sym_testnonlocallegesher] = ACTIONS(1003),
    [anon_sym_testexeclegesher] = ACTIONS(1003),
    [anon_sym_testclasslegesher] = ACTIONS(1003),
    [anon_sym_AT] = ACTIONS(1005),
    [anon_sym_testnotlegesher] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(1005),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_testlambdalegesher] = ACTIONS(1003),
    [anon_sym_testyieldlegesher] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [sym_ellipsis] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [sym_integer] = ACTIONS(1003),
    [sym_float] = ACTIONS(1005),
    [sym_true] = ACTIONS(1003),
    [sym_false] = ACTIONS(1003),
    [sym_none] = ACTIONS(1003),
    [anon_sym_testawaitlegesher] = ACTIONS(1003),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1005),
    [sym__string_start] = ACTIONS(1005),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_testimportlegesher] = ACTIONS(987),
    [anon_sym_testfromlegesher] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_testprintlegesher] = ACTIONS(987),
    [anon_sym_testassertlegesher] = ACTIONS(987),
    [anon_sym_testreturnlegesher] = ACTIONS(987),
    [anon_sym_testdellegesher] = ACTIONS(987),
    [anon_sym_testraiselegesher] = ACTIONS(987),
    [anon_sym_testpasslegesher] = ACTIONS(987),
    [anon_sym_testbreaklegesher] = ACTIONS(987),
    [anon_sym_testcontinuelegesher] = ACTIONS(987),
    [anon_sym_testiflegesher] = ACTIONS(987),
    [anon_sym_testasynclegesher] = ACTIONS(987),
    [anon_sym_testforlegesher] = ACTIONS(987),
    [anon_sym_testwhilelegesher] = ACTIONS(987),
    [anon_sym_testtrylegesher] = ACTIONS(987),
    [anon_sym_testwithlegesher] = ACTIONS(987),
    [anon_sym_testdeflegesher] = ACTIONS(987),
    [anon_sym_testgloballegesher] = ACTIONS(987),
    [anon_sym_testnonlocallegesher] = ACTIONS(987),
    [anon_sym_testexeclegesher] = ACTIONS(987),
    [anon_sym_testclasslegesher] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_testnotlegesher] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_testlambdalegesher] = ACTIONS(987),
    [anon_sym_testyieldlegesher] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(989),
    [sym_ellipsis] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(989),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_testawaitlegesher] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(520),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_testimportlegesher] = ACTIONS(522),
    [anon_sym_testfromlegesher] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_testprintlegesher] = ACTIONS(522),
    [anon_sym_testassertlegesher] = ACTIONS(522),
    [anon_sym_testreturnlegesher] = ACTIONS(522),
    [anon_sym_testdellegesher] = ACTIONS(522),
    [anon_sym_testraiselegesher] = ACTIONS(522),
    [anon_sym_testpasslegesher] = ACTIONS(522),
    [anon_sym_testbreaklegesher] = ACTIONS(522),
    [anon_sym_testcontinuelegesher] = ACTIONS(522),
    [anon_sym_testiflegesher] = ACTIONS(522),
    [anon_sym_testasynclegesher] = ACTIONS(522),
    [anon_sym_testforlegesher] = ACTIONS(522),
    [anon_sym_testwhilelegesher] = ACTIONS(522),
    [anon_sym_testtrylegesher] = ACTIONS(522),
    [anon_sym_testwithlegesher] = ACTIONS(522),
    [anon_sym_testdeflegesher] = ACTIONS(522),
    [anon_sym_testgloballegesher] = ACTIONS(522),
    [anon_sym_testnonlocallegesher] = ACTIONS(522),
    [anon_sym_testexeclegesher] = ACTIONS(522),
    [anon_sym_testclasslegesher] = ACTIONS(522),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_testnotlegesher] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_testlambdalegesher] = ACTIONS(522),
    [anon_sym_testyieldlegesher] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(520),
    [sym_ellipsis] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(520),
    [sym_integer] = ACTIONS(522),
    [sym_float] = ACTIONS(520),
    [sym_true] = ACTIONS(522),
    [sym_false] = ACTIONS(522),
    [sym_none] = ACTIONS(522),
    [anon_sym_testawaitlegesher] = ACTIONS(522),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(520),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_testimportlegesher] = ACTIONS(1009),
    [anon_sym_testfromlegesher] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_testprintlegesher] = ACTIONS(1009),
    [anon_sym_testassertlegesher] = ACTIONS(1009),
    [anon_sym_testreturnlegesher] = ACTIONS(1009),
    [anon_sym_testdellegesher] = ACTIONS(1009),
    [anon_sym_testraiselegesher] = ACTIONS(1009),
    [anon_sym_testpasslegesher] = ACTIONS(1009),
    [anon_sym_testbreaklegesher] = ACTIONS(1009),
    [anon_sym_testcontinuelegesher] = ACTIONS(1009),
    [anon_sym_testiflegesher] = ACTIONS(1009),
    [anon_sym_testasynclegesher] = ACTIONS(1009),
    [anon_sym_testforlegesher] = ACTIONS(1009),
    [anon_sym_testwhilelegesher] = ACTIONS(1009),
    [anon_sym_testtrylegesher] = ACTIONS(1009),
    [anon_sym_testwithlegesher] = ACTIONS(1009),
    [anon_sym_testdeflegesher] = ACTIONS(1009),
    [anon_sym_testgloballegesher] = ACTIONS(1009),
    [anon_sym_testnonlocallegesher] = ACTIONS(1009),
    [anon_sym_testexeclegesher] = ACTIONS(1009),
    [anon_sym_testclasslegesher] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1007),
    [anon_sym_testnotlegesher] = ACTIONS(1009),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_testlambdalegesher] = ACTIONS(1009),
    [anon_sym_testyieldlegesher] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [sym_ellipsis] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1009),
    [sym_float] = ACTIONS(1007),
    [sym_true] = ACTIONS(1009),
    [sym_false] = ACTIONS(1009),
    [sym_none] = ACTIONS(1009),
    [anon_sym_testawaitlegesher] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1007),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(981),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_testimportlegesher] = ACTIONS(979),
    [anon_sym_testfromlegesher] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(981),
    [anon_sym_testprintlegesher] = ACTIONS(979),
    [anon_sym_testassertlegesher] = ACTIONS(979),
    [anon_sym_testreturnlegesher] = ACTIONS(979),
    [anon_sym_testdellegesher] = ACTIONS(979),
    [anon_sym_testraiselegesher] = ACTIONS(979),
    [anon_sym_testpasslegesher] = ACTIONS(979),
    [anon_sym_testbreaklegesher] = ACTIONS(979),
    [anon_sym_testcontinuelegesher] = ACTIONS(979),
    [anon_sym_testiflegesher] = ACTIONS(979),
    [anon_sym_testasynclegesher] = ACTIONS(979),
    [anon_sym_testforlegesher] = ACTIONS(979),
    [anon_sym_testwhilelegesher] = ACTIONS(979),
    [anon_sym_testtrylegesher] = ACTIONS(979),
    [anon_sym_testwithlegesher] = ACTIONS(979),
    [anon_sym_testdeflegesher] = ACTIONS(979),
    [anon_sym_testgloballegesher] = ACTIONS(979),
    [anon_sym_testnonlocallegesher] = ACTIONS(979),
    [anon_sym_testexeclegesher] = ACTIONS(979),
    [anon_sym_testclasslegesher] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_testnotlegesher] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_testlambdalegesher] = ACTIONS(979),
    [anon_sym_testyieldlegesher] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [sym_ellipsis] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(981),
    [sym_integer] = ACTIONS(979),
    [sym_float] = ACTIONS(981),
    [sym_true] = ACTIONS(979),
    [sym_false] = ACTIONS(979),
    [sym_none] = ACTIONS(979),
    [anon_sym_testawaitlegesher] = ACTIONS(979),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(981),
  },
  [411] = {
    [sym_identifier] = ACTIONS(1011),
    [anon_sym_testimportlegesher] = ACTIONS(1011),
    [anon_sym_testfromlegesher] = ACTIONS(1011),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_testprintlegesher] = ACTIONS(1011),
    [anon_sym_testassertlegesher] = ACTIONS(1011),
    [anon_sym_testreturnlegesher] = ACTIONS(1011),
    [anon_sym_testdellegesher] = ACTIONS(1011),
    [anon_sym_testraiselegesher] = ACTIONS(1011),
    [anon_sym_testpasslegesher] = ACTIONS(1011),
    [anon_sym_testbreaklegesher] = ACTIONS(1011),
    [anon_sym_testcontinuelegesher] = ACTIONS(1011),
    [anon_sym_testiflegesher] = ACTIONS(1011),
    [anon_sym_testasynclegesher] = ACTIONS(1011),
    [anon_sym_testforlegesher] = ACTIONS(1011),
    [anon_sym_testwhilelegesher] = ACTIONS(1011),
    [anon_sym_testtrylegesher] = ACTIONS(1011),
    [anon_sym_testwithlegesher] = ACTIONS(1011),
    [anon_sym_testdeflegesher] = ACTIONS(1011),
    [anon_sym_testgloballegesher] = ACTIONS(1011),
    [anon_sym_testnonlocallegesher] = ACTIONS(1011),
    [anon_sym_testexeclegesher] = ACTIONS(1011),
    [anon_sym_testclasslegesher] = ACTIONS(1011),
    [anon_sym_AT] = ACTIONS(1013),
    [anon_sym_testnotlegesher] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_testlambdalegesher] = ACTIONS(1011),
    [anon_sym_testyieldlegesher] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [sym_ellipsis] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1011),
    [sym_float] = ACTIONS(1013),
    [sym_true] = ACTIONS(1011),
    [sym_false] = ACTIONS(1011),
    [sym_none] = ACTIONS(1011),
    [anon_sym_testawaitlegesher] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1013),
    [sym__string_start] = ACTIONS(1013),
  },
  [412] = {
    [sym_identifier] = ACTIONS(977),
    [anon_sym_testimportlegesher] = ACTIONS(977),
    [anon_sym_testfromlegesher] = ACTIONS(977),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_testprintlegesher] = ACTIONS(977),
    [anon_sym_testassertlegesher] = ACTIONS(977),
    [anon_sym_testreturnlegesher] = ACTIONS(977),
    [anon_sym_testdellegesher] = ACTIONS(977),
    [anon_sym_testraiselegesher] = ACTIONS(977),
    [anon_sym_testpasslegesher] = ACTIONS(977),
    [anon_sym_testbreaklegesher] = ACTIONS(977),
    [anon_sym_testcontinuelegesher] = ACTIONS(977),
    [anon_sym_testiflegesher] = ACTIONS(977),
    [anon_sym_testasynclegesher] = ACTIONS(977),
    [anon_sym_testforlegesher] = ACTIONS(977),
    [anon_sym_testwhilelegesher] = ACTIONS(977),
    [anon_sym_testtrylegesher] = ACTIONS(977),
    [anon_sym_testwithlegesher] = ACTIONS(977),
    [anon_sym_testdeflegesher] = ACTIONS(977),
    [anon_sym_testgloballegesher] = ACTIONS(977),
    [anon_sym_testnonlocallegesher] = ACTIONS(977),
    [anon_sym_testexeclegesher] = ACTIONS(977),
    [anon_sym_testclasslegesher] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_testnotlegesher] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_testlambdalegesher] = ACTIONS(977),
    [anon_sym_testyieldlegesher] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(975),
    [sym_ellipsis] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [sym_integer] = ACTIONS(977),
    [sym_float] = ACTIONS(975),
    [sym_true] = ACTIONS(977),
    [sym_false] = ACTIONS(977),
    [sym_none] = ACTIONS(977),
    [anon_sym_testawaitlegesher] = ACTIONS(977),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(975),
    [sym__string_start] = ACTIONS(975),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(1017),
    [anon_sym_testimportlegesher] = ACTIONS(1017),
    [anon_sym_testfromlegesher] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_testprintlegesher] = ACTIONS(1017),
    [anon_sym_testassertlegesher] = ACTIONS(1017),
    [anon_sym_testreturnlegesher] = ACTIONS(1017),
    [anon_sym_testdellegesher] = ACTIONS(1017),
    [anon_sym_testraiselegesher] = ACTIONS(1017),
    [anon_sym_testpasslegesher] = ACTIONS(1017),
    [anon_sym_testbreaklegesher] = ACTIONS(1017),
    [anon_sym_testcontinuelegesher] = ACTIONS(1017),
    [anon_sym_testiflegesher] = ACTIONS(1017),
    [anon_sym_testasynclegesher] = ACTIONS(1017),
    [anon_sym_testforlegesher] = ACTIONS(1017),
    [anon_sym_testwhilelegesher] = ACTIONS(1017),
    [anon_sym_testtrylegesher] = ACTIONS(1017),
    [anon_sym_testwithlegesher] = ACTIONS(1017),
    [anon_sym_testdeflegesher] = ACTIONS(1017),
    [anon_sym_testgloballegesher] = ACTIONS(1017),
    [anon_sym_testnonlocallegesher] = ACTIONS(1017),
    [anon_sym_testexeclegesher] = ACTIONS(1017),
    [anon_sym_testclasslegesher] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1015),
    [anon_sym_testnotlegesher] = ACTIONS(1017),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1015),
    [anon_sym_testlambdalegesher] = ACTIONS(1017),
    [anon_sym_testyieldlegesher] = ACTIONS(1017),
    [anon_sym_LBRACK] = ACTIONS(1015),
    [sym_ellipsis] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1017),
    [sym_float] = ACTIONS(1015),
    [sym_true] = ACTIONS(1017),
    [sym_false] = ACTIONS(1017),
    [sym_none] = ACTIONS(1017),
    [anon_sym_testawaitlegesher] = ACTIONS(1017),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1015),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(1021),
    [anon_sym_testimportlegesher] = ACTIONS(1021),
    [anon_sym_testfromlegesher] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_testprintlegesher] = ACTIONS(1021),
    [anon_sym_testassertlegesher] = ACTIONS(1021),
    [anon_sym_testreturnlegesher] = ACTIONS(1021),
    [anon_sym_testdellegesher] = ACTIONS(1021),
    [anon_sym_testraiselegesher] = ACTIONS(1021),
    [anon_sym_testpasslegesher] = ACTIONS(1021),
    [anon_sym_testbreaklegesher] = ACTIONS(1021),
    [anon_sym_testcontinuelegesher] = ACTIONS(1021),
    [anon_sym_testiflegesher] = ACTIONS(1021),
    [anon_sym_testasynclegesher] = ACTIONS(1021),
    [anon_sym_testforlegesher] = ACTIONS(1021),
    [anon_sym_testwhilelegesher] = ACTIONS(1021),
    [anon_sym_testtrylegesher] = ACTIONS(1021),
    [anon_sym_testwithlegesher] = ACTIONS(1021),
    [anon_sym_testdeflegesher] = ACTIONS(1021),
    [anon_sym_testgloballegesher] = ACTIONS(1021),
    [anon_sym_testnonlocallegesher] = ACTIONS(1021),
    [anon_sym_testexeclegesher] = ACTIONS(1021),
    [anon_sym_testclasslegesher] = ACTIONS(1021),
    [anon_sym_AT] = ACTIONS(1019),
    [anon_sym_testnotlegesher] = ACTIONS(1021),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1019),
    [anon_sym_testlambdalegesher] = ACTIONS(1021),
    [anon_sym_testyieldlegesher] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_ellipsis] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [sym_integer] = ACTIONS(1021),
    [sym_float] = ACTIONS(1019),
    [sym_true] = ACTIONS(1021),
    [sym_false] = ACTIONS(1021),
    [sym_none] = ACTIONS(1021),
    [anon_sym_testawaitlegesher] = ACTIONS(1021),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1019),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(913),
    [sym_identifier] = ACTIONS(915),
    [anon_sym_testimportlegesher] = ACTIONS(915),
    [anon_sym_testfromlegesher] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_testprintlegesher] = ACTIONS(915),
    [anon_sym_testassertlegesher] = ACTIONS(915),
    [anon_sym_testreturnlegesher] = ACTIONS(915),
    [anon_sym_testdellegesher] = ACTIONS(915),
    [anon_sym_testraiselegesher] = ACTIONS(915),
    [anon_sym_testpasslegesher] = ACTIONS(915),
    [anon_sym_testbreaklegesher] = ACTIONS(915),
    [anon_sym_testcontinuelegesher] = ACTIONS(915),
    [anon_sym_testiflegesher] = ACTIONS(915),
    [anon_sym_testasynclegesher] = ACTIONS(915),
    [anon_sym_testforlegesher] = ACTIONS(915),
    [anon_sym_testwhilelegesher] = ACTIONS(915),
    [anon_sym_testtrylegesher] = ACTIONS(915),
    [anon_sym_testwithlegesher] = ACTIONS(915),
    [anon_sym_testdeflegesher] = ACTIONS(915),
    [anon_sym_testgloballegesher] = ACTIONS(915),
    [anon_sym_testnonlocallegesher] = ACTIONS(915),
    [anon_sym_testexeclegesher] = ACTIONS(915),
    [anon_sym_testclasslegesher] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(913),
    [anon_sym_testnotlegesher] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_testlambdalegesher] = ACTIONS(915),
    [anon_sym_testyieldlegesher] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(913),
    [sym_ellipsis] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(913),
    [sym_integer] = ACTIONS(915),
    [sym_float] = ACTIONS(913),
    [sym_true] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
    [sym_none] = ACTIONS(915),
    [anon_sym_testawaitlegesher] = ACTIONS(915),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(913),
  },
  [416] = {
    [anon_sym_DOT] = ACTIONS(548),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_RPAREN] = ACTIONS(548),
    [anon_sym_COMMA] = ACTIONS(548),
    [anon_sym_testaslegesher] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(548),
    [anon_sym_testiflegesher] = ACTIONS(548),
    [anon_sym_COLON] = ACTIONS(548),
    [anon_sym_testelselegesher] = ACTIONS(548),
    [anon_sym_testasynclegesher] = ACTIONS(548),
    [anon_sym_testforlegesher] = ACTIONS(548),
    [anon_sym_testinlegesher] = ACTIONS(548),
    [anon_sym_EQ] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(548),
    [anon_sym_testnotlegesher] = ACTIONS(548),
    [anon_sym_testandlegesher] = ACTIONS(548),
    [anon_sym_testorlegesher] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(548),
    [anon_sym_DASH] = ACTIONS(548),
    [anon_sym_SLASH] = ACTIONS(550),
    [anon_sym_PERCENT] = ACTIONS(548),
    [anon_sym_SLASH_SLASH] = ACTIONS(548),
    [anon_sym_STAR_STAR] = ACTIONS(548),
    [anon_sym_PIPE] = ACTIONS(548),
    [anon_sym_AMP] = ACTIONS(548),
    [anon_sym_CARET] = ACTIONS(548),
    [anon_sym_LT_LT] = ACTIONS(548),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(548),
    [anon_sym_GT] = ACTIONS(550),
    [anon_sym_LT_GT] = ACTIONS(548),
    [anon_sym_testislegesher] = ACTIONS(548),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_RBRACK] = ACTIONS(548),
    [anon_sym_RBRACE] = ACTIONS(548),
    [sym_type_conversion] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(548),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_identifier] = ACTIONS(1011),
    [anon_sym_testimportlegesher] = ACTIONS(1011),
    [anon_sym_testfromlegesher] = ACTIONS(1011),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_testprintlegesher] = ACTIONS(1011),
    [anon_sym_testassertlegesher] = ACTIONS(1011),
    [anon_sym_testreturnlegesher] = ACTIONS(1011),
    [anon_sym_testdellegesher] = ACTIONS(1011),
    [anon_sym_testraiselegesher] = ACTIONS(1011),
    [anon_sym_testpasslegesher] = ACTIONS(1011),
    [anon_sym_testbreaklegesher] = ACTIONS(1011),
    [anon_sym_testcontinuelegesher] = ACTIONS(1011),
    [anon_sym_testiflegesher] = ACTIONS(1011),
    [anon_sym_testasynclegesher] = ACTIONS(1011),
    [anon_sym_testforlegesher] = ACTIONS(1011),
    [anon_sym_testwhilelegesher] = ACTIONS(1011),
    [anon_sym_testtrylegesher] = ACTIONS(1011),
    [anon_sym_testwithlegesher] = ACTIONS(1011),
    [anon_sym_testdeflegesher] = ACTIONS(1011),
    [anon_sym_testgloballegesher] = ACTIONS(1011),
    [anon_sym_testnonlocallegesher] = ACTIONS(1011),
    [anon_sym_testexeclegesher] = ACTIONS(1011),
    [anon_sym_testclasslegesher] = ACTIONS(1011),
    [anon_sym_AT] = ACTIONS(1013),
    [anon_sym_testnotlegesher] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_testlambdalegesher] = ACTIONS(1011),
    [anon_sym_testyieldlegesher] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [sym_ellipsis] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1011),
    [sym_float] = ACTIONS(1013),
    [sym_true] = ACTIONS(1011),
    [sym_false] = ACTIONS(1011),
    [sym_none] = ACTIONS(1011),
    [anon_sym_testawaitlegesher] = ACTIONS(1011),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1013),
  },
  [418] = {
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_RPAREN] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_testaslegesher] = ACTIONS(530),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_testiflegesher] = ACTIONS(530),
    [anon_sym_COLON] = ACTIONS(530),
    [anon_sym_testelselegesher] = ACTIONS(530),
    [anon_sym_testasynclegesher] = ACTIONS(530),
    [anon_sym_testforlegesher] = ACTIONS(530),
    [anon_sym_testinlegesher] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
    [anon_sym_testnotlegesher] = ACTIONS(530),
    [anon_sym_testandlegesher] = ACTIONS(530),
    [anon_sym_testorlegesher] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_SLASH_SLASH] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_PIPE] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_LT_LT] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_GT] = ACTIONS(530),
    [anon_sym_testislegesher] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_RBRACK] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [sym_type_conversion] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(530),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(1025),
    [anon_sym_testimportlegesher] = ACTIONS(1025),
    [anon_sym_testfromlegesher] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_testprintlegesher] = ACTIONS(1025),
    [anon_sym_testassertlegesher] = ACTIONS(1025),
    [anon_sym_testreturnlegesher] = ACTIONS(1025),
    [anon_sym_testdellegesher] = ACTIONS(1025),
    [anon_sym_testraiselegesher] = ACTIONS(1025),
    [anon_sym_testpasslegesher] = ACTIONS(1025),
    [anon_sym_testbreaklegesher] = ACTIONS(1025),
    [anon_sym_testcontinuelegesher] = ACTIONS(1025),
    [anon_sym_testiflegesher] = ACTIONS(1025),
    [anon_sym_testasynclegesher] = ACTIONS(1025),
    [anon_sym_testforlegesher] = ACTIONS(1025),
    [anon_sym_testwhilelegesher] = ACTIONS(1025),
    [anon_sym_testtrylegesher] = ACTIONS(1025),
    [anon_sym_testwithlegesher] = ACTIONS(1025),
    [anon_sym_testdeflegesher] = ACTIONS(1025),
    [anon_sym_testgloballegesher] = ACTIONS(1025),
    [anon_sym_testnonlocallegesher] = ACTIONS(1025),
    [anon_sym_testexeclegesher] = ACTIONS(1025),
    [anon_sym_testclasslegesher] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1023),
    [anon_sym_testnotlegesher] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1023),
    [anon_sym_DASH] = ACTIONS(1023),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_testlambdalegesher] = ACTIONS(1025),
    [anon_sym_testyieldlegesher] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_ellipsis] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [sym_integer] = ACTIONS(1025),
    [sym_float] = ACTIONS(1023),
    [sym_true] = ACTIONS(1025),
    [sym_false] = ACTIONS(1025),
    [sym_none] = ACTIONS(1025),
    [anon_sym_testawaitlegesher] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1023),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_testimportlegesher] = ACTIONS(1003),
    [anon_sym_testfromlegesher] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_testprintlegesher] = ACTIONS(1003),
    [anon_sym_testassertlegesher] = ACTIONS(1003),
    [anon_sym_testreturnlegesher] = ACTIONS(1003),
    [anon_sym_testdellegesher] = ACTIONS(1003),
    [anon_sym_testraiselegesher] = ACTIONS(1003),
    [anon_sym_testpasslegesher] = ACTIONS(1003),
    [anon_sym_testbreaklegesher] = ACTIONS(1003),
    [anon_sym_testcontinuelegesher] = ACTIONS(1003),
    [anon_sym_testiflegesher] = ACTIONS(1003),
    [anon_sym_testasynclegesher] = ACTIONS(1003),
    [anon_sym_testforlegesher] = ACTIONS(1003),
    [anon_sym_testwhilelegesher] = ACTIONS(1003),
    [anon_sym_testtrylegesher] = ACTIONS(1003),
    [anon_sym_testwithlegesher] = ACTIONS(1003),
    [anon_sym_testdeflegesher] = ACTIONS(1003),
    [anon_sym_testgloballegesher] = ACTIONS(1003),
    [anon_sym_testnonlocallegesher] = ACTIONS(1003),
    [anon_sym_testexeclegesher] = ACTIONS(1003),
    [anon_sym_testclasslegesher] = ACTIONS(1003),
    [anon_sym_AT] = ACTIONS(1005),
    [anon_sym_testnotlegesher] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(1005),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_testlambdalegesher] = ACTIONS(1003),
    [anon_sym_testyieldlegesher] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [sym_ellipsis] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [sym_integer] = ACTIONS(1003),
    [sym_float] = ACTIONS(1005),
    [sym_true] = ACTIONS(1003),
    [sym_false] = ACTIONS(1003),
    [sym_none] = ACTIONS(1003),
    [anon_sym_testawaitlegesher] = ACTIONS(1003),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1005),
  },
  [421] = {
    [sym_identifier] = ACTIONS(1027),
    [anon_sym_testimportlegesher] = ACTIONS(1027),
    [anon_sym_testfromlegesher] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_testprintlegesher] = ACTIONS(1027),
    [anon_sym_testassertlegesher] = ACTIONS(1027),
    [anon_sym_testreturnlegesher] = ACTIONS(1027),
    [anon_sym_testdellegesher] = ACTIONS(1027),
    [anon_sym_testraiselegesher] = ACTIONS(1027),
    [anon_sym_testpasslegesher] = ACTIONS(1027),
    [anon_sym_testbreaklegesher] = ACTIONS(1027),
    [anon_sym_testcontinuelegesher] = ACTIONS(1027),
    [anon_sym_testiflegesher] = ACTIONS(1027),
    [anon_sym_testasynclegesher] = ACTIONS(1027),
    [anon_sym_testforlegesher] = ACTIONS(1027),
    [anon_sym_testwhilelegesher] = ACTIONS(1027),
    [anon_sym_testtrylegesher] = ACTIONS(1027),
    [anon_sym_testwithlegesher] = ACTIONS(1027),
    [anon_sym_testdeflegesher] = ACTIONS(1027),
    [anon_sym_testgloballegesher] = ACTIONS(1027),
    [anon_sym_testnonlocallegesher] = ACTIONS(1027),
    [anon_sym_testexeclegesher] = ACTIONS(1027),
    [anon_sym_testclasslegesher] = ACTIONS(1027),
    [anon_sym_AT] = ACTIONS(1029),
    [anon_sym_testnotlegesher] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_testlambdalegesher] = ACTIONS(1027),
    [anon_sym_testyieldlegesher] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [sym_ellipsis] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [sym_integer] = ACTIONS(1027),
    [sym_float] = ACTIONS(1029),
    [sym_true] = ACTIONS(1027),
    [sym_false] = ACTIONS(1027),
    [sym_none] = ACTIONS(1027),
    [anon_sym_testawaitlegesher] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1029),
    [sym__string_start] = ACTIONS(1029),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(1033),
    [anon_sym_testimportlegesher] = ACTIONS(1033),
    [anon_sym_testfromlegesher] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_testprintlegesher] = ACTIONS(1033),
    [anon_sym_testassertlegesher] = ACTIONS(1033),
    [anon_sym_testreturnlegesher] = ACTIONS(1033),
    [anon_sym_testdellegesher] = ACTIONS(1033),
    [anon_sym_testraiselegesher] = ACTIONS(1033),
    [anon_sym_testpasslegesher] = ACTIONS(1033),
    [anon_sym_testbreaklegesher] = ACTIONS(1033),
    [anon_sym_testcontinuelegesher] = ACTIONS(1033),
    [anon_sym_testiflegesher] = ACTIONS(1033),
    [anon_sym_testasynclegesher] = ACTIONS(1033),
    [anon_sym_testforlegesher] = ACTIONS(1033),
    [anon_sym_testwhilelegesher] = ACTIONS(1033),
    [anon_sym_testtrylegesher] = ACTIONS(1033),
    [anon_sym_testwithlegesher] = ACTIONS(1033),
    [anon_sym_testdeflegesher] = ACTIONS(1033),
    [anon_sym_testgloballegesher] = ACTIONS(1033),
    [anon_sym_testnonlocallegesher] = ACTIONS(1033),
    [anon_sym_testexeclegesher] = ACTIONS(1033),
    [anon_sym_testclasslegesher] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_testnotlegesher] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_testlambdalegesher] = ACTIONS(1033),
    [anon_sym_testyieldlegesher] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_ellipsis] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1033),
    [sym_float] = ACTIONS(1031),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_none] = ACTIONS(1033),
    [anon_sym_testawaitlegesher] = ACTIONS(1033),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1031),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(997),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_testimportlegesher] = ACTIONS(995),
    [anon_sym_testfromlegesher] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(997),
    [anon_sym_testprintlegesher] = ACTIONS(995),
    [anon_sym_testassertlegesher] = ACTIONS(995),
    [anon_sym_testreturnlegesher] = ACTIONS(995),
    [anon_sym_testdellegesher] = ACTIONS(995),
    [anon_sym_testraiselegesher] = ACTIONS(995),
    [anon_sym_testpasslegesher] = ACTIONS(995),
    [anon_sym_testbreaklegesher] = ACTIONS(995),
    [anon_sym_testcontinuelegesher] = ACTIONS(995),
    [anon_sym_testiflegesher] = ACTIONS(995),
    [anon_sym_testasynclegesher] = ACTIONS(995),
    [anon_sym_testforlegesher] = ACTIONS(995),
    [anon_sym_testwhilelegesher] = ACTIONS(995),
    [anon_sym_testtrylegesher] = ACTIONS(995),
    [anon_sym_testwithlegesher] = ACTIONS(995),
    [anon_sym_testdeflegesher] = ACTIONS(995),
    [anon_sym_testgloballegesher] = ACTIONS(995),
    [anon_sym_testnonlocallegesher] = ACTIONS(995),
    [anon_sym_testexeclegesher] = ACTIONS(995),
    [anon_sym_testclasslegesher] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(997),
    [anon_sym_testnotlegesher] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_testlambdalegesher] = ACTIONS(995),
    [anon_sym_testyieldlegesher] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(997),
    [sym_ellipsis] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [sym_integer] = ACTIONS(995),
    [sym_float] = ACTIONS(997),
    [sym_true] = ACTIONS(995),
    [sym_false] = ACTIONS(995),
    [sym_none] = ACTIONS(995),
    [anon_sym_testawaitlegesher] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(997),
  },
  [424] = {
    [sym_identifier] = ACTIONS(1035),
    [anon_sym_testimportlegesher] = ACTIONS(1035),
    [anon_sym_testfromlegesher] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_testprintlegesher] = ACTIONS(1035),
    [anon_sym_testassertlegesher] = ACTIONS(1035),
    [anon_sym_testreturnlegesher] = ACTIONS(1035),
    [anon_sym_testdellegesher] = ACTIONS(1035),
    [anon_sym_testraiselegesher] = ACTIONS(1035),
    [anon_sym_testpasslegesher] = ACTIONS(1035),
    [anon_sym_testbreaklegesher] = ACTIONS(1035),
    [anon_sym_testcontinuelegesher] = ACTIONS(1035),
    [anon_sym_testiflegesher] = ACTIONS(1035),
    [anon_sym_testasynclegesher] = ACTIONS(1035),
    [anon_sym_testforlegesher] = ACTIONS(1035),
    [anon_sym_testwhilelegesher] = ACTIONS(1035),
    [anon_sym_testtrylegesher] = ACTIONS(1035),
    [anon_sym_testwithlegesher] = ACTIONS(1035),
    [anon_sym_testdeflegesher] = ACTIONS(1035),
    [anon_sym_testgloballegesher] = ACTIONS(1035),
    [anon_sym_testnonlocallegesher] = ACTIONS(1035),
    [anon_sym_testexeclegesher] = ACTIONS(1035),
    [anon_sym_testclasslegesher] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_testnotlegesher] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_testlambdalegesher] = ACTIONS(1035),
    [anon_sym_testyieldlegesher] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [sym_ellipsis] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1035),
    [sym_float] = ACTIONS(1037),
    [sym_true] = ACTIONS(1035),
    [sym_false] = ACTIONS(1035),
    [sym_none] = ACTIONS(1035),
    [anon_sym_testawaitlegesher] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1037),
    [sym__string_start] = ACTIONS(1037),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(993),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_testimportlegesher] = ACTIONS(991),
    [anon_sym_testfromlegesher] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(993),
    [anon_sym_testprintlegesher] = ACTIONS(991),
    [anon_sym_testassertlegesher] = ACTIONS(991),
    [anon_sym_testreturnlegesher] = ACTIONS(991),
    [anon_sym_testdellegesher] = ACTIONS(991),
    [anon_sym_testraiselegesher] = ACTIONS(991),
    [anon_sym_testpasslegesher] = ACTIONS(991),
    [anon_sym_testbreaklegesher] = ACTIONS(991),
    [anon_sym_testcontinuelegesher] = ACTIONS(991),
    [anon_sym_testiflegesher] = ACTIONS(991),
    [anon_sym_testasynclegesher] = ACTIONS(991),
    [anon_sym_testforlegesher] = ACTIONS(991),
    [anon_sym_testwhilelegesher] = ACTIONS(991),
    [anon_sym_testtrylegesher] = ACTIONS(991),
    [anon_sym_testwithlegesher] = ACTIONS(991),
    [anon_sym_testdeflegesher] = ACTIONS(991),
    [anon_sym_testgloballegesher] = ACTIONS(991),
    [anon_sym_testnonlocallegesher] = ACTIONS(991),
    [anon_sym_testexeclegesher] = ACTIONS(991),
    [anon_sym_testclasslegesher] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_testnotlegesher] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(993),
    [anon_sym_testlambdalegesher] = ACTIONS(991),
    [anon_sym_testyieldlegesher] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(993),
    [sym_ellipsis] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(993),
    [sym_integer] = ACTIONS(991),
    [sym_float] = ACTIONS(993),
    [sym_true] = ACTIONS(991),
    [sym_false] = ACTIONS(991),
    [sym_none] = ACTIONS(991),
    [anon_sym_testawaitlegesher] = ACTIONS(991),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(993),
  },
  [426] = {
    [sym_identifier] = ACTIONS(1039),
    [anon_sym_testimportlegesher] = ACTIONS(1039),
    [anon_sym_testfromlegesher] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_testprintlegesher] = ACTIONS(1039),
    [anon_sym_testassertlegesher] = ACTIONS(1039),
    [anon_sym_testreturnlegesher] = ACTIONS(1039),
    [anon_sym_testdellegesher] = ACTIONS(1039),
    [anon_sym_testraiselegesher] = ACTIONS(1039),
    [anon_sym_testpasslegesher] = ACTIONS(1039),
    [anon_sym_testbreaklegesher] = ACTIONS(1039),
    [anon_sym_testcontinuelegesher] = ACTIONS(1039),
    [anon_sym_testiflegesher] = ACTIONS(1039),
    [anon_sym_testasynclegesher] = ACTIONS(1039),
    [anon_sym_testforlegesher] = ACTIONS(1039),
    [anon_sym_testwhilelegesher] = ACTIONS(1039),
    [anon_sym_testtrylegesher] = ACTIONS(1039),
    [anon_sym_testwithlegesher] = ACTIONS(1039),
    [anon_sym_testdeflegesher] = ACTIONS(1039),
    [anon_sym_testgloballegesher] = ACTIONS(1039),
    [anon_sym_testnonlocallegesher] = ACTIONS(1039),
    [anon_sym_testexeclegesher] = ACTIONS(1039),
    [anon_sym_testclasslegesher] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1041),
    [anon_sym_testnotlegesher] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_testlambdalegesher] = ACTIONS(1039),
    [anon_sym_testyieldlegesher] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [sym_ellipsis] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1039),
    [sym_float] = ACTIONS(1041),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [sym_none] = ACTIONS(1039),
    [anon_sym_testawaitlegesher] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1041),
    [sym__string_start] = ACTIONS(1041),
  },
  [427] = {
    [sym_identifier] = ACTIONS(1043),
    [anon_sym_testimportlegesher] = ACTIONS(1043),
    [anon_sym_testfromlegesher] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_testprintlegesher] = ACTIONS(1043),
    [anon_sym_testassertlegesher] = ACTIONS(1043),
    [anon_sym_testreturnlegesher] = ACTIONS(1043),
    [anon_sym_testdellegesher] = ACTIONS(1043),
    [anon_sym_testraiselegesher] = ACTIONS(1043),
    [anon_sym_testpasslegesher] = ACTIONS(1043),
    [anon_sym_testbreaklegesher] = ACTIONS(1043),
    [anon_sym_testcontinuelegesher] = ACTIONS(1043),
    [anon_sym_testiflegesher] = ACTIONS(1043),
    [anon_sym_testasynclegesher] = ACTIONS(1043),
    [anon_sym_testforlegesher] = ACTIONS(1043),
    [anon_sym_testwhilelegesher] = ACTIONS(1043),
    [anon_sym_testtrylegesher] = ACTIONS(1043),
    [anon_sym_testwithlegesher] = ACTIONS(1043),
    [anon_sym_testdeflegesher] = ACTIONS(1043),
    [anon_sym_testgloballegesher] = ACTIONS(1043),
    [anon_sym_testnonlocallegesher] = ACTIONS(1043),
    [anon_sym_testexeclegesher] = ACTIONS(1043),
    [anon_sym_testclasslegesher] = ACTIONS(1043),
    [anon_sym_AT] = ACTIONS(1045),
    [anon_sym_testnotlegesher] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_testlambdalegesher] = ACTIONS(1043),
    [anon_sym_testyieldlegesher] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [sym_ellipsis] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1043),
    [sym_float] = ACTIONS(1045),
    [sym_true] = ACTIONS(1043),
    [sym_false] = ACTIONS(1043),
    [sym_none] = ACTIONS(1043),
    [anon_sym_testawaitlegesher] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1045),
    [sym__string_start] = ACTIONS(1045),
  },
  [428] = {
    [sym_identifier] = ACTIONS(1047),
    [anon_sym_testimportlegesher] = ACTIONS(1047),
    [anon_sym_testfromlegesher] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_testprintlegesher] = ACTIONS(1047),
    [anon_sym_testassertlegesher] = ACTIONS(1047),
    [anon_sym_testreturnlegesher] = ACTIONS(1047),
    [anon_sym_testdellegesher] = ACTIONS(1047),
    [anon_sym_testraiselegesher] = ACTIONS(1047),
    [anon_sym_testpasslegesher] = ACTIONS(1047),
    [anon_sym_testbreaklegesher] = ACTIONS(1047),
    [anon_sym_testcontinuelegesher] = ACTIONS(1047),
    [anon_sym_testiflegesher] = ACTIONS(1047),
    [anon_sym_testasynclegesher] = ACTIONS(1047),
    [anon_sym_testforlegesher] = ACTIONS(1047),
    [anon_sym_testwhilelegesher] = ACTIONS(1047),
    [anon_sym_testtrylegesher] = ACTIONS(1047),
    [anon_sym_testwithlegesher] = ACTIONS(1047),
    [anon_sym_testdeflegesher] = ACTIONS(1047),
    [anon_sym_testgloballegesher] = ACTIONS(1047),
    [anon_sym_testnonlocallegesher] = ACTIONS(1047),
    [anon_sym_testexeclegesher] = ACTIONS(1047),
    [anon_sym_testclasslegesher] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1049),
    [anon_sym_testnotlegesher] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_testlambdalegesher] = ACTIONS(1047),
    [anon_sym_testyieldlegesher] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [sym_ellipsis] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1047),
    [sym_float] = ACTIONS(1049),
    [sym_true] = ACTIONS(1047),
    [sym_false] = ACTIONS(1047),
    [sym_none] = ACTIONS(1047),
    [anon_sym_testawaitlegesher] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1049),
    [sym__string_start] = ACTIONS(1049),
  },
  [429] = {
    [sym_identifier] = ACTIONS(1051),
    [anon_sym_testimportlegesher] = ACTIONS(1051),
    [anon_sym_testfromlegesher] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1053),
    [anon_sym_testprintlegesher] = ACTIONS(1051),
    [anon_sym_testassertlegesher] = ACTIONS(1051),
    [anon_sym_testreturnlegesher] = ACTIONS(1051),
    [anon_sym_testdellegesher] = ACTIONS(1051),
    [anon_sym_testraiselegesher] = ACTIONS(1051),
    [anon_sym_testpasslegesher] = ACTIONS(1051),
    [anon_sym_testbreaklegesher] = ACTIONS(1051),
    [anon_sym_testcontinuelegesher] = ACTIONS(1051),
    [anon_sym_testiflegesher] = ACTIONS(1051),
    [anon_sym_testasynclegesher] = ACTIONS(1051),
    [anon_sym_testforlegesher] = ACTIONS(1051),
    [anon_sym_testwhilelegesher] = ACTIONS(1051),
    [anon_sym_testtrylegesher] = ACTIONS(1051),
    [anon_sym_testwithlegesher] = ACTIONS(1051),
    [anon_sym_testdeflegesher] = ACTIONS(1051),
    [anon_sym_testgloballegesher] = ACTIONS(1051),
    [anon_sym_testnonlocallegesher] = ACTIONS(1051),
    [anon_sym_testexeclegesher] = ACTIONS(1051),
    [anon_sym_testclasslegesher] = ACTIONS(1051),
    [anon_sym_AT] = ACTIONS(1053),
    [anon_sym_testnotlegesher] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1053),
    [anon_sym_testlambdalegesher] = ACTIONS(1051),
    [anon_sym_testyieldlegesher] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [sym_ellipsis] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [sym_integer] = ACTIONS(1051),
    [sym_float] = ACTIONS(1053),
    [sym_true] = ACTIONS(1051),
    [sym_false] = ACTIONS(1051),
    [sym_none] = ACTIONS(1051),
    [anon_sym_testawaitlegesher] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1053),
    [sym__string_start] = ACTIONS(1053),
  },
  [430] = {
    [sym_identifier] = ACTIONS(925),
    [anon_sym_testimportlegesher] = ACTIONS(925),
    [anon_sym_testfromlegesher] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_testprintlegesher] = ACTIONS(925),
    [anon_sym_testassertlegesher] = ACTIONS(925),
    [anon_sym_testreturnlegesher] = ACTIONS(925),
    [anon_sym_testdellegesher] = ACTIONS(925),
    [anon_sym_testraiselegesher] = ACTIONS(925),
    [anon_sym_testpasslegesher] = ACTIONS(925),
    [anon_sym_testbreaklegesher] = ACTIONS(925),
    [anon_sym_testcontinuelegesher] = ACTIONS(925),
    [anon_sym_testiflegesher] = ACTIONS(925),
    [anon_sym_testasynclegesher] = ACTIONS(925),
    [anon_sym_testforlegesher] = ACTIONS(925),
    [anon_sym_testwhilelegesher] = ACTIONS(925),
    [anon_sym_testtrylegesher] = ACTIONS(925),
    [anon_sym_testwithlegesher] = ACTIONS(925),
    [anon_sym_testdeflegesher] = ACTIONS(925),
    [anon_sym_testgloballegesher] = ACTIONS(925),
    [anon_sym_testnonlocallegesher] = ACTIONS(925),
    [anon_sym_testexeclegesher] = ACTIONS(925),
    [anon_sym_testclasslegesher] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(927),
    [anon_sym_testnotlegesher] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_testlambdalegesher] = ACTIONS(925),
    [anon_sym_testyieldlegesher] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_ellipsis] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [sym_integer] = ACTIONS(925),
    [sym_float] = ACTIONS(927),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_none] = ACTIONS(925),
    [anon_sym_testawaitlegesher] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(927),
    [sym__string_start] = ACTIONS(927),
  },
  [431] = {
    [sym_identifier] = ACTIONS(1055),
    [anon_sym_testimportlegesher] = ACTIONS(1055),
    [anon_sym_testfromlegesher] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_testprintlegesher] = ACTIONS(1055),
    [anon_sym_testassertlegesher] = ACTIONS(1055),
    [anon_sym_testreturnlegesher] = ACTIONS(1055),
    [anon_sym_testdellegesher] = ACTIONS(1055),
    [anon_sym_testraiselegesher] = ACTIONS(1055),
    [anon_sym_testpasslegesher] = ACTIONS(1055),
    [anon_sym_testbreaklegesher] = ACTIONS(1055),
    [anon_sym_testcontinuelegesher] = ACTIONS(1055),
    [anon_sym_testiflegesher] = ACTIONS(1055),
    [anon_sym_testasynclegesher] = ACTIONS(1055),
    [anon_sym_testforlegesher] = ACTIONS(1055),
    [anon_sym_testwhilelegesher] = ACTIONS(1055),
    [anon_sym_testtrylegesher] = ACTIONS(1055),
    [anon_sym_testwithlegesher] = ACTIONS(1055),
    [anon_sym_testdeflegesher] = ACTIONS(1055),
    [anon_sym_testgloballegesher] = ACTIONS(1055),
    [anon_sym_testnonlocallegesher] = ACTIONS(1055),
    [anon_sym_testexeclegesher] = ACTIONS(1055),
    [anon_sym_testclasslegesher] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(1057),
    [anon_sym_testnotlegesher] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_testlambdalegesher] = ACTIONS(1055),
    [anon_sym_testyieldlegesher] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [sym_ellipsis] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [sym_integer] = ACTIONS(1055),
    [sym_float] = ACTIONS(1057),
    [sym_true] = ACTIONS(1055),
    [sym_false] = ACTIONS(1055),
    [sym_none] = ACTIONS(1055),
    [anon_sym_testawaitlegesher] = ACTIONS(1055),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1057),
    [sym__string_start] = ACTIONS(1057),
  },
  [432] = {
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_testimportlegesher] = ACTIONS(1059),
    [anon_sym_testfromlegesher] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_testprintlegesher] = ACTIONS(1059),
    [anon_sym_testassertlegesher] = ACTIONS(1059),
    [anon_sym_testreturnlegesher] = ACTIONS(1059),
    [anon_sym_testdellegesher] = ACTIONS(1059),
    [anon_sym_testraiselegesher] = ACTIONS(1059),
    [anon_sym_testpasslegesher] = ACTIONS(1059),
    [anon_sym_testbreaklegesher] = ACTIONS(1059),
    [anon_sym_testcontinuelegesher] = ACTIONS(1059),
    [anon_sym_testiflegesher] = ACTIONS(1059),
    [anon_sym_testasynclegesher] = ACTIONS(1059),
    [anon_sym_testforlegesher] = ACTIONS(1059),
    [anon_sym_testwhilelegesher] = ACTIONS(1059),
    [anon_sym_testtrylegesher] = ACTIONS(1059),
    [anon_sym_testwithlegesher] = ACTIONS(1059),
    [anon_sym_testdeflegesher] = ACTIONS(1059),
    [anon_sym_testgloballegesher] = ACTIONS(1059),
    [anon_sym_testnonlocallegesher] = ACTIONS(1059),
    [anon_sym_testexeclegesher] = ACTIONS(1059),
    [anon_sym_testclasslegesher] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(1061),
    [anon_sym_testnotlegesher] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_TILDE] = ACTIONS(1061),
    [anon_sym_testlambdalegesher] = ACTIONS(1059),
    [anon_sym_testyieldlegesher] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [sym_ellipsis] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [sym_integer] = ACTIONS(1059),
    [sym_float] = ACTIONS(1061),
    [sym_true] = ACTIONS(1059),
    [sym_false] = ACTIONS(1059),
    [sym_none] = ACTIONS(1059),
    [anon_sym_testawaitlegesher] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1061),
    [sym__string_start] = ACTIONS(1061),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1063),
    [sym_identifier] = ACTIONS(1065),
    [anon_sym_testimportlegesher] = ACTIONS(1065),
    [anon_sym_testfromlegesher] = ACTIONS(1065),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_testprintlegesher] = ACTIONS(1065),
    [anon_sym_testassertlegesher] = ACTIONS(1065),
    [anon_sym_testreturnlegesher] = ACTIONS(1065),
    [anon_sym_testdellegesher] = ACTIONS(1065),
    [anon_sym_testraiselegesher] = ACTIONS(1065),
    [anon_sym_testpasslegesher] = ACTIONS(1065),
    [anon_sym_testbreaklegesher] = ACTIONS(1065),
    [anon_sym_testcontinuelegesher] = ACTIONS(1065),
    [anon_sym_testiflegesher] = ACTIONS(1065),
    [anon_sym_testasynclegesher] = ACTIONS(1065),
    [anon_sym_testforlegesher] = ACTIONS(1065),
    [anon_sym_testwhilelegesher] = ACTIONS(1065),
    [anon_sym_testtrylegesher] = ACTIONS(1065),
    [anon_sym_testwithlegesher] = ACTIONS(1065),
    [anon_sym_testdeflegesher] = ACTIONS(1065),
    [anon_sym_testgloballegesher] = ACTIONS(1065),
    [anon_sym_testnonlocallegesher] = ACTIONS(1065),
    [anon_sym_testexeclegesher] = ACTIONS(1065),
    [anon_sym_testclasslegesher] = ACTIONS(1065),
    [anon_sym_AT] = ACTIONS(1063),
    [anon_sym_testnotlegesher] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1063),
    [anon_sym_testlambdalegesher] = ACTIONS(1065),
    [anon_sym_testyieldlegesher] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [sym_ellipsis] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [sym_integer] = ACTIONS(1065),
    [sym_float] = ACTIONS(1063),
    [sym_true] = ACTIONS(1065),
    [sym_false] = ACTIONS(1065),
    [sym_none] = ACTIONS(1065),
    [anon_sym_testawaitlegesher] = ACTIONS(1065),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1063),
  },
  [434] = {
    [sym_identifier] = ACTIONS(1067),
    [anon_sym_testimportlegesher] = ACTIONS(1067),
    [anon_sym_testfromlegesher] = ACTIONS(1067),
    [anon_sym_LPAREN] = ACTIONS(1069),
    [anon_sym_testprintlegesher] = ACTIONS(1067),
    [anon_sym_testassertlegesher] = ACTIONS(1067),
    [anon_sym_testreturnlegesher] = ACTIONS(1067),
    [anon_sym_testdellegesher] = ACTIONS(1067),
    [anon_sym_testraiselegesher] = ACTIONS(1067),
    [anon_sym_testpasslegesher] = ACTIONS(1067),
    [anon_sym_testbreaklegesher] = ACTIONS(1067),
    [anon_sym_testcontinuelegesher] = ACTIONS(1067),
    [anon_sym_testiflegesher] = ACTIONS(1067),
    [anon_sym_testasynclegesher] = ACTIONS(1067),
    [anon_sym_testforlegesher] = ACTIONS(1067),
    [anon_sym_testwhilelegesher] = ACTIONS(1067),
    [anon_sym_testtrylegesher] = ACTIONS(1067),
    [anon_sym_testwithlegesher] = ACTIONS(1067),
    [anon_sym_testdeflegesher] = ACTIONS(1067),
    [anon_sym_testgloballegesher] = ACTIONS(1067),
    [anon_sym_testnonlocallegesher] = ACTIONS(1067),
    [anon_sym_testexeclegesher] = ACTIONS(1067),
    [anon_sym_testclasslegesher] = ACTIONS(1067),
    [anon_sym_AT] = ACTIONS(1069),
    [anon_sym_testnotlegesher] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_TILDE] = ACTIONS(1069),
    [anon_sym_testlambdalegesher] = ACTIONS(1067),
    [anon_sym_testyieldlegesher] = ACTIONS(1067),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [sym_ellipsis] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1069),
    [sym_integer] = ACTIONS(1067),
    [sym_float] = ACTIONS(1069),
    [sym_true] = ACTIONS(1067),
    [sym_false] = ACTIONS(1067),
    [sym_none] = ACTIONS(1067),
    [anon_sym_testawaitlegesher] = ACTIONS(1067),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1069),
    [sym__string_start] = ACTIONS(1069),
  },
  [435] = {
    [sym_identifier] = ACTIONS(1071),
    [anon_sym_testimportlegesher] = ACTIONS(1071),
    [anon_sym_testfromlegesher] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_testprintlegesher] = ACTIONS(1071),
    [anon_sym_testassertlegesher] = ACTIONS(1071),
    [anon_sym_testreturnlegesher] = ACTIONS(1071),
    [anon_sym_testdellegesher] = ACTIONS(1071),
    [anon_sym_testraiselegesher] = ACTIONS(1071),
    [anon_sym_testpasslegesher] = ACTIONS(1071),
    [anon_sym_testbreaklegesher] = ACTIONS(1071),
    [anon_sym_testcontinuelegesher] = ACTIONS(1071),
    [anon_sym_testiflegesher] = ACTIONS(1071),
    [anon_sym_testasynclegesher] = ACTIONS(1071),
    [anon_sym_testforlegesher] = ACTIONS(1071),
    [anon_sym_testwhilelegesher] = ACTIONS(1071),
    [anon_sym_testtrylegesher] = ACTIONS(1071),
    [anon_sym_testwithlegesher] = ACTIONS(1071),
    [anon_sym_testdeflegesher] = ACTIONS(1071),
    [anon_sym_testgloballegesher] = ACTIONS(1071),
    [anon_sym_testnonlocallegesher] = ACTIONS(1071),
    [anon_sym_testexeclegesher] = ACTIONS(1071),
    [anon_sym_testclasslegesher] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1073),
    [anon_sym_testnotlegesher] = ACTIONS(1071),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1073),
    [anon_sym_testlambdalegesher] = ACTIONS(1071),
    [anon_sym_testyieldlegesher] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [sym_ellipsis] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1071),
    [sym_float] = ACTIONS(1073),
    [sym_true] = ACTIONS(1071),
    [sym_false] = ACTIONS(1071),
    [sym_none] = ACTIONS(1071),
    [anon_sym_testawaitlegesher] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1073),
    [sym__string_start] = ACTIONS(1073),
  },
  [436] = {
    [sym_identifier] = ACTIONS(1065),
    [anon_sym_testimportlegesher] = ACTIONS(1065),
    [anon_sym_testfromlegesher] = ACTIONS(1065),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_testprintlegesher] = ACTIONS(1065),
    [anon_sym_testassertlegesher] = ACTIONS(1065),
    [anon_sym_testreturnlegesher] = ACTIONS(1065),
    [anon_sym_testdellegesher] = ACTIONS(1065),
    [anon_sym_testraiselegesher] = ACTIONS(1065),
    [anon_sym_testpasslegesher] = ACTIONS(1065),
    [anon_sym_testbreaklegesher] = ACTIONS(1065),
    [anon_sym_testcontinuelegesher] = ACTIONS(1065),
    [anon_sym_testiflegesher] = ACTIONS(1065),
    [anon_sym_testasynclegesher] = ACTIONS(1065),
    [anon_sym_testforlegesher] = ACTIONS(1065),
    [anon_sym_testwhilelegesher] = ACTIONS(1065),
    [anon_sym_testtrylegesher] = ACTIONS(1065),
    [anon_sym_testwithlegesher] = ACTIONS(1065),
    [anon_sym_testdeflegesher] = ACTIONS(1065),
    [anon_sym_testgloballegesher] = ACTIONS(1065),
    [anon_sym_testnonlocallegesher] = ACTIONS(1065),
    [anon_sym_testexeclegesher] = ACTIONS(1065),
    [anon_sym_testclasslegesher] = ACTIONS(1065),
    [anon_sym_AT] = ACTIONS(1063),
    [anon_sym_testnotlegesher] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1063),
    [anon_sym_testlambdalegesher] = ACTIONS(1065),
    [anon_sym_testyieldlegesher] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [sym_ellipsis] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [sym_integer] = ACTIONS(1065),
    [sym_float] = ACTIONS(1063),
    [sym_true] = ACTIONS(1065),
    [sym_false] = ACTIONS(1065),
    [sym_none] = ACTIONS(1065),
    [anon_sym_testawaitlegesher] = ACTIONS(1065),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1063),
    [sym__string_start] = ACTIONS(1063),
  },
  [437] = {
    [sym_identifier] = ACTIONS(1075),
    [anon_sym_testimportlegesher] = ACTIONS(1075),
    [anon_sym_testfromlegesher] = ACTIONS(1075),
    [anon_sym_LPAREN] = ACTIONS(1077),
    [anon_sym_testprintlegesher] = ACTIONS(1075),
    [anon_sym_testassertlegesher] = ACTIONS(1075),
    [anon_sym_testreturnlegesher] = ACTIONS(1075),
    [anon_sym_testdellegesher] = ACTIONS(1075),
    [anon_sym_testraiselegesher] = ACTIONS(1075),
    [anon_sym_testpasslegesher] = ACTIONS(1075),
    [anon_sym_testbreaklegesher] = ACTIONS(1075),
    [anon_sym_testcontinuelegesher] = ACTIONS(1075),
    [anon_sym_testiflegesher] = ACTIONS(1075),
    [anon_sym_testasynclegesher] = ACTIONS(1075),
    [anon_sym_testforlegesher] = ACTIONS(1075),
    [anon_sym_testwhilelegesher] = ACTIONS(1075),
    [anon_sym_testtrylegesher] = ACTIONS(1075),
    [anon_sym_testwithlegesher] = ACTIONS(1075),
    [anon_sym_testdeflegesher] = ACTIONS(1075),
    [anon_sym_testgloballegesher] = ACTIONS(1075),
    [anon_sym_testnonlocallegesher] = ACTIONS(1075),
    [anon_sym_testexeclegesher] = ACTIONS(1075),
    [anon_sym_testclasslegesher] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1077),
    [anon_sym_testnotlegesher] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_testlambdalegesher] = ACTIONS(1075),
    [anon_sym_testyieldlegesher] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [sym_ellipsis] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1075),
    [sym_float] = ACTIONS(1077),
    [sym_true] = ACTIONS(1075),
    [sym_false] = ACTIONS(1075),
    [sym_none] = ACTIONS(1075),
    [anon_sym_testawaitlegesher] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1077),
    [sym__string_start] = ACTIONS(1077),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_identifier] = ACTIONS(1081),
    [anon_sym_testimportlegesher] = ACTIONS(1081),
    [anon_sym_testfromlegesher] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_testprintlegesher] = ACTIONS(1081),
    [anon_sym_testassertlegesher] = ACTIONS(1081),
    [anon_sym_testreturnlegesher] = ACTIONS(1081),
    [anon_sym_testdellegesher] = ACTIONS(1081),
    [anon_sym_testraiselegesher] = ACTIONS(1081),
    [anon_sym_testpasslegesher] = ACTIONS(1081),
    [anon_sym_testbreaklegesher] = ACTIONS(1081),
    [anon_sym_testcontinuelegesher] = ACTIONS(1081),
    [anon_sym_testiflegesher] = ACTIONS(1081),
    [anon_sym_testasynclegesher] = ACTIONS(1081),
    [anon_sym_testforlegesher] = ACTIONS(1081),
    [anon_sym_testwhilelegesher] = ACTIONS(1081),
    [anon_sym_testtrylegesher] = ACTIONS(1081),
    [anon_sym_testwithlegesher] = ACTIONS(1081),
    [anon_sym_testdeflegesher] = ACTIONS(1081),
    [anon_sym_testgloballegesher] = ACTIONS(1081),
    [anon_sym_testnonlocallegesher] = ACTIONS(1081),
    [anon_sym_testexeclegesher] = ACTIONS(1081),
    [anon_sym_testclasslegesher] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_testnotlegesher] = ACTIONS(1081),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_testlambdalegesher] = ACTIONS(1081),
    [anon_sym_testyieldlegesher] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [sym_ellipsis] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [sym_integer] = ACTIONS(1081),
    [sym_float] = ACTIONS(1079),
    [sym_true] = ACTIONS(1081),
    [sym_false] = ACTIONS(1081),
    [sym_none] = ACTIONS(1081),
    [anon_sym_testawaitlegesher] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1079),
  },
  [439] = {
    [sym_identifier] = ACTIONS(1083),
    [anon_sym_testimportlegesher] = ACTIONS(1083),
    [anon_sym_testfromlegesher] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_testprintlegesher] = ACTIONS(1083),
    [anon_sym_testassertlegesher] = ACTIONS(1083),
    [anon_sym_testreturnlegesher] = ACTIONS(1083),
    [anon_sym_testdellegesher] = ACTIONS(1083),
    [anon_sym_testraiselegesher] = ACTIONS(1083),
    [anon_sym_testpasslegesher] = ACTIONS(1083),
    [anon_sym_testbreaklegesher] = ACTIONS(1083),
    [anon_sym_testcontinuelegesher] = ACTIONS(1083),
    [anon_sym_testiflegesher] = ACTIONS(1083),
    [anon_sym_testasynclegesher] = ACTIONS(1083),
    [anon_sym_testforlegesher] = ACTIONS(1083),
    [anon_sym_testwhilelegesher] = ACTIONS(1083),
    [anon_sym_testtrylegesher] = ACTIONS(1083),
    [anon_sym_testwithlegesher] = ACTIONS(1083),
    [anon_sym_testdeflegesher] = ACTIONS(1083),
    [anon_sym_testgloballegesher] = ACTIONS(1083),
    [anon_sym_testnonlocallegesher] = ACTIONS(1083),
    [anon_sym_testexeclegesher] = ACTIONS(1083),
    [anon_sym_testclasslegesher] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1085),
    [anon_sym_testnotlegesher] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1085),
    [anon_sym_testlambdalegesher] = ACTIONS(1083),
    [anon_sym_testyieldlegesher] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [sym_ellipsis] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1083),
    [sym_float] = ACTIONS(1085),
    [sym_true] = ACTIONS(1083),
    [sym_false] = ACTIONS(1083),
    [sym_none] = ACTIONS(1083),
    [anon_sym_testawaitlegesher] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1085),
    [sym__string_start] = ACTIONS(1085),
  },
  [440] = {
    [sym_identifier] = ACTIONS(534),
    [anon_sym_testimportlegesher] = ACTIONS(534),
    [anon_sym_testfromlegesher] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_testprintlegesher] = ACTIONS(534),
    [anon_sym_testassertlegesher] = ACTIONS(534),
    [anon_sym_testreturnlegesher] = ACTIONS(534),
    [anon_sym_testdellegesher] = ACTIONS(534),
    [anon_sym_testraiselegesher] = ACTIONS(534),
    [anon_sym_testpasslegesher] = ACTIONS(534),
    [anon_sym_testbreaklegesher] = ACTIONS(534),
    [anon_sym_testcontinuelegesher] = ACTIONS(534),
    [anon_sym_testiflegesher] = ACTIONS(534),
    [anon_sym_testasynclegesher] = ACTIONS(534),
    [anon_sym_testforlegesher] = ACTIONS(534),
    [anon_sym_testwhilelegesher] = ACTIONS(534),
    [anon_sym_testtrylegesher] = ACTIONS(534),
    [anon_sym_testwithlegesher] = ACTIONS(534),
    [anon_sym_testdeflegesher] = ACTIONS(534),
    [anon_sym_testgloballegesher] = ACTIONS(534),
    [anon_sym_testnonlocallegesher] = ACTIONS(534),
    [anon_sym_testexeclegesher] = ACTIONS(534),
    [anon_sym_testclasslegesher] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(536),
    [anon_sym_testnotlegesher] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(536),
    [anon_sym_testlambdalegesher] = ACTIONS(534),
    [anon_sym_testyieldlegesher] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(536),
    [sym_ellipsis] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [sym_integer] = ACTIONS(534),
    [sym_float] = ACTIONS(536),
    [sym_true] = ACTIONS(534),
    [sym_false] = ACTIONS(534),
    [sym_none] = ACTIONS(534),
    [anon_sym_testawaitlegesher] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(536),
    [sym__string_start] = ACTIONS(536),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_identifier] = ACTIONS(1089),
    [anon_sym_testimportlegesher] = ACTIONS(1089),
    [anon_sym_testfromlegesher] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_testprintlegesher] = ACTIONS(1089),
    [anon_sym_testassertlegesher] = ACTIONS(1089),
    [anon_sym_testreturnlegesher] = ACTIONS(1089),
    [anon_sym_testdellegesher] = ACTIONS(1089),
    [anon_sym_testraiselegesher] = ACTIONS(1089),
    [anon_sym_testpasslegesher] = ACTIONS(1089),
    [anon_sym_testbreaklegesher] = ACTIONS(1089),
    [anon_sym_testcontinuelegesher] = ACTIONS(1089),
    [anon_sym_testiflegesher] = ACTIONS(1089),
    [anon_sym_testasynclegesher] = ACTIONS(1089),
    [anon_sym_testforlegesher] = ACTIONS(1089),
    [anon_sym_testwhilelegesher] = ACTIONS(1089),
    [anon_sym_testtrylegesher] = ACTIONS(1089),
    [anon_sym_testwithlegesher] = ACTIONS(1089),
    [anon_sym_testdeflegesher] = ACTIONS(1089),
    [anon_sym_testgloballegesher] = ACTIONS(1089),
    [anon_sym_testnonlocallegesher] = ACTIONS(1089),
    [anon_sym_testexeclegesher] = ACTIONS(1089),
    [anon_sym_testclasslegesher] = ACTIONS(1089),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_testnotlegesher] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1087),
    [anon_sym_DASH] = ACTIONS(1087),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_testlambdalegesher] = ACTIONS(1089),
    [anon_sym_testyieldlegesher] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [sym_ellipsis] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [sym_integer] = ACTIONS(1089),
    [sym_float] = ACTIONS(1087),
    [sym_true] = ACTIONS(1089),
    [sym_false] = ACTIONS(1089),
    [sym_none] = ACTIONS(1089),
    [anon_sym_testawaitlegesher] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1087),
  },
  [442] = {
    [sym_identifier] = ACTIONS(1033),
    [anon_sym_testimportlegesher] = ACTIONS(1033),
    [anon_sym_testfromlegesher] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_testprintlegesher] = ACTIONS(1033),
    [anon_sym_testassertlegesher] = ACTIONS(1033),
    [anon_sym_testreturnlegesher] = ACTIONS(1033),
    [anon_sym_testdellegesher] = ACTIONS(1033),
    [anon_sym_testraiselegesher] = ACTIONS(1033),
    [anon_sym_testpasslegesher] = ACTIONS(1033),
    [anon_sym_testbreaklegesher] = ACTIONS(1033),
    [anon_sym_testcontinuelegesher] = ACTIONS(1033),
    [anon_sym_testiflegesher] = ACTIONS(1033),
    [anon_sym_testasynclegesher] = ACTIONS(1033),
    [anon_sym_testforlegesher] = ACTIONS(1033),
    [anon_sym_testwhilelegesher] = ACTIONS(1033),
    [anon_sym_testtrylegesher] = ACTIONS(1033),
    [anon_sym_testwithlegesher] = ACTIONS(1033),
    [anon_sym_testdeflegesher] = ACTIONS(1033),
    [anon_sym_testgloballegesher] = ACTIONS(1033),
    [anon_sym_testnonlocallegesher] = ACTIONS(1033),
    [anon_sym_testexeclegesher] = ACTIONS(1033),
    [anon_sym_testclasslegesher] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_testnotlegesher] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_testlambdalegesher] = ACTIONS(1033),
    [anon_sym_testyieldlegesher] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_ellipsis] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1033),
    [sym_float] = ACTIONS(1031),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_none] = ACTIONS(1033),
    [anon_sym_testawaitlegesher] = ACTIONS(1033),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1031),
    [sym__string_start] = ACTIONS(1031),
  },
  [443] = {
    [sym_identifier] = ACTIONS(1025),
    [anon_sym_testimportlegesher] = ACTIONS(1025),
    [anon_sym_testfromlegesher] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_testprintlegesher] = ACTIONS(1025),
    [anon_sym_testassertlegesher] = ACTIONS(1025),
    [anon_sym_testreturnlegesher] = ACTIONS(1025),
    [anon_sym_testdellegesher] = ACTIONS(1025),
    [anon_sym_testraiselegesher] = ACTIONS(1025),
    [anon_sym_testpasslegesher] = ACTIONS(1025),
    [anon_sym_testbreaklegesher] = ACTIONS(1025),
    [anon_sym_testcontinuelegesher] = ACTIONS(1025),
    [anon_sym_testiflegesher] = ACTIONS(1025),
    [anon_sym_testasynclegesher] = ACTIONS(1025),
    [anon_sym_testforlegesher] = ACTIONS(1025),
    [anon_sym_testwhilelegesher] = ACTIONS(1025),
    [anon_sym_testtrylegesher] = ACTIONS(1025),
    [anon_sym_testwithlegesher] = ACTIONS(1025),
    [anon_sym_testdeflegesher] = ACTIONS(1025),
    [anon_sym_testgloballegesher] = ACTIONS(1025),
    [anon_sym_testnonlocallegesher] = ACTIONS(1025),
    [anon_sym_testexeclegesher] = ACTIONS(1025),
    [anon_sym_testclasslegesher] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1023),
    [anon_sym_testnotlegesher] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1023),
    [anon_sym_DASH] = ACTIONS(1023),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_testlambdalegesher] = ACTIONS(1025),
    [anon_sym_testyieldlegesher] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_ellipsis] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [sym_integer] = ACTIONS(1025),
    [sym_float] = ACTIONS(1023),
    [sym_true] = ACTIONS(1025),
    [sym_false] = ACTIONS(1025),
    [sym_none] = ACTIONS(1025),
    [anon_sym_testawaitlegesher] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1023),
    [sym__string_start] = ACTIONS(1023),
  },
  [444] = {
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_testimportlegesher] = ACTIONS(1001),
    [anon_sym_testfromlegesher] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_testprintlegesher] = ACTIONS(1001),
    [anon_sym_testassertlegesher] = ACTIONS(1001),
    [anon_sym_testreturnlegesher] = ACTIONS(1001),
    [anon_sym_testdellegesher] = ACTIONS(1001),
    [anon_sym_testraiselegesher] = ACTIONS(1001),
    [anon_sym_testpasslegesher] = ACTIONS(1001),
    [anon_sym_testbreaklegesher] = ACTIONS(1001),
    [anon_sym_testcontinuelegesher] = ACTIONS(1001),
    [anon_sym_testiflegesher] = ACTIONS(1001),
    [anon_sym_testasynclegesher] = ACTIONS(1001),
    [anon_sym_testforlegesher] = ACTIONS(1001),
    [anon_sym_testwhilelegesher] = ACTIONS(1001),
    [anon_sym_testtrylegesher] = ACTIONS(1001),
    [anon_sym_testwithlegesher] = ACTIONS(1001),
    [anon_sym_testdeflegesher] = ACTIONS(1001),
    [anon_sym_testgloballegesher] = ACTIONS(1001),
    [anon_sym_testnonlocallegesher] = ACTIONS(1001),
    [anon_sym_testexeclegesher] = ACTIONS(1001),
    [anon_sym_testclasslegesher] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(999),
    [anon_sym_testnotlegesher] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_testlambdalegesher] = ACTIONS(1001),
    [anon_sym_testyieldlegesher] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [sym_ellipsis] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [sym_integer] = ACTIONS(1001),
    [sym_float] = ACTIONS(999),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [sym_none] = ACTIONS(1001),
    [anon_sym_testawaitlegesher] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(999),
    [sym__string_start] = ACTIONS(999),
  },
  [445] = {
    [sym_identifier] = ACTIONS(1021),
    [anon_sym_testimportlegesher] = ACTIONS(1021),
    [anon_sym_testfromlegesher] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_testprintlegesher] = ACTIONS(1021),
    [anon_sym_testassertlegesher] = ACTIONS(1021),
    [anon_sym_testreturnlegesher] = ACTIONS(1021),
    [anon_sym_testdellegesher] = ACTIONS(1021),
    [anon_sym_testraiselegesher] = ACTIONS(1021),
    [anon_sym_testpasslegesher] = ACTIONS(1021),
    [anon_sym_testbreaklegesher] = ACTIONS(1021),
    [anon_sym_testcontinuelegesher] = ACTIONS(1021),
    [anon_sym_testiflegesher] = ACTIONS(1021),
    [anon_sym_testasynclegesher] = ACTIONS(1021),
    [anon_sym_testforlegesher] = ACTIONS(1021),
    [anon_sym_testwhilelegesher] = ACTIONS(1021),
    [anon_sym_testtrylegesher] = ACTIONS(1021),
    [anon_sym_testwithlegesher] = ACTIONS(1021),
    [anon_sym_testdeflegesher] = ACTIONS(1021),
    [anon_sym_testgloballegesher] = ACTIONS(1021),
    [anon_sym_testnonlocallegesher] = ACTIONS(1021),
    [anon_sym_testexeclegesher] = ACTIONS(1021),
    [anon_sym_testclasslegesher] = ACTIONS(1021),
    [anon_sym_AT] = ACTIONS(1019),
    [anon_sym_testnotlegesher] = ACTIONS(1021),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1019),
    [anon_sym_testlambdalegesher] = ACTIONS(1021),
    [anon_sym_testyieldlegesher] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_ellipsis] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [sym_integer] = ACTIONS(1021),
    [sym_float] = ACTIONS(1019),
    [sym_true] = ACTIONS(1021),
    [sym_false] = ACTIONS(1021),
    [sym_none] = ACTIONS(1021),
    [anon_sym_testawaitlegesher] = ACTIONS(1021),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1019),
    [sym__string_start] = ACTIONS(1019),
  },
  [446] = {
    [sym_identifier] = ACTIONS(1017),
    [anon_sym_testimportlegesher] = ACTIONS(1017),
    [anon_sym_testfromlegesher] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_testprintlegesher] = ACTIONS(1017),
    [anon_sym_testassertlegesher] = ACTIONS(1017),
    [anon_sym_testreturnlegesher] = ACTIONS(1017),
    [anon_sym_testdellegesher] = ACTIONS(1017),
    [anon_sym_testraiselegesher] = ACTIONS(1017),
    [anon_sym_testpasslegesher] = ACTIONS(1017),
    [anon_sym_testbreaklegesher] = ACTIONS(1017),
    [anon_sym_testcontinuelegesher] = ACTIONS(1017),
    [anon_sym_testiflegesher] = ACTIONS(1017),
    [anon_sym_testasynclegesher] = ACTIONS(1017),
    [anon_sym_testforlegesher] = ACTIONS(1017),
    [anon_sym_testwhilelegesher] = ACTIONS(1017),
    [anon_sym_testtrylegesher] = ACTIONS(1017),
    [anon_sym_testwithlegesher] = ACTIONS(1017),
    [anon_sym_testdeflegesher] = ACTIONS(1017),
    [anon_sym_testgloballegesher] = ACTIONS(1017),
    [anon_sym_testnonlocallegesher] = ACTIONS(1017),
    [anon_sym_testexeclegesher] = ACTIONS(1017),
    [anon_sym_testclasslegesher] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1015),
    [anon_sym_testnotlegesher] = ACTIONS(1017),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1015),
    [anon_sym_testlambdalegesher] = ACTIONS(1017),
    [anon_sym_testyieldlegesher] = ACTIONS(1017),
    [anon_sym_LBRACK] = ACTIONS(1015),
    [sym_ellipsis] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1017),
    [sym_float] = ACTIONS(1015),
    [sym_true] = ACTIONS(1017),
    [sym_false] = ACTIONS(1017),
    [sym_none] = ACTIONS(1017),
    [anon_sym_testawaitlegesher] = ACTIONS(1017),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1015),
    [sym__string_start] = ACTIONS(1015),
  },
  [447] = {
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_testimportlegesher] = ACTIONS(1009),
    [anon_sym_testfromlegesher] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_testprintlegesher] = ACTIONS(1009),
    [anon_sym_testassertlegesher] = ACTIONS(1009),
    [anon_sym_testreturnlegesher] = ACTIONS(1009),
    [anon_sym_testdellegesher] = ACTIONS(1009),
    [anon_sym_testraiselegesher] = ACTIONS(1009),
    [anon_sym_testpasslegesher] = ACTIONS(1009),
    [anon_sym_testbreaklegesher] = ACTIONS(1009),
    [anon_sym_testcontinuelegesher] = ACTIONS(1009),
    [anon_sym_testiflegesher] = ACTIONS(1009),
    [anon_sym_testasynclegesher] = ACTIONS(1009),
    [anon_sym_testforlegesher] = ACTIONS(1009),
    [anon_sym_testwhilelegesher] = ACTIONS(1009),
    [anon_sym_testtrylegesher] = ACTIONS(1009),
    [anon_sym_testwithlegesher] = ACTIONS(1009),
    [anon_sym_testdeflegesher] = ACTIONS(1009),
    [anon_sym_testgloballegesher] = ACTIONS(1009),
    [anon_sym_testnonlocallegesher] = ACTIONS(1009),
    [anon_sym_testexeclegesher] = ACTIONS(1009),
    [anon_sym_testclasslegesher] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1007),
    [anon_sym_testnotlegesher] = ACTIONS(1009),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_testlambdalegesher] = ACTIONS(1009),
    [anon_sym_testyieldlegesher] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [sym_ellipsis] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1009),
    [sym_float] = ACTIONS(1007),
    [sym_true] = ACTIONS(1009),
    [sym_false] = ACTIONS(1009),
    [sym_none] = ACTIONS(1009),
    [anon_sym_testawaitlegesher] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1007),
    [sym__string_start] = ACTIONS(1007),
  },
  [448] = {
    [sym_identifier] = ACTIONS(1081),
    [anon_sym_testimportlegesher] = ACTIONS(1081),
    [anon_sym_testfromlegesher] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_testprintlegesher] = ACTIONS(1081),
    [anon_sym_testassertlegesher] = ACTIONS(1081),
    [anon_sym_testreturnlegesher] = ACTIONS(1081),
    [anon_sym_testdellegesher] = ACTIONS(1081),
    [anon_sym_testraiselegesher] = ACTIONS(1081),
    [anon_sym_testpasslegesher] = ACTIONS(1081),
    [anon_sym_testbreaklegesher] = ACTIONS(1081),
    [anon_sym_testcontinuelegesher] = ACTIONS(1081),
    [anon_sym_testiflegesher] = ACTIONS(1081),
    [anon_sym_testasynclegesher] = ACTIONS(1081),
    [anon_sym_testforlegesher] = ACTIONS(1081),
    [anon_sym_testwhilelegesher] = ACTIONS(1081),
    [anon_sym_testtrylegesher] = ACTIONS(1081),
    [anon_sym_testwithlegesher] = ACTIONS(1081),
    [anon_sym_testdeflegesher] = ACTIONS(1081),
    [anon_sym_testgloballegesher] = ACTIONS(1081),
    [anon_sym_testnonlocallegesher] = ACTIONS(1081),
    [anon_sym_testexeclegesher] = ACTIONS(1081),
    [anon_sym_testclasslegesher] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_testnotlegesher] = ACTIONS(1081),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_testlambdalegesher] = ACTIONS(1081),
    [anon_sym_testyieldlegesher] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [sym_ellipsis] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [sym_integer] = ACTIONS(1081),
    [sym_float] = ACTIONS(1079),
    [sym_true] = ACTIONS(1081),
    [sym_false] = ACTIONS(1081),
    [sym_none] = ACTIONS(1081),
    [anon_sym_testawaitlegesher] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1079),
    [sym__string_start] = ACTIONS(1079),
  },
  [449] = {
    [sym_identifier] = ACTIONS(1089),
    [anon_sym_testimportlegesher] = ACTIONS(1089),
    [anon_sym_testfromlegesher] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_testprintlegesher] = ACTIONS(1089),
    [anon_sym_testassertlegesher] = ACTIONS(1089),
    [anon_sym_testreturnlegesher] = ACTIONS(1089),
    [anon_sym_testdellegesher] = ACTIONS(1089),
    [anon_sym_testraiselegesher] = ACTIONS(1089),
    [anon_sym_testpasslegesher] = ACTIONS(1089),
    [anon_sym_testbreaklegesher] = ACTIONS(1089),
    [anon_sym_testcontinuelegesher] = ACTIONS(1089),
    [anon_sym_testiflegesher] = ACTIONS(1089),
    [anon_sym_testasynclegesher] = ACTIONS(1089),
    [anon_sym_testforlegesher] = ACTIONS(1089),
    [anon_sym_testwhilelegesher] = ACTIONS(1089),
    [anon_sym_testtrylegesher] = ACTIONS(1089),
    [anon_sym_testwithlegesher] = ACTIONS(1089),
    [anon_sym_testdeflegesher] = ACTIONS(1089),
    [anon_sym_testgloballegesher] = ACTIONS(1089),
    [anon_sym_testnonlocallegesher] = ACTIONS(1089),
    [anon_sym_testexeclegesher] = ACTIONS(1089),
    [anon_sym_testclasslegesher] = ACTIONS(1089),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_testnotlegesher] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1087),
    [anon_sym_DASH] = ACTIONS(1087),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_testlambdalegesher] = ACTIONS(1089),
    [anon_sym_testyieldlegesher] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [sym_ellipsis] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [sym_integer] = ACTIONS(1089),
    [sym_float] = ACTIONS(1087),
    [sym_true] = ACTIONS(1089),
    [sym_false] = ACTIONS(1089),
    [sym_none] = ACTIONS(1089),
    [anon_sym_testawaitlegesher] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1087),
    [sym__string_start] = ACTIONS(1087),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_identifier] = ACTIONS(1027),
    [anon_sym_testimportlegesher] = ACTIONS(1027),
    [anon_sym_testfromlegesher] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_testprintlegesher] = ACTIONS(1027),
    [anon_sym_testassertlegesher] = ACTIONS(1027),
    [anon_sym_testreturnlegesher] = ACTIONS(1027),
    [anon_sym_testdellegesher] = ACTIONS(1027),
    [anon_sym_testraiselegesher] = ACTIONS(1027),
    [anon_sym_testpasslegesher] = ACTIONS(1027),
    [anon_sym_testbreaklegesher] = ACTIONS(1027),
    [anon_sym_testcontinuelegesher] = ACTIONS(1027),
    [anon_sym_testiflegesher] = ACTIONS(1027),
    [anon_sym_testasynclegesher] = ACTIONS(1027),
    [anon_sym_testforlegesher] = ACTIONS(1027),
    [anon_sym_testwhilelegesher] = ACTIONS(1027),
    [anon_sym_testtrylegesher] = ACTIONS(1027),
    [anon_sym_testwithlegesher] = ACTIONS(1027),
    [anon_sym_testdeflegesher] = ACTIONS(1027),
    [anon_sym_testgloballegesher] = ACTIONS(1027),
    [anon_sym_testnonlocallegesher] = ACTIONS(1027),
    [anon_sym_testexeclegesher] = ACTIONS(1027),
    [anon_sym_testclasslegesher] = ACTIONS(1027),
    [anon_sym_AT] = ACTIONS(1029),
    [anon_sym_testnotlegesher] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_testlambdalegesher] = ACTIONS(1027),
    [anon_sym_testyieldlegesher] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [sym_ellipsis] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [sym_integer] = ACTIONS(1027),
    [sym_float] = ACTIONS(1029),
    [sym_true] = ACTIONS(1027),
    [sym_false] = ACTIONS(1027),
    [sym_none] = ACTIONS(1027),
    [anon_sym_testawaitlegesher] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1029),
  },
  [451] = {
    [sym_identifier] = ACTIONS(1091),
    [anon_sym_testimportlegesher] = ACTIONS(1091),
    [anon_sym_testfromlegesher] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_testprintlegesher] = ACTIONS(1091),
    [anon_sym_testassertlegesher] = ACTIONS(1091),
    [anon_sym_testreturnlegesher] = ACTIONS(1091),
    [anon_sym_testdellegesher] = ACTIONS(1091),
    [anon_sym_testraiselegesher] = ACTIONS(1091),
    [anon_sym_testpasslegesher] = ACTIONS(1091),
    [anon_sym_testbreaklegesher] = ACTIONS(1091),
    [anon_sym_testcontinuelegesher] = ACTIONS(1091),
    [anon_sym_testiflegesher] = ACTIONS(1091),
    [anon_sym_testasynclegesher] = ACTIONS(1091),
    [anon_sym_testforlegesher] = ACTIONS(1091),
    [anon_sym_testwhilelegesher] = ACTIONS(1091),
    [anon_sym_testtrylegesher] = ACTIONS(1091),
    [anon_sym_testwithlegesher] = ACTIONS(1091),
    [anon_sym_testdeflegesher] = ACTIONS(1091),
    [anon_sym_testgloballegesher] = ACTIONS(1091),
    [anon_sym_testnonlocallegesher] = ACTIONS(1091),
    [anon_sym_testexeclegesher] = ACTIONS(1091),
    [anon_sym_testclasslegesher] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1093),
    [anon_sym_testnotlegesher] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1093),
    [anon_sym_testlambdalegesher] = ACTIONS(1091),
    [anon_sym_testyieldlegesher] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [sym_ellipsis] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1093),
    [sym_true] = ACTIONS(1091),
    [sym_false] = ACTIONS(1091),
    [sym_none] = ACTIONS(1091),
    [anon_sym_testawaitlegesher] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1093),
    [sym__string_start] = ACTIONS(1093),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_identifier] = ACTIONS(1035),
    [anon_sym_testimportlegesher] = ACTIONS(1035),
    [anon_sym_testfromlegesher] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_testprintlegesher] = ACTIONS(1035),
    [anon_sym_testassertlegesher] = ACTIONS(1035),
    [anon_sym_testreturnlegesher] = ACTIONS(1035),
    [anon_sym_testdellegesher] = ACTIONS(1035),
    [anon_sym_testraiselegesher] = ACTIONS(1035),
    [anon_sym_testpasslegesher] = ACTIONS(1035),
    [anon_sym_testbreaklegesher] = ACTIONS(1035),
    [anon_sym_testcontinuelegesher] = ACTIONS(1035),
    [anon_sym_testiflegesher] = ACTIONS(1035),
    [anon_sym_testasynclegesher] = ACTIONS(1035),
    [anon_sym_testforlegesher] = ACTIONS(1035),
    [anon_sym_testwhilelegesher] = ACTIONS(1035),
    [anon_sym_testtrylegesher] = ACTIONS(1035),
    [anon_sym_testwithlegesher] = ACTIONS(1035),
    [anon_sym_testdeflegesher] = ACTIONS(1035),
    [anon_sym_testgloballegesher] = ACTIONS(1035),
    [anon_sym_testnonlocallegesher] = ACTIONS(1035),
    [anon_sym_testexeclegesher] = ACTIONS(1035),
    [anon_sym_testclasslegesher] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_testnotlegesher] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_testlambdalegesher] = ACTIONS(1035),
    [anon_sym_testyieldlegesher] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [sym_ellipsis] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1035),
    [sym_float] = ACTIONS(1037),
    [sym_true] = ACTIONS(1035),
    [sym_false] = ACTIONS(1035),
    [sym_none] = ACTIONS(1035),
    [anon_sym_testawaitlegesher] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1037),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1075),
    [anon_sym_testimportlegesher] = ACTIONS(1075),
    [anon_sym_testfromlegesher] = ACTIONS(1075),
    [anon_sym_LPAREN] = ACTIONS(1077),
    [anon_sym_testprintlegesher] = ACTIONS(1075),
    [anon_sym_testassertlegesher] = ACTIONS(1075),
    [anon_sym_testreturnlegesher] = ACTIONS(1075),
    [anon_sym_testdellegesher] = ACTIONS(1075),
    [anon_sym_testraiselegesher] = ACTIONS(1075),
    [anon_sym_testpasslegesher] = ACTIONS(1075),
    [anon_sym_testbreaklegesher] = ACTIONS(1075),
    [anon_sym_testcontinuelegesher] = ACTIONS(1075),
    [anon_sym_testiflegesher] = ACTIONS(1075),
    [anon_sym_testasynclegesher] = ACTIONS(1075),
    [anon_sym_testforlegesher] = ACTIONS(1075),
    [anon_sym_testwhilelegesher] = ACTIONS(1075),
    [anon_sym_testtrylegesher] = ACTIONS(1075),
    [anon_sym_testwithlegesher] = ACTIONS(1075),
    [anon_sym_testdeflegesher] = ACTIONS(1075),
    [anon_sym_testgloballegesher] = ACTIONS(1075),
    [anon_sym_testnonlocallegesher] = ACTIONS(1075),
    [anon_sym_testexeclegesher] = ACTIONS(1075),
    [anon_sym_testclasslegesher] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1077),
    [anon_sym_testnotlegesher] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_testlambdalegesher] = ACTIONS(1075),
    [anon_sym_testyieldlegesher] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [sym_ellipsis] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1075),
    [sym_float] = ACTIONS(1077),
    [sym_true] = ACTIONS(1075),
    [sym_false] = ACTIONS(1075),
    [sym_none] = ACTIONS(1075),
    [anon_sym_testawaitlegesher] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1077),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_identifier] = ACTIONS(1039),
    [anon_sym_testimportlegesher] = ACTIONS(1039),
    [anon_sym_testfromlegesher] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_testprintlegesher] = ACTIONS(1039),
    [anon_sym_testassertlegesher] = ACTIONS(1039),
    [anon_sym_testreturnlegesher] = ACTIONS(1039),
    [anon_sym_testdellegesher] = ACTIONS(1039),
    [anon_sym_testraiselegesher] = ACTIONS(1039),
    [anon_sym_testpasslegesher] = ACTIONS(1039),
    [anon_sym_testbreaklegesher] = ACTIONS(1039),
    [anon_sym_testcontinuelegesher] = ACTIONS(1039),
    [anon_sym_testiflegesher] = ACTIONS(1039),
    [anon_sym_testasynclegesher] = ACTIONS(1039),
    [anon_sym_testforlegesher] = ACTIONS(1039),
    [anon_sym_testwhilelegesher] = ACTIONS(1039),
    [anon_sym_testtrylegesher] = ACTIONS(1039),
    [anon_sym_testwithlegesher] = ACTIONS(1039),
    [anon_sym_testdeflegesher] = ACTIONS(1039),
    [anon_sym_testgloballegesher] = ACTIONS(1039),
    [anon_sym_testnonlocallegesher] = ACTIONS(1039),
    [anon_sym_testexeclegesher] = ACTIONS(1039),
    [anon_sym_testclasslegesher] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1041),
    [anon_sym_testnotlegesher] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_testlambdalegesher] = ACTIONS(1039),
    [anon_sym_testyieldlegesher] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [sym_ellipsis] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1039),
    [sym_float] = ACTIONS(1041),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [sym_none] = ACTIONS(1039),
    [anon_sym_testawaitlegesher] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1041),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym_identifier] = ACTIONS(1043),
    [anon_sym_testimportlegesher] = ACTIONS(1043),
    [anon_sym_testfromlegesher] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_testprintlegesher] = ACTIONS(1043),
    [anon_sym_testassertlegesher] = ACTIONS(1043),
    [anon_sym_testreturnlegesher] = ACTIONS(1043),
    [anon_sym_testdellegesher] = ACTIONS(1043),
    [anon_sym_testraiselegesher] = ACTIONS(1043),
    [anon_sym_testpasslegesher] = ACTIONS(1043),
    [anon_sym_testbreaklegesher] = ACTIONS(1043),
    [anon_sym_testcontinuelegesher] = ACTIONS(1043),
    [anon_sym_testiflegesher] = ACTIONS(1043),
    [anon_sym_testasynclegesher] = ACTIONS(1043),
    [anon_sym_testforlegesher] = ACTIONS(1043),
    [anon_sym_testwhilelegesher] = ACTIONS(1043),
    [anon_sym_testtrylegesher] = ACTIONS(1043),
    [anon_sym_testwithlegesher] = ACTIONS(1043),
    [anon_sym_testdeflegesher] = ACTIONS(1043),
    [anon_sym_testgloballegesher] = ACTIONS(1043),
    [anon_sym_testnonlocallegesher] = ACTIONS(1043),
    [anon_sym_testexeclegesher] = ACTIONS(1043),
    [anon_sym_testclasslegesher] = ACTIONS(1043),
    [anon_sym_AT] = ACTIONS(1045),
    [anon_sym_testnotlegesher] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_testlambdalegesher] = ACTIONS(1043),
    [anon_sym_testyieldlegesher] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [sym_ellipsis] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1043),
    [sym_float] = ACTIONS(1045),
    [sym_true] = ACTIONS(1043),
    [sym_false] = ACTIONS(1043),
    [sym_none] = ACTIONS(1043),
    [anon_sym_testawaitlegesher] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1045),
  },
  [456] = {
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_testimportlegesher] = ACTIONS(1095),
    [anon_sym_testfromlegesher] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1097),
    [anon_sym_testprintlegesher] = ACTIONS(1095),
    [anon_sym_testassertlegesher] = ACTIONS(1095),
    [anon_sym_testreturnlegesher] = ACTIONS(1095),
    [anon_sym_testdellegesher] = ACTIONS(1095),
    [anon_sym_testraiselegesher] = ACTIONS(1095),
    [anon_sym_testpasslegesher] = ACTIONS(1095),
    [anon_sym_testbreaklegesher] = ACTIONS(1095),
    [anon_sym_testcontinuelegesher] = ACTIONS(1095),
    [anon_sym_testiflegesher] = ACTIONS(1095),
    [anon_sym_testasynclegesher] = ACTIONS(1095),
    [anon_sym_testforlegesher] = ACTIONS(1095),
    [anon_sym_testwhilelegesher] = ACTIONS(1095),
    [anon_sym_testtrylegesher] = ACTIONS(1095),
    [anon_sym_testwithlegesher] = ACTIONS(1095),
    [anon_sym_testdeflegesher] = ACTIONS(1095),
    [anon_sym_testgloballegesher] = ACTIONS(1095),
    [anon_sym_testnonlocallegesher] = ACTIONS(1095),
    [anon_sym_testexeclegesher] = ACTIONS(1095),
    [anon_sym_testclasslegesher] = ACTIONS(1095),
    [anon_sym_AT] = ACTIONS(1097),
    [anon_sym_testnotlegesher] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_testlambdalegesher] = ACTIONS(1095),
    [anon_sym_testyieldlegesher] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [sym_ellipsis] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1097),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1097),
    [sym_true] = ACTIONS(1095),
    [sym_false] = ACTIONS(1095),
    [sym_none] = ACTIONS(1095),
    [anon_sym_testawaitlegesher] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1097),
    [sym__string_start] = ACTIONS(1097),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym_identifier] = ACTIONS(1047),
    [anon_sym_testimportlegesher] = ACTIONS(1047),
    [anon_sym_testfromlegesher] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_testprintlegesher] = ACTIONS(1047),
    [anon_sym_testassertlegesher] = ACTIONS(1047),
    [anon_sym_testreturnlegesher] = ACTIONS(1047),
    [anon_sym_testdellegesher] = ACTIONS(1047),
    [anon_sym_testraiselegesher] = ACTIONS(1047),
    [anon_sym_testpasslegesher] = ACTIONS(1047),
    [anon_sym_testbreaklegesher] = ACTIONS(1047),
    [anon_sym_testcontinuelegesher] = ACTIONS(1047),
    [anon_sym_testiflegesher] = ACTIONS(1047),
    [anon_sym_testasynclegesher] = ACTIONS(1047),
    [anon_sym_testforlegesher] = ACTIONS(1047),
    [anon_sym_testwhilelegesher] = ACTIONS(1047),
    [anon_sym_testtrylegesher] = ACTIONS(1047),
    [anon_sym_testwithlegesher] = ACTIONS(1047),
    [anon_sym_testdeflegesher] = ACTIONS(1047),
    [anon_sym_testgloballegesher] = ACTIONS(1047),
    [anon_sym_testnonlocallegesher] = ACTIONS(1047),
    [anon_sym_testexeclegesher] = ACTIONS(1047),
    [anon_sym_testclasslegesher] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1049),
    [anon_sym_testnotlegesher] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_testlambdalegesher] = ACTIONS(1047),
    [anon_sym_testyieldlegesher] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [sym_ellipsis] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1047),
    [sym_float] = ACTIONS(1049),
    [sym_true] = ACTIONS(1047),
    [sym_false] = ACTIONS(1047),
    [sym_none] = ACTIONS(1047),
    [anon_sym_testawaitlegesher] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1049),
  },
  [458] = {
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_testimportlegesher] = ACTIONS(1099),
    [anon_sym_testfromlegesher] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_testprintlegesher] = ACTIONS(1099),
    [anon_sym_testassertlegesher] = ACTIONS(1099),
    [anon_sym_testreturnlegesher] = ACTIONS(1099),
    [anon_sym_testdellegesher] = ACTIONS(1099),
    [anon_sym_testraiselegesher] = ACTIONS(1099),
    [anon_sym_testpasslegesher] = ACTIONS(1099),
    [anon_sym_testbreaklegesher] = ACTIONS(1099),
    [anon_sym_testcontinuelegesher] = ACTIONS(1099),
    [anon_sym_testiflegesher] = ACTIONS(1099),
    [anon_sym_testasynclegesher] = ACTIONS(1099),
    [anon_sym_testforlegesher] = ACTIONS(1099),
    [anon_sym_testwhilelegesher] = ACTIONS(1099),
    [anon_sym_testtrylegesher] = ACTIONS(1099),
    [anon_sym_testwithlegesher] = ACTIONS(1099),
    [anon_sym_testdeflegesher] = ACTIONS(1099),
    [anon_sym_testgloballegesher] = ACTIONS(1099),
    [anon_sym_testnonlocallegesher] = ACTIONS(1099),
    [anon_sym_testexeclegesher] = ACTIONS(1099),
    [anon_sym_testclasslegesher] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1101),
    [anon_sym_testnotlegesher] = ACTIONS(1099),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_testlambdalegesher] = ACTIONS(1099),
    [anon_sym_testyieldlegesher] = ACTIONS(1099),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [sym_ellipsis] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [sym_integer] = ACTIONS(1099),
    [sym_float] = ACTIONS(1101),
    [sym_true] = ACTIONS(1099),
    [sym_false] = ACTIONS(1099),
    [sym_none] = ACTIONS(1099),
    [anon_sym_testawaitlegesher] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(1101),
    [sym__string_start] = ACTIONS(1101),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(1051),
    [anon_sym_testimportlegesher] = ACTIONS(1051),
    [anon_sym_testfromlegesher] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1053),
    [anon_sym_testprintlegesher] = ACTIONS(1051),
    [anon_sym_testassertlegesher] = ACTIONS(1051),
    [anon_sym_testreturnlegesher] = ACTIONS(1051),
    [anon_sym_testdellegesher] = ACTIONS(1051),
    [anon_sym_testraiselegesher] = ACTIONS(1051),
    [anon_sym_testpasslegesher] = ACTIONS(1051),
    [anon_sym_testbreaklegesher] = ACTIONS(1051),
    [anon_sym_testcontinuelegesher] = ACTIONS(1051),
    [anon_sym_testiflegesher] = ACTIONS(1051),
    [anon_sym_testasynclegesher] = ACTIONS(1051),
    [anon_sym_testforlegesher] = ACTIONS(1051),
    [anon_sym_testwhilelegesher] = ACTIONS(1051),
    [anon_sym_testtrylegesher] = ACTIONS(1051),
    [anon_sym_testwithlegesher] = ACTIONS(1051),
    [anon_sym_testdeflegesher] = ACTIONS(1051),
    [anon_sym_testgloballegesher] = ACTIONS(1051),
    [anon_sym_testnonlocallegesher] = ACTIONS(1051),
    [anon_sym_testexeclegesher] = ACTIONS(1051),
    [anon_sym_testclasslegesher] = ACTIONS(1051),
    [anon_sym_AT] = ACTIONS(1053),
    [anon_sym_testnotlegesher] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1053),
    [anon_sym_testlambdalegesher] = ACTIONS(1051),
    [anon_sym_testyieldlegesher] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [sym_ellipsis] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [sym_integer] = ACTIONS(1051),
    [sym_float] = ACTIONS(1053),
    [sym_true] = ACTIONS(1051),
    [sym_false] = ACTIONS(1051),
    [sym_none] = ACTIONS(1051),
    [anon_sym_testawaitlegesher] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1053),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(973),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_testimportlegesher] = ACTIONS(971),
    [anon_sym_testfromlegesher] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_testprintlegesher] = ACTIONS(971),
    [anon_sym_testassertlegesher] = ACTIONS(971),
    [anon_sym_testreturnlegesher] = ACTIONS(971),
    [anon_sym_testdellegesher] = ACTIONS(971),
    [anon_sym_testraiselegesher] = ACTIONS(971),
    [anon_sym_testpasslegesher] = ACTIONS(971),
    [anon_sym_testbreaklegesher] = ACTIONS(971),
    [anon_sym_testcontinuelegesher] = ACTIONS(971),
    [anon_sym_testiflegesher] = ACTIONS(971),
    [anon_sym_testasynclegesher] = ACTIONS(971),
    [anon_sym_testforlegesher] = ACTIONS(971),
    [anon_sym_testwhilelegesher] = ACTIONS(971),
    [anon_sym_testtrylegesher] = ACTIONS(971),
    [anon_sym_testwithlegesher] = ACTIONS(971),
    [anon_sym_testdeflegesher] = ACTIONS(971),
    [anon_sym_testgloballegesher] = ACTIONS(971),
    [anon_sym_testnonlocallegesher] = ACTIONS(971),
    [anon_sym_testexeclegesher] = ACTIONS(971),
    [anon_sym_testclasslegesher] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_testnotlegesher] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(973),
    [anon_sym_testlambdalegesher] = ACTIONS(971),
    [anon_sym_testyieldlegesher] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(973),
    [sym_ellipsis] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(973),
    [sym_integer] = ACTIONS(971),
    [sym_float] = ACTIONS(973),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_none] = ACTIONS(971),
    [anon_sym_testawaitlegesher] = ACTIONS(971),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(973),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_testimportlegesher] = ACTIONS(925),
    [anon_sym_testfromlegesher] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_testprintlegesher] = ACTIONS(925),
    [anon_sym_testassertlegesher] = ACTIONS(925),
    [anon_sym_testreturnlegesher] = ACTIONS(925),
    [anon_sym_testdellegesher] = ACTIONS(925),
    [anon_sym_testraiselegesher] = ACTIONS(925),
    [anon_sym_testpasslegesher] = ACTIONS(925),
    [anon_sym_testbreaklegesher] = ACTIONS(925),
    [anon_sym_testcontinuelegesher] = ACTIONS(925),
    [anon_sym_testiflegesher] = ACTIONS(925),
    [anon_sym_testasynclegesher] = ACTIONS(925),
    [anon_sym_testforlegesher] = ACTIONS(925),
    [anon_sym_testwhilelegesher] = ACTIONS(925),
    [anon_sym_testtrylegesher] = ACTIONS(925),
    [anon_sym_testwithlegesher] = ACTIONS(925),
    [anon_sym_testdeflegesher] = ACTIONS(925),
    [anon_sym_testgloballegesher] = ACTIONS(925),
    [anon_sym_testnonlocallegesher] = ACTIONS(925),
    [anon_sym_testexeclegesher] = ACTIONS(925),
    [anon_sym_testclasslegesher] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(927),
    [anon_sym_testnotlegesher] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_testlambdalegesher] = ACTIONS(925),
    [anon_sym_testyieldlegesher] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_ellipsis] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [sym_integer] = ACTIONS(925),
    [sym_float] = ACTIONS(927),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_none] = ACTIONS(925),
    [anon_sym_testawaitlegesher] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(927),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1093),
    [sym_identifier] = ACTIONS(1091),
    [anon_sym_testimportlegesher] = ACTIONS(1091),
    [anon_sym_testfromlegesher] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_testprintlegesher] = ACTIONS(1091),
    [anon_sym_testassertlegesher] = ACTIONS(1091),
    [anon_sym_testreturnlegesher] = ACTIONS(1091),
    [anon_sym_testdellegesher] = ACTIONS(1091),
    [anon_sym_testraiselegesher] = ACTIONS(1091),
    [anon_sym_testpasslegesher] = ACTIONS(1091),
    [anon_sym_testbreaklegesher] = ACTIONS(1091),
    [anon_sym_testcontinuelegesher] = ACTIONS(1091),
    [anon_sym_testiflegesher] = ACTIONS(1091),
    [anon_sym_testasynclegesher] = ACTIONS(1091),
    [anon_sym_testforlegesher] = ACTIONS(1091),
    [anon_sym_testwhilelegesher] = ACTIONS(1091),
    [anon_sym_testtrylegesher] = ACTIONS(1091),
    [anon_sym_testwithlegesher] = ACTIONS(1091),
    [anon_sym_testdeflegesher] = ACTIONS(1091),
    [anon_sym_testgloballegesher] = ACTIONS(1091),
    [anon_sym_testnonlocallegesher] = ACTIONS(1091),
    [anon_sym_testexeclegesher] = ACTIONS(1091),
    [anon_sym_testclasslegesher] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1093),
    [anon_sym_testnotlegesher] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1093),
    [anon_sym_testlambdalegesher] = ACTIONS(1091),
    [anon_sym_testyieldlegesher] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [sym_ellipsis] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1091),
    [sym_float] = ACTIONS(1093),
    [sym_true] = ACTIONS(1091),
    [sym_false] = ACTIONS(1091),
    [sym_none] = ACTIONS(1091),
    [anon_sym_testawaitlegesher] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1093),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1083),
    [anon_sym_testimportlegesher] = ACTIONS(1083),
    [anon_sym_testfromlegesher] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_testprintlegesher] = ACTIONS(1083),
    [anon_sym_testassertlegesher] = ACTIONS(1083),
    [anon_sym_testreturnlegesher] = ACTIONS(1083),
    [anon_sym_testdellegesher] = ACTIONS(1083),
    [anon_sym_testraiselegesher] = ACTIONS(1083),
    [anon_sym_testpasslegesher] = ACTIONS(1083),
    [anon_sym_testbreaklegesher] = ACTIONS(1083),
    [anon_sym_testcontinuelegesher] = ACTIONS(1083),
    [anon_sym_testiflegesher] = ACTIONS(1083),
    [anon_sym_testasynclegesher] = ACTIONS(1083),
    [anon_sym_testforlegesher] = ACTIONS(1083),
    [anon_sym_testwhilelegesher] = ACTIONS(1083),
    [anon_sym_testtrylegesher] = ACTIONS(1083),
    [anon_sym_testwithlegesher] = ACTIONS(1083),
    [anon_sym_testdeflegesher] = ACTIONS(1083),
    [anon_sym_testgloballegesher] = ACTIONS(1083),
    [anon_sym_testnonlocallegesher] = ACTIONS(1083),
    [anon_sym_testexeclegesher] = ACTIONS(1083),
    [anon_sym_testclasslegesher] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1085),
    [anon_sym_testnotlegesher] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1085),
    [anon_sym_testlambdalegesher] = ACTIONS(1083),
    [anon_sym_testyieldlegesher] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [sym_ellipsis] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1083),
    [sym_float] = ACTIONS(1085),
    [sym_true] = ACTIONS(1083),
    [sym_false] = ACTIONS(1083),
    [sym_none] = ACTIONS(1083),
    [anon_sym_testawaitlegesher] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1085),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1097),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_testimportlegesher] = ACTIONS(1095),
    [anon_sym_testfromlegesher] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1097),
    [anon_sym_testprintlegesher] = ACTIONS(1095),
    [anon_sym_testassertlegesher] = ACTIONS(1095),
    [anon_sym_testreturnlegesher] = ACTIONS(1095),
    [anon_sym_testdellegesher] = ACTIONS(1095),
    [anon_sym_testraiselegesher] = ACTIONS(1095),
    [anon_sym_testpasslegesher] = ACTIONS(1095),
    [anon_sym_testbreaklegesher] = ACTIONS(1095),
    [anon_sym_testcontinuelegesher] = ACTIONS(1095),
    [anon_sym_testiflegesher] = ACTIONS(1095),
    [anon_sym_testasynclegesher] = ACTIONS(1095),
    [anon_sym_testforlegesher] = ACTIONS(1095),
    [anon_sym_testwhilelegesher] = ACTIONS(1095),
    [anon_sym_testtrylegesher] = ACTIONS(1095),
    [anon_sym_testwithlegesher] = ACTIONS(1095),
    [anon_sym_testdeflegesher] = ACTIONS(1095),
    [anon_sym_testgloballegesher] = ACTIONS(1095),
    [anon_sym_testnonlocallegesher] = ACTIONS(1095),
    [anon_sym_testexeclegesher] = ACTIONS(1095),
    [anon_sym_testclasslegesher] = ACTIONS(1095),
    [anon_sym_AT] = ACTIONS(1097),
    [anon_sym_testnotlegesher] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_testlambdalegesher] = ACTIONS(1095),
    [anon_sym_testyieldlegesher] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [sym_ellipsis] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1097),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1097),
    [sym_true] = ACTIONS(1095),
    [sym_false] = ACTIONS(1095),
    [sym_none] = ACTIONS(1095),
    [anon_sym_testawaitlegesher] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1097),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(536),
    [sym_identifier] = ACTIONS(534),
    [anon_sym_testimportlegesher] = ACTIONS(534),
    [anon_sym_testfromlegesher] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_testprintlegesher] = ACTIONS(534),
    [anon_sym_testassertlegesher] = ACTIONS(534),
    [anon_sym_testreturnlegesher] = ACTIONS(534),
    [anon_sym_testdellegesher] = ACTIONS(534),
    [anon_sym_testraiselegesher] = ACTIONS(534),
    [anon_sym_testpasslegesher] = ACTIONS(534),
    [anon_sym_testbreaklegesher] = ACTIONS(534),
    [anon_sym_testcontinuelegesher] = ACTIONS(534),
    [anon_sym_testiflegesher] = ACTIONS(534),
    [anon_sym_testasynclegesher] = ACTIONS(534),
    [anon_sym_testforlegesher] = ACTIONS(534),
    [anon_sym_testwhilelegesher] = ACTIONS(534),
    [anon_sym_testtrylegesher] = ACTIONS(534),
    [anon_sym_testwithlegesher] = ACTIONS(534),
    [anon_sym_testdeflegesher] = ACTIONS(534),
    [anon_sym_testgloballegesher] = ACTIONS(534),
    [anon_sym_testnonlocallegesher] = ACTIONS(534),
    [anon_sym_testexeclegesher] = ACTIONS(534),
    [anon_sym_testclasslegesher] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(536),
    [anon_sym_testnotlegesher] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(536),
    [anon_sym_testlambdalegesher] = ACTIONS(534),
    [anon_sym_testyieldlegesher] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(536),
    [sym_ellipsis] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [sym_integer] = ACTIONS(534),
    [sym_float] = ACTIONS(536),
    [sym_true] = ACTIONS(534),
    [sym_false] = ACTIONS(534),
    [sym_none] = ACTIONS(534),
    [anon_sym_testawaitlegesher] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(536),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_identifier] = ACTIONS(1055),
    [anon_sym_testimportlegesher] = ACTIONS(1055),
    [anon_sym_testfromlegesher] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_testprintlegesher] = ACTIONS(1055),
    [anon_sym_testassertlegesher] = ACTIONS(1055),
    [anon_sym_testreturnlegesher] = ACTIONS(1055),
    [anon_sym_testdellegesher] = ACTIONS(1055),
    [anon_sym_testraiselegesher] = ACTIONS(1055),
    [anon_sym_testpasslegesher] = ACTIONS(1055),
    [anon_sym_testbreaklegesher] = ACTIONS(1055),
    [anon_sym_testcontinuelegesher] = ACTIONS(1055),
    [anon_sym_testiflegesher] = ACTIONS(1055),
    [anon_sym_testasynclegesher] = ACTIONS(1055),
    [anon_sym_testforlegesher] = ACTIONS(1055),
    [anon_sym_testwhilelegesher] = ACTIONS(1055),
    [anon_sym_testtrylegesher] = ACTIONS(1055),
    [anon_sym_testwithlegesher] = ACTIONS(1055),
    [anon_sym_testdeflegesher] = ACTIONS(1055),
    [anon_sym_testgloballegesher] = ACTIONS(1055),
    [anon_sym_testnonlocallegesher] = ACTIONS(1055),
    [anon_sym_testexeclegesher] = ACTIONS(1055),
    [anon_sym_testclasslegesher] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(1057),
    [anon_sym_testnotlegesher] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_testlambdalegesher] = ACTIONS(1055),
    [anon_sym_testyieldlegesher] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [sym_ellipsis] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [sym_integer] = ACTIONS(1055),
    [sym_float] = ACTIONS(1057),
    [sym_true] = ACTIONS(1055),
    [sym_false] = ACTIONS(1055),
    [sym_none] = ACTIONS(1055),
    [anon_sym_testawaitlegesher] = ACTIONS(1055),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1057),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1061),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_testimportlegesher] = ACTIONS(1059),
    [anon_sym_testfromlegesher] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_testprintlegesher] = ACTIONS(1059),
    [anon_sym_testassertlegesher] = ACTIONS(1059),
    [anon_sym_testreturnlegesher] = ACTIONS(1059),
    [anon_sym_testdellegesher] = ACTIONS(1059),
    [anon_sym_testraiselegesher] = ACTIONS(1059),
    [anon_sym_testpasslegesher] = ACTIONS(1059),
    [anon_sym_testbreaklegesher] = ACTIONS(1059),
    [anon_sym_testcontinuelegesher] = ACTIONS(1059),
    [anon_sym_testiflegesher] = ACTIONS(1059),
    [anon_sym_testasynclegesher] = ACTIONS(1059),
    [anon_sym_testforlegesher] = ACTIONS(1059),
    [anon_sym_testwhilelegesher] = ACTIONS(1059),
    [anon_sym_testtrylegesher] = ACTIONS(1059),
    [anon_sym_testwithlegesher] = ACTIONS(1059),
    [anon_sym_testdeflegesher] = ACTIONS(1059),
    [anon_sym_testgloballegesher] = ACTIONS(1059),
    [anon_sym_testnonlocallegesher] = ACTIONS(1059),
    [anon_sym_testexeclegesher] = ACTIONS(1059),
    [anon_sym_testclasslegesher] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(1061),
    [anon_sym_testnotlegesher] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_TILDE] = ACTIONS(1061),
    [anon_sym_testlambdalegesher] = ACTIONS(1059),
    [anon_sym_testyieldlegesher] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [sym_ellipsis] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [sym_integer] = ACTIONS(1059),
    [sym_float] = ACTIONS(1061),
    [sym_true] = ACTIONS(1059),
    [sym_false] = ACTIONS(1059),
    [sym_none] = ACTIONS(1059),
    [anon_sym_testawaitlegesher] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1061),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1069),
    [sym_identifier] = ACTIONS(1067),
    [anon_sym_testimportlegesher] = ACTIONS(1067),
    [anon_sym_testfromlegesher] = ACTIONS(1067),
    [anon_sym_LPAREN] = ACTIONS(1069),
    [anon_sym_testprintlegesher] = ACTIONS(1067),
    [anon_sym_testassertlegesher] = ACTIONS(1067),
    [anon_sym_testreturnlegesher] = ACTIONS(1067),
    [anon_sym_testdellegesher] = ACTIONS(1067),
    [anon_sym_testraiselegesher] = ACTIONS(1067),
    [anon_sym_testpasslegesher] = ACTIONS(1067),
    [anon_sym_testbreaklegesher] = ACTIONS(1067),
    [anon_sym_testcontinuelegesher] = ACTIONS(1067),
    [anon_sym_testiflegesher] = ACTIONS(1067),
    [anon_sym_testasynclegesher] = ACTIONS(1067),
    [anon_sym_testforlegesher] = ACTIONS(1067),
    [anon_sym_testwhilelegesher] = ACTIONS(1067),
    [anon_sym_testtrylegesher] = ACTIONS(1067),
    [anon_sym_testwithlegesher] = ACTIONS(1067),
    [anon_sym_testdeflegesher] = ACTIONS(1067),
    [anon_sym_testgloballegesher] = ACTIONS(1067),
    [anon_sym_testnonlocallegesher] = ACTIONS(1067),
    [anon_sym_testexeclegesher] = ACTIONS(1067),
    [anon_sym_testclasslegesher] = ACTIONS(1067),
    [anon_sym_AT] = ACTIONS(1069),
    [anon_sym_testnotlegesher] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_TILDE] = ACTIONS(1069),
    [anon_sym_testlambdalegesher] = ACTIONS(1067),
    [anon_sym_testyieldlegesher] = ACTIONS(1067),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [sym_ellipsis] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1069),
    [sym_integer] = ACTIONS(1067),
    [sym_float] = ACTIONS(1069),
    [sym_true] = ACTIONS(1067),
    [sym_false] = ACTIONS(1067),
    [sym_none] = ACTIONS(1067),
    [anon_sym_testawaitlegesher] = ACTIONS(1067),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1069),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1073),
    [sym_identifier] = ACTIONS(1071),
    [anon_sym_testimportlegesher] = ACTIONS(1071),
    [anon_sym_testfromlegesher] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_testprintlegesher] = ACTIONS(1071),
    [anon_sym_testassertlegesher] = ACTIONS(1071),
    [anon_sym_testreturnlegesher] = ACTIONS(1071),
    [anon_sym_testdellegesher] = ACTIONS(1071),
    [anon_sym_testraiselegesher] = ACTIONS(1071),
    [anon_sym_testpasslegesher] = ACTIONS(1071),
    [anon_sym_testbreaklegesher] = ACTIONS(1071),
    [anon_sym_testcontinuelegesher] = ACTIONS(1071),
    [anon_sym_testiflegesher] = ACTIONS(1071),
    [anon_sym_testasynclegesher] = ACTIONS(1071),
    [anon_sym_testforlegesher] = ACTIONS(1071),
    [anon_sym_testwhilelegesher] = ACTIONS(1071),
    [anon_sym_testtrylegesher] = ACTIONS(1071),
    [anon_sym_testwithlegesher] = ACTIONS(1071),
    [anon_sym_testdeflegesher] = ACTIONS(1071),
    [anon_sym_testgloballegesher] = ACTIONS(1071),
    [anon_sym_testnonlocallegesher] = ACTIONS(1071),
    [anon_sym_testexeclegesher] = ACTIONS(1071),
    [anon_sym_testclasslegesher] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1073),
    [anon_sym_testnotlegesher] = ACTIONS(1071),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1073),
    [anon_sym_testlambdalegesher] = ACTIONS(1071),
    [anon_sym_testyieldlegesher] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [sym_ellipsis] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1071),
    [sym_float] = ACTIONS(1073),
    [sym_true] = ACTIONS(1071),
    [sym_false] = ACTIONS(1071),
    [sym_none] = ACTIONS(1071),
    [anon_sym_testawaitlegesher] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1073),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1101),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_testimportlegesher] = ACTIONS(1099),
    [anon_sym_testfromlegesher] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_testprintlegesher] = ACTIONS(1099),
    [anon_sym_testassertlegesher] = ACTIONS(1099),
    [anon_sym_testreturnlegesher] = ACTIONS(1099),
    [anon_sym_testdellegesher] = ACTIONS(1099),
    [anon_sym_testraiselegesher] = ACTIONS(1099),
    [anon_sym_testpasslegesher] = ACTIONS(1099),
    [anon_sym_testbreaklegesher] = ACTIONS(1099),
    [anon_sym_testcontinuelegesher] = ACTIONS(1099),
    [anon_sym_testiflegesher] = ACTIONS(1099),
    [anon_sym_testasynclegesher] = ACTIONS(1099),
    [anon_sym_testforlegesher] = ACTIONS(1099),
    [anon_sym_testwhilelegesher] = ACTIONS(1099),
    [anon_sym_testtrylegesher] = ACTIONS(1099),
    [anon_sym_testwithlegesher] = ACTIONS(1099),
    [anon_sym_testdeflegesher] = ACTIONS(1099),
    [anon_sym_testgloballegesher] = ACTIONS(1099),
    [anon_sym_testnonlocallegesher] = ACTIONS(1099),
    [anon_sym_testexeclegesher] = ACTIONS(1099),
    [anon_sym_testclasslegesher] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1101),
    [anon_sym_testnotlegesher] = ACTIONS(1099),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_testlambdalegesher] = ACTIONS(1099),
    [anon_sym_testyieldlegesher] = ACTIONS(1099),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [sym_ellipsis] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [sym_integer] = ACTIONS(1099),
    [sym_float] = ACTIONS(1101),
    [sym_true] = ACTIONS(1099),
    [sym_false] = ACTIONS(1099),
    [sym_none] = ACTIONS(1099),
    [anon_sym_testawaitlegesher] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1101),
  },
  [471] = {
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_RPAREN] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_testaslegesher] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_testiflegesher] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(478),
    [anon_sym_testelselegesher] = ACTIONS(476),
    [anon_sym_testasynclegesher] = ACTIONS(476),
    [anon_sym_testforlegesher] = ACTIONS(476),
    [anon_sym_testinlegesher] = ACTIONS(476),
    [anon_sym_EQ] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_testnotlegesher] = ACTIONS(476),
    [anon_sym_testandlegesher] = ACTIONS(476),
    [anon_sym_testorlegesher] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_SLASH_SLASH] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT_GT] = ACTIONS(476),
    [anon_sym_testislegesher] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_RBRACK] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [sym_type_conversion] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [anon_sym_DOT] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_RPAREN] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_testaslegesher] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(642),
    [anon_sym_testiflegesher] = ACTIONS(642),
    [anon_sym_COLON] = ACTIONS(642),
    [anon_sym_testelselegesher] = ACTIONS(642),
    [anon_sym_testasynclegesher] = ACTIONS(642),
    [anon_sym_testforlegesher] = ACTIONS(642),
    [anon_sym_testinlegesher] = ACTIONS(642),
    [anon_sym_EQ] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(642),
    [anon_sym_testnotlegesher] = ACTIONS(642),
    [anon_sym_testandlegesher] = ACTIONS(642),
    [anon_sym_testorlegesher] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_AMP] = ACTIONS(642),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_EQ_EQ] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(644),
    [anon_sym_LT_GT] = ACTIONS(642),
    [anon_sym_testislegesher] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(642),
    [anon_sym_RBRACK] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [sym_type_conversion] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [anon_sym_DOT] = ACTIONS(688),
    [anon_sym_LPAREN] = ACTIONS(688),
    [anon_sym_RPAREN] = ACTIONS(688),
    [anon_sym_COMMA] = ACTIONS(688),
    [anon_sym_testaslegesher] = ACTIONS(688),
    [anon_sym_STAR] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(688),
    [anon_sym_testiflegesher] = ACTIONS(688),
    [anon_sym_COLON] = ACTIONS(688),
    [anon_sym_testelselegesher] = ACTIONS(688),
    [anon_sym_testasynclegesher] = ACTIONS(688),
    [anon_sym_testforlegesher] = ACTIONS(688),
    [anon_sym_testinlegesher] = ACTIONS(688),
    [anon_sym_EQ] = ACTIONS(690),
    [anon_sym_AT] = ACTIONS(688),
    [anon_sym_testnotlegesher] = ACTIONS(688),
    [anon_sym_testandlegesher] = ACTIONS(688),
    [anon_sym_testorlegesher] = ACTIONS(688),
    [anon_sym_PLUS] = ACTIONS(688),
    [anon_sym_DASH] = ACTIONS(688),
    [anon_sym_SLASH] = ACTIONS(690),
    [anon_sym_PERCENT] = ACTIONS(688),
    [anon_sym_SLASH_SLASH] = ACTIONS(688),
    [anon_sym_STAR_STAR] = ACTIONS(688),
    [anon_sym_PIPE] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(688),
    [anon_sym_CARET] = ACTIONS(688),
    [anon_sym_LT_LT] = ACTIONS(688),
    [anon_sym_LT] = ACTIONS(690),
    [anon_sym_LT_EQ] = ACTIONS(688),
    [anon_sym_EQ_EQ] = ACTIONS(688),
    [anon_sym_BANG_EQ] = ACTIONS(688),
    [anon_sym_GT_EQ] = ACTIONS(688),
    [anon_sym_GT] = ACTIONS(690),
    [anon_sym_LT_GT] = ACTIONS(688),
    [anon_sym_testislegesher] = ACTIONS(688),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(688),
    [anon_sym_RBRACE] = ACTIONS(688),
    [sym_type_conversion] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [anon_sym_DOT] = ACTIONS(782),
    [anon_sym_LPAREN] = ACTIONS(782),
    [anon_sym_RPAREN] = ACTIONS(782),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_testaslegesher] = ACTIONS(782),
    [anon_sym_STAR] = ACTIONS(784),
    [anon_sym_GT_GT] = ACTIONS(782),
    [anon_sym_testiflegesher] = ACTIONS(782),
    [anon_sym_COLON] = ACTIONS(782),
    [anon_sym_testelselegesher] = ACTIONS(782),
    [anon_sym_testasynclegesher] = ACTIONS(782),
    [anon_sym_testforlegesher] = ACTIONS(782),
    [anon_sym_testinlegesher] = ACTIONS(782),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(782),
    [anon_sym_testnotlegesher] = ACTIONS(782),
    [anon_sym_testandlegesher] = ACTIONS(782),
    [anon_sym_testorlegesher] = ACTIONS(782),
    [anon_sym_PLUS] = ACTIONS(782),
    [anon_sym_DASH] = ACTIONS(782),
    [anon_sym_SLASH] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(782),
    [anon_sym_SLASH_SLASH] = ACTIONS(782),
    [anon_sym_STAR_STAR] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(782),
    [anon_sym_CARET] = ACTIONS(782),
    [anon_sym_LT_LT] = ACTIONS(782),
    [anon_sym_LT] = ACTIONS(784),
    [anon_sym_LT_EQ] = ACTIONS(782),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_GT_EQ] = ACTIONS(782),
    [anon_sym_GT] = ACTIONS(784),
    [anon_sym_LT_GT] = ACTIONS(782),
    [anon_sym_testislegesher] = ACTIONS(782),
    [anon_sym_LBRACK] = ACTIONS(782),
    [anon_sym_RBRACK] = ACTIONS(782),
    [anon_sym_RBRACE] = ACTIONS(782),
    [sym_type_conversion] = ACTIONS(782),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [anon_sym_DOT] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_RPAREN] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_testaslegesher] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(662),
    [anon_sym_GT_GT] = ACTIONS(660),
    [anon_sym_testiflegesher] = ACTIONS(660),
    [anon_sym_COLON] = ACTIONS(660),
    [anon_sym_testelselegesher] = ACTIONS(660),
    [anon_sym_testasynclegesher] = ACTIONS(660),
    [anon_sym_testforlegesher] = ACTIONS(660),
    [anon_sym_testinlegesher] = ACTIONS(660),
    [anon_sym_EQ] = ACTIONS(662),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_testnotlegesher] = ACTIONS(660),
    [anon_sym_testandlegesher] = ACTIONS(660),
    [anon_sym_testorlegesher] = ACTIONS(660),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_SLASH] = ACTIONS(662),
    [anon_sym_PERCENT] = ACTIONS(660),
    [anon_sym_SLASH_SLASH] = ACTIONS(660),
    [anon_sym_STAR_STAR] = ACTIONS(660),
    [anon_sym_PIPE] = ACTIONS(660),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [anon_sym_LT_LT] = ACTIONS(660),
    [anon_sym_LT] = ACTIONS(662),
    [anon_sym_LT_EQ] = ACTIONS(660),
    [anon_sym_EQ_EQ] = ACTIONS(660),
    [anon_sym_BANG_EQ] = ACTIONS(660),
    [anon_sym_GT_EQ] = ACTIONS(660),
    [anon_sym_GT] = ACTIONS(662),
    [anon_sym_LT_GT] = ACTIONS(660),
    [anon_sym_testislegesher] = ACTIONS(660),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_RBRACK] = ACTIONS(660),
    [anon_sym_RBRACE] = ACTIONS(660),
    [sym_type_conversion] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_testaslegesher] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(742),
    [anon_sym_testiflegesher] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_testelselegesher] = ACTIONS(742),
    [anon_sym_testasynclegesher] = ACTIONS(742),
    [anon_sym_testforlegesher] = ACTIONS(742),
    [anon_sym_testinlegesher] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_testnotlegesher] = ACTIONS(742),
    [anon_sym_testandlegesher] = ACTIONS(742),
    [anon_sym_testorlegesher] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_SLASH_SLASH] = ACTIONS(742),
    [anon_sym_STAR_STAR] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_LT_GT] = ACTIONS(742),
    [anon_sym_testislegesher] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_RBRACK] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [sym_type_conversion] = ACTIONS(742),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [anon_sym_DOT] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_RPAREN] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_testaslegesher] = ACTIONS(632),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(632),
    [anon_sym_testiflegesher] = ACTIONS(632),
    [anon_sym_COLON] = ACTIONS(632),
    [anon_sym_testelselegesher] = ACTIONS(632),
    [anon_sym_testasynclegesher] = ACTIONS(632),
    [anon_sym_testforlegesher] = ACTIONS(632),
    [anon_sym_testinlegesher] = ACTIONS(632),
    [anon_sym_EQ] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(632),
    [anon_sym_testnotlegesher] = ACTIONS(632),
    [anon_sym_testandlegesher] = ACTIONS(632),
    [anon_sym_testorlegesher] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(632),
    [anon_sym_SLASH_SLASH] = ACTIONS(632),
    [anon_sym_STAR_STAR] = ACTIONS(632),
    [anon_sym_PIPE] = ACTIONS(632),
    [anon_sym_AMP] = ACTIONS(632),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_LT_LT] = ACTIONS(632),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_LT_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ] = ACTIONS(632),
    [anon_sym_GT_EQ] = ACTIONS(632),
    [anon_sym_GT] = ACTIONS(634),
    [anon_sym_LT_GT] = ACTIONS(632),
    [anon_sym_testislegesher] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(632),
    [anon_sym_RBRACK] = ACTIONS(632),
    [anon_sym_RBRACE] = ACTIONS(632),
    [sym_type_conversion] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_RPAREN] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_testaslegesher] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_testiflegesher] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(618),
    [anon_sym_testelselegesher] = ACTIONS(618),
    [anon_sym_testasynclegesher] = ACTIONS(618),
    [anon_sym_testforlegesher] = ACTIONS(618),
    [anon_sym_testinlegesher] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_testnotlegesher] = ACTIONS(618),
    [anon_sym_testandlegesher] = ACTIONS(618),
    [anon_sym_testorlegesher] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_SLASH_SLASH] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(620),
    [anon_sym_LT_GT] = ACTIONS(618),
    [anon_sym_testislegesher] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_RBRACK] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [sym_type_conversion] = ACTIONS(618),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [anon_sym_DOT] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(728),
    [anon_sym_RPAREN] = ACTIONS(728),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_testaslegesher] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_GT_GT] = ACTIONS(728),
    [anon_sym_testiflegesher] = ACTIONS(728),
    [anon_sym_COLON] = ACTIONS(728),
    [anon_sym_testelselegesher] = ACTIONS(728),
    [anon_sym_testasynclegesher] = ACTIONS(728),
    [anon_sym_testforlegesher] = ACTIONS(728),
    [anon_sym_testinlegesher] = ACTIONS(728),
    [anon_sym_EQ] = ACTIONS(730),
    [anon_sym_AT] = ACTIONS(728),
    [anon_sym_testnotlegesher] = ACTIONS(728),
    [anon_sym_testandlegesher] = ACTIONS(728),
    [anon_sym_testorlegesher] = ACTIONS(728),
    [anon_sym_PLUS] = ACTIONS(728),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_SLASH] = ACTIONS(730),
    [anon_sym_PERCENT] = ACTIONS(728),
    [anon_sym_SLASH_SLASH] = ACTIONS(728),
    [anon_sym_STAR_STAR] = ACTIONS(728),
    [anon_sym_PIPE] = ACTIONS(728),
    [anon_sym_AMP] = ACTIONS(728),
    [anon_sym_CARET] = ACTIONS(728),
    [anon_sym_LT_LT] = ACTIONS(728),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(728),
    [anon_sym_EQ_EQ] = ACTIONS(728),
    [anon_sym_BANG_EQ] = ACTIONS(728),
    [anon_sym_GT_EQ] = ACTIONS(728),
    [anon_sym_GT] = ACTIONS(730),
    [anon_sym_LT_GT] = ACTIONS(728),
    [anon_sym_testislegesher] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(728),
    [anon_sym_RBRACK] = ACTIONS(728),
    [anon_sym_RBRACE] = ACTIONS(728),
    [sym_type_conversion] = ACTIONS(728),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [anon_sym_DOT] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(724),
    [anon_sym_COMMA] = ACTIONS(724),
    [anon_sym_testaslegesher] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_GT_GT] = ACTIONS(724),
    [anon_sym_testiflegesher] = ACTIONS(724),
    [anon_sym_COLON] = ACTIONS(724),
    [anon_sym_testelselegesher] = ACTIONS(724),
    [anon_sym_testasynclegesher] = ACTIONS(724),
    [anon_sym_testforlegesher] = ACTIONS(724),
    [anon_sym_testinlegesher] = ACTIONS(724),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(724),
    [anon_sym_testnotlegesher] = ACTIONS(724),
    [anon_sym_testandlegesher] = ACTIONS(724),
    [anon_sym_testorlegesher] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_PERCENT] = ACTIONS(724),
    [anon_sym_SLASH_SLASH] = ACTIONS(724),
    [anon_sym_STAR_STAR] = ACTIONS(724),
    [anon_sym_PIPE] = ACTIONS(724),
    [anon_sym_AMP] = ACTIONS(724),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_LT_LT] = ACTIONS(724),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_LT_EQ] = ACTIONS(724),
    [anon_sym_EQ_EQ] = ACTIONS(724),
    [anon_sym_BANG_EQ] = ACTIONS(724),
    [anon_sym_GT_EQ] = ACTIONS(724),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_LT_GT] = ACTIONS(724),
    [anon_sym_testislegesher] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(724),
    [anon_sym_RBRACK] = ACTIONS(724),
    [anon_sym_RBRACE] = ACTIONS(724),
    [sym_type_conversion] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_testaslegesher] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_GT_GT] = ACTIONS(694),
    [anon_sym_testiflegesher] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_testelselegesher] = ACTIONS(694),
    [anon_sym_testasynclegesher] = ACTIONS(694),
    [anon_sym_testforlegesher] = ACTIONS(694),
    [anon_sym_testinlegesher] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_testnotlegesher] = ACTIONS(694),
    [anon_sym_testandlegesher] = ACTIONS(694),
    [anon_sym_testorlegesher] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(696),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_SLASH_SLASH] = ACTIONS(694),
    [anon_sym_STAR_STAR] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_LT_LT] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(696),
    [anon_sym_LT_EQ] = ACTIONS(694),
    [anon_sym_EQ_EQ] = ACTIONS(694),
    [anon_sym_BANG_EQ] = ACTIONS(694),
    [anon_sym_GT_EQ] = ACTIONS(694),
    [anon_sym_GT] = ACTIONS(696),
    [anon_sym_LT_GT] = ACTIONS(694),
    [anon_sym_testislegesher] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_RBRACK] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [sym_type_conversion] = ACTIONS(694),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [anon_sym_DOT] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(712),
    [anon_sym_RPAREN] = ACTIONS(712),
    [anon_sym_COMMA] = ACTIONS(712),
    [anon_sym_testaslegesher] = ACTIONS(712),
    [anon_sym_STAR] = ACTIONS(714),
    [anon_sym_GT_GT] = ACTIONS(712),
    [anon_sym_testiflegesher] = ACTIONS(712),
    [anon_sym_COLON] = ACTIONS(712),
    [anon_sym_testelselegesher] = ACTIONS(712),
    [anon_sym_testasynclegesher] = ACTIONS(712),
    [anon_sym_testforlegesher] = ACTIONS(712),
    [anon_sym_testinlegesher] = ACTIONS(712),
    [anon_sym_EQ] = ACTIONS(714),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_testnotlegesher] = ACTIONS(712),
    [anon_sym_testandlegesher] = ACTIONS(712),
    [anon_sym_testorlegesher] = ACTIONS(712),
    [anon_sym_PLUS] = ACTIONS(712),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_SLASH] = ACTIONS(714),
    [anon_sym_PERCENT] = ACTIONS(712),
    [anon_sym_SLASH_SLASH] = ACTIONS(712),
    [anon_sym_STAR_STAR] = ACTIONS(712),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_AMP] = ACTIONS(712),
    [anon_sym_CARET] = ACTIONS(712),
    [anon_sym_LT_LT] = ACTIONS(712),
    [anon_sym_LT] = ACTIONS(714),
    [anon_sym_LT_EQ] = ACTIONS(712),
    [anon_sym_EQ_EQ] = ACTIONS(712),
    [anon_sym_BANG_EQ] = ACTIONS(712),
    [anon_sym_GT_EQ] = ACTIONS(712),
    [anon_sym_GT] = ACTIONS(714),
    [anon_sym_LT_GT] = ACTIONS(712),
    [anon_sym_testislegesher] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(712),
    [anon_sym_RBRACK] = ACTIONS(712),
    [anon_sym_RBRACE] = ACTIONS(712),
    [sym_type_conversion] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [anon_sym_DOT] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(638),
    [anon_sym_RPAREN] = ACTIONS(638),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_testaslegesher] = ACTIONS(638),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_GT_GT] = ACTIONS(638),
    [anon_sym_testiflegesher] = ACTIONS(638),
    [anon_sym_COLON] = ACTIONS(638),
    [anon_sym_testelselegesher] = ACTIONS(638),
    [anon_sym_testasynclegesher] = ACTIONS(638),
    [anon_sym_testforlegesher] = ACTIONS(638),
    [anon_sym_testinlegesher] = ACTIONS(638),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(638),
    [anon_sym_testnotlegesher] = ACTIONS(638),
    [anon_sym_testandlegesher] = ACTIONS(638),
    [anon_sym_testorlegesher] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(638),
    [anon_sym_DASH] = ACTIONS(638),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(638),
    [anon_sym_SLASH_SLASH] = ACTIONS(638),
    [anon_sym_STAR_STAR] = ACTIONS(638),
    [anon_sym_PIPE] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(638),
    [anon_sym_CARET] = ACTIONS(638),
    [anon_sym_LT_LT] = ACTIONS(638),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_LT_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(638),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_LT_GT] = ACTIONS(638),
    [anon_sym_testislegesher] = ACTIONS(638),
    [anon_sym_LBRACK] = ACTIONS(638),
    [anon_sym_RBRACK] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(638),
    [sym_type_conversion] = ACTIONS(638),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [anon_sym_DOT] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_RPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(672),
    [anon_sym_testaslegesher] = ACTIONS(672),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(672),
    [anon_sym_testiflegesher] = ACTIONS(672),
    [anon_sym_COLON] = ACTIONS(672),
    [anon_sym_testelselegesher] = ACTIONS(672),
    [anon_sym_testasynclegesher] = ACTIONS(672),
    [anon_sym_testforlegesher] = ACTIONS(672),
    [anon_sym_testinlegesher] = ACTIONS(672),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(672),
    [anon_sym_testnotlegesher] = ACTIONS(672),
    [anon_sym_testandlegesher] = ACTIONS(672),
    [anon_sym_testorlegesher] = ACTIONS(672),
    [anon_sym_PLUS] = ACTIONS(672),
    [anon_sym_DASH] = ACTIONS(672),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(672),
    [anon_sym_SLASH_SLASH] = ACTIONS(672),
    [anon_sym_STAR_STAR] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(672),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_CARET] = ACTIONS(672),
    [anon_sym_LT_LT] = ACTIONS(672),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(672),
    [anon_sym_EQ_EQ] = ACTIONS(672),
    [anon_sym_BANG_EQ] = ACTIONS(672),
    [anon_sym_GT_EQ] = ACTIONS(672),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(672),
    [anon_sym_testislegesher] = ACTIONS(672),
    [anon_sym_LBRACK] = ACTIONS(672),
    [anon_sym_RBRACK] = ACTIONS(672),
    [anon_sym_RBRACE] = ACTIONS(672),
    [sym_type_conversion] = ACTIONS(672),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_RPAREN] = ACTIONS(746),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_testaslegesher] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(748),
    [anon_sym_GT_GT] = ACTIONS(746),
    [anon_sym_testiflegesher] = ACTIONS(746),
    [anon_sym_COLON] = ACTIONS(746),
    [anon_sym_testelselegesher] = ACTIONS(746),
    [anon_sym_testasynclegesher] = ACTIONS(746),
    [anon_sym_testforlegesher] = ACTIONS(746),
    [anon_sym_testinlegesher] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(746),
    [anon_sym_testnotlegesher] = ACTIONS(746),
    [anon_sym_testandlegesher] = ACTIONS(746),
    [anon_sym_testorlegesher] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(748),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_SLASH_SLASH] = ACTIONS(746),
    [anon_sym_STAR_STAR] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(748),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(748),
    [anon_sym_LT_GT] = ACTIONS(746),
    [anon_sym_testislegesher] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(746),
    [anon_sym_RBRACK] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [sym_type_conversion] = ACTIONS(746),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [anon_sym_DOT] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_testaslegesher] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(624),
    [anon_sym_GT_GT] = ACTIONS(622),
    [anon_sym_testiflegesher] = ACTIONS(622),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_testelselegesher] = ACTIONS(622),
    [anon_sym_testasynclegesher] = ACTIONS(622),
    [anon_sym_testforlegesher] = ACTIONS(622),
    [anon_sym_testinlegesher] = ACTIONS(622),
    [anon_sym_EQ] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_testnotlegesher] = ACTIONS(622),
    [anon_sym_testandlegesher] = ACTIONS(622),
    [anon_sym_testorlegesher] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(622),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_PERCENT] = ACTIONS(622),
    [anon_sym_SLASH_SLASH] = ACTIONS(622),
    [anon_sym_STAR_STAR] = ACTIONS(622),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_LT_LT] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_LT_EQ] = ACTIONS(622),
    [anon_sym_EQ_EQ] = ACTIONS(622),
    [anon_sym_BANG_EQ] = ACTIONS(622),
    [anon_sym_GT_EQ] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(624),
    [anon_sym_LT_GT] = ACTIONS(622),
    [anon_sym_testislegesher] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_RBRACK] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [sym_type_conversion] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_RPAREN] = ACTIONS(698),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_testaslegesher] = ACTIONS(698),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_GT_GT] = ACTIONS(698),
    [anon_sym_testiflegesher] = ACTIONS(698),
    [anon_sym_COLON] = ACTIONS(698),
    [anon_sym_testelselegesher] = ACTIONS(698),
    [anon_sym_testasynclegesher] = ACTIONS(698),
    [anon_sym_testforlegesher] = ACTIONS(698),
    [anon_sym_testinlegesher] = ACTIONS(698),
    [anon_sym_EQ] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(698),
    [anon_sym_testnotlegesher] = ACTIONS(698),
    [anon_sym_testandlegesher] = ACTIONS(698),
    [anon_sym_testorlegesher] = ACTIONS(698),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_SLASH] = ACTIONS(700),
    [anon_sym_PERCENT] = ACTIONS(698),
    [anon_sym_SLASH_SLASH] = ACTIONS(698),
    [anon_sym_STAR_STAR] = ACTIONS(698),
    [anon_sym_PIPE] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(698),
    [anon_sym_LT_LT] = ACTIONS(698),
    [anon_sym_LT] = ACTIONS(700),
    [anon_sym_LT_EQ] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(698),
    [anon_sym_BANG_EQ] = ACTIONS(698),
    [anon_sym_GT_EQ] = ACTIONS(698),
    [anon_sym_GT] = ACTIONS(700),
    [anon_sym_LT_GT] = ACTIONS(698),
    [anon_sym_testislegesher] = ACTIONS(698),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(698),
    [sym_type_conversion] = ACTIONS(698),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [anon_sym_DOT] = ACTIONS(732),
    [anon_sym_LPAREN] = ACTIONS(732),
    [anon_sym_RPAREN] = ACTIONS(732),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_testaslegesher] = ACTIONS(732),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(732),
    [anon_sym_testiflegesher] = ACTIONS(732),
    [anon_sym_COLON] = ACTIONS(732),
    [anon_sym_testelselegesher] = ACTIONS(732),
    [anon_sym_testasynclegesher] = ACTIONS(732),
    [anon_sym_testforlegesher] = ACTIONS(732),
    [anon_sym_testinlegesher] = ACTIONS(732),
    [anon_sym_EQ] = ACTIONS(734),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_testnotlegesher] = ACTIONS(732),
    [anon_sym_testandlegesher] = ACTIONS(732),
    [anon_sym_testorlegesher] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(732),
    [anon_sym_SLASH_SLASH] = ACTIONS(732),
    [anon_sym_STAR_STAR] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(732),
    [anon_sym_AMP] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(732),
    [anon_sym_LT_LT] = ACTIONS(732),
    [anon_sym_LT] = ACTIONS(734),
    [anon_sym_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(732),
    [anon_sym_BANG_EQ] = ACTIONS(732),
    [anon_sym_GT_EQ] = ACTIONS(732),
    [anon_sym_GT] = ACTIONS(734),
    [anon_sym_LT_GT] = ACTIONS(732),
    [anon_sym_testislegesher] = ACTIONS(732),
    [anon_sym_LBRACK] = ACTIONS(732),
    [anon_sym_RBRACK] = ACTIONS(732),
    [anon_sym_RBRACE] = ACTIONS(732),
    [sym_type_conversion] = ACTIONS(732),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [anon_sym_DOT] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(702),
    [anon_sym_RPAREN] = ACTIONS(702),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_testaslegesher] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_GT_GT] = ACTIONS(702),
    [anon_sym_testiflegesher] = ACTIONS(702),
    [anon_sym_COLON] = ACTIONS(702),
    [anon_sym_testelselegesher] = ACTIONS(702),
    [anon_sym_testasynclegesher] = ACTIONS(702),
    [anon_sym_testforlegesher] = ACTIONS(702),
    [anon_sym_testinlegesher] = ACTIONS(702),
    [anon_sym_EQ] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(702),
    [anon_sym_testnotlegesher] = ACTIONS(702),
    [anon_sym_testandlegesher] = ACTIONS(702),
    [anon_sym_testorlegesher] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(702),
    [anon_sym_DASH] = ACTIONS(702),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_PERCENT] = ACTIONS(702),
    [anon_sym_SLASH_SLASH] = ACTIONS(702),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_PIPE] = ACTIONS(702),
    [anon_sym_AMP] = ACTIONS(702),
    [anon_sym_CARET] = ACTIONS(702),
    [anon_sym_LT_LT] = ACTIONS(702),
    [anon_sym_LT] = ACTIONS(704),
    [anon_sym_LT_EQ] = ACTIONS(702),
    [anon_sym_EQ_EQ] = ACTIONS(702),
    [anon_sym_BANG_EQ] = ACTIONS(702),
    [anon_sym_GT_EQ] = ACTIONS(702),
    [anon_sym_GT] = ACTIONS(704),
    [anon_sym_LT_GT] = ACTIONS(702),
    [anon_sym_testislegesher] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(702),
    [anon_sym_RBRACK] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(702),
    [sym_type_conversion] = ACTIONS(702),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [anon_sym_DOT] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(716),
    [anon_sym_testaslegesher] = ACTIONS(716),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_GT_GT] = ACTIONS(716),
    [anon_sym_testiflegesher] = ACTIONS(716),
    [anon_sym_COLON] = ACTIONS(716),
    [anon_sym_testelselegesher] = ACTIONS(716),
    [anon_sym_testasynclegesher] = ACTIONS(716),
    [anon_sym_testforlegesher] = ACTIONS(716),
    [anon_sym_testinlegesher] = ACTIONS(716),
    [anon_sym_EQ] = ACTIONS(718),
    [anon_sym_AT] = ACTIONS(716),
    [anon_sym_testnotlegesher] = ACTIONS(716),
    [anon_sym_testandlegesher] = ACTIONS(716),
    [anon_sym_testorlegesher] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(716),
    [anon_sym_DASH] = ACTIONS(716),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_PERCENT] = ACTIONS(716),
    [anon_sym_SLASH_SLASH] = ACTIONS(716),
    [anon_sym_STAR_STAR] = ACTIONS(716),
    [anon_sym_PIPE] = ACTIONS(716),
    [anon_sym_AMP] = ACTIONS(716),
    [anon_sym_CARET] = ACTIONS(716),
    [anon_sym_LT_LT] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(716),
    [anon_sym_EQ_EQ] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(716),
    [anon_sym_GT_EQ] = ACTIONS(716),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_LT_GT] = ACTIONS(716),
    [anon_sym_testislegesher] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(716),
    [anon_sym_RBRACK] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(716),
    [sym_type_conversion] = ACTIONS(716),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_testaslegesher] = ACTIONS(606),
    [anon_sym_STAR] = ACTIONS(608),
    [anon_sym_GT_GT] = ACTIONS(606),
    [anon_sym_testiflegesher] = ACTIONS(606),
    [anon_sym_COLON] = ACTIONS(606),
    [anon_sym_testelselegesher] = ACTIONS(606),
    [anon_sym_testasynclegesher] = ACTIONS(606),
    [anon_sym_testforlegesher] = ACTIONS(606),
    [anon_sym_testinlegesher] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(608),
    [anon_sym_AT] = ACTIONS(606),
    [anon_sym_testnotlegesher] = ACTIONS(606),
    [anon_sym_testandlegesher] = ACTIONS(606),
    [anon_sym_testorlegesher] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(606),
    [anon_sym_DASH] = ACTIONS(606),
    [anon_sym_SLASH] = ACTIONS(608),
    [anon_sym_PERCENT] = ACTIONS(606),
    [anon_sym_SLASH_SLASH] = ACTIONS(606),
    [anon_sym_STAR_STAR] = ACTIONS(606),
    [anon_sym_PIPE] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(606),
    [anon_sym_CARET] = ACTIONS(606),
    [anon_sym_LT_LT] = ACTIONS(606),
    [anon_sym_LT] = ACTIONS(608),
    [anon_sym_LT_EQ] = ACTIONS(606),
    [anon_sym_EQ_EQ] = ACTIONS(606),
    [anon_sym_BANG_EQ] = ACTIONS(606),
    [anon_sym_GT_EQ] = ACTIONS(606),
    [anon_sym_GT] = ACTIONS(608),
    [anon_sym_LT_GT] = ACTIONS(606),
    [anon_sym_testislegesher] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(606),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(606),
    [sym_type_conversion] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [anon_sym_DOT] = ACTIONS(706),
    [anon_sym_LPAREN] = ACTIONS(706),
    [anon_sym_RPAREN] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_testaslegesher] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_testiflegesher] = ACTIONS(706),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_testelselegesher] = ACTIONS(706),
    [anon_sym_testasynclegesher] = ACTIONS(706),
    [anon_sym_testforlegesher] = ACTIONS(706),
    [anon_sym_testinlegesher] = ACTIONS(706),
    [anon_sym_EQ] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_testnotlegesher] = ACTIONS(706),
    [anon_sym_testandlegesher] = ACTIONS(706),
    [anon_sym_testorlegesher] = ACTIONS(706),
    [anon_sym_PLUS] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(706),
    [anon_sym_SLASH] = ACTIONS(708),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_LT] = ACTIONS(708),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(708),
    [anon_sym_LT_GT] = ACTIONS(706),
    [anon_sym_testislegesher] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(706),
    [anon_sym_RBRACK] = ACTIONS(706),
    [anon_sym_RBRACE] = ACTIONS(706),
    [sym_type_conversion] = ACTIONS(706),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [anon_sym_DOT] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_RPAREN] = ACTIONS(770),
    [anon_sym_COMMA] = ACTIONS(770),
    [anon_sym_testaslegesher] = ACTIONS(770),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(770),
    [anon_sym_testiflegesher] = ACTIONS(770),
    [anon_sym_COLON] = ACTIONS(770),
    [anon_sym_testelselegesher] = ACTIONS(770),
    [anon_sym_testasynclegesher] = ACTIONS(770),
    [anon_sym_testforlegesher] = ACTIONS(770),
    [anon_sym_testinlegesher] = ACTIONS(770),
    [anon_sym_EQ] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(770),
    [anon_sym_testnotlegesher] = ACTIONS(770),
    [anon_sym_testandlegesher] = ACTIONS(770),
    [anon_sym_testorlegesher] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(770),
    [anon_sym_DASH] = ACTIONS(770),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(770),
    [anon_sym_SLASH_SLASH] = ACTIONS(770),
    [anon_sym_STAR_STAR] = ACTIONS(770),
    [anon_sym_PIPE] = ACTIONS(770),
    [anon_sym_AMP] = ACTIONS(770),
    [anon_sym_CARET] = ACTIONS(770),
    [anon_sym_LT_LT] = ACTIONS(770),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(770),
    [anon_sym_EQ_EQ] = ACTIONS(770),
    [anon_sym_BANG_EQ] = ACTIONS(770),
    [anon_sym_GT_EQ] = ACTIONS(770),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT_GT] = ACTIONS(770),
    [anon_sym_testislegesher] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(770),
    [anon_sym_RBRACK] = ACTIONS(770),
    [anon_sym_RBRACE] = ACTIONS(770),
    [sym_type_conversion] = ACTIONS(770),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [anon_sym_DOT] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_RPAREN] = ACTIONS(610),
    [anon_sym_COMMA] = ACTIONS(610),
    [anon_sym_testaslegesher] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_GT_GT] = ACTIONS(610),
    [anon_sym_testiflegesher] = ACTIONS(610),
    [anon_sym_COLON] = ACTIONS(610),
    [anon_sym_testelselegesher] = ACTIONS(610),
    [anon_sym_testasynclegesher] = ACTIONS(610),
    [anon_sym_testforlegesher] = ACTIONS(610),
    [anon_sym_testinlegesher] = ACTIONS(610),
    [anon_sym_EQ] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(610),
    [anon_sym_testnotlegesher] = ACTIONS(610),
    [anon_sym_testandlegesher] = ACTIONS(610),
    [anon_sym_testorlegesher] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(610),
    [anon_sym_DASH] = ACTIONS(610),
    [anon_sym_SLASH] = ACTIONS(612),
    [anon_sym_PERCENT] = ACTIONS(610),
    [anon_sym_SLASH_SLASH] = ACTIONS(610),
    [anon_sym_STAR_STAR] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_CARET] = ACTIONS(610),
    [anon_sym_LT_LT] = ACTIONS(610),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_LT_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_GT_EQ] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(612),
    [anon_sym_LT_GT] = ACTIONS(610),
    [anon_sym_testislegesher] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(610),
    [anon_sym_RBRACK] = ACTIONS(610),
    [anon_sym_RBRACE] = ACTIONS(610),
    [sym_type_conversion] = ACTIONS(610),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_RPAREN] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(237),
    [anon_sym_testaslegesher] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_testiflegesher] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(237),
    [anon_sym_testelselegesher] = ACTIONS(237),
    [anon_sym_testasynclegesher] = ACTIONS(237),
    [anon_sym_testforlegesher] = ACTIONS(237),
    [anon_sym_testinlegesher] = ACTIONS(237),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_AT] = ACTIONS(237),
    [anon_sym_testnotlegesher] = ACTIONS(237),
    [anon_sym_testandlegesher] = ACTIONS(237),
    [anon_sym_testorlegesher] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(237),
    [anon_sym_SLASH_SLASH] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [anon_sym_LT_LT] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_GT] = ACTIONS(237),
    [anon_sym_testislegesher] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(237),
    [sym_type_conversion] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_LPAREN] = ACTIONS(764),
    [anon_sym_RPAREN] = ACTIONS(764),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_testaslegesher] = ACTIONS(764),
    [anon_sym_STAR] = ACTIONS(766),
    [anon_sym_GT_GT] = ACTIONS(764),
    [anon_sym_testiflegesher] = ACTIONS(764),
    [anon_sym_COLON] = ACTIONS(764),
    [anon_sym_testelselegesher] = ACTIONS(764),
    [anon_sym_testasynclegesher] = ACTIONS(764),
    [anon_sym_testforlegesher] = ACTIONS(764),
    [anon_sym_testinlegesher] = ACTIONS(764),
    [anon_sym_EQ] = ACTIONS(766),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_testnotlegesher] = ACTIONS(764),
    [anon_sym_testandlegesher] = ACTIONS(764),
    [anon_sym_testorlegesher] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(764),
    [anon_sym_DASH] = ACTIONS(764),
    [anon_sym_SLASH] = ACTIONS(766),
    [anon_sym_PERCENT] = ACTIONS(764),
    [anon_sym_SLASH_SLASH] = ACTIONS(764),
    [anon_sym_STAR_STAR] = ACTIONS(764),
    [anon_sym_PIPE] = ACTIONS(764),
    [anon_sym_AMP] = ACTIONS(764),
    [anon_sym_CARET] = ACTIONS(764),
    [anon_sym_LT_LT] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(766),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_GT] = ACTIONS(766),
    [anon_sym_LT_GT] = ACTIONS(764),
    [anon_sym_testislegesher] = ACTIONS(764),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_RBRACK] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [sym_type_conversion] = ACTIONS(764),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_RPAREN] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(774),
    [anon_sym_testaslegesher] = ACTIONS(774),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_testiflegesher] = ACTIONS(774),
    [anon_sym_COLON] = ACTIONS(774),
    [anon_sym_testelselegesher] = ACTIONS(774),
    [anon_sym_testasynclegesher] = ACTIONS(774),
    [anon_sym_testforlegesher] = ACTIONS(774),
    [anon_sym_testinlegesher] = ACTIONS(774),
    [anon_sym_EQ] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(774),
    [anon_sym_testnotlegesher] = ACTIONS(774),
    [anon_sym_testandlegesher] = ACTIONS(774),
    [anon_sym_testorlegesher] = ACTIONS(774),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(776),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_SLASH_SLASH] = ACTIONS(774),
    [anon_sym_STAR_STAR] = ACTIONS(774),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(774),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(776),
    [anon_sym_LT_EQ] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(774),
    [anon_sym_BANG_EQ] = ACTIONS(774),
    [anon_sym_GT_EQ] = ACTIONS(774),
    [anon_sym_GT] = ACTIONS(776),
    [anon_sym_LT_GT] = ACTIONS(774),
    [anon_sym_testislegesher] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(774),
    [anon_sym_RBRACK] = ACTIONS(774),
    [anon_sym_RBRACE] = ACTIONS(774),
    [sym_type_conversion] = ACTIONS(774),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [anon_sym_DOT] = ACTIONS(602),
    [anon_sym_LPAREN] = ACTIONS(602),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_testaslegesher] = ACTIONS(602),
    [anon_sym_STAR] = ACTIONS(604),
    [anon_sym_GT_GT] = ACTIONS(602),
    [anon_sym_testiflegesher] = ACTIONS(602),
    [anon_sym_COLON] = ACTIONS(602),
    [anon_sym_testelselegesher] = ACTIONS(602),
    [anon_sym_testasynclegesher] = ACTIONS(602),
    [anon_sym_testforlegesher] = ACTIONS(602),
    [anon_sym_testinlegesher] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(604),
    [anon_sym_AT] = ACTIONS(602),
    [anon_sym_testnotlegesher] = ACTIONS(602),
    [anon_sym_testandlegesher] = ACTIONS(602),
    [anon_sym_testorlegesher] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(602),
    [anon_sym_DASH] = ACTIONS(602),
    [anon_sym_SLASH] = ACTIONS(604),
    [anon_sym_PERCENT] = ACTIONS(602),
    [anon_sym_SLASH_SLASH] = ACTIONS(602),
    [anon_sym_STAR_STAR] = ACTIONS(602),
    [anon_sym_PIPE] = ACTIONS(602),
    [anon_sym_AMP] = ACTIONS(602),
    [anon_sym_CARET] = ACTIONS(602),
    [anon_sym_LT_LT] = ACTIONS(602),
    [anon_sym_LT] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ] = ACTIONS(602),
    [anon_sym_GT_EQ] = ACTIONS(602),
    [anon_sym_GT] = ACTIONS(604),
    [anon_sym_LT_GT] = ACTIONS(602),
    [anon_sym_testislegesher] = ACTIONS(602),
    [anon_sym_LBRACK] = ACTIONS(602),
    [anon_sym_RBRACK] = ACTIONS(602),
    [anon_sym_RBRACE] = ACTIONS(602),
    [sym_type_conversion] = ACTIONS(602),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_testaslegesher] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_testiflegesher] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_testelselegesher] = ACTIONS(650),
    [anon_sym_testasynclegesher] = ACTIONS(650),
    [anon_sym_testforlegesher] = ACTIONS(650),
    [anon_sym_testinlegesher] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_testnotlegesher] = ACTIONS(650),
    [anon_sym_testandlegesher] = ACTIONS(650),
    [anon_sym_testorlegesher] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(652),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_SLASH_SLASH] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(650),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(652),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(652),
    [anon_sym_LT_GT] = ACTIONS(650),
    [anon_sym_testislegesher] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(650),
    [anon_sym_RBRACK] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [sym_type_conversion] = ACTIONS(650),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_DOT] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_testaslegesher] = ACTIONS(628),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_GT_GT] = ACTIONS(628),
    [anon_sym_testiflegesher] = ACTIONS(628),
    [anon_sym_COLON] = ACTIONS(628),
    [anon_sym_testelselegesher] = ACTIONS(628),
    [anon_sym_testasynclegesher] = ACTIONS(628),
    [anon_sym_testforlegesher] = ACTIONS(628),
    [anon_sym_testinlegesher] = ACTIONS(628),
    [anon_sym_EQ] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(628),
    [anon_sym_testnotlegesher] = ACTIONS(628),
    [anon_sym_testandlegesher] = ACTIONS(628),
    [anon_sym_testorlegesher] = ACTIONS(628),
    [anon_sym_PLUS] = ACTIONS(628),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_SLASH] = ACTIONS(630),
    [anon_sym_PERCENT] = ACTIONS(628),
    [anon_sym_SLASH_SLASH] = ACTIONS(628),
    [anon_sym_STAR_STAR] = ACTIONS(628),
    [anon_sym_PIPE] = ACTIONS(628),
    [anon_sym_AMP] = ACTIONS(628),
    [anon_sym_CARET] = ACTIONS(628),
    [anon_sym_LT_LT] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_LT_EQ] = ACTIONS(628),
    [anon_sym_EQ_EQ] = ACTIONS(628),
    [anon_sym_BANG_EQ] = ACTIONS(628),
    [anon_sym_GT_EQ] = ACTIONS(628),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_LT_GT] = ACTIONS(628),
    [anon_sym_testislegesher] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(628),
    [anon_sym_RBRACE] = ACTIONS(628),
    [sym_type_conversion] = ACTIONS(628),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_RPAREN] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(750),
    [anon_sym_testaslegesher] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(752),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_testiflegesher] = ACTIONS(750),
    [anon_sym_COLON] = ACTIONS(750),
    [anon_sym_testelselegesher] = ACTIONS(750),
    [anon_sym_testasynclegesher] = ACTIONS(750),
    [anon_sym_testforlegesher] = ACTIONS(750),
    [anon_sym_testinlegesher] = ACTIONS(750),
    [anon_sym_EQ] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(750),
    [anon_sym_testnotlegesher] = ACTIONS(750),
    [anon_sym_testandlegesher] = ACTIONS(750),
    [anon_sym_testorlegesher] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_SLASH] = ACTIONS(752),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_SLASH_SLASH] = ACTIONS(750),
    [anon_sym_STAR_STAR] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_LT] = ACTIONS(752),
    [anon_sym_LT_EQ] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(750),
    [anon_sym_BANG_EQ] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(750),
    [anon_sym_GT] = ACTIONS(752),
    [anon_sym_LT_GT] = ACTIONS(750),
    [anon_sym_testislegesher] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(750),
    [anon_sym_RBRACK] = ACTIONS(750),
    [anon_sym_RBRACE] = ACTIONS(750),
    [sym_type_conversion] = ACTIONS(750),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [anon_sym_DOT] = ACTIONS(656),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_RPAREN] = ACTIONS(656),
    [anon_sym_COMMA] = ACTIONS(656),
    [anon_sym_testaslegesher] = ACTIONS(656),
    [anon_sym_STAR] = ACTIONS(658),
    [anon_sym_GT_GT] = ACTIONS(656),
    [anon_sym_testiflegesher] = ACTIONS(656),
    [anon_sym_COLON] = ACTIONS(656),
    [anon_sym_testelselegesher] = ACTIONS(656),
    [anon_sym_testasynclegesher] = ACTIONS(656),
    [anon_sym_testforlegesher] = ACTIONS(656),
    [anon_sym_testinlegesher] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(656),
    [anon_sym_testnotlegesher] = ACTIONS(656),
    [anon_sym_testandlegesher] = ACTIONS(656),
    [anon_sym_testorlegesher] = ACTIONS(656),
    [anon_sym_PLUS] = ACTIONS(656),
    [anon_sym_DASH] = ACTIONS(656),
    [anon_sym_SLASH] = ACTIONS(658),
    [anon_sym_PERCENT] = ACTIONS(656),
    [anon_sym_SLASH_SLASH] = ACTIONS(656),
    [anon_sym_STAR_STAR] = ACTIONS(656),
    [anon_sym_PIPE] = ACTIONS(656),
    [anon_sym_AMP] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(656),
    [anon_sym_LT_LT] = ACTIONS(656),
    [anon_sym_LT] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(656),
    [anon_sym_EQ_EQ] = ACTIONS(656),
    [anon_sym_BANG_EQ] = ACTIONS(656),
    [anon_sym_GT_EQ] = ACTIONS(656),
    [anon_sym_GT] = ACTIONS(658),
    [anon_sym_LT_GT] = ACTIONS(656),
    [anon_sym_testislegesher] = ACTIONS(656),
    [anon_sym_LBRACK] = ACTIONS(656),
    [anon_sym_RBRACK] = ACTIONS(656),
    [anon_sym_RBRACE] = ACTIONS(656),
    [sym_type_conversion] = ACTIONS(656),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [aux_sym_comparison_operator_repeat1] = STATE(612),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_testfromlegesher] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(1111),
    [anon_sym_testiflegesher] = ACTIONS(412),
    [anon_sym_testinlegesher] = ACTIONS(1113),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(1117),
    [anon_sym_testandlegesher] = ACTIONS(412),
    [anon_sym_testorlegesher] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1113),
    [anon_sym_EQ_EQ] = ACTIONS(1113),
    [anon_sym_BANG_EQ] = ACTIONS(1113),
    [anon_sym_GT_EQ] = ACTIONS(1113),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_LT_GT] = ACTIONS(1113),
    [anon_sym_testislegesher] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(412),
    [sym__newline] = ACTIONS(412),
  },
  [504] = {
    [sym_string] = STATE(506),
    [aux_sym_concatenated_string_repeat1] = STATE(506),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_testfromlegesher] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_testiflegesher] = ACTIONS(476),
    [anon_sym_testinlegesher] = ACTIONS(476),
    [anon_sym_EQ] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_testnotlegesher] = ACTIONS(476),
    [anon_sym_testandlegesher] = ACTIONS(476),
    [anon_sym_testorlegesher] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_SLASH_SLASH] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT_GT] = ACTIONS(476),
    [anon_sym_testislegesher] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(476),
    [sym__newline] = ACTIONS(476),
    [sym__string_start] = ACTIONS(255),
  },
  [505] = {
    [sym_string] = STATE(505),
    [aux_sym_concatenated_string_repeat1] = STATE(505),
    [anon_sym_DOT] = ACTIONS(401),
    [anon_sym_testfromlegesher] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_COMMA] = ACTIONS(401),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_GT_GT] = ACTIONS(401),
    [anon_sym_testiflegesher] = ACTIONS(401),
    [anon_sym_testinlegesher] = ACTIONS(401),
    [anon_sym_EQ] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(401),
    [anon_sym_testnotlegesher] = ACTIONS(401),
    [anon_sym_testandlegesher] = ACTIONS(401),
    [anon_sym_testorlegesher] = ACTIONS(401),
    [anon_sym_PLUS] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(401),
    [anon_sym_SLASH] = ACTIONS(403),
    [anon_sym_PERCENT] = ACTIONS(401),
    [anon_sym_SLASH_SLASH] = ACTIONS(401),
    [anon_sym_STAR_STAR] = ACTIONS(401),
    [anon_sym_PIPE] = ACTIONS(401),
    [anon_sym_AMP] = ACTIONS(401),
    [anon_sym_CARET] = ACTIONS(401),
    [anon_sym_LT_LT] = ACTIONS(401),
    [anon_sym_LT] = ACTIONS(403),
    [anon_sym_LT_EQ] = ACTIONS(401),
    [anon_sym_EQ_EQ] = ACTIONS(401),
    [anon_sym_BANG_EQ] = ACTIONS(401),
    [anon_sym_GT_EQ] = ACTIONS(401),
    [anon_sym_GT] = ACTIONS(403),
    [anon_sym_LT_GT] = ACTIONS(401),
    [anon_sym_testislegesher] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(401),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(401),
    [sym__newline] = ACTIONS(401),
    [sym__string_start] = ACTIONS(1135),
  },
  [506] = {
    [sym_string] = STATE(505),
    [aux_sym_concatenated_string_repeat1] = STATE(505),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_testfromlegesher] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_testiflegesher] = ACTIONS(456),
    [anon_sym_testinlegesher] = ACTIONS(456),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(456),
    [anon_sym_testnotlegesher] = ACTIONS(456),
    [anon_sym_testandlegesher] = ACTIONS(456),
    [anon_sym_testorlegesher] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_SLASH_SLASH] = ACTIONS(456),
    [anon_sym_STAR_STAR] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_LT_GT] = ACTIONS(456),
    [anon_sym_testislegesher] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(456),
    [sym__newline] = ACTIONS(456),
    [sym__string_start] = ACTIONS(255),
  },
  [507] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_testfromlegesher] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [508] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_testfromlegesher] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(482),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(482),
    [anon_sym_SLASH_SLASH] = ACTIONS(482),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [509] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_testfromlegesher] = ACTIONS(502),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(502),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(1111),
    [anon_sym_testiflegesher] = ACTIONS(502),
    [anon_sym_testinlegesher] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(502),
    [anon_sym_testandlegesher] = ACTIONS(502),
    [anon_sym_testorlegesher] = ACTIONS(502),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(504),
    [anon_sym_LT_EQ] = ACTIONS(502),
    [anon_sym_EQ_EQ] = ACTIONS(502),
    [anon_sym_BANG_EQ] = ACTIONS(502),
    [anon_sym_GT_EQ] = ACTIONS(502),
    [anon_sym_GT] = ACTIONS(504),
    [anon_sym_LT_GT] = ACTIONS(502),
    [anon_sym_testislegesher] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(502),
    [sym__newline] = ACTIONS(502),
  },
  [510] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(486),
    [anon_sym_testfromlegesher] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_testiflegesher] = ACTIONS(486),
    [anon_sym_testinlegesher] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(488),
    [anon_sym_AT] = ACTIONS(486),
    [anon_sym_testnotlegesher] = ACTIONS(486),
    [anon_sym_testandlegesher] = ACTIONS(486),
    [anon_sym_testorlegesher] = ACTIONS(486),
    [anon_sym_PLUS] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(486),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_SLASH_SLASH] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_LT_GT] = ACTIONS(486),
    [anon_sym_testislegesher] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(486),
    [sym__newline] = ACTIONS(486),
  },
  [511] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_testfromlegesher] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(1111),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [512] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_testfromlegesher] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(1111),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [513] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_testfromlegesher] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(1111),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [514] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_testfromlegesher] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(1111),
    [anon_sym_testiflegesher] = ACTIONS(510),
    [anon_sym_testinlegesher] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(510),
    [anon_sym_testandlegesher] = ACTIONS(510),
    [anon_sym_testorlegesher] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_LT_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_GT_EQ] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_LT_GT] = ACTIONS(510),
    [anon_sym_testislegesher] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(510),
    [sym__newline] = ACTIONS(510),
  },
  [515] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_testfromlegesher] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(482),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(482),
    [anon_sym_SLASH_SLASH] = ACTIONS(482),
    [anon_sym_STAR_STAR] = ACTIONS(482),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [516] = {
    [sym_argument_list] = STATE(552),
    [sym_generator_expression] = STATE(552),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_testfromlegesher] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(1109),
    [anon_sym_GT_GT] = ACTIONS(482),
    [anon_sym_testiflegesher] = ACTIONS(482),
    [anon_sym_testinlegesher] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_testnotlegesher] = ACTIONS(482),
    [anon_sym_testandlegesher] = ACTIONS(482),
    [anon_sym_testorlegesher] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1109),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_SLASH_SLASH] = ACTIONS(1115),
    [anon_sym_STAR_STAR] = ACTIONS(1121),
    [anon_sym_PIPE] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(482),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_LT_GT] = ACTIONS(482),
    [anon_sym_testislegesher] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(482),
    [sym__newline] = ACTIONS(482),
  },
  [517] = {
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_RPAREN] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_testiflegesher] = ACTIONS(476),
    [anon_sym_testasynclegesher] = ACTIONS(476),
    [anon_sym_testforlegesher] = ACTIONS(476),
    [anon_sym_testinlegesher] = ACTIONS(476),
    [anon_sym_EQ] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_testnotlegesher] = ACTIONS(476),
    [anon_sym_testandlegesher] = ACTIONS(476),
    [anon_sym_testorlegesher] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_SLASH_SLASH] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT_GT] = ACTIONS(476),
    [anon_sym_testislegesher] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_testfromlegesher] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_GT_GT] = ACTIONS(476),
    [anon_sym_COLON_EQ] = ACTIONS(1140),
    [anon_sym_testiflegesher] = ACTIONS(476),
    [anon_sym_testinlegesher] = ACTIONS(476),
    [anon_sym_EQ] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_testnotlegesher] = ACTIONS(476),
    [anon_sym_testandlegesher] = ACTIONS(476),
    [anon_sym_testorlegesher] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_SLASH_SLASH] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(476),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT_GT] = ACTIONS(476),
    [anon_sym_testislegesher] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(476),
    [sym__newline] = ACTIONS(476),
  },
  [519] = {
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_testfromlegesher] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_testiflegesher] = ACTIONS(530),
    [anon_sym_testinlegesher] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
    [anon_sym_testnotlegesher] = ACTIONS(530),
    [anon_sym_testandlegesher] = ACTIONS(530),
    [anon_sym_testorlegesher] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_SLASH_SLASH] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_PIPE] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_LT_LT] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_LT_GT] = ACTIONS(530),
    [anon_sym_testislegesher] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(530),
    [sym__newline] = ACTIONS(530),
    [sym__string_start] = ACTIONS(530),
  },
  [520] = {
    [anon_sym_DOT] = ACTIONS(548),
    [anon_sym_testfromlegesher] = ACTIONS(548),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_COMMA] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(548),
    [anon_sym_testiflegesher] = ACTIONS(548),
    [anon_sym_testinlegesher] = ACTIONS(548),
    [anon_sym_EQ] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(548),
    [anon_sym_testnotlegesher] = ACTIONS(548),
    [anon_sym_testandlegesher] = ACTIONS(548),
    [anon_sym_testorlegesher] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(548),
    [anon_sym_DASH] = ACTIONS(548),
    [anon_sym_SLASH] = ACTIONS(550),
    [anon_sym_PERCENT] = ACTIONS(548),
    [anon_sym_SLASH_SLASH] = ACTIONS(548),
    [anon_sym_STAR_STAR] = ACTIONS(548),
    [anon_sym_PIPE] = ACTIONS(548),
    [anon_sym_AMP] = ACTIONS(548),
    [anon_sym_CARET] = ACTIONS(548),
    [anon_sym_LT_LT] = ACTIONS(548),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(548),
    [anon_sym_GT] = ACTIONS(550),
    [anon_sym_LT_GT] = ACTIONS(548),
    [anon_sym_testislegesher] = ACTIONS(548),
    [anon_sym_LBRACK] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(548),
    [sym__newline] = ACTIONS(548),
    [sym__string_start] = ACTIONS(548),
  },
  [521] = {
    [sym__primary_expression] = STATE(611),
    [sym_binary_operator] = STATE(611),
    [sym_unary_operator] = STATE(611),
    [sym_attribute] = STATE(611),
    [sym_subscript] = STATE(611),
    [sym_call] = STATE(611),
    [sym_list] = STATE(611),
    [sym_list_comprehension] = STATE(611),
    [sym_dictionary] = STATE(611),
    [sym_dictionary_comprehension] = STATE(611),
    [sym_set] = STATE(611),
    [sym_set_comprehension] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_tuple] = STATE(611),
    [sym_generator_expression] = STATE(611),
    [sym_concatenated_string] = STATE(611),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testinlegesher] = ACTIONS(1144),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1142),
    [sym_float] = ACTIONS(1146),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [sym_none] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [522] = {
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_testfromlegesher] = ACTIONS(750),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(752),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_testiflegesher] = ACTIONS(750),
    [anon_sym_testinlegesher] = ACTIONS(750),
    [anon_sym_EQ] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(750),
    [anon_sym_testnotlegesher] = ACTIONS(750),
    [anon_sym_testandlegesher] = ACTIONS(750),
    [anon_sym_testorlegesher] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_SLASH] = ACTIONS(752),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_SLASH_SLASH] = ACTIONS(750),
    [anon_sym_STAR_STAR] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_LT] = ACTIONS(752),
    [anon_sym_LT_EQ] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(750),
    [anon_sym_BANG_EQ] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(750),
    [anon_sym_GT] = ACTIONS(752),
    [anon_sym_LT_GT] = ACTIONS(750),
    [anon_sym_testislegesher] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(750),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(750),
    [sym__newline] = ACTIONS(750),
  },
  [523] = {
    [sym__primary_expression] = STATE(135),
    [sym_binary_operator] = STATE(135),
    [sym_unary_operator] = STATE(135),
    [sym_attribute] = STATE(135),
    [sym_subscript] = STATE(135),
    [sym_call] = STATE(135),
    [sym_list] = STATE(135),
    [sym_list_comprehension] = STATE(135),
    [sym_dictionary] = STATE(135),
    [sym_dictionary_comprehension] = STATE(135),
    [sym_set] = STATE(135),
    [sym_set_comprehension] = STATE(135),
    [sym_parenthesized_expression] = STATE(135),
    [sym_tuple] = STATE(135),
    [sym_generator_expression] = STATE(135),
    [sym_concatenated_string] = STATE(135),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_testnotlegesher] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1148),
    [sym_float] = ACTIONS(1152),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [sym_none] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [524] = {
    [anon_sym_DOT] = ACTIONS(638),
    [anon_sym_testfromlegesher] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(638),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_GT_GT] = ACTIONS(638),
    [anon_sym_testiflegesher] = ACTIONS(638),
    [anon_sym_testinlegesher] = ACTIONS(638),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(638),
    [anon_sym_testnotlegesher] = ACTIONS(638),
    [anon_sym_testandlegesher] = ACTIONS(638),
    [anon_sym_testorlegesher] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(638),
    [anon_sym_DASH] = ACTIONS(638),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_PERCENT] = ACTIONS(638),
    [anon_sym_SLASH_SLASH] = ACTIONS(638),
    [anon_sym_STAR_STAR] = ACTIONS(638),
    [anon_sym_PIPE] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(638),
    [anon_sym_CARET] = ACTIONS(638),
    [anon_sym_LT_LT] = ACTIONS(638),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_LT_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(638),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_LT_GT] = ACTIONS(638),
    [anon_sym_testislegesher] = ACTIONS(638),
    [anon_sym_LBRACK] = ACTIONS(638),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(638),
    [sym__newline] = ACTIONS(638),
  },
  [525] = {
    [anon_sym_DOT] = ACTIONS(632),
    [anon_sym_testfromlegesher] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_GT_GT] = ACTIONS(632),
    [anon_sym_testiflegesher] = ACTIONS(632),
    [anon_sym_testinlegesher] = ACTIONS(632),
    [anon_sym_EQ] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(632),
    [anon_sym_testnotlegesher] = ACTIONS(632),
    [anon_sym_testandlegesher] = ACTIONS(632),
    [anon_sym_testorlegesher] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(632),
    [anon_sym_SLASH_SLASH] = ACTIONS(632),
    [anon_sym_STAR_STAR] = ACTIONS(632),
    [anon_sym_PIPE] = ACTIONS(632),
    [anon_sym_AMP] = ACTIONS(632),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_LT_LT] = ACTIONS(632),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_LT_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ] = ACTIONS(632),
    [anon_sym_GT_EQ] = ACTIONS(632),
    [anon_sym_GT] = ACTIONS(634),
    [anon_sym_LT_GT] = ACTIONS(632),
    [anon_sym_testislegesher] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(632),
    [sym__newline] = ACTIONS(632),
  },
  [526] = {
    [anon_sym_DOT] = ACTIONS(622),
    [anon_sym_testfromlegesher] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(624),
    [anon_sym_GT_GT] = ACTIONS(622),
    [anon_sym_testiflegesher] = ACTIONS(622),
    [anon_sym_testinlegesher] = ACTIONS(622),
    [anon_sym_EQ] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_testnotlegesher] = ACTIONS(622),
    [anon_sym_testandlegesher] = ACTIONS(622),
    [anon_sym_testorlegesher] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(622),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_PERCENT] = ACTIONS(622),
    [anon_sym_SLASH_SLASH] = ACTIONS(622),
    [anon_sym_STAR_STAR] = ACTIONS(622),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_LT_LT] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_LT_EQ] = ACTIONS(622),
    [anon_sym_EQ_EQ] = ACTIONS(622),
    [anon_sym_BANG_EQ] = ACTIONS(622),
    [anon_sym_GT_EQ] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(624),
    [anon_sym_LT_GT] = ACTIONS(622),
    [anon_sym_testislegesher] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(622),
    [sym__newline] = ACTIONS(622),
  },
  [527] = {
    [sym__primary_expression] = STATE(382),
    [sym_binary_operator] = STATE(382),
    [sym_unary_operator] = STATE(382),
    [sym_attribute] = STATE(382),
    [sym_subscript] = STATE(382),
    [sym_call] = STATE(382),
    [sym_list] = STATE(382),
    [sym_list_comprehension] = STATE(382),
    [sym_dictionary] = STATE(382),
    [sym_dictionary_comprehension] = STATE(382),
    [sym_set] = STATE(382),
    [sym_set_comprehension] = STATE(382),
    [sym_parenthesized_expression] = STATE(382),
    [sym_tuple] = STATE(382),
    [sym_generator_expression] = STATE(382),
    [sym_concatenated_string] = STATE(382),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_testnotlegesher] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1154),
    [sym_float] = ACTIONS(1158),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [sym_none] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [528] = {
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_testfromlegesher] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_testiflegesher] = ACTIONS(618),
    [anon_sym_testinlegesher] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_testnotlegesher] = ACTIONS(618),
    [anon_sym_testandlegesher] = ACTIONS(618),
    [anon_sym_testorlegesher] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_SLASH_SLASH] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(620),
    [anon_sym_LT_GT] = ACTIONS(618),
    [anon_sym_testislegesher] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(618),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(618),
    [sym__newline] = ACTIONS(618),
  },
  [529] = {
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_RPAREN] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_testiflegesher] = ACTIONS(237),
    [anon_sym_testasynclegesher] = ACTIONS(237),
    [anon_sym_testforlegesher] = ACTIONS(237),
    [anon_sym_testinlegesher] = ACTIONS(237),
    [anon_sym_EQ] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(237),
    [anon_sym_testnotlegesher] = ACTIONS(237),
    [anon_sym_testandlegesher] = ACTIONS(237),
    [anon_sym_testorlegesher] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(237),
    [anon_sym_SLASH_SLASH] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [anon_sym_LT_LT] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_GT] = ACTIONS(237),
    [anon_sym_testislegesher] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [anon_sym_DOT] = ACTIONS(628),
    [anon_sym_testfromlegesher] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_GT_GT] = ACTIONS(628),
    [anon_sym_testiflegesher] = ACTIONS(628),
    [anon_sym_testinlegesher] = ACTIONS(628),
    [anon_sym_EQ] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(628),
    [anon_sym_testnotlegesher] = ACTIONS(628),
    [anon_sym_testandlegesher] = ACTIONS(628),
    [anon_sym_testorlegesher] = ACTIONS(628),
    [anon_sym_PLUS] = ACTIONS(628),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_SLASH] = ACTIONS(630),
    [anon_sym_PERCENT] = ACTIONS(628),
    [anon_sym_SLASH_SLASH] = ACTIONS(628),
    [anon_sym_STAR_STAR] = ACTIONS(628),
    [anon_sym_PIPE] = ACTIONS(628),
    [anon_sym_AMP] = ACTIONS(628),
    [anon_sym_CARET] = ACTIONS(628),
    [anon_sym_LT_LT] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_LT_EQ] = ACTIONS(628),
    [anon_sym_EQ_EQ] = ACTIONS(628),
    [anon_sym_BANG_EQ] = ACTIONS(628),
    [anon_sym_GT_EQ] = ACTIONS(628),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_LT_GT] = ACTIONS(628),
    [anon_sym_testislegesher] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(628),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(628),
    [sym__newline] = ACTIONS(628),
  },
  [531] = {
    [sym_variables] = STATE(969),
    [sym__primary_expression] = STATE(606),
    [sym_binary_operator] = STATE(606),
    [sym_unary_operator] = STATE(606),
    [sym_attribute] = STATE(606),
    [sym_subscript] = STATE(606),
    [sym_call] = STATE(606),
    [sym_list] = STATE(606),
    [sym_list_comprehension] = STATE(606),
    [sym_dictionary] = STATE(606),
    [sym_dictionary_comprehension] = STATE(606),
    [sym_set] = STATE(606),
    [sym_set_comprehension] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_tuple] = STATE(606),
    [sym_generator_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1162),
    [sym_float] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [sym_none] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [532] = {
    [anon_sym_DOT] = ACTIONS(706),
    [anon_sym_testfromlegesher] = ACTIONS(706),
    [anon_sym_LPAREN] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_testiflegesher] = ACTIONS(706),
    [anon_sym_testinlegesher] = ACTIONS(706),
    [anon_sym_EQ] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_testnotlegesher] = ACTIONS(706),
    [anon_sym_testandlegesher] = ACTIONS(706),
    [anon_sym_testorlegesher] = ACTIONS(706),
    [anon_sym_PLUS] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(706),
    [anon_sym_SLASH] = ACTIONS(708),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_LT] = ACTIONS(708),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(708),
    [anon_sym_LT_GT] = ACTIONS(706),
    [anon_sym_testislegesher] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(706),
    [sym__newline] = ACTIONS(706),
  },
  [533] = {
    [sym_variables] = STATE(982),
    [sym__primary_expression] = STATE(606),
    [sym_binary_operator] = STATE(606),
    [sym_unary_operator] = STATE(606),
    [sym_attribute] = STATE(606),
    [sym_subscript] = STATE(606),
    [sym_call] = STATE(606),
    [sym_list] = STATE(606),
    [sym_list_comprehension] = STATE(606),
    [sym_dictionary] = STATE(606),
    [sym_dictionary_comprehension] = STATE(606),
    [sym_set] = STATE(606),
    [sym_set_comprehension] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_tuple] = STATE(606),
    [sym_generator_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1162),
    [sym_float] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [sym_none] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [534] = {
    [anon_sym_DOT] = ACTIONS(610),
    [anon_sym_testfromlegesher] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_COMMA] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_GT_GT] = ACTIONS(610),
    [anon_sym_testiflegesher] = ACTIONS(610),
    [anon_sym_testinlegesher] = ACTIONS(610),
    [anon_sym_EQ] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(610),
    [anon_sym_testnotlegesher] = ACTIONS(610),
    [anon_sym_testandlegesher] = ACTIONS(610),
    [anon_sym_testorlegesher] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(610),
    [anon_sym_DASH] = ACTIONS(610),
    [anon_sym_SLASH] = ACTIONS(612),
    [anon_sym_PERCENT] = ACTIONS(610),
    [anon_sym_SLASH_SLASH] = ACTIONS(610),
    [anon_sym_STAR_STAR] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_CARET] = ACTIONS(610),
    [anon_sym_LT_LT] = ACTIONS(610),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_LT_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_GT_EQ] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(612),
    [anon_sym_LT_GT] = ACTIONS(610),
    [anon_sym_testislegesher] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(610),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(610),
    [sym__newline] = ACTIONS(610),
  },
  [535] = {
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_testfromlegesher] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_STAR] = ACTIONS(608),
    [anon_sym_GT_GT] = ACTIONS(606),
    [anon_sym_testiflegesher] = ACTIONS(606),
    [anon_sym_testinlegesher] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(608),
    [anon_sym_AT] = ACTIONS(606),
    [anon_sym_testnotlegesher] = ACTIONS(606),
    [anon_sym_testandlegesher] = ACTIONS(606),
    [anon_sym_testorlegesher] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(606),
    [anon_sym_DASH] = ACTIONS(606),
    [anon_sym_SLASH] = ACTIONS(608),
    [anon_sym_PERCENT] = ACTIONS(606),
    [anon_sym_SLASH_SLASH] = ACTIONS(606),
    [anon_sym_STAR_STAR] = ACTIONS(606),
    [anon_sym_PIPE] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(606),
    [anon_sym_CARET] = ACTIONS(606),
    [anon_sym_LT_LT] = ACTIONS(606),
    [anon_sym_LT] = ACTIONS(608),
    [anon_sym_LT_EQ] = ACTIONS(606),
    [anon_sym_EQ_EQ] = ACTIONS(606),
    [anon_sym_BANG_EQ] = ACTIONS(606),
    [anon_sym_GT_EQ] = ACTIONS(606),
    [anon_sym_GT] = ACTIONS(608),
    [anon_sym_LT_GT] = ACTIONS(606),
    [anon_sym_testislegesher] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(606),
    [sym__newline] = ACTIONS(606),
  },
  [536] = {
    [anon_sym_DOT] = ACTIONS(656),
    [anon_sym_testfromlegesher] = ACTIONS(656),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_COMMA] = ACTIONS(656),
    [anon_sym_STAR] = ACTIONS(658),
    [anon_sym_GT_GT] = ACTIONS(656),
    [anon_sym_testiflegesher] = ACTIONS(656),
    [anon_sym_testinlegesher] = ACTIONS(656),
    [anon_sym_EQ] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(656),
    [anon_sym_testnotlegesher] = ACTIONS(656),
    [anon_sym_testandlegesher] = ACTIONS(656),
    [anon_sym_testorlegesher] = ACTIONS(656),
    [anon_sym_PLUS] = ACTIONS(656),
    [anon_sym_DASH] = ACTIONS(656),
    [anon_sym_SLASH] = ACTIONS(658),
    [anon_sym_PERCENT] = ACTIONS(656),
    [anon_sym_SLASH_SLASH] = ACTIONS(656),
    [anon_sym_STAR_STAR] = ACTIONS(656),
    [anon_sym_PIPE] = ACTIONS(656),
    [anon_sym_AMP] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(656),
    [anon_sym_LT_LT] = ACTIONS(656),
    [anon_sym_LT] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(656),
    [anon_sym_EQ_EQ] = ACTIONS(656),
    [anon_sym_BANG_EQ] = ACTIONS(656),
    [anon_sym_GT_EQ] = ACTIONS(656),
    [anon_sym_GT] = ACTIONS(658),
    [anon_sym_LT_GT] = ACTIONS(656),
    [anon_sym_testislegesher] = ACTIONS(656),
    [anon_sym_LBRACK] = ACTIONS(656),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(656),
    [sym__newline] = ACTIONS(656),
  },
  [537] = {
    [sym_variables] = STATE(989),
    [sym__primary_expression] = STATE(606),
    [sym_binary_operator] = STATE(606),
    [sym_unary_operator] = STATE(606),
    [sym_attribute] = STATE(606),
    [sym_subscript] = STATE(606),
    [sym_call] = STATE(606),
    [sym_list] = STATE(606),
    [sym_list_comprehension] = STATE(606),
    [sym_dictionary] = STATE(606),
    [sym_dictionary_comprehension] = STATE(606),
    [sym_set] = STATE(606),
    [sym_set_comprehension] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_tuple] = STATE(606),
    [sym_generator_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1162),
    [sym_float] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [sym_none] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [538] = {
    [anon_sym_DOT] = ACTIONS(688),
    [anon_sym_testfromlegesher] = ACTIONS(688),
    [anon_sym_LPAREN] = ACTIONS(688),
    [anon_sym_COMMA] = ACTIONS(688),
    [anon_sym_STAR] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(688),
    [anon_sym_testiflegesher] = ACTIONS(688),
    [anon_sym_testinlegesher] = ACTIONS(688),
    [anon_sym_EQ] = ACTIONS(690),
    [anon_sym_AT] = ACTIONS(688),
    [anon_sym_testnotlegesher] = ACTIONS(688),
    [anon_sym_testandlegesher] = ACTIONS(688),
    [anon_sym_testorlegesher] = ACTIONS(688),
    [anon_sym_PLUS] = ACTIONS(688),
    [anon_sym_DASH] = ACTIONS(688),
    [anon_sym_SLASH] = ACTIONS(690),
    [anon_sym_PERCENT] = ACTIONS(688),
    [anon_sym_SLASH_SLASH] = ACTIONS(688),
    [anon_sym_STAR_STAR] = ACTIONS(688),
    [anon_sym_PIPE] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(688),
    [anon_sym_CARET] = ACTIONS(688),
    [anon_sym_LT_LT] = ACTIONS(688),
    [anon_sym_LT] = ACTIONS(690),
    [anon_sym_LT_EQ] = ACTIONS(688),
    [anon_sym_EQ_EQ] = ACTIONS(688),
    [anon_sym_BANG_EQ] = ACTIONS(688),
    [anon_sym_GT_EQ] = ACTIONS(688),
    [anon_sym_GT] = ACTIONS(690),
    [anon_sym_LT_GT] = ACTIONS(688),
    [anon_sym_testislegesher] = ACTIONS(688),
    [anon_sym_LBRACK] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(688),
    [sym__newline] = ACTIONS(688),
  },
  [539] = {
    [anon_sym_DOT] = ACTIONS(660),
    [anon_sym_testfromlegesher] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(662),
    [anon_sym_GT_GT] = ACTIONS(660),
    [anon_sym_testiflegesher] = ACTIONS(660),
    [anon_sym_testinlegesher] = ACTIONS(660),
    [anon_sym_EQ] = ACTIONS(662),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_testnotlegesher] = ACTIONS(660),
    [anon_sym_testandlegesher] = ACTIONS(660),
    [anon_sym_testorlegesher] = ACTIONS(660),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_SLASH] = ACTIONS(662),
    [anon_sym_PERCENT] = ACTIONS(660),
    [anon_sym_SLASH_SLASH] = ACTIONS(660),
    [anon_sym_STAR_STAR] = ACTIONS(660),
    [anon_sym_PIPE] = ACTIONS(660),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [anon_sym_LT_LT] = ACTIONS(660),
    [anon_sym_LT] = ACTIONS(662),
    [anon_sym_LT_EQ] = ACTIONS(660),
    [anon_sym_EQ_EQ] = ACTIONS(660),
    [anon_sym_BANG_EQ] = ACTIONS(660),
    [anon_sym_GT_EQ] = ACTIONS(660),
    [anon_sym_GT] = ACTIONS(662),
    [anon_sym_LT_GT] = ACTIONS(660),
    [anon_sym_testislegesher] = ACTIONS(660),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(660),
    [sym__newline] = ACTIONS(660),
  },
  [540] = {
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_testfromlegesher] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(652),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_testiflegesher] = ACTIONS(650),
    [anon_sym_testinlegesher] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_testnotlegesher] = ACTIONS(650),
    [anon_sym_testandlegesher] = ACTIONS(650),
    [anon_sym_testorlegesher] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(652),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_SLASH_SLASH] = ACTIONS(650),
    [anon_sym_STAR_STAR] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(650),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym_LT_LT] = ACTIONS(650),
    [anon_sym_LT] = ACTIONS(652),
    [anon_sym_LT_EQ] = ACTIONS(650),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(652),
    [anon_sym_LT_GT] = ACTIONS(650),
    [anon_sym_testislegesher] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(650),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(650),
    [sym__newline] = ACTIONS(650),
  },
  [541] = {
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_testfromlegesher] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_GT_GT] = ACTIONS(742),
    [anon_sym_testiflegesher] = ACTIONS(742),
    [anon_sym_testinlegesher] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_testnotlegesher] = ACTIONS(742),
    [anon_sym_testandlegesher] = ACTIONS(742),
    [anon_sym_testorlegesher] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_SLASH_SLASH] = ACTIONS(742),
    [anon_sym_STAR_STAR] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_LT_GT] = ACTIONS(742),
    [anon_sym_testislegesher] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(742),
    [sym__newline] = ACTIONS(742),
  },
  [542] = {
    [anon_sym_DOT] = ACTIONS(698),
    [anon_sym_testfromlegesher] = ACTIONS(698),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_COMMA] = ACTIONS(698),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_GT_GT] = ACTIONS(698),
    [anon_sym_testiflegesher] = ACTIONS(698),
    [anon_sym_testinlegesher] = ACTIONS(698),
    [anon_sym_EQ] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(698),
    [anon_sym_testnotlegesher] = ACTIONS(698),
    [anon_sym_testandlegesher] = ACTIONS(698),
    [anon_sym_testorlegesher] = ACTIONS(698),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_SLASH] = ACTIONS(700),
    [anon_sym_PERCENT] = ACTIONS(698),
    [anon_sym_SLASH_SLASH] = ACTIONS(698),
    [anon_sym_STAR_STAR] = ACTIONS(698),
    [anon_sym_PIPE] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(698),
    [anon_sym_LT_LT] = ACTIONS(698),
    [anon_sym_LT] = ACTIONS(700),
    [anon_sym_LT_EQ] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(698),
    [anon_sym_BANG_EQ] = ACTIONS(698),
    [anon_sym_GT_EQ] = ACTIONS(698),
    [anon_sym_GT] = ACTIONS(700),
    [anon_sym_LT_GT] = ACTIONS(698),
    [anon_sym_testislegesher] = ACTIONS(698),
    [anon_sym_LBRACK] = ACTIONS(698),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(698),
    [sym__newline] = ACTIONS(698),
  },
  [543] = {
    [anon_sym_DOT] = ACTIONS(702),
    [anon_sym_testfromlegesher] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(702),
    [anon_sym_COMMA] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_GT_GT] = ACTIONS(702),
    [anon_sym_testiflegesher] = ACTIONS(702),
    [anon_sym_testinlegesher] = ACTIONS(702),
    [anon_sym_EQ] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(702),
    [anon_sym_testnotlegesher] = ACTIONS(702),
    [anon_sym_testandlegesher] = ACTIONS(702),
    [anon_sym_testorlegesher] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(702),
    [anon_sym_DASH] = ACTIONS(702),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_PERCENT] = ACTIONS(702),
    [anon_sym_SLASH_SLASH] = ACTIONS(702),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_PIPE] = ACTIONS(702),
    [anon_sym_AMP] = ACTIONS(702),
    [anon_sym_CARET] = ACTIONS(702),
    [anon_sym_LT_LT] = ACTIONS(702),
    [anon_sym_LT] = ACTIONS(704),
    [anon_sym_LT_EQ] = ACTIONS(702),
    [anon_sym_EQ_EQ] = ACTIONS(702),
    [anon_sym_BANG_EQ] = ACTIONS(702),
    [anon_sym_GT_EQ] = ACTIONS(702),
    [anon_sym_GT] = ACTIONS(704),
    [anon_sym_LT_GT] = ACTIONS(702),
    [anon_sym_testislegesher] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(702),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(702),
    [sym__newline] = ACTIONS(702),
  },
  [544] = {
    [anon_sym_DOT] = ACTIONS(732),
    [anon_sym_testfromlegesher] = ACTIONS(732),
    [anon_sym_LPAREN] = ACTIONS(732),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(732),
    [anon_sym_testiflegesher] = ACTIONS(732),
    [anon_sym_testinlegesher] = ACTIONS(732),
    [anon_sym_EQ] = ACTIONS(734),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_testnotlegesher] = ACTIONS(732),
    [anon_sym_testandlegesher] = ACTIONS(732),
    [anon_sym_testorlegesher] = ACTIONS(732),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(732),
    [anon_sym_SLASH_SLASH] = ACTIONS(732),
    [anon_sym_STAR_STAR] = ACTIONS(732),
    [anon_sym_PIPE] = ACTIONS(732),
    [anon_sym_AMP] = ACTIONS(732),
    [anon_sym_CARET] = ACTIONS(732),
    [anon_sym_LT_LT] = ACTIONS(732),
    [anon_sym_LT] = ACTIONS(734),
    [anon_sym_LT_EQ] = ACTIONS(732),
    [anon_sym_EQ_EQ] = ACTIONS(732),
    [anon_sym_BANG_EQ] = ACTIONS(732),
    [anon_sym_GT_EQ] = ACTIONS(732),
    [anon_sym_GT] = ACTIONS(734),
    [anon_sym_LT_GT] = ACTIONS(732),
    [anon_sym_testislegesher] = ACTIONS(732),
    [anon_sym_LBRACK] = ACTIONS(732),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(732),
    [sym__newline] = ACTIONS(732),
  },
  [545] = {
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_testfromlegesher] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_GT_GT] = ACTIONS(694),
    [anon_sym_testiflegesher] = ACTIONS(694),
    [anon_sym_testinlegesher] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_testnotlegesher] = ACTIONS(694),
    [anon_sym_testandlegesher] = ACTIONS(694),
    [anon_sym_testorlegesher] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(696),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_SLASH_SLASH] = ACTIONS(694),
    [anon_sym_STAR_STAR] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_LT_LT] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(696),
    [anon_sym_LT_EQ] = ACTIONS(694),
    [anon_sym_EQ_EQ] = ACTIONS(694),
    [anon_sym_BANG_EQ] = ACTIONS(694),
    [anon_sym_GT_EQ] = ACTIONS(694),
    [anon_sym_GT] = ACTIONS(696),
    [anon_sym_LT_GT] = ACTIONS(694),
    [anon_sym_testislegesher] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(694),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(694),
    [sym__newline] = ACTIONS(694),
  },
  [546] = {
    [anon_sym_DOT] = ACTIONS(642),
    [anon_sym_testfromlegesher] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(642),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(642),
    [anon_sym_testiflegesher] = ACTIONS(642),
    [anon_sym_testinlegesher] = ACTIONS(642),
    [anon_sym_EQ] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(642),
    [anon_sym_testnotlegesher] = ACTIONS(642),
    [anon_sym_testandlegesher] = ACTIONS(642),
    [anon_sym_testorlegesher] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(644),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_SLASH_SLASH] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_AMP] = ACTIONS(642),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_LT] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_EQ_EQ] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(644),
    [anon_sym_LT_GT] = ACTIONS(642),
    [anon_sym_testislegesher] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(642),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(642),
    [sym__newline] = ACTIONS(642),
  },
  [547] = {
    [anon_sym_DOT] = ACTIONS(782),
    [anon_sym_testfromlegesher] = ACTIONS(782),
    [anon_sym_LPAREN] = ACTIONS(782),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_STAR] = ACTIONS(784),
    [anon_sym_GT_GT] = ACTIONS(782),
    [anon_sym_testiflegesher] = ACTIONS(782),
    [anon_sym_testinlegesher] = ACTIONS(782),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(782),
    [anon_sym_testnotlegesher] = ACTIONS(782),
    [anon_sym_testandlegesher] = ACTIONS(782),
    [anon_sym_testorlegesher] = ACTIONS(782),
    [anon_sym_PLUS] = ACTIONS(782),
    [anon_sym_DASH] = ACTIONS(782),
    [anon_sym_SLASH] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(782),
    [anon_sym_SLASH_SLASH] = ACTIONS(782),
    [anon_sym_STAR_STAR] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(782),
    [anon_sym_AMP] = ACTIONS(782),
    [anon_sym_CARET] = ACTIONS(782),
    [anon_sym_LT_LT] = ACTIONS(782),
    [anon_sym_LT] = ACTIONS(784),
    [anon_sym_LT_EQ] = ACTIONS(782),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_GT_EQ] = ACTIONS(782),
    [anon_sym_GT] = ACTIONS(784),
    [anon_sym_LT_GT] = ACTIONS(782),
    [anon_sym_testislegesher] = ACTIONS(782),
    [anon_sym_LBRACK] = ACTIONS(782),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(782),
    [sym__newline] = ACTIONS(782),
  },
  [548] = {
    [sym_variables] = STATE(976),
    [sym__primary_expression] = STATE(606),
    [sym_binary_operator] = STATE(606),
    [sym_unary_operator] = STATE(606),
    [sym_attribute] = STATE(606),
    [sym_subscript] = STATE(606),
    [sym_call] = STATE(606),
    [sym_list] = STATE(606),
    [sym_list_comprehension] = STATE(606),
    [sym_dictionary] = STATE(606),
    [sym_dictionary_comprehension] = STATE(606),
    [sym_set] = STATE(606),
    [sym_set_comprehension] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_tuple] = STATE(606),
    [sym_generator_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1162),
    [sym_float] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [sym_none] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [549] = {
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_testfromlegesher] = ACTIONS(774),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(774),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_GT_GT] = ACTIONS(774),
    [anon_sym_testiflegesher] = ACTIONS(774),
    [anon_sym_testinlegesher] = ACTIONS(774),
    [anon_sym_EQ] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(774),
    [anon_sym_testnotlegesher] = ACTIONS(774),
    [anon_sym_testandlegesher] = ACTIONS(774),
    [anon_sym_testorlegesher] = ACTIONS(774),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(776),
    [anon_sym_PERCENT] = ACTIONS(774),
    [anon_sym_SLASH_SLASH] = ACTIONS(774),
    [anon_sym_STAR_STAR] = ACTIONS(774),
    [anon_sym_PIPE] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(774),
    [anon_sym_CARET] = ACTIONS(774),
    [anon_sym_LT_LT] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(776),
    [anon_sym_LT_EQ] = ACTIONS(774),
    [anon_sym_EQ_EQ] = ACTIONS(774),
    [anon_sym_BANG_EQ] = ACTIONS(774),
    [anon_sym_GT_EQ] = ACTIONS(774),
    [anon_sym_GT] = ACTIONS(776),
    [anon_sym_LT_GT] = ACTIONS(774),
    [anon_sym_testislegesher] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(774),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(774),
    [sym__newline] = ACTIONS(774),
  },
  [550] = {
    [sym__primary_expression] = STATE(611),
    [sym_binary_operator] = STATE(611),
    [sym_unary_operator] = STATE(611),
    [sym_attribute] = STATE(611),
    [sym_subscript] = STATE(611),
    [sym_call] = STATE(611),
    [sym_list] = STATE(611),
    [sym_list_comprehension] = STATE(611),
    [sym_dictionary] = STATE(611),
    [sym_dictionary_comprehension] = STATE(611),
    [sym_set] = STATE(611),
    [sym_set_comprehension] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_tuple] = STATE(611),
    [sym_generator_expression] = STATE(611),
    [sym_concatenated_string] = STATE(611),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testinlegesher] = ACTIONS(1166),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1142),
    [sym_float] = ACTIONS(1146),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [sym_none] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [551] = {
    [sym__primary_expression] = STATE(514),
    [sym_binary_operator] = STATE(514),
    [sym_unary_operator] = STATE(514),
    [sym_attribute] = STATE(514),
    [sym_subscript] = STATE(514),
    [sym_call] = STATE(514),
    [sym_list] = STATE(514),
    [sym_list_comprehension] = STATE(514),
    [sym_dictionary] = STATE(514),
    [sym_dictionary_comprehension] = STATE(514),
    [sym_set] = STATE(514),
    [sym_set_comprehension] = STATE(514),
    [sym_parenthesized_expression] = STATE(514),
    [sym_tuple] = STATE(514),
    [sym_generator_expression] = STATE(514),
    [sym_concatenated_string] = STATE(514),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_testnotlegesher] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1168),
    [sym_float] = ACTIONS(1172),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [sym_none] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [552] = {
    [anon_sym_DOT] = ACTIONS(672),
    [anon_sym_testfromlegesher] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(672),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(672),
    [anon_sym_testiflegesher] = ACTIONS(672),
    [anon_sym_testinlegesher] = ACTIONS(672),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(672),
    [anon_sym_testnotlegesher] = ACTIONS(672),
    [anon_sym_testandlegesher] = ACTIONS(672),
    [anon_sym_testorlegesher] = ACTIONS(672),
    [anon_sym_PLUS] = ACTIONS(672),
    [anon_sym_DASH] = ACTIONS(672),
    [anon_sym_SLASH] = ACTIONS(674),
    [anon_sym_PERCENT] = ACTIONS(672),
    [anon_sym_SLASH_SLASH] = ACTIONS(672),
    [anon_sym_STAR_STAR] = ACTIONS(672),
    [anon_sym_PIPE] = ACTIONS(672),
    [anon_sym_AMP] = ACTIONS(672),
    [anon_sym_CARET] = ACTIONS(672),
    [anon_sym_LT_LT] = ACTIONS(672),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(672),
    [anon_sym_EQ_EQ] = ACTIONS(672),
    [anon_sym_BANG_EQ] = ACTIONS(672),
    [anon_sym_GT_EQ] = ACTIONS(672),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(672),
    [anon_sym_testislegesher] = ACTIONS(672),
    [anon_sym_LBRACK] = ACTIONS(672),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(672),
    [sym__newline] = ACTIONS(672),
  },
  [553] = {
    [sym_variables] = STATE(1027),
    [sym__primary_expression] = STATE(606),
    [sym_binary_operator] = STATE(606),
    [sym_unary_operator] = STATE(606),
    [sym_attribute] = STATE(606),
    [sym_subscript] = STATE(606),
    [sym_call] = STATE(606),
    [sym_list] = STATE(606),
    [sym_list_comprehension] = STATE(606),
    [sym_dictionary] = STATE(606),
    [sym_dictionary_comprehension] = STATE(606),
    [sym_set] = STATE(606),
    [sym_set_comprehension] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_tuple] = STATE(606),
    [sym_generator_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1162),
    [sym_float] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [sym_none] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [554] = {
    [anon_sym_DOT] = ACTIONS(764),
    [anon_sym_testfromlegesher] = ACTIONS(764),
    [anon_sym_LPAREN] = ACTIONS(764),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_STAR] = ACTIONS(766),
    [anon_sym_GT_GT] = ACTIONS(764),
    [anon_sym_testiflegesher] = ACTIONS(764),
    [anon_sym_testinlegesher] = ACTIONS(764),
    [anon_sym_EQ] = ACTIONS(766),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_testnotlegesher] = ACTIONS(764),
    [anon_sym_testandlegesher] = ACTIONS(764),
    [anon_sym_testorlegesher] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(764),
    [anon_sym_DASH] = ACTIONS(764),
    [anon_sym_SLASH] = ACTIONS(766),
    [anon_sym_PERCENT] = ACTIONS(764),
    [anon_sym_SLASH_SLASH] = ACTIONS(764),
    [anon_sym_STAR_STAR] = ACTIONS(764),
    [anon_sym_PIPE] = ACTIONS(764),
    [anon_sym_AMP] = ACTIONS(764),
    [anon_sym_CARET] = ACTIONS(764),
    [anon_sym_LT_LT] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(766),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(764),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_GT] = ACTIONS(766),
    [anon_sym_LT_GT] = ACTIONS(764),
    [anon_sym_testislegesher] = ACTIONS(764),
    [anon_sym_LBRACK] = ACTIONS(764),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(764),
    [sym__newline] = ACTIONS(764),
  },
  [555] = {
    [anon_sym_DOT] = ACTIONS(728),
    [anon_sym_testfromlegesher] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(728),
    [anon_sym_COMMA] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_GT_GT] = ACTIONS(728),
    [anon_sym_testiflegesher] = ACTIONS(728),
    [anon_sym_testinlegesher] = ACTIONS(728),
    [anon_sym_EQ] = ACTIONS(730),
    [anon_sym_AT] = ACTIONS(728),
    [anon_sym_testnotlegesher] = ACTIONS(728),
    [anon_sym_testandlegesher] = ACTIONS(728),
    [anon_sym_testorlegesher] = ACTIONS(728),
    [anon_sym_PLUS] = ACTIONS(728),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_SLASH] = ACTIONS(730),
    [anon_sym_PERCENT] = ACTIONS(728),
    [anon_sym_SLASH_SLASH] = ACTIONS(728),
    [anon_sym_STAR_STAR] = ACTIONS(728),
    [anon_sym_PIPE] = ACTIONS(728),
    [anon_sym_AMP] = ACTIONS(728),
    [anon_sym_CARET] = ACTIONS(728),
    [anon_sym_LT_LT] = ACTIONS(728),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(728),
    [anon_sym_EQ_EQ] = ACTIONS(728),
    [anon_sym_BANG_EQ] = ACTIONS(728),
    [anon_sym_GT_EQ] = ACTIONS(728),
    [anon_sym_GT] = ACTIONS(730),
    [anon_sym_LT_GT] = ACTIONS(728),
    [anon_sym_testislegesher] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(728),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(728),
    [sym__newline] = ACTIONS(728),
  },
  [556] = {
    [anon_sym_DOT] = ACTIONS(716),
    [anon_sym_testfromlegesher] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(716),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_GT_GT] = ACTIONS(716),
    [anon_sym_testiflegesher] = ACTIONS(716),
    [anon_sym_testinlegesher] = ACTIONS(716),
    [anon_sym_EQ] = ACTIONS(718),
    [anon_sym_AT] = ACTIONS(716),
    [anon_sym_testnotlegesher] = ACTIONS(716),
    [anon_sym_testandlegesher] = ACTIONS(716),
    [anon_sym_testorlegesher] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(716),
    [anon_sym_DASH] = ACTIONS(716),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_PERCENT] = ACTIONS(716),
    [anon_sym_SLASH_SLASH] = ACTIONS(716),
    [anon_sym_STAR_STAR] = ACTIONS(716),
    [anon_sym_PIPE] = ACTIONS(716),
    [anon_sym_AMP] = ACTIONS(716),
    [anon_sym_CARET] = ACTIONS(716),
    [anon_sym_LT_LT] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_LT_EQ] = ACTIONS(716),
    [anon_sym_EQ_EQ] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(716),
    [anon_sym_GT_EQ] = ACTIONS(716),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_LT_GT] = ACTIONS(716),
    [anon_sym_testislegesher] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(716),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(716),
    [sym__newline] = ACTIONS(716),
  },
  [557] = {
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_testfromlegesher] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_testiflegesher] = ACTIONS(237),
    [anon_sym_testinlegesher] = ACTIONS(237),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_AT] = ACTIONS(237),
    [anon_sym_testnotlegesher] = ACTIONS(237),
    [anon_sym_testandlegesher] = ACTIONS(237),
    [anon_sym_testorlegesher] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(235),
    [anon_sym_PERCENT] = ACTIONS(237),
    [anon_sym_SLASH_SLASH] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [anon_sym_LT_LT] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_GT] = ACTIONS(237),
    [anon_sym_testislegesher] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(237),
    [sym__newline] = ACTIONS(237),
  },
  [558] = {
    [anon_sym_DOT] = ACTIONS(724),
    [anon_sym_testfromlegesher] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_COMMA] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_GT_GT] = ACTIONS(724),
    [anon_sym_testiflegesher] = ACTIONS(724),
    [anon_sym_testinlegesher] = ACTIONS(724),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(724),
    [anon_sym_testnotlegesher] = ACTIONS(724),
    [anon_sym_testandlegesher] = ACTIONS(724),
    [anon_sym_testorlegesher] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_PERCENT] = ACTIONS(724),
    [anon_sym_SLASH_SLASH] = ACTIONS(724),
    [anon_sym_STAR_STAR] = ACTIONS(724),
    [anon_sym_PIPE] = ACTIONS(724),
    [anon_sym_AMP] = ACTIONS(724),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_LT_LT] = ACTIONS(724),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_LT_EQ] = ACTIONS(724),
    [anon_sym_EQ_EQ] = ACTIONS(724),
    [anon_sym_BANG_EQ] = ACTIONS(724),
    [anon_sym_GT_EQ] = ACTIONS(724),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_LT_GT] = ACTIONS(724),
    [anon_sym_testislegesher] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(724),
    [sym__newline] = ACTIONS(724),
  },
  [559] = {
    [anon_sym_DOT] = ACTIONS(712),
    [anon_sym_testfromlegesher] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(712),
    [anon_sym_COMMA] = ACTIONS(712),
    [anon_sym_STAR] = ACTIONS(714),
    [anon_sym_GT_GT] = ACTIONS(712),
    [anon_sym_testiflegesher] = ACTIONS(712),
    [anon_sym_testinlegesher] = ACTIONS(712),
    [anon_sym_EQ] = ACTIONS(714),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_testnotlegesher] = ACTIONS(712),
    [anon_sym_testandlegesher] = ACTIONS(712),
    [anon_sym_testorlegesher] = ACTIONS(712),
    [anon_sym_PLUS] = ACTIONS(712),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_SLASH] = ACTIONS(714),
    [anon_sym_PERCENT] = ACTIONS(712),
    [anon_sym_SLASH_SLASH] = ACTIONS(712),
    [anon_sym_STAR_STAR] = ACTIONS(712),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_AMP] = ACTIONS(712),
    [anon_sym_CARET] = ACTIONS(712),
    [anon_sym_LT_LT] = ACTIONS(712),
    [anon_sym_LT] = ACTIONS(714),
    [anon_sym_LT_EQ] = ACTIONS(712),
    [anon_sym_EQ_EQ] = ACTIONS(712),
    [anon_sym_BANG_EQ] = ACTIONS(712),
    [anon_sym_GT_EQ] = ACTIONS(712),
    [anon_sym_GT] = ACTIONS(714),
    [anon_sym_LT_GT] = ACTIONS(712),
    [anon_sym_testislegesher] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(712),
    [sym__newline] = ACTIONS(712),
  },
  [560] = {
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_testfromlegesher] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(748),
    [anon_sym_GT_GT] = ACTIONS(746),
    [anon_sym_testiflegesher] = ACTIONS(746),
    [anon_sym_testinlegesher] = ACTIONS(746),
    [anon_sym_EQ] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(746),
    [anon_sym_testnotlegesher] = ACTIONS(746),
    [anon_sym_testandlegesher] = ACTIONS(746),
    [anon_sym_testorlegesher] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(748),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_SLASH_SLASH] = ACTIONS(746),
    [anon_sym_STAR_STAR] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(748),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(748),
    [anon_sym_LT_GT] = ACTIONS(746),
    [anon_sym_testislegesher] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(746),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(746),
    [sym__newline] = ACTIONS(746),
  },
  [561] = {
    [sym_variables] = STATE(1029),
    [sym__primary_expression] = STATE(606),
    [sym_binary_operator] = STATE(606),
    [sym_unary_operator] = STATE(606),
    [sym_attribute] = STATE(606),
    [sym_subscript] = STATE(606),
    [sym_call] = STATE(606),
    [sym_list] = STATE(606),
    [sym_list_comprehension] = STATE(606),
    [sym_dictionary] = STATE(606),
    [sym_dictionary_comprehension] = STATE(606),
    [sym_set] = STATE(606),
    [sym_set_comprehension] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_tuple] = STATE(606),
    [sym_generator_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1162),
    [sym_float] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [sym_none] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [562] = {
    [anon_sym_DOT] = ACTIONS(602),
    [anon_sym_testfromlegesher] = ACTIONS(602),
    [anon_sym_LPAREN] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_STAR] = ACTIONS(604),
    [anon_sym_GT_GT] = ACTIONS(602),
    [anon_sym_testiflegesher] = ACTIONS(602),
    [anon_sym_testinlegesher] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(604),
    [anon_sym_AT] = ACTIONS(602),
    [anon_sym_testnotlegesher] = ACTIONS(602),
    [anon_sym_testandlegesher] = ACTIONS(602),
    [anon_sym_testorlegesher] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(602),
    [anon_sym_DASH] = ACTIONS(602),
    [anon_sym_SLASH] = ACTIONS(604),
    [anon_sym_PERCENT] = ACTIONS(602),
    [anon_sym_SLASH_SLASH] = ACTIONS(602),
    [anon_sym_STAR_STAR] = ACTIONS(602),
    [anon_sym_PIPE] = ACTIONS(602),
    [anon_sym_AMP] = ACTIONS(602),
    [anon_sym_CARET] = ACTIONS(602),
    [anon_sym_LT_LT] = ACTIONS(602),
    [anon_sym_LT] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ] = ACTIONS(602),
    [anon_sym_GT_EQ] = ACTIONS(602),
    [anon_sym_GT] = ACTIONS(604),
    [anon_sym_LT_GT] = ACTIONS(602),
    [anon_sym_testislegesher] = ACTIONS(602),
    [anon_sym_LBRACK] = ACTIONS(602),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(602),
    [sym__newline] = ACTIONS(602),
  },
  [563] = {
    [anon_sym_DOT] = ACTIONS(770),
    [anon_sym_testfromlegesher] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_COMMA] = ACTIONS(770),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(770),
    [anon_sym_testiflegesher] = ACTIONS(770),
    [anon_sym_testinlegesher] = ACTIONS(770),
    [anon_sym_EQ] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(770),
    [anon_sym_testnotlegesher] = ACTIONS(770),
    [anon_sym_testandlegesher] = ACTIONS(770),
    [anon_sym_testorlegesher] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(770),
    [anon_sym_DASH] = ACTIONS(770),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(770),
    [anon_sym_SLASH_SLASH] = ACTIONS(770),
    [anon_sym_STAR_STAR] = ACTIONS(770),
    [anon_sym_PIPE] = ACTIONS(770),
    [anon_sym_AMP] = ACTIONS(770),
    [anon_sym_CARET] = ACTIONS(770),
    [anon_sym_LT_LT] = ACTIONS(770),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(770),
    [anon_sym_EQ_EQ] = ACTIONS(770),
    [anon_sym_BANG_EQ] = ACTIONS(770),
    [anon_sym_GT_EQ] = ACTIONS(770),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT_GT] = ACTIONS(770),
    [anon_sym_testislegesher] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(770),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(770),
    [sym__newline] = ACTIONS(770),
  },
  [564] = {
    [sym__primary_expression] = STATE(611),
    [sym_binary_operator] = STATE(611),
    [sym_unary_operator] = STATE(611),
    [sym_attribute] = STATE(611),
    [sym_subscript] = STATE(611),
    [sym_call] = STATE(611),
    [sym_list] = STATE(611),
    [sym_list_comprehension] = STATE(611),
    [sym_dictionary] = STATE(611),
    [sym_dictionary_comprehension] = STATE(611),
    [sym_set] = STATE(611),
    [sym_set_comprehension] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_tuple] = STATE(611),
    [sym_generator_expression] = STATE(611),
    [sym_concatenated_string] = STATE(611),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1142),
    [sym_float] = ACTIONS(1146),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [sym_none] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [565] = {
    [sym__primary_expression] = STATE(132),
    [sym_binary_operator] = STATE(132),
    [sym_unary_operator] = STATE(132),
    [sym_attribute] = STATE(132),
    [sym_subscript] = STATE(132),
    [sym_call] = STATE(132),
    [sym_list] = STATE(132),
    [sym_list_comprehension] = STATE(132),
    [sym_dictionary] = STATE(132),
    [sym_dictionary_comprehension] = STATE(132),
    [sym_set] = STATE(132),
    [sym_set_comprehension] = STATE(132),
    [sym_parenthesized_expression] = STATE(132),
    [sym_tuple] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [sym_concatenated_string] = STATE(132),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1174),
    [sym_float] = ACTIONS(1176),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [sym_none] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [566] = {
    [sym__primary_expression] = STATE(123),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_attribute] = STATE(123),
    [sym_subscript] = STATE(123),
    [sym_call] = STATE(123),
    [sym_list] = STATE(123),
    [sym_list_comprehension] = STATE(123),
    [sym_dictionary] = STATE(123),
    [sym_dictionary_comprehension] = STATE(123),
    [sym_set] = STATE(123),
    [sym_set_comprehension] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_tuple] = STATE(123),
    [sym_generator_expression] = STATE(123),
    [sym_concatenated_string] = STATE(123),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1178),
    [sym_float] = ACTIONS(1180),
    [sym_true] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
    [sym_none] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [567] = {
    [sym__primary_expression] = STATE(511),
    [sym_binary_operator] = STATE(511),
    [sym_unary_operator] = STATE(511),
    [sym_attribute] = STATE(511),
    [sym_subscript] = STATE(511),
    [sym_call] = STATE(511),
    [sym_list] = STATE(511),
    [sym_list_comprehension] = STATE(511),
    [sym_dictionary] = STATE(511),
    [sym_dictionary_comprehension] = STATE(511),
    [sym_set] = STATE(511),
    [sym_set_comprehension] = STATE(511),
    [sym_parenthesized_expression] = STATE(511),
    [sym_tuple] = STATE(511),
    [sym_generator_expression] = STATE(511),
    [sym_concatenated_string] = STATE(511),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1182),
    [sym_float] = ACTIONS(1184),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [sym_none] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [568] = {
    [sym__primary_expression] = STATE(512),
    [sym_binary_operator] = STATE(512),
    [sym_unary_operator] = STATE(512),
    [sym_attribute] = STATE(512),
    [sym_subscript] = STATE(512),
    [sym_call] = STATE(512),
    [sym_list] = STATE(512),
    [sym_list_comprehension] = STATE(512),
    [sym_dictionary] = STATE(512),
    [sym_dictionary_comprehension] = STATE(512),
    [sym_set] = STATE(512),
    [sym_set_comprehension] = STATE(512),
    [sym_parenthesized_expression] = STATE(512),
    [sym_tuple] = STATE(512),
    [sym_generator_expression] = STATE(512),
    [sym_concatenated_string] = STATE(512),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1186),
    [sym_float] = ACTIONS(1188),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [sym_none] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [569] = {
    [sym__primary_expression] = STATE(513),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_concatenated_string] = STATE(513),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1190),
    [sym_float] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [sym_none] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [570] = {
    [sym__primary_expression] = STATE(392),
    [sym_binary_operator] = STATE(392),
    [sym_unary_operator] = STATE(392),
    [sym_attribute] = STATE(392),
    [sym_subscript] = STATE(392),
    [sym_call] = STATE(392),
    [sym_list] = STATE(392),
    [sym_list_comprehension] = STATE(392),
    [sym_dictionary] = STATE(392),
    [sym_dictionary_comprehension] = STATE(392),
    [sym_set] = STATE(392),
    [sym_set_comprehension] = STATE(392),
    [sym_parenthesized_expression] = STATE(392),
    [sym_tuple] = STATE(392),
    [sym_generator_expression] = STATE(392),
    [sym_concatenated_string] = STATE(392),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1194),
    [sym_float] = ACTIONS(1196),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [sym_none] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [571] = {
    [sym__primary_expression] = STATE(515),
    [sym_binary_operator] = STATE(515),
    [sym_unary_operator] = STATE(515),
    [sym_attribute] = STATE(515),
    [sym_subscript] = STATE(515),
    [sym_call] = STATE(515),
    [sym_list] = STATE(515),
    [sym_list_comprehension] = STATE(515),
    [sym_dictionary] = STATE(515),
    [sym_dictionary_comprehension] = STATE(515),
    [sym_set] = STATE(515),
    [sym_set_comprehension] = STATE(515),
    [sym_parenthesized_expression] = STATE(515),
    [sym_tuple] = STATE(515),
    [sym_generator_expression] = STATE(515),
    [sym_concatenated_string] = STATE(515),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1198),
    [sym_float] = ACTIONS(1200),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [sym_none] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [572] = {
    [sym__primary_expression] = STATE(507),
    [sym_binary_operator] = STATE(507),
    [sym_unary_operator] = STATE(507),
    [sym_attribute] = STATE(507),
    [sym_subscript] = STATE(507),
    [sym_call] = STATE(507),
    [sym_list] = STATE(507),
    [sym_list_comprehension] = STATE(507),
    [sym_dictionary] = STATE(507),
    [sym_dictionary_comprehension] = STATE(507),
    [sym_set] = STATE(507),
    [sym_set_comprehension] = STATE(507),
    [sym_parenthesized_expression] = STATE(507),
    [sym_tuple] = STATE(507),
    [sym_generator_expression] = STATE(507),
    [sym_concatenated_string] = STATE(507),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1202),
    [sym_float] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [sym_none] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [573] = {
    [sym__primary_expression] = STATE(385),
    [sym_binary_operator] = STATE(385),
    [sym_unary_operator] = STATE(385),
    [sym_attribute] = STATE(385),
    [sym_subscript] = STATE(385),
    [sym_call] = STATE(385),
    [sym_list] = STATE(385),
    [sym_list_comprehension] = STATE(385),
    [sym_dictionary] = STATE(385),
    [sym_dictionary_comprehension] = STATE(385),
    [sym_set] = STATE(385),
    [sym_set_comprehension] = STATE(385),
    [sym_parenthesized_expression] = STATE(385),
    [sym_tuple] = STATE(385),
    [sym_generator_expression] = STATE(385),
    [sym_concatenated_string] = STATE(385),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1206),
    [sym_float] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [sym_none] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [574] = {
    [sym__primary_expression] = STATE(122),
    [sym_binary_operator] = STATE(122),
    [sym_unary_operator] = STATE(122),
    [sym_attribute] = STATE(122),
    [sym_subscript] = STATE(122),
    [sym_call] = STATE(122),
    [sym_list] = STATE(122),
    [sym_list_comprehension] = STATE(122),
    [sym_dictionary] = STATE(122),
    [sym_dictionary_comprehension] = STATE(122),
    [sym_set] = STATE(122),
    [sym_set_comprehension] = STATE(122),
    [sym_parenthesized_expression] = STATE(122),
    [sym_tuple] = STATE(122),
    [sym_generator_expression] = STATE(122),
    [sym_concatenated_string] = STATE(122),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1210),
    [sym_float] = ACTIONS(1212),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [sym_none] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [575] = {
    [sym__primary_expression] = STATE(120),
    [sym_binary_operator] = STATE(120),
    [sym_unary_operator] = STATE(120),
    [sym_attribute] = STATE(120),
    [sym_subscript] = STATE(120),
    [sym_call] = STATE(120),
    [sym_list] = STATE(120),
    [sym_list_comprehension] = STATE(120),
    [sym_dictionary] = STATE(120),
    [sym_dictionary_comprehension] = STATE(120),
    [sym_set] = STATE(120),
    [sym_set_comprehension] = STATE(120),
    [sym_parenthesized_expression] = STATE(120),
    [sym_tuple] = STATE(120),
    [sym_generator_expression] = STATE(120),
    [sym_concatenated_string] = STATE(120),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1214),
    [sym_float] = ACTIONS(1216),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [576] = {
    [sym__primary_expression] = STATE(514),
    [sym_binary_operator] = STATE(514),
    [sym_unary_operator] = STATE(514),
    [sym_attribute] = STATE(514),
    [sym_subscript] = STATE(514),
    [sym_call] = STATE(514),
    [sym_list] = STATE(514),
    [sym_list_comprehension] = STATE(514),
    [sym_dictionary] = STATE(514),
    [sym_dictionary_comprehension] = STATE(514),
    [sym_set] = STATE(514),
    [sym_set_comprehension] = STATE(514),
    [sym_parenthesized_expression] = STATE(514),
    [sym_tuple] = STATE(514),
    [sym_generator_expression] = STATE(514),
    [sym_concatenated_string] = STATE(514),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1168),
    [sym_float] = ACTIONS(1172),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [sym_none] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [577] = {
    [sym__primary_expression] = STATE(516),
    [sym_binary_operator] = STATE(516),
    [sym_unary_operator] = STATE(516),
    [sym_attribute] = STATE(516),
    [sym_subscript] = STATE(516),
    [sym_call] = STATE(516),
    [sym_list] = STATE(516),
    [sym_list_comprehension] = STATE(516),
    [sym_dictionary] = STATE(516),
    [sym_dictionary_comprehension] = STATE(516),
    [sym_set] = STATE(516),
    [sym_set_comprehension] = STATE(516),
    [sym_parenthesized_expression] = STATE(516),
    [sym_tuple] = STATE(516),
    [sym_generator_expression] = STATE(516),
    [sym_concatenated_string] = STATE(516),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1218),
    [sym_float] = ACTIONS(1220),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [578] = {
    [sym__primary_expression] = STATE(135),
    [sym_binary_operator] = STATE(135),
    [sym_unary_operator] = STATE(135),
    [sym_attribute] = STATE(135),
    [sym_subscript] = STATE(135),
    [sym_call] = STATE(135),
    [sym_list] = STATE(135),
    [sym_list_comprehension] = STATE(135),
    [sym_dictionary] = STATE(135),
    [sym_dictionary_comprehension] = STATE(135),
    [sym_set] = STATE(135),
    [sym_set_comprehension] = STATE(135),
    [sym_parenthesized_expression] = STATE(135),
    [sym_tuple] = STATE(135),
    [sym_generator_expression] = STATE(135),
    [sym_concatenated_string] = STATE(135),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1148),
    [sym_float] = ACTIONS(1152),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [sym_none] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [579] = {
    [sym__primary_expression] = STATE(384),
    [sym_binary_operator] = STATE(384),
    [sym_unary_operator] = STATE(384),
    [sym_attribute] = STATE(384),
    [sym_subscript] = STATE(384),
    [sym_call] = STATE(384),
    [sym_list] = STATE(384),
    [sym_list_comprehension] = STATE(384),
    [sym_dictionary] = STATE(384),
    [sym_dictionary_comprehension] = STATE(384),
    [sym_set] = STATE(384),
    [sym_set_comprehension] = STATE(384),
    [sym_parenthesized_expression] = STATE(384),
    [sym_tuple] = STATE(384),
    [sym_generator_expression] = STATE(384),
    [sym_concatenated_string] = STATE(384),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1222),
    [sym_float] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [sym_none] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [580] = {
    [sym__primary_expression] = STATE(383),
    [sym_binary_operator] = STATE(383),
    [sym_unary_operator] = STATE(383),
    [sym_attribute] = STATE(383),
    [sym_subscript] = STATE(383),
    [sym_call] = STATE(383),
    [sym_list] = STATE(383),
    [sym_list_comprehension] = STATE(383),
    [sym_dictionary] = STATE(383),
    [sym_dictionary_comprehension] = STATE(383),
    [sym_set] = STATE(383),
    [sym_set_comprehension] = STATE(383),
    [sym_parenthesized_expression] = STATE(383),
    [sym_tuple] = STATE(383),
    [sym_generator_expression] = STATE(383),
    [sym_concatenated_string] = STATE(383),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1226),
    [sym_float] = ACTIONS(1228),
    [sym_true] = ACTIONS(1226),
    [sym_false] = ACTIONS(1226),
    [sym_none] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [581] = {
    [sym__primary_expression] = STATE(382),
    [sym_binary_operator] = STATE(382),
    [sym_unary_operator] = STATE(382),
    [sym_attribute] = STATE(382),
    [sym_subscript] = STATE(382),
    [sym_call] = STATE(382),
    [sym_list] = STATE(382),
    [sym_list_comprehension] = STATE(382),
    [sym_dictionary] = STATE(382),
    [sym_dictionary_comprehension] = STATE(382),
    [sym_set] = STATE(382),
    [sym_set_comprehension] = STATE(382),
    [sym_parenthesized_expression] = STATE(382),
    [sym_tuple] = STATE(382),
    [sym_generator_expression] = STATE(382),
    [sym_concatenated_string] = STATE(382),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1154),
    [sym_float] = ACTIONS(1158),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [sym_none] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [582] = {
    [sym__primary_expression] = STATE(387),
    [sym_binary_operator] = STATE(387),
    [sym_unary_operator] = STATE(387),
    [sym_attribute] = STATE(387),
    [sym_subscript] = STATE(387),
    [sym_call] = STATE(387),
    [sym_list] = STATE(387),
    [sym_list_comprehension] = STATE(387),
    [sym_dictionary] = STATE(387),
    [sym_dictionary_comprehension] = STATE(387),
    [sym_set] = STATE(387),
    [sym_set_comprehension] = STATE(387),
    [sym_parenthesized_expression] = STATE(387),
    [sym_tuple] = STATE(387),
    [sym_generator_expression] = STATE(387),
    [sym_concatenated_string] = STATE(387),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1230),
    [sym_float] = ACTIONS(1232),
    [sym_true] = ACTIONS(1230),
    [sym_false] = ACTIONS(1230),
    [sym_none] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [583] = {
    [sym__primary_expression] = STATE(388),
    [sym_binary_operator] = STATE(388),
    [sym_unary_operator] = STATE(388),
    [sym_attribute] = STATE(388),
    [sym_subscript] = STATE(388),
    [sym_call] = STATE(388),
    [sym_list] = STATE(388),
    [sym_list_comprehension] = STATE(388),
    [sym_dictionary] = STATE(388),
    [sym_dictionary_comprehension] = STATE(388),
    [sym_set] = STATE(388),
    [sym_set_comprehension] = STATE(388),
    [sym_parenthesized_expression] = STATE(388),
    [sym_tuple] = STATE(388),
    [sym_generator_expression] = STATE(388),
    [sym_concatenated_string] = STATE(388),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1234),
    [sym_float] = ACTIONS(1236),
    [sym_true] = ACTIONS(1234),
    [sym_false] = ACTIONS(1234),
    [sym_none] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [584] = {
    [sym__primary_expression] = STATE(389),
    [sym_binary_operator] = STATE(389),
    [sym_unary_operator] = STATE(389),
    [sym_attribute] = STATE(389),
    [sym_subscript] = STATE(389),
    [sym_call] = STATE(389),
    [sym_list] = STATE(389),
    [sym_list_comprehension] = STATE(389),
    [sym_dictionary] = STATE(389),
    [sym_dictionary_comprehension] = STATE(389),
    [sym_set] = STATE(389),
    [sym_set_comprehension] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_tuple] = STATE(389),
    [sym_generator_expression] = STATE(389),
    [sym_concatenated_string] = STATE(389),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1238),
    [sym_float] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [sym_none] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [585] = {
    [sym__primary_expression] = STATE(381),
    [sym_binary_operator] = STATE(381),
    [sym_unary_operator] = STATE(381),
    [sym_attribute] = STATE(381),
    [sym_subscript] = STATE(381),
    [sym_call] = STATE(381),
    [sym_list] = STATE(381),
    [sym_list_comprehension] = STATE(381),
    [sym_dictionary] = STATE(381),
    [sym_dictionary_comprehension] = STATE(381),
    [sym_set] = STATE(381),
    [sym_set_comprehension] = STATE(381),
    [sym_parenthesized_expression] = STATE(381),
    [sym_tuple] = STATE(381),
    [sym_generator_expression] = STATE(381),
    [sym_concatenated_string] = STATE(381),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1242),
    [sym_float] = ACTIONS(1244),
    [sym_true] = ACTIONS(1242),
    [sym_false] = ACTIONS(1242),
    [sym_none] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [586] = {
    [sym__primary_expression] = STATE(393),
    [sym_binary_operator] = STATE(393),
    [sym_unary_operator] = STATE(393),
    [sym_attribute] = STATE(393),
    [sym_subscript] = STATE(393),
    [sym_call] = STATE(393),
    [sym_list] = STATE(393),
    [sym_list_comprehension] = STATE(393),
    [sym_dictionary] = STATE(393),
    [sym_dictionary_comprehension] = STATE(393),
    [sym_set] = STATE(393),
    [sym_set_comprehension] = STATE(393),
    [sym_parenthesized_expression] = STATE(393),
    [sym_tuple] = STATE(393),
    [sym_generator_expression] = STATE(393),
    [sym_concatenated_string] = STATE(393),
    [sym_string] = STATE(364),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(363),
    [anon_sym_testprintlegesher] = ACTIONS(367),
    [anon_sym_testexeclegesher] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_TILDE] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(377),
    [sym_ellipsis] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(381),
    [sym_integer] = ACTIONS(1246),
    [sym_float] = ACTIONS(1248),
    [sym_true] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [sym_none] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(387),
  },
  [587] = {
    [sym__primary_expression] = STATE(508),
    [sym_binary_operator] = STATE(508),
    [sym_unary_operator] = STATE(508),
    [sym_attribute] = STATE(508),
    [sym_subscript] = STATE(508),
    [sym_call] = STATE(508),
    [sym_list] = STATE(508),
    [sym_list_comprehension] = STATE(508),
    [sym_dictionary] = STATE(508),
    [sym_dictionary_comprehension] = STATE(508),
    [sym_set] = STATE(508),
    [sym_set_comprehension] = STATE(508),
    [sym_parenthesized_expression] = STATE(508),
    [sym_tuple] = STATE(508),
    [sym_generator_expression] = STATE(508),
    [sym_concatenated_string] = STATE(508),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1250),
    [sym_float] = ACTIONS(1252),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [sym_none] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [588] = {
    [sym__primary_expression] = STATE(131),
    [sym_binary_operator] = STATE(131),
    [sym_unary_operator] = STATE(131),
    [sym_attribute] = STATE(131),
    [sym_subscript] = STATE(131),
    [sym_call] = STATE(131),
    [sym_list] = STATE(131),
    [sym_list_comprehension] = STATE(131),
    [sym_dictionary] = STATE(131),
    [sym_dictionary_comprehension] = STATE(131),
    [sym_set] = STATE(131),
    [sym_set_comprehension] = STATE(131),
    [sym_parenthesized_expression] = STATE(131),
    [sym_tuple] = STATE(131),
    [sym_generator_expression] = STATE(131),
    [sym_concatenated_string] = STATE(131),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1254),
    [sym_float] = ACTIONS(1256),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [sym_none] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [589] = {
    [sym__primary_expression] = STATE(510),
    [sym_binary_operator] = STATE(510),
    [sym_unary_operator] = STATE(510),
    [sym_attribute] = STATE(510),
    [sym_subscript] = STATE(510),
    [sym_call] = STATE(510),
    [sym_list] = STATE(510),
    [sym_list_comprehension] = STATE(510),
    [sym_dictionary] = STATE(510),
    [sym_dictionary_comprehension] = STATE(510),
    [sym_set] = STATE(510),
    [sym_set_comprehension] = STATE(510),
    [sym_parenthesized_expression] = STATE(510),
    [sym_tuple] = STATE(510),
    [sym_generator_expression] = STATE(510),
    [sym_concatenated_string] = STATE(510),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1258),
    [sym_float] = ACTIONS(1260),
    [sym_true] = ACTIONS(1258),
    [sym_false] = ACTIONS(1258),
    [sym_none] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [590] = {
    [sym__primary_expression] = STATE(127),
    [sym_binary_operator] = STATE(127),
    [sym_unary_operator] = STATE(127),
    [sym_attribute] = STATE(127),
    [sym_subscript] = STATE(127),
    [sym_call] = STATE(127),
    [sym_list] = STATE(127),
    [sym_list_comprehension] = STATE(127),
    [sym_dictionary] = STATE(127),
    [sym_dictionary_comprehension] = STATE(127),
    [sym_set] = STATE(127),
    [sym_set_comprehension] = STATE(127),
    [sym_parenthesized_expression] = STATE(127),
    [sym_tuple] = STATE(127),
    [sym_generator_expression] = STATE(127),
    [sym_concatenated_string] = STATE(127),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1262),
    [sym_float] = ACTIONS(1264),
    [sym_true] = ACTIONS(1262),
    [sym_false] = ACTIONS(1262),
    [sym_none] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [591] = {
    [sym__primary_expression] = STATE(509),
    [sym_binary_operator] = STATE(509),
    [sym_unary_operator] = STATE(509),
    [sym_attribute] = STATE(509),
    [sym_subscript] = STATE(509),
    [sym_call] = STATE(509),
    [sym_list] = STATE(509),
    [sym_list_comprehension] = STATE(509),
    [sym_dictionary] = STATE(509),
    [sym_dictionary_comprehension] = STATE(509),
    [sym_set] = STATE(509),
    [sym_set_comprehension] = STATE(509),
    [sym_parenthesized_expression] = STATE(509),
    [sym_tuple] = STATE(509),
    [sym_generator_expression] = STATE(509),
    [sym_concatenated_string] = STATE(509),
    [sym_string] = STATE(504),
    [sym_identifier] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_testprintlegesher] = ACTIONS(239),
    [anon_sym_testexeclegesher] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_ellipsis] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(249),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [sym_none] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(255),
  },
  [592] = {
    [sym__primary_expression] = STATE(124),
    [sym_binary_operator] = STATE(124),
    [sym_unary_operator] = STATE(124),
    [sym_attribute] = STATE(124),
    [sym_subscript] = STATE(124),
    [sym_call] = STATE(124),
    [sym_list] = STATE(124),
    [sym_list_comprehension] = STATE(124),
    [sym_dictionary] = STATE(124),
    [sym_dictionary_comprehension] = STATE(124),
    [sym_set] = STATE(124),
    [sym_set_comprehension] = STATE(124),
    [sym_parenthesized_expression] = STATE(124),
    [sym_tuple] = STATE(124),
    [sym_generator_expression] = STATE(124),
    [sym_concatenated_string] = STATE(124),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1270),
    [sym_float] = ACTIONS(1272),
    [sym_true] = ACTIONS(1270),
    [sym_false] = ACTIONS(1270),
    [sym_none] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [593] = {
    [sym__primary_expression] = STATE(121),
    [sym_binary_operator] = STATE(121),
    [sym_unary_operator] = STATE(121),
    [sym_attribute] = STATE(121),
    [sym_subscript] = STATE(121),
    [sym_call] = STATE(121),
    [sym_list] = STATE(121),
    [sym_list_comprehension] = STATE(121),
    [sym_dictionary] = STATE(121),
    [sym_dictionary_comprehension] = STATE(121),
    [sym_set] = STATE(121),
    [sym_set_comprehension] = STATE(121),
    [sym_parenthesized_expression] = STATE(121),
    [sym_tuple] = STATE(121),
    [sym_generator_expression] = STATE(121),
    [sym_concatenated_string] = STATE(121),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1274),
    [sym_float] = ACTIONS(1276),
    [sym_true] = ACTIONS(1274),
    [sym_false] = ACTIONS(1274),
    [sym_none] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [594] = {
    [sym__primary_expression] = STATE(136),
    [sym_binary_operator] = STATE(136),
    [sym_unary_operator] = STATE(136),
    [sym_attribute] = STATE(136),
    [sym_subscript] = STATE(136),
    [sym_call] = STATE(136),
    [sym_list] = STATE(136),
    [sym_list_comprehension] = STATE(136),
    [sym_dictionary] = STATE(136),
    [sym_dictionary_comprehension] = STATE(136),
    [sym_set] = STATE(136),
    [sym_set_comprehension] = STATE(136),
    [sym_parenthesized_expression] = STATE(136),
    [sym_tuple] = STATE(136),
    [sym_generator_expression] = STATE(136),
    [sym_concatenated_string] = STATE(136),
    [sym_string] = STATE(118),
    [sym_identifier] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_testprintlegesher] = ACTIONS(349),
    [anon_sym_testexeclegesher] = ACTIONS(349),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_ellipsis] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(67),
    [sym_integer] = ACTIONS(1278),
    [sym_float] = ACTIONS(1280),
    [sym_true] = ACTIONS(1278),
    [sym_false] = ACTIONS(1278),
    [sym_none] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [595] = {
    [aux_sym_comparison_operator_repeat1] = STATE(595),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_testiflegesher] = ACTIONS(510),
    [anon_sym_COLON] = ACTIONS(510),
    [anon_sym_testinlegesher] = ACTIONS(1282),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_testnotlegesher] = ACTIONS(1285),
    [anon_sym_testandlegesher] = ACTIONS(510),
    [anon_sym_testorlegesher] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_EQ_EQ] = ACTIONS(1282),
    [anon_sym_BANG_EQ] = ACTIONS(1282),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_LT_GT] = ACTIONS(1282),
    [anon_sym_testislegesher] = ACTIONS(1291),
    [anon_sym_PLUS_EQ] = ACTIONS(510),
    [anon_sym_DASH_EQ] = ACTIONS(510),
    [anon_sym_STAR_EQ] = ACTIONS(510),
    [anon_sym_SLASH_EQ] = ACTIONS(510),
    [anon_sym_AT_EQ] = ACTIONS(510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(510),
    [anon_sym_PERCENT_EQ] = ACTIONS(510),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(510),
    [anon_sym_GT_GT_EQ] = ACTIONS(510),
    [anon_sym_LT_LT_EQ] = ACTIONS(510),
    [anon_sym_AMP_EQ] = ACTIONS(510),
    [anon_sym_CARET_EQ] = ACTIONS(510),
    [anon_sym_PIPE_EQ] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(510),
    [sym__newline] = ACTIONS(510),
  },
  [596] = {
    [aux_sym_comparison_operator_repeat1] = STATE(595),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_testiflegesher] = ACTIONS(1294),
    [anon_sym_COLON] = ACTIONS(1294),
    [anon_sym_testinlegesher] = ACTIONS(418),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_testnotlegesher] = ACTIONS(422),
    [anon_sym_testandlegesher] = ACTIONS(1294),
    [anon_sym_testorlegesher] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(434),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(434),
    [anon_sym_LT_GT] = ACTIONS(418),
    [anon_sym_testislegesher] = ACTIONS(436),
    [anon_sym_PLUS_EQ] = ACTIONS(1294),
    [anon_sym_DASH_EQ] = ACTIONS(1294),
    [anon_sym_STAR_EQ] = ACTIONS(1294),
    [anon_sym_SLASH_EQ] = ACTIONS(1294),
    [anon_sym_AT_EQ] = ACTIONS(1294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1294),
    [anon_sym_PERCENT_EQ] = ACTIONS(1294),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1294),
    [anon_sym_GT_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_LT_EQ] = ACTIONS(1294),
    [anon_sym_AMP_EQ] = ACTIONS(1294),
    [anon_sym_CARET_EQ] = ACTIONS(1294),
    [anon_sym_PIPE_EQ] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1294),
    [sym__newline] = ACTIONS(1294),
  },
  [597] = {
    [aux_sym_comparison_operator_repeat1] = STATE(597),
    [anon_sym_RPAREN] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_testaslegesher] = ACTIONS(510),
    [anon_sym_testiflegesher] = ACTIONS(510),
    [anon_sym_COLON] = ACTIONS(510),
    [anon_sym_testelselegesher] = ACTIONS(510),
    [anon_sym_testasynclegesher] = ACTIONS(510),
    [anon_sym_testforlegesher] = ACTIONS(510),
    [anon_sym_testinlegesher] = ACTIONS(1298),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_testnotlegesher] = ACTIONS(1301),
    [anon_sym_testandlegesher] = ACTIONS(510),
    [anon_sym_testorlegesher] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(1304),
    [anon_sym_LT_EQ] = ACTIONS(1298),
    [anon_sym_EQ_EQ] = ACTIONS(1298),
    [anon_sym_BANG_EQ] = ACTIONS(1298),
    [anon_sym_GT_EQ] = ACTIONS(1298),
    [anon_sym_GT] = ACTIONS(1304),
    [anon_sym_LT_GT] = ACTIONS(1298),
    [anon_sym_testislegesher] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [sym_type_conversion] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
  },
  [598] = {
    [aux_sym_comparison_operator_repeat1] = STATE(597),
    [anon_sym_RPAREN] = ACTIONS(1294),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_testaslegesher] = ACTIONS(1294),
    [anon_sym_testiflegesher] = ACTIONS(1294),
    [anon_sym_COLON] = ACTIONS(1294),
    [anon_sym_testelselegesher] = ACTIONS(1294),
    [anon_sym_testasynclegesher] = ACTIONS(1294),
    [anon_sym_testforlegesher] = ACTIONS(1294),
    [anon_sym_testinlegesher] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_testnotlegesher] = ACTIONS(941),
    [anon_sym_testandlegesher] = ACTIONS(1294),
    [anon_sym_testorlegesher] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(953),
    [anon_sym_LT_EQ] = ACTIONS(937),
    [anon_sym_EQ_EQ] = ACTIONS(937),
    [anon_sym_BANG_EQ] = ACTIONS(937),
    [anon_sym_GT_EQ] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(953),
    [anon_sym_LT_GT] = ACTIONS(937),
    [anon_sym_testislegesher] = ACTIONS(955),
    [anon_sym_RBRACK] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [sym_type_conversion] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [anon_sym_testfromlegesher] = ACTIONS(1310),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_testiflegesher] = ACTIONS(1310),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_testandlegesher] = ACTIONS(1310),
    [anon_sym_testorlegesher] = ACTIONS(1310),
    [anon_sym_PLUS_EQ] = ACTIONS(1310),
    [anon_sym_DASH_EQ] = ACTIONS(1310),
    [anon_sym_STAR_EQ] = ACTIONS(1310),
    [anon_sym_SLASH_EQ] = ACTIONS(1310),
    [anon_sym_AT_EQ] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1310),
    [anon_sym_PERCENT_EQ] = ACTIONS(1310),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1310),
    [anon_sym_GT_GT_EQ] = ACTIONS(1310),
    [anon_sym_LT_LT_EQ] = ACTIONS(1310),
    [anon_sym_AMP_EQ] = ACTIONS(1310),
    [anon_sym_CARET_EQ] = ACTIONS(1310),
    [anon_sym_PIPE_EQ] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1310),
    [sym__newline] = ACTIONS(1310),
  },
  [600] = {
    [aux_sym_assert_statement_repeat1] = STATE(614),
    [anon_sym_COMMA] = ACTIONS(1312),
    [anon_sym_testiflegesher] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1316),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1316),
    [anon_sym_DASH_EQ] = ACTIONS(1316),
    [anon_sym_STAR_EQ] = ACTIONS(1316),
    [anon_sym_SLASH_EQ] = ACTIONS(1316),
    [anon_sym_AT_EQ] = ACTIONS(1316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1316),
    [anon_sym_PERCENT_EQ] = ACTIONS(1316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1316),
    [anon_sym_GT_GT_EQ] = ACTIONS(1316),
    [anon_sym_LT_LT_EQ] = ACTIONS(1316),
    [anon_sym_AMP_EQ] = ACTIONS(1316),
    [anon_sym_CARET_EQ] = ACTIONS(1316),
    [anon_sym_PIPE_EQ] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1316),
    [sym__newline] = ACTIONS(1316),
  },
  [601] = {
    [anon_sym_testfromlegesher] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1322),
    [anon_sym_testiflegesher] = ACTIONS(1322),
    [anon_sym_COLON] = ACTIONS(1322),
    [anon_sym_EQ] = ACTIONS(1322),
    [anon_sym_testandlegesher] = ACTIONS(1322),
    [anon_sym_testorlegesher] = ACTIONS(1322),
    [anon_sym_PLUS_EQ] = ACTIONS(1322),
    [anon_sym_DASH_EQ] = ACTIONS(1322),
    [anon_sym_STAR_EQ] = ACTIONS(1322),
    [anon_sym_SLASH_EQ] = ACTIONS(1322),
    [anon_sym_AT_EQ] = ACTIONS(1322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1322),
    [anon_sym_PERCENT_EQ] = ACTIONS(1322),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1322),
    [anon_sym_GT_GT_EQ] = ACTIONS(1322),
    [anon_sym_LT_LT_EQ] = ACTIONS(1322),
    [anon_sym_AMP_EQ] = ACTIONS(1322),
    [anon_sym_CARET_EQ] = ACTIONS(1322),
    [anon_sym_PIPE_EQ] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1322),
    [sym__newline] = ACTIONS(1322),
  },
  [602] = {
    [aux_sym_assert_statement_repeat1] = STATE(616),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_testiflegesher] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1316),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1316),
    [anon_sym_DASH_EQ] = ACTIONS(1316),
    [anon_sym_STAR_EQ] = ACTIONS(1316),
    [anon_sym_SLASH_EQ] = ACTIONS(1316),
    [anon_sym_AT_EQ] = ACTIONS(1316),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1316),
    [anon_sym_PERCENT_EQ] = ACTIONS(1316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1316),
    [anon_sym_GT_GT_EQ] = ACTIONS(1316),
    [anon_sym_LT_LT_EQ] = ACTIONS(1316),
    [anon_sym_AMP_EQ] = ACTIONS(1316),
    [anon_sym_CARET_EQ] = ACTIONS(1316),
    [anon_sym_PIPE_EQ] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1326),
    [sym__newline] = ACTIONS(1326),
  },
  [603] = {
    [anon_sym_COMMA] = ACTIONS(1328),
    [anon_sym_testiflegesher] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1328),
    [anon_sym_EQ] = ACTIONS(1328),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1328),
    [anon_sym_DASH_EQ] = ACTIONS(1328),
    [anon_sym_STAR_EQ] = ACTIONS(1328),
    [anon_sym_SLASH_EQ] = ACTIONS(1328),
    [anon_sym_AT_EQ] = ACTIONS(1328),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1328),
    [anon_sym_PERCENT_EQ] = ACTIONS(1328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1328),
    [anon_sym_GT_GT_EQ] = ACTIONS(1328),
    [anon_sym_LT_LT_EQ] = ACTIONS(1328),
    [anon_sym_AMP_EQ] = ACTIONS(1328),
    [anon_sym_CARET_EQ] = ACTIONS(1328),
    [anon_sym_PIPE_EQ] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1328),
    [sym__newline] = ACTIONS(1328),
  },
  [604] = {
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_testiflegesher] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1330),
    [anon_sym_EQ] = ACTIONS(1330),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1330),
    [anon_sym_DASH_EQ] = ACTIONS(1330),
    [anon_sym_STAR_EQ] = ACTIONS(1330),
    [anon_sym_SLASH_EQ] = ACTIONS(1330),
    [anon_sym_AT_EQ] = ACTIONS(1330),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1330),
    [anon_sym_PERCENT_EQ] = ACTIONS(1330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1330),
    [anon_sym_GT_GT_EQ] = ACTIONS(1330),
    [anon_sym_LT_LT_EQ] = ACTIONS(1330),
    [anon_sym_AMP_EQ] = ACTIONS(1330),
    [anon_sym_CARET_EQ] = ACTIONS(1330),
    [anon_sym_PIPE_EQ] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1330),
    [sym__newline] = ACTIONS(1330),
  },
  [605] = {
    [anon_sym_COMMA] = ACTIONS(1332),
    [anon_sym_testiflegesher] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1332),
    [anon_sym_EQ] = ACTIONS(1332),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1332),
    [anon_sym_DASH_EQ] = ACTIONS(1332),
    [anon_sym_STAR_EQ] = ACTIONS(1332),
    [anon_sym_SLASH_EQ] = ACTIONS(1332),
    [anon_sym_AT_EQ] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1332),
    [anon_sym_PERCENT_EQ] = ACTIONS(1332),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1332),
    [anon_sym_GT_GT_EQ] = ACTIONS(1332),
    [anon_sym_LT_LT_EQ] = ACTIONS(1332),
    [anon_sym_AMP_EQ] = ACTIONS(1332),
    [anon_sym_CARET_EQ] = ACTIONS(1332),
    [anon_sym_PIPE_EQ] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1332),
    [sym__newline] = ACTIONS(1332),
  },
  [606] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [aux_sym_variables_repeat1] = STATE(864),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testinlegesher] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_testiflegesher] = ACTIONS(1338),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1338),
    [anon_sym_PLUS_EQ] = ACTIONS(1338),
    [anon_sym_DASH_EQ] = ACTIONS(1338),
    [anon_sym_STAR_EQ] = ACTIONS(1338),
    [anon_sym_SLASH_EQ] = ACTIONS(1338),
    [anon_sym_AT_EQ] = ACTIONS(1338),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1338),
    [anon_sym_PERCENT_EQ] = ACTIONS(1338),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1338),
    [anon_sym_GT_GT_EQ] = ACTIONS(1338),
    [anon_sym_LT_LT_EQ] = ACTIONS(1338),
    [anon_sym_AMP_EQ] = ACTIONS(1338),
    [anon_sym_CARET_EQ] = ACTIONS(1338),
    [anon_sym_PIPE_EQ] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1338),
    [sym__newline] = ACTIONS(1338),
  },
  [608] = {
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_testiflegesher] = ACTIONS(1340),
    [anon_sym_COLON] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1340),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1340),
    [anon_sym_DASH_EQ] = ACTIONS(1340),
    [anon_sym_STAR_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_AT_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_EQ] = ACTIONS(1340),
    [anon_sym_CARET_EQ] = ACTIONS(1340),
    [anon_sym_PIPE_EQ] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1340),
    [sym__newline] = ACTIONS(1340),
  },
  [609] = {
    [anon_sym_COMMA] = ACTIONS(1342),
    [anon_sym_testiflegesher] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1342),
    [anon_sym_EQ] = ACTIONS(1342),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1342),
    [anon_sym_DASH_EQ] = ACTIONS(1342),
    [anon_sym_STAR_EQ] = ACTIONS(1342),
    [anon_sym_SLASH_EQ] = ACTIONS(1342),
    [anon_sym_AT_EQ] = ACTIONS(1342),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1342),
    [anon_sym_PERCENT_EQ] = ACTIONS(1342),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1342),
    [anon_sym_GT_GT_EQ] = ACTIONS(1342),
    [anon_sym_LT_LT_EQ] = ACTIONS(1342),
    [anon_sym_AMP_EQ] = ACTIONS(1342),
    [anon_sym_CARET_EQ] = ACTIONS(1342),
    [anon_sym_PIPE_EQ] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1342),
    [sym__newline] = ACTIONS(1342),
  },
  [610] = {
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_testiflegesher] = ACTIONS(1344),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_testandlegesher] = ACTIONS(1318),
    [anon_sym_testorlegesher] = ACTIONS(1320),
    [anon_sym_PLUS_EQ] = ACTIONS(1344),
    [anon_sym_DASH_EQ] = ACTIONS(1344),
    [anon_sym_STAR_EQ] = ACTIONS(1344),
    [anon_sym_SLASH_EQ] = ACTIONS(1344),
    [anon_sym_AT_EQ] = ACTIONS(1344),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1344),
    [anon_sym_PERCENT_EQ] = ACTIONS(1344),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1344),
    [anon_sym_GT_GT_EQ] = ACTIONS(1344),
    [anon_sym_LT_LT_EQ] = ACTIONS(1344),
    [anon_sym_AMP_EQ] = ACTIONS(1344),
    [anon_sym_CARET_EQ] = ACTIONS(1344),
    [anon_sym_PIPE_EQ] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1344),
    [sym__newline] = ACTIONS(1344),
  },
  [611] = {
    [sym_argument_list] = STATE(484),
    [sym_generator_expression] = STATE(484),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_testinlegesher] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_SLASH_SLASH] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [612] = {
    [aux_sym_comparison_operator_repeat1] = STATE(613),
    [anon_sym_testfromlegesher] = ACTIONS(1294),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_testiflegesher] = ACTIONS(1294),
    [anon_sym_testinlegesher] = ACTIONS(1113),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_testnotlegesher] = ACTIONS(1117),
    [anon_sym_testandlegesher] = ACTIONS(1294),
    [anon_sym_testorlegesher] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1113),
    [anon_sym_EQ_EQ] = ACTIONS(1113),
    [anon_sym_BANG_EQ] = ACTIONS(1113),
    [anon_sym_GT_EQ] = ACTIONS(1113),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_LT_GT] = ACTIONS(1113),
    [anon_sym_testislegesher] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1294),
    [sym__newline] = ACTIONS(1294),
  },
  [613] = {
    [aux_sym_comparison_operator_repeat1] = STATE(613),
    [anon_sym_testfromlegesher] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_testiflegesher] = ACTIONS(510),
    [anon_sym_testinlegesher] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_testnotlegesher] = ACTIONS(1351),
    [anon_sym_testandlegesher] = ACTIONS(510),
    [anon_sym_testorlegesher] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1348),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_GT_EQ] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1348),
    [anon_sym_testislegesher] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(510),
    [sym__newline] = ACTIONS(510),
  },
  [614] = {
    [aux_sym_assert_statement_repeat1] = STATE(615),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_COLON] = ACTIONS(351),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_PLUS_EQ] = ACTIONS(351),
    [anon_sym_DASH_EQ] = ACTIONS(351),
    [anon_sym_STAR_EQ] = ACTIONS(351),
    [anon_sym_SLASH_EQ] = ACTIONS(351),
    [anon_sym_AT_EQ] = ACTIONS(351),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(351),
    [anon_sym_PERCENT_EQ] = ACTIONS(351),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(351),
    [anon_sym_GT_GT_EQ] = ACTIONS(351),
    [anon_sym_LT_LT_EQ] = ACTIONS(351),
    [anon_sym_AMP_EQ] = ACTIONS(351),
    [anon_sym_CARET_EQ] = ACTIONS(351),
    [anon_sym_PIPE_EQ] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
  },
  [615] = {
    [aux_sym_assert_statement_repeat1] = STATE(615),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_COLON] = ACTIONS(1342),
    [anon_sym_EQ] = ACTIONS(1342),
    [anon_sym_PLUS_EQ] = ACTIONS(1342),
    [anon_sym_DASH_EQ] = ACTIONS(1342),
    [anon_sym_STAR_EQ] = ACTIONS(1342),
    [anon_sym_SLASH_EQ] = ACTIONS(1342),
    [anon_sym_AT_EQ] = ACTIONS(1342),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1342),
    [anon_sym_PERCENT_EQ] = ACTIONS(1342),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1342),
    [anon_sym_GT_GT_EQ] = ACTIONS(1342),
    [anon_sym_LT_LT_EQ] = ACTIONS(1342),
    [anon_sym_AMP_EQ] = ACTIONS(1342),
    [anon_sym_CARET_EQ] = ACTIONS(1342),
    [anon_sym_PIPE_EQ] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1342),
    [sym__newline] = ACTIONS(1342),
  },
  [616] = {
    [aux_sym_assert_statement_repeat1] = STATE(615),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(351),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_PLUS_EQ] = ACTIONS(351),
    [anon_sym_DASH_EQ] = ACTIONS(351),
    [anon_sym_STAR_EQ] = ACTIONS(351),
    [anon_sym_SLASH_EQ] = ACTIONS(351),
    [anon_sym_AT_EQ] = ACTIONS(351),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(351),
    [anon_sym_PERCENT_EQ] = ACTIONS(351),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(351),
    [anon_sym_GT_GT_EQ] = ACTIONS(351),
    [anon_sym_LT_LT_EQ] = ACTIONS(351),
    [anon_sym_AMP_EQ] = ACTIONS(351),
    [anon_sym_CARET_EQ] = ACTIONS(351),
    [anon_sym_PIPE_EQ] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(357),
    [sym__newline] = ACTIONS(357),
  },
  [617] = {
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_PLUS_EQ] = ACTIONS(1371),
    [anon_sym_DASH_EQ] = ACTIONS(1371),
    [anon_sym_STAR_EQ] = ACTIONS(1371),
    [anon_sym_SLASH_EQ] = ACTIONS(1371),
    [anon_sym_AT_EQ] = ACTIONS(1371),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1371),
    [anon_sym_PERCENT_EQ] = ACTIONS(1371),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1371),
    [anon_sym_GT_GT_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT_EQ] = ACTIONS(1371),
    [anon_sym_AMP_EQ] = ACTIONS(1371),
    [anon_sym_CARET_EQ] = ACTIONS(1371),
    [anon_sym_PIPE_EQ] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1373),
    [sym__newline] = ACTIONS(1373),
  },
  [618] = {
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_PLUS_EQ] = ACTIONS(1371),
    [anon_sym_DASH_EQ] = ACTIONS(1371),
    [anon_sym_STAR_EQ] = ACTIONS(1371),
    [anon_sym_SLASH_EQ] = ACTIONS(1371),
    [anon_sym_AT_EQ] = ACTIONS(1371),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1371),
    [anon_sym_PERCENT_EQ] = ACTIONS(1371),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1371),
    [anon_sym_GT_GT_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT_EQ] = ACTIONS(1371),
    [anon_sym_AMP_EQ] = ACTIONS(1371),
    [anon_sym_CARET_EQ] = ACTIONS(1371),
    [anon_sym_PIPE_EQ] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [anon_sym_RPAREN] = ACTIONS(1310),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_testaslegesher] = ACTIONS(1310),
    [anon_sym_testiflegesher] = ACTIONS(1310),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_testelselegesher] = ACTIONS(1310),
    [anon_sym_testasynclegesher] = ACTIONS(1310),
    [anon_sym_testforlegesher] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_testandlegesher] = ACTIONS(1310),
    [anon_sym_testorlegesher] = ACTIONS(1310),
    [anon_sym_RBRACK] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [sym_type_conversion] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [620] = {
    [sym_lambda_parameters] = STATE(984),
    [sym__parameters] = STATE(986),
    [sym_default_parameter] = STATE(882),
    [sym_typed_default_parameter] = STATE(882),
    [sym_list_splat] = STATE(881),
    [sym_dictionary_splat] = STATE(881),
    [sym_typed_parameter] = STATE(882),
    [sym_tuple] = STATE(882),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1379),
    [anon_sym_COLON] = ACTIONS(1381),
    [anon_sym_testexeclegesher] = ACTIONS(1379),
    [sym_comment] = ACTIONS(3),
  },
  [621] = {
    [sym_lambda_parameters] = STATE(1019),
    [sym__parameters] = STATE(986),
    [sym_default_parameter] = STATE(882),
    [sym_typed_default_parameter] = STATE(882),
    [sym_list_splat] = STATE(881),
    [sym_dictionary_splat] = STATE(881),
    [sym_typed_parameter] = STATE(882),
    [sym_tuple] = STATE(882),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1379),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_testexeclegesher] = ACTIONS(1379),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [sym_lambda_parameters] = STATE(959),
    [sym__parameters] = STATE(986),
    [sym_default_parameter] = STATE(882),
    [sym_typed_default_parameter] = STATE(882),
    [sym_list_splat] = STATE(881),
    [sym_dictionary_splat] = STATE(881),
    [sym_typed_parameter] = STATE(882),
    [sym_tuple] = STATE(882),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1379),
    [anon_sym_COLON] = ACTIONS(1385),
    [anon_sym_testexeclegesher] = ACTIONS(1379),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [anon_sym_RPAREN] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1332),
    [anon_sym_testaslegesher] = ACTIONS(1332),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1332),
    [anon_sym_testelselegesher] = ACTIONS(1332),
    [anon_sym_testasynclegesher] = ACTIONS(1332),
    [anon_sym_testforlegesher] = ACTIONS(1332),
    [anon_sym_EQ] = ACTIONS(1332),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [sym_type_conversion] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [624] = {
    [sym_lambda_parameters] = STATE(972),
    [sym__parameters] = STATE(986),
    [sym_default_parameter] = STATE(882),
    [sym_typed_default_parameter] = STATE(882),
    [sym_list_splat] = STATE(881),
    [sym_dictionary_splat] = STATE(881),
    [sym_typed_parameter] = STATE(882),
    [sym_tuple] = STATE(882),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1379),
    [anon_sym_COLON] = ACTIONS(1393),
    [anon_sym_testexeclegesher] = ACTIONS(1379),
    [sym_comment] = ACTIONS(3),
  },
  [625] = {
    [anon_sym_RPAREN] = ACTIONS(1330),
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_testaslegesher] = ACTIONS(1330),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1330),
    [anon_sym_testelselegesher] = ACTIONS(1330),
    [anon_sym_testasynclegesher] = ACTIONS(1330),
    [anon_sym_testforlegesher] = ACTIONS(1330),
    [anon_sym_EQ] = ACTIONS(1330),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [sym_type_conversion] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [626] = {
    [anon_sym_RPAREN] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1328),
    [anon_sym_testaslegesher] = ACTIONS(1328),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1328),
    [anon_sym_testelselegesher] = ACTIONS(1328),
    [anon_sym_testasynclegesher] = ACTIONS(1328),
    [anon_sym_testforlegesher] = ACTIONS(1328),
    [anon_sym_EQ] = ACTIONS(1328),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [sym_type_conversion] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [627] = {
    [anon_sym_RPAREN] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_testaslegesher] = ACTIONS(1344),
    [anon_sym_testiflegesher] = ACTIONS(1344),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_testelselegesher] = ACTIONS(1344),
    [anon_sym_testasynclegesher] = ACTIONS(1344),
    [anon_sym_testforlegesher] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [sym_type_conversion] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [anon_sym_RPAREN] = ACTIONS(1340),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_testaslegesher] = ACTIONS(1340),
    [anon_sym_testiflegesher] = ACTIONS(1340),
    [anon_sym_COLON] = ACTIONS(1340),
    [anon_sym_testelselegesher] = ACTIONS(1340),
    [anon_sym_testasynclegesher] = ACTIONS(1340),
    [anon_sym_testforlegesher] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1340),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [sym_type_conversion] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [anon_sym_RPAREN] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_testaslegesher] = ACTIONS(1338),
    [anon_sym_testiflegesher] = ACTIONS(1338),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_testelselegesher] = ACTIONS(1338),
    [anon_sym_testasynclegesher] = ACTIONS(1338),
    [anon_sym_testforlegesher] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1338),
    [anon_sym_RBRACK] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [sym_type_conversion] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [630] = {
    [anon_sym_RPAREN] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1322),
    [anon_sym_testaslegesher] = ACTIONS(1322),
    [anon_sym_testiflegesher] = ACTIONS(1322),
    [anon_sym_COLON] = ACTIONS(1322),
    [anon_sym_testelselegesher] = ACTIONS(1322),
    [anon_sym_testasynclegesher] = ACTIONS(1322),
    [anon_sym_testforlegesher] = ACTIONS(1322),
    [anon_sym_EQ] = ACTIONS(1322),
    [anon_sym_testandlegesher] = ACTIONS(1322),
    [anon_sym_testorlegesher] = ACTIONS(1322),
    [anon_sym_RBRACK] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [sym_type_conversion] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [sym__parameters] = STATE(971),
    [sym_default_parameter] = STATE(877),
    [sym_typed_default_parameter] = STATE(877),
    [sym_list_splat] = STATE(783),
    [sym_dictionary_splat] = STATE(783),
    [sym_typed_parameter] = STATE(877),
    [sym_tuple] = STATE(877),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1397),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1399),
    [anon_sym_testexeclegesher] = ACTIONS(1399),
    [sym_comment] = ACTIONS(3),
  },
  [632] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(849),
    [sym_dictionary_splat] = STATE(849),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1405),
    [anon_sym_testexeclegesher] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [633] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(929),
    [sym_dictionary_splat] = STATE(929),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1411),
    [anon_sym_testexeclegesher] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [634] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(929),
    [sym_dictionary_splat] = STATE(929),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1413),
    [anon_sym_testexeclegesher] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [635] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(849),
    [sym_dictionary_splat] = STATE(849),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1405),
    [anon_sym_testexeclegesher] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [636] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(849),
    [sym_dictionary_splat] = STATE(849),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1405),
    [anon_sym_testexeclegesher] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [637] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(849),
    [sym_dictionary_splat] = STATE(849),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1405),
    [anon_sym_testexeclegesher] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [638] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(929),
    [sym_dictionary_splat] = STATE(929),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1403),
    [anon_sym_testexeclegesher] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [639] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(929),
    [sym_dictionary_splat] = STATE(929),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1415),
    [anon_sym_testexeclegesher] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [640] = {
    [sym__comprehension_clauses] = STATE(1005),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_list_repeat1] = STATE(843),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [641] = {
    [sym__comprehension_clauses] = STATE(994),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_list_repeat1] = STATE(868),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [642] = {
    [sym__comprehension_clauses] = STATE(961),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_list_repeat1] = STATE(813),
    [anon_sym_COMMA] = ACTIONS(1431),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
  },
  [643] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(929),
    [sym_dictionary_splat] = STATE(929),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1409),
    [anon_sym_testexeclegesher] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym_default_parameter] = STATE(838),
    [sym_typed_default_parameter] = STATE(838),
    [sym_list_splat] = STATE(849),
    [sym_dictionary_splat] = STATE(849),
    [sym_typed_parameter] = STATE(838),
    [sym_tuple] = STATE(838),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_testprintlegesher] = ACTIONS(1405),
    [anon_sym_testexeclegesher] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [645] = {
    [sym__comprehension_clauses] = STATE(1008),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_tuple_repeat1] = STATE(852),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1437),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [646] = {
    [sym__comprehension_clauses] = STATE(967),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_argument_list_repeat1] = STATE(901),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [647] = {
    [sym__comprehension_clauses] = STATE(1008),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_argument_list_repeat1] = STATE(893),
    [anon_sym_RPAREN] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1445),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [648] = {
    [sym__comprehension_clauses] = STATE(951),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_list_repeat1] = STATE(837),
    [anon_sym_COMMA] = ACTIONS(1447),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [sym__comprehension_clauses] = STATE(996),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_list_repeat1] = STATE(865),
    [anon_sym_COMMA] = ACTIONS(1451),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
  },
  [650] = {
    [sym__comprehension_clauses] = STATE(967),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_tuple_repeat1] = STATE(887),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1457),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [651] = {
    [sym__comprehension_clauses] = STATE(952),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_tuple_repeat1] = STATE(818),
    [anon_sym_RPAREN] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1461),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym__comprehension_clauses] = STATE(956),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_list_repeat1] = STATE(817),
    [anon_sym_COMMA] = ACTIONS(1463),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym__comprehension_clauses] = STATE(952),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_argument_list_repeat1] = STATE(896),
    [anon_sym_RPAREN] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym_for_in_clause] = STATE(658),
    [sym_if_clause] = STATE(658),
    [aux_sym__comprehension_clauses_repeat1] = STATE(658),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_testiflegesher] = ACTIONS(1473),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [anon_sym_testiflegesher] = ACTIONS(1475),
    [anon_sym_testasynclegesher] = ACTIONS(1475),
    [anon_sym_testforlegesher] = ACTIONS(1475),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1475),
    [anon_sym_RBRACE] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym_for_in_clause] = STATE(656),
    [sym_if_clause] = STATE(656),
    [aux_sym__comprehension_clauses_repeat1] = STATE(656),
    [anon_sym_RPAREN] = ACTIONS(1477),
    [anon_sym_testiflegesher] = ACTIONS(1479),
    [anon_sym_testasynclegesher] = ACTIONS(1482),
    [anon_sym_testforlegesher] = ACTIONS(1485),
    [anon_sym_RBRACK] = ACTIONS(1477),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [anon_sym_testiflegesher] = ACTIONS(1475),
    [anon_sym_testasynclegesher] = ACTIONS(1475),
    [anon_sym_testforlegesher] = ACTIONS(1475),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1475),
    [anon_sym_RBRACE] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_for_in_clause] = STATE(656),
    [sym_if_clause] = STATE(656),
    [aux_sym__comprehension_clauses_repeat1] = STATE(656),
    [anon_sym_RPAREN] = ACTIONS(1488),
    [anon_sym_testiflegesher] = ACTIONS(1473),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_RBRACK] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [659] = {
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [anon_sym_testiflegesher] = ACTIONS(1475),
    [anon_sym_testasynclegesher] = ACTIONS(1475),
    [anon_sym_testforlegesher] = ACTIONS(1475),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1475),
    [anon_sym_RBRACE] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
  },
  [660] = {
    [aux_sym_for_in_clause_repeat1] = STATE(672),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_testiflegesher] = ACTIONS(1490),
    [anon_sym_testasynclegesher] = ACTIONS(1490),
    [anon_sym_testforlegesher] = ACTIONS(1490),
    [anon_sym_RBRACK] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [aux_sym_for_in_clause_repeat1] = STATE(671),
    [anon_sym_RPAREN] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1496),
    [anon_sym_testiflegesher] = ACTIONS(1494),
    [anon_sym_testasynclegesher] = ACTIONS(1494),
    [anon_sym_testforlegesher] = ACTIONS(1494),
    [anon_sym_RBRACK] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [662] = {
    [anon_sym_RPAREN] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1498),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1498),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [anon_sym_testfromlegesher] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_testiflegesher] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1344),
    [sym__newline] = ACTIONS(1344),
  },
  [664] = {
    [anon_sym_testfromlegesher] = ACTIONS(1332),
    [anon_sym_COMMA] = ACTIONS(1332),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1332),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1332),
    [sym__newline] = ACTIONS(1332),
  },
  [665] = {
    [aux_sym_assert_statement_repeat1] = STATE(744),
    [anon_sym_testfromlegesher] = ACTIONS(1316),
    [anon_sym_COMMA] = ACTIONS(1506),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1316),
    [sym__newline] = ACTIONS(1316),
  },
  [666] = {
    [anon_sym_testfromlegesher] = ACTIONS(1340),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_testiflegesher] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1340),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1340),
    [sym__newline] = ACTIONS(1340),
  },
  [667] = {
    [anon_sym_testfromlegesher] = ACTIONS(1328),
    [anon_sym_COMMA] = ACTIONS(1328),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1328),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1328),
    [sym__newline] = ACTIONS(1328),
  },
  [668] = {
    [anon_sym_testfromlegesher] = ACTIONS(1330),
    [anon_sym_COMMA] = ACTIONS(1330),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1330),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1330),
    [sym__newline] = ACTIONS(1330),
  },
  [669] = {
    [anon_sym_testfromlegesher] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_testiflegesher] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1338),
    [sym__newline] = ACTIONS(1338),
  },
  [670] = {
    [aux_sym_for_in_clause_repeat1] = STATE(661),
    [anon_sym_RPAREN] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_testiflegesher] = ACTIONS(1508),
    [anon_sym_testasynclegesher] = ACTIONS(1508),
    [anon_sym_testforlegesher] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [671] = {
    [aux_sym_for_in_clause_repeat1] = STATE(671),
    [anon_sym_RPAREN] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_testiflegesher] = ACTIONS(1512),
    [anon_sym_testasynclegesher] = ACTIONS(1512),
    [anon_sym_testforlegesher] = ACTIONS(1512),
    [anon_sym_RBRACK] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [672] = {
    [aux_sym_for_in_clause_repeat1] = STATE(671),
    [anon_sym_RPAREN] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_testiflegesher] = ACTIONS(1517),
    [anon_sym_testasynclegesher] = ACTIONS(1517),
    [anon_sym_testforlegesher] = ACTIONS(1517),
    [anon_sym_RBRACK] = ACTIONS(1517),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [673] = {
    [sym_function_definition] = STATE(398),
    [sym_class_definition] = STATE(398),
    [sym_decorator] = STATE(707),
    [aux_sym_decorated_definition_repeat1] = STATE(707),
    [anon_sym_testasynclegesher] = ACTIONS(1521),
    [anon_sym_testdeflegesher] = ACTIONS(1523),
    [anon_sym_testclasslegesher] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
  },
  [674] = {
    [anon_sym_RPAREN] = ACTIONS(1527),
    [anon_sym_testiflegesher] = ACTIONS(1527),
    [anon_sym_testasynclegesher] = ACTIONS(1527),
    [anon_sym_testforlegesher] = ACTIONS(1527),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1527),
    [anon_sym_RBRACE] = ACTIONS(1527),
    [sym_comment] = ACTIONS(3),
  },
  [675] = {
    [sym_function_definition] = STATE(410),
    [sym_class_definition] = STATE(410),
    [sym_decorator] = STATE(707),
    [aux_sym_decorated_definition_repeat1] = STATE(707),
    [anon_sym_testasynclegesher] = ACTIONS(1529),
    [anon_sym_testdeflegesher] = ACTIONS(1531),
    [anon_sym_testclasslegesher] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
  },
  [676] = {
    [anon_sym_COMMA] = ACTIONS(1535),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testasynclegesher] = ACTIONS(1535),
    [anon_sym_testforlegesher] = ACTIONS(1535),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1535),
    [sym_comment] = ACTIONS(3),
  },
  [677] = {
    [aux_sym_print_statement_repeat1] = STATE(794),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1539),
    [sym__newline] = ACTIONS(1539),
  },
  [678] = {
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_testiflegesher] = ACTIONS(1541),
    [anon_sym_testasynclegesher] = ACTIONS(1541),
    [anon_sym_testforlegesher] = ACTIONS(1541),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
  },
  [679] = {
    [sym__comprehension_clauses] = STATE(1003),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_dictionary_repeat1] = STATE(850),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
  },
  [680] = {
    [sym_import_prefix] = STATE(856),
    [sym_relative_import] = STATE(966),
    [sym_dotted_name] = STATE(966),
    [aux_sym_import_prefix_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_DOT] = ACTIONS(1549),
    [anon_sym___future__] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
  },
  [681] = {
    [aux_sym_dotted_name_repeat1] = STATE(687),
    [anon_sym_DOT] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_COMMA] = ACTIONS(1555),
    [anon_sym_testaslegesher] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1555),
    [sym__newline] = ACTIONS(1555),
  },
  [682] = {
    [aux_sym_assert_statement_repeat1] = STATE(777),
    [anon_sym_RPAREN] = ACTIONS(1316),
    [anon_sym_COMMA] = ACTIONS(1557),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1316),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [683] = {
    [sym__import_list] = STATE(939),
    [sym_aliased_import] = STATE(787),
    [sym_wildcard_import] = STATE(939),
    [sym_dotted_name] = STATE(755),
    [sym_identifier] = ACTIONS(1559),
    [anon_sym_LPAREN] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
  },
  [684] = {
    [anon_sym_RPAREN] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_testiflegesher] = ACTIONS(1512),
    [anon_sym_testasynclegesher] = ACTIONS(1512),
    [anon_sym_testforlegesher] = ACTIONS(1512),
    [anon_sym_RBRACK] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [685] = {
    [sym_format_specifier] = STATE(1021),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [sym_type_conversion] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
  },
  [686] = {
    [aux_sym_subscript_repeat1] = STATE(895),
    [anon_sym_COMMA] = ACTIONS(1571),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1573),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1575),
    [sym_comment] = ACTIONS(3),
  },
  [687] = {
    [aux_sym_dotted_name_repeat1] = STATE(687),
    [anon_sym_DOT] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_testaslegesher] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1580),
    [sym__newline] = ACTIONS(1580),
  },
  [688] = {
    [anon_sym_RPAREN] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_testiflegesher] = ACTIONS(1582),
    [anon_sym_testasynclegesher] = ACTIONS(1582),
    [anon_sym_testforlegesher] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
  },
  [689] = {
    [aux_sym_subscript_repeat1] = STATE(889),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1573),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
  },
  [690] = {
    [aux_sym_assert_statement_repeat1] = STATE(806),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1590),
    [sym__newline] = ACTIONS(1590),
  },
  [691] = {
    [sym__comprehension_clauses] = STATE(962),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_dictionary_repeat1] = STATE(878),
    [anon_sym_COMMA] = ACTIONS(1592),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [692] = {
    [anon_sym_RPAREN] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [sym_comment] = ACTIONS(3),
  },
  [693] = {
    [aux_sym_subscript_repeat1] = STATE(809),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1573),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
  },
  [694] = {
    [aux_sym_dotted_name_repeat1] = STATE(681),
    [anon_sym_DOT] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_testaslegesher] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1602),
    [sym__newline] = ACTIONS(1602),
  },
  [695] = {
    [sym__comprehension_clauses] = STATE(993),
    [sym_for_in_clause] = STATE(654),
    [aux_sym_dictionary_repeat1] = STATE(870),
    [anon_sym_COMMA] = ACTIONS(1604),
    [anon_sym_testasynclegesher] = ACTIONS(1421),
    [anon_sym_testforlegesher] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
  },
  [696] = {
    [anon_sym_testfromlegesher] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1342),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1342),
    [sym__newline] = ACTIONS(1342),
  },
  [697] = {
    [aux_sym_assert_statement_repeat1] = STATE(795),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1608),
    [sym__newline] = ACTIONS(1608),
  },
  [698] = {
    [anon_sym_RPAREN] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1610),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [699] = {
    [anon_sym_RPAREN] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1612),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1612),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [700] = {
    [aux_sym_argument_list_repeat1] = STATE(901),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1441),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [701] = {
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(740),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(738),
    [sym_comment] = ACTIONS(3),
  },
  [702] = {
    [anon_sym_COMMA] = ACTIONS(1614),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1614),
    [sym__newline] = ACTIONS(1614),
  },
  [703] = {
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_testaslegesher] = ACTIONS(1618),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [704] = {
    [anon_sym_COMMA] = ACTIONS(820),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1620),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(820),
    [sym_comment] = ACTIONS(3),
  },
  [705] = {
    [aux_sym_dotted_name_repeat1] = STATE(705),
    [anon_sym_testimportlegesher] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_RPAREN] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_testaslegesher] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [706] = {
    [anon_sym_COMMA] = ACTIONS(1625),
    [anon_sym_testaslegesher] = ACTIONS(1625),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1627),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [707] = {
    [sym_decorator] = STATE(707),
    [aux_sym_decorated_definition_repeat1] = STATE(707),
    [anon_sym_testasynclegesher] = ACTIONS(1629),
    [anon_sym_testdeflegesher] = ACTIONS(1629),
    [anon_sym_testclasslegesher] = ACTIONS(1629),
    [anon_sym_AT] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
  },
  [708] = {
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_testaslegesher] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1580),
    [sym__newline] = ACTIONS(1580),
  },
  [709] = {
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1610),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1610),
    [sym__newline] = ACTIONS(1610),
  },
  [710] = {
    [anon_sym_COMMA] = ACTIONS(1634),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1634),
    [anon_sym_RBRACE] = ACTIONS(1634),
    [sym_comment] = ACTIONS(3),
  },
  [711] = {
    [sym_interpolation] = STATE(720),
    [aux_sym_string_repeat1] = STATE(720),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1638),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1638),
    [sym__string_end] = ACTIONS(1642),
  },
  [712] = {
    [anon_sym_COMMA] = ACTIONS(1644),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1573),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [aux_sym_tuple_repeat1] = STATE(852),
    [anon_sym_RPAREN] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1437),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [714] = {
    [anon_sym_RPAREN] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1648),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [715] = {
    [anon_sym_RPAREN] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1650),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [716] = {
    [anon_sym_COMMA] = ACTIONS(1652),
    [anon_sym_testaslegesher] = ACTIONS(1652),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1654),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [717] = {
    [sym_interpolation] = STATE(723),
    [aux_sym_string_repeat1] = STATE(723),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1656),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1656),
    [sym__string_end] = ACTIONS(1658),
  },
  [718] = {
    [anon_sym_RPAREN] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1342),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1342),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [719] = {
    [sym_interpolation] = STATE(723),
    [aux_sym_string_repeat1] = STATE(723),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1656),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1656),
    [sym__string_end] = ACTIONS(1660),
  },
  [720] = {
    [sym_interpolation] = STATE(723),
    [aux_sym_string_repeat1] = STATE(723),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1656),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1656),
    [sym__string_end] = ACTIONS(1662),
  },
  [721] = {
    [aux_sym_dotted_name_repeat1] = STATE(729),
    [anon_sym_testimportlegesher] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1664),
    [anon_sym_RPAREN] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_testaslegesher] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
  },
  [722] = {
    [sym_interpolation] = STATE(717),
    [aux_sym_string_repeat1] = STATE(717),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1666),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1666),
    [sym__string_end] = ACTIONS(1668),
  },
  [723] = {
    [sym_interpolation] = STATE(723),
    [aux_sym_string_repeat1] = STATE(723),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [sym_escape_sequence] = ACTIONS(1673),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1673),
    [sym__string_end] = ACTIONS(1676),
  },
  [724] = {
    [sym_interpolation] = STATE(726),
    [aux_sym_string_repeat1] = STATE(726),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1678),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1678),
    [sym__string_end] = ACTIONS(1680),
  },
  [725] = {
    [sym_interpolation] = STATE(719),
    [aux_sym_string_repeat1] = STATE(719),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1682),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1682),
    [sym__string_end] = ACTIONS(1684),
  },
  [726] = {
    [sym_interpolation] = STATE(723),
    [aux_sym_string_repeat1] = STATE(723),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [sym_escape_sequence] = ACTIONS(1656),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1656),
    [sym__string_end] = ACTIONS(1686),
  },
  [727] = {
    [aux_sym_argument_list_repeat1] = STATE(893),
    [anon_sym_RPAREN] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1445),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [728] = {
    [anon_sym_RPAREN] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1688),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1688),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [729] = {
    [aux_sym_dotted_name_repeat1] = STATE(705),
    [anon_sym_testimportlegesher] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1664),
    [anon_sym_RPAREN] = ACTIONS(1555),
    [anon_sym_COMMA] = ACTIONS(1555),
    [anon_sym_testaslegesher] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
  },
  [730] = {
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1690),
    [sym__newline] = ACTIONS(1690),
  },
  [731] = {
    [anon_sym_RPAREN] = ACTIONS(1692),
    [anon_sym_COMMA] = ACTIONS(1692),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [732] = {
    [anon_sym_RPAREN] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [733] = {
    [anon_sym_COMMA] = ACTIONS(1696),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
  },
  [734] = {
    [anon_sym_COMMA] = ACTIONS(1698),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1698),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [735] = {
    [aux_sym_assert_statement_repeat1] = STATE(735),
    [anon_sym_testfromlegesher] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1342),
    [sym__newline] = ACTIONS(1342),
  },
  [736] = {
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [737] = {
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [738] = {
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1692),
    [sym__newline] = ACTIONS(1692),
  },
  [739] = {
    [sym_aliased_import] = STATE(830),
    [sym_dotted_name] = STATE(764),
    [sym_identifier] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1707),
    [sym__newline] = ACTIONS(1707),
  },
  [740] = {
    [sym_except_clause] = STATE(138),
    [sym_finally_clause] = STATE(408),
    [aux_sym_try_statement_repeat1] = STATE(138),
    [anon_sym_testexceptlegesher] = ACTIONS(1709),
    [anon_sym_testfinallylegesher] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
  },
  [741] = {
    [sym_aliased_import] = STATE(830),
    [sym_dotted_name] = STATE(764),
    [sym_identifier] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1713),
    [sym__newline] = ACTIONS(1713),
  },
  [742] = {
    [sym_format_expression] = STATE(748),
    [aux_sym_format_specifier_repeat1] = STATE(748),
    [anon_sym_LBRACE] = ACTIONS(1715),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [aux_sym_format_specifier_token1] = ACTIONS(1719),
    [sym_comment] = ACTIONS(1640),
  },
  [743] = {
    [anon_sym_COMMA] = ACTIONS(820),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(820),
    [sym_comment] = ACTIONS(3),
  },
  [744] = {
    [aux_sym_assert_statement_repeat1] = STATE(735),
    [anon_sym_testfromlegesher] = ACTIONS(351),
    [anon_sym_COMMA] = ACTIONS(1721),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(351),
    [sym__newline] = ACTIONS(351),
  },
  [745] = {
    [sym_except_clause] = STATE(150),
    [sym_finally_clause] = STATE(399),
    [aux_sym_try_statement_repeat1] = STATE(150),
    [anon_sym_testexceptlegesher] = ACTIONS(1723),
    [anon_sym_testfinallylegesher] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
  },
  [746] = {
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1727),
    [sym__newline] = ACTIONS(1727),
  },
  [747] = {
    [sym_except_clause] = STATE(160),
    [sym_finally_clause] = STATE(465),
    [aux_sym_try_statement_repeat1] = STATE(160),
    [anon_sym_testexceptlegesher] = ACTIONS(1709),
    [anon_sym_testfinallylegesher] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
  },
  [748] = {
    [sym_format_expression] = STATE(748),
    [aux_sym_format_specifier_repeat1] = STATE(748),
    [anon_sym_LBRACE] = ACTIONS(1729),
    [anon_sym_RBRACE] = ACTIONS(1732),
    [aux_sym_format_specifier_token1] = ACTIONS(1734),
    [sym_comment] = ACTIONS(1640),
  },
  [749] = {
    [aux_sym__parameters_repeat1] = STATE(861),
    [anon_sym_RPAREN] = ACTIONS(1737),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_COLON] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
  },
  [750] = {
    [sym__import_list] = STATE(925),
    [sym_aliased_import] = STATE(787),
    [sym_dotted_name] = STATE(755),
    [sym_identifier] = ACTIONS(1559),
    [anon_sym_LPAREN] = ACTIONS(1745),
    [sym_comment] = ACTIONS(3),
  },
  [751] = {
    [anon_sym_testimportlegesher] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_RPAREN] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_testaslegesher] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [752] = {
    [aux_sym__parameters_repeat1] = STATE(863),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1749),
    [anon_sym_COLON] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1753),
    [sym_comment] = ACTIONS(3),
  },
  [753] = {
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [754] = {
    [sym_except_clause] = STATE(140),
    [sym_finally_clause] = STATE(440),
    [aux_sym_try_statement_repeat1] = STATE(140),
    [anon_sym_testexceptlegesher] = ACTIONS(1723),
    [anon_sym_testfinallylegesher] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
  },
  [755] = {
    [aux_sym__import_list_repeat1] = STATE(780),
    [anon_sym_COMMA] = ACTIONS(1757),
    [anon_sym_testaslegesher] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1761),
    [sym__newline] = ACTIONS(1761),
  },
  [756] = {
    [anon_sym_testiflegesher] = ACTIONS(1504),
    [anon_sym_testandlegesher] = ACTIONS(1500),
    [anon_sym_testorlegesher] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1763),
    [sym__newline] = ACTIONS(1763),
  },
  [757] = {
    [sym_format_expression] = STATE(742),
    [aux_sym_format_specifier_repeat1] = STATE(742),
    [anon_sym_LBRACE] = ACTIONS(1715),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [aux_sym_format_specifier_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(1640),
  },
  [758] = {
    [anon_sym_COMMA] = ACTIONS(814),
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACK] = ACTIONS(814),
    [sym_comment] = ACTIONS(3),
  },
  [759] = {
    [aux_sym_global_statement_repeat1] = STATE(781),
    [anon_sym_COMMA] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1771),
    [sym__newline] = ACTIONS(1771),
  },
  [760] = {
    [anon_sym_testasynclegesher] = ACTIONS(1773),
    [anon_sym_testdeflegesher] = ACTIONS(1773),
    [anon_sym_testclasslegesher] = ACTIONS(1773),
    [anon_sym_AT] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
  },
  [761] = {
    [aux_sym_print_statement_repeat1] = STATE(761),
    [anon_sym_COMMA] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1778),
    [sym__newline] = ACTIONS(1778),
  },
  [762] = {
    [anon_sym_LBRACE] = ACTIONS(1780),
    [sym_escape_sequence] = ACTIONS(1782),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1782),
    [sym__string_end] = ACTIONS(1782),
  },
  [763] = {
    [sym__import_list] = STATE(923),
    [sym_aliased_import] = STATE(787),
    [sym_dotted_name] = STATE(755),
    [sym_identifier] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
  },
  [764] = {
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym_testaslegesher] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1784),
    [sym__newline] = ACTIONS(1784),
  },
  [765] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1786),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [766] = {
    [anon_sym_RPAREN] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [anon_sym_COLON] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1753),
    [sym_comment] = ACTIONS(3),
  },
  [767] = {
    [anon_sym_RPAREN] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_COLON] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
  },
  [768] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1792),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [769] = {
    [aux_sym__import_list_repeat1] = STATE(769),
    [anon_sym_COMMA] = ACTIONS(1794),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1797),
    [sym__newline] = ACTIONS(1797),
  },
  [770] = {
    [aux_sym_global_statement_repeat1] = STATE(759),
    [anon_sym_COMMA] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1799),
    [sym__newline] = ACTIONS(1799),
  },
  [771] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1801),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [772] = {
    [sym_aliased_import] = STATE(906),
    [sym_dotted_name] = STATE(884),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
  },
  [773] = {
    [aux_sym_assert_statement_repeat1] = STATE(773),
    [anon_sym_RPAREN] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1805),
    [anon_sym_COLON] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [774] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1808),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [775] = {
    [sym__import_list] = STATE(987),
    [sym_aliased_import] = STATE(824),
    [sym_dotted_name] = STATE(784),
    [sym_identifier] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
  },
  [776] = {
    [sym__import_list] = STATE(988),
    [sym_aliased_import] = STATE(824),
    [sym_dotted_name] = STATE(784),
    [sym_identifier] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
  },
  [777] = {
    [aux_sym_assert_statement_repeat1] = STATE(773),
    [anon_sym_RPAREN] = ACTIONS(351),
    [anon_sym_COMMA] = ACTIONS(1810),
    [anon_sym_COLON] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
  },
  [778] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testelselegesher] = ACTIONS(1812),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [779] = {
    [sym_aliased_import] = STATE(906),
    [sym_dotted_name] = STATE(884),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
  },
  [780] = {
    [aux_sym__import_list_repeat1] = STATE(769),
    [anon_sym_COMMA] = ACTIONS(1814),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1816),
    [sym__newline] = ACTIONS(1816),
  },
  [781] = {
    [aux_sym_global_statement_repeat1] = STATE(781),
    [anon_sym_COMMA] = ACTIONS(1818),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1821),
    [sym__newline] = ACTIONS(1821),
  },
  [782] = {
    [anon_sym_testasynclegesher] = ACTIONS(1823),
    [anon_sym_testdeflegesher] = ACTIONS(1823),
    [anon_sym_testclasslegesher] = ACTIONS(1823),
    [anon_sym_AT] = ACTIONS(1823),
    [sym_comment] = ACTIONS(3),
  },
  [783] = {
    [aux_sym__parameters_repeat1] = STATE(863),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1749),
    [anon_sym_COLON] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
  },
  [784] = {
    [aux_sym__import_list_repeat1] = STATE(876),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_testaslegesher] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
  },
  [785] = {
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1831),
    [anon_sym_COLON] = ACTIONS(1831),
    [anon_sym_EQ] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
  },
  [786] = {
    [aux_sym_list_repeat1] = STATE(786),
    [anon_sym_COMMA] = ACTIONS(1835),
    [anon_sym_RBRACK] = ACTIONS(1634),
    [anon_sym_RBRACE] = ACTIONS(1634),
    [sym_comment] = ACTIONS(3),
  },
  [787] = {
    [aux_sym__import_list_repeat1] = STATE(780),
    [anon_sym_COMMA] = ACTIONS(1757),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1761),
    [sym__newline] = ACTIONS(1761),
  },
  [788] = {
    [aux_sym_import_prefix_repeat1] = STATE(788),
    [sym_identifier] = ACTIONS(1838),
    [anon_sym_testimportlegesher] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
  },
  [789] = {
    [aux_sym_import_prefix_repeat1] = STATE(788),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_testimportlegesher] = ACTIONS(1843),
    [anon_sym_DOT] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
  },
  [790] = {
    [aux_sym_print_statement_repeat1] = STATE(792),
    [anon_sym_COMMA] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1849),
    [sym__newline] = ACTIONS(1849),
  },
  [791] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [792] = {
    [aux_sym_print_statement_repeat1] = STATE(761),
    [anon_sym_COMMA] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1853),
    [sym__newline] = ACTIONS(1853),
  },
  [793] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [794] = {
    [aux_sym_print_statement_repeat1] = STATE(761),
    [anon_sym_COMMA] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1859),
    [sym__newline] = ACTIONS(1859),
  },
  [795] = {
    [aux_sym_assert_statement_repeat1] = STATE(735),
    [anon_sym_COMMA] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1861),
    [sym__newline] = ACTIONS(1861),
  },
  [796] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1863),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [797] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1865),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [798] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testelselegesher] = ACTIONS(1867),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [799] = {
    [aux_sym_global_statement_repeat1] = STATE(807),
    [anon_sym_COMMA] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1869),
    [sym__newline] = ACTIONS(1869),
  },
  [800] = {
    [anon_sym_LBRACE] = ACTIONS(1871),
    [sym_escape_sequence] = ACTIONS(1873),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1873),
    [sym__string_end] = ACTIONS(1873),
  },
  [801] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_COLON] = ACTIONS(1875),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [802] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1877),
    [sym_comment] = ACTIONS(3),
  },
  [803] = {
    [aux_sym__parameters_repeat1] = STATE(831),
    [anon_sym_COMMA] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1753),
    [sym_comment] = ACTIONS(3),
  },
  [804] = {
    [aux_sym__parameters_repeat1] = STATE(828),
    [anon_sym_COMMA] = ACTIONS(1881),
    [anon_sym_COLON] = ACTIONS(1737),
    [anon_sym_EQ] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
  },
  [805] = {
    [anon_sym_testiflegesher] = ACTIONS(1387),
    [anon_sym_testelselegesher] = ACTIONS(1883),
    [anon_sym_testandlegesher] = ACTIONS(1389),
    [anon_sym_testorlegesher] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
  },
  [806] = {
    [aux_sym_assert_statement_repeat1] = STATE(735),
    [anon_sym_COMMA] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1885),
    [sym__newline] = ACTIONS(1885),
  },
  [807] = {
    [aux_sym_global_statement_repeat1] = STATE(781),
    [anon_sym_COMMA] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1887),
    [sym__newline] = ACTIONS(1887),
  },
  [808] = {
    [anon_sym_LBRACE] = ACTIONS(1889),
    [sym_escape_sequence] = ACTIONS(1891),
    [sym_comment] = ACTIONS(1640),
    [sym__string_content] = ACTIONS(1891),
    [sym__string_end] = ACTIONS(1891),
  },
  [809] = {
    [aux_sym_subscript_repeat1] = STATE(822),
    [anon_sym_COMMA] = ACTIONS(1893),
    [anon_sym_RBRACK] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
  },
  [810] = {
    [aux_sym_subscript_repeat1] = STATE(895),
    [anon_sym_COMMA] = ACTIONS(1571),
    [anon_sym_RBRACK] = ACTIONS(1575),
    [sym_comment] = ACTIONS(3),
  },
  [811] = {
    [aux_sym_with_statement_repeat1] = STATE(903),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
  },
  [812] = {
    [aux_sym__simple_statements_repeat1] = STATE(846),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1901),
    [sym__newline] = ACTIONS(1903),
  },
  [813] = {
    [aux_sym_list_repeat1] = STATE(786),
    [anon_sym_COMMA] = ACTIONS(1905),
    [anon_sym_RBRACE] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
  },
  [814] = {
    [sym_aliased_import] = STATE(906),
    [sym_dotted_name] = STATE(884),
    [sym_identifier] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
  },
  [815] = {
    [anon_sym_testforlegesher] = ACTIONS(1907),
    [anon_sym_testwithlegesher] = ACTIONS(1909),
    [anon_sym_testdeflegesher] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
  },
  [816] = {
    [sym_format_specifier] = STATE(983),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
  },
  [817] = {
    [aux_sym_list_repeat1] = STATE(786),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RBRACK] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [818] = {
    [aux_sym_tuple_repeat1] = STATE(904),
    [anon_sym_RPAREN] = ACTIONS(692),
    [anon_sym_COMMA] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
  },
  [819] = {
    [aux_sym__simple_statements_repeat1] = STATE(857),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1919),
    [sym__newline] = ACTIONS(339),
  },
  [820] = {
    [anon_sym_testinlegesher] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(530),
    [sym__newline] = ACTIONS(530),
  },
  [821] = {
    [anon_sym_testinlegesher] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(548),
    [sym__newline] = ACTIONS(548),
  },
  [822] = {
    [aux_sym_subscript_repeat1] = STATE(822),
    [anon_sym_COMMA] = ACTIONS(1921),
    [anon_sym_RBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
  },
  [823] = {
    [aux_sym_tuple_repeat1] = STATE(852),
    [anon_sym_RPAREN] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
  },
  [824] = {
    [aux_sym__import_list_repeat1] = STATE(876),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
  },
  [825] = {
    [aux_sym_argument_list_repeat1] = STATE(825),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
  },
  [826] = {
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_COLON] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
  },
  [827] = {
    [aux_sym__simple_statements_repeat1] = STATE(844),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1927),
    [sym__newline] = ACTIONS(1929),
  },
  [828] = {
    [aux_sym__parameters_repeat1] = STATE(847),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_COLON] = ACTIONS(1403),
    [sym_comment] = ACTIONS(3),
  },
  [829] = {
    [anon_sym_COMMA] = ACTIONS(1788),
    [anon_sym_COLON] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1753),
    [sym_comment] = ACTIONS(3),
  },
  [830] = {
    [anon_sym_COMMA] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1784),
    [sym__newline] = ACTIONS(1784),
  },
  [831] = {
    [aux_sym__parameters_repeat1] = STATE(847),
    [anon_sym_COMMA] = ACTIONS(1933),
    [anon_sym_COLON] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
  },
  [832] = {
    [aux_sym_tuple_repeat1] = STATE(852),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
  },
  [833] = {
    [aux_sym_with_statement_repeat1] = STATE(903),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(1935),
    [sym_comment] = ACTIONS(3),
  },
  [834] = {
    [aux_sym_dictionary_repeat1] = STATE(878),
    [anon_sym_COMMA] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [835] = {
    [aux_sym_list_repeat1] = STATE(813),
    [anon_sym_COMMA] = ACTIONS(1431),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
  },
  [836] = {
    [aux_sym_list_repeat1] = STATE(865),
    [anon_sym_COMMA] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
  },
  [837] = {
    [aux_sym_list_repeat1] = STATE(786),
    [anon_sym_COMMA] = ACTIONS(1937),
    [anon_sym_RBRACK] = ACTIONS(758),
    [sym_comment] = ACTIONS(3),
  },
  [838] = {
    [anon_sym_RPAREN] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [anon_sym_COLON] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [839] = {
    [aux_sym_list_repeat1] = STATE(868),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [840] = {
    [aux_sym_dictionary_repeat1] = STATE(870),
    [anon_sym_COMMA] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
  },
  [841] = {
    [aux_sym_list_repeat1] = STATE(817),
    [anon_sym_COMMA] = ACTIONS(1463),
    [anon_sym_RBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
  },
  [842] = {
    [aux_sym_tuple_repeat1] = STATE(818),
    [anon_sym_RPAREN] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
  },
  [843] = {
    [aux_sym_list_repeat1] = STATE(786),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_RBRACE] = ACTIONS(768),
    [sym_comment] = ACTIONS(3),
  },
  [844] = {
    [aux_sym__simple_statements_repeat1] = STATE(857),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1941),
    [sym__newline] = ACTIONS(347),
  },
  [845] = {
    [aux_sym__simple_statements_repeat1] = STATE(819),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1943),
    [sym__newline] = ACTIONS(1945),
  },
  [846] = {
    [aux_sym__simple_statements_repeat1] = STATE(857),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1947),
    [sym__newline] = ACTIONS(337),
  },
  [847] = {
    [aux_sym__parameters_repeat1] = STATE(847),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_COLON] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [848] = {
    [aux_sym_variables_repeat1] = STATE(848),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_testinlegesher] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [849] = {
    [anon_sym_RPAREN] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [anon_sym_COLON] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
  },
  [850] = {
    [aux_sym_dictionary_repeat1] = STATE(894),
    [anon_sym_COMMA] = ACTIONS(1955),
    [anon_sym_RBRACE] = ACTIONS(596),
    [sym_comment] = ACTIONS(3),
  },
  [851] = {
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1831),
    [anon_sym_COLON] = ACTIONS(1831),
    [sym_comment] = ACTIONS(3),
  },
  [852] = {
    [aux_sym_tuple_repeat1] = STATE(904),
    [anon_sym_RPAREN] = ACTIONS(762),
    [anon_sym_COMMA] = ACTIONS(1957),
    [sym_comment] = ACTIONS(3),
  },
  [853] = {
    [aux_sym_subscript_repeat1] = STATE(809),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
  },
  [854] = {
    [anon_sym_COMMA] = ACTIONS(1634),
    [anon_sym_RBRACK] = ACTIONS(1634),
    [anon_sym_RBRACE] = ACTIONS(1634),
    [sym_comment] = ACTIONS(3),
  },
  [855] = {
    [anon_sym_testforlegesher] = ACTIONS(1959),
    [anon_sym_testwithlegesher] = ACTIONS(1961),
    [anon_sym_testdeflegesher] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
  },
  [856] = {
    [sym_dotted_name] = STATE(981),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_testimportlegesher] = ACTIONS(1965),
    [sym_comment] = ACTIONS(3),
  },
  [857] = {
    [aux_sym__simple_statements_repeat1] = STATE(857),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1967),
    [sym__newline] = ACTIONS(1970),
  },
  [858] = {
    [aux_sym_dictionary_repeat1] = STATE(850),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
  },
  [859] = {
    [aux_sym_list_repeat1] = STATE(843),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [860] = {
    [aux_sym_argument_list_repeat1] = STATE(896),
    [anon_sym_RPAREN] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
  },
  [861] = {
    [aux_sym__parameters_repeat1] = STATE(888),
    [anon_sym_RPAREN] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
  },
  [862] = {
    [aux_sym_with_statement_repeat1] = STATE(903),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(1974),
    [sym_comment] = ACTIONS(3),
  },
  [863] = {
    [aux_sym__parameters_repeat1] = STATE(888),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1976),
    [sym_comment] = ACTIONS(3),
  },
  [864] = {
    [aux_sym_variables_repeat1] = STATE(848),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_testinlegesher] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
  },
  [865] = {
    [aux_sym_list_repeat1] = STATE(786),
    [anon_sym_COMMA] = ACTIONS(1982),
    [anon_sym_RBRACK] = ACTIONS(778),
    [sym_comment] = ACTIONS(3),
  },
  [866] = {
    [anon_sym_COMMA] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1821),
    [sym__newline] = ACTIONS(1821),
  },
  [867] = {
    [anon_sym_EQ] = ACTIONS(1984),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1986),
    [sym__newline] = ACTIONS(1986),
  },
  [868] = {
    [aux_sym_list_repeat1] = STATE(786),
    [anon_sym_COMMA] = ACTIONS(1988),
    [anon_sym_RBRACE] = ACTIONS(780),
    [sym_comment] = ACTIONS(3),
  },
  [869] = {
    [aux_sym_list_repeat1] = STATE(837),
    [anon_sym_COMMA] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
  },
  [870] = {
    [aux_sym_dictionary_repeat1] = STATE(894),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_RBRACE] = ACTIONS(592),
    [sym_comment] = ACTIONS(3),
  },
  [871] = {
    [aux_sym_with_statement_repeat1] = STATE(903),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
  },
  [872] = {
    [aux_sym__import_list_repeat1] = STATE(872),
    [anon_sym_RPAREN] = ACTIONS(1797),
    [anon_sym_COMMA] = ACTIONS(1994),
    [sym_comment] = ACTIONS(3),
  },
  [873] = {
    [aux_sym_with_statement_repeat1] = STATE(862),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
  },
  [874] = {
    [anon_sym_COMMA] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1997),
    [sym__newline] = ACTIONS(1997),
  },
  [875] = {
    [aux_sym_argument_list_repeat1] = STATE(893),
    [anon_sym_RPAREN] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
  },
  [876] = {
    [aux_sym__import_list_repeat1] = STATE(872),
    [anon_sym_RPAREN] = ACTIONS(1816),
    [anon_sym_COMMA] = ACTIONS(1999),
    [sym_comment] = ACTIONS(3),
  },
  [877] = {
    [aux_sym__parameters_repeat1] = STATE(863),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
  },
  [878] = {
    [aux_sym_dictionary_repeat1] = STATE(894),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_RBRACE] = ACTIONS(546),
    [sym_comment] = ACTIONS(3),
  },
  [879] = {
    [aux_sym_subscript_repeat1] = STATE(889),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_RBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
  },
  [880] = {
    [sym_argument_list] = STATE(995),
    [anon_sym_LPAREN] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [aux_sym__parameters_repeat1] = STATE(831),
    [anon_sym_COMMA] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
  },
  [882] = {
    [aux_sym__parameters_repeat1] = STATE(831),
    [anon_sym_COMMA] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
  },
  [883] = {
    [aux_sym_with_statement_repeat1] = STATE(871),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [anon_sym_RPAREN] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym_testaslegesher] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
  },
  [885] = {
    [aux_sym_tuple_repeat1] = STATE(887),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
  },
  [886] = {
    [sym_aliased_import] = STATE(830),
    [sym_dotted_name] = STATE(764),
    [sym_identifier] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
  },
  [887] = {
    [aux_sym_tuple_repeat1] = STATE(904),
    [anon_sym_RPAREN] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(2009),
    [sym_comment] = ACTIONS(3),
  },
  [888] = {
    [aux_sym__parameters_repeat1] = STATE(888),
    [anon_sym_RPAREN] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(2011),
    [sym_comment] = ACTIONS(3),
  },
  [889] = {
    [aux_sym_subscript_repeat1] = STATE(822),
    [anon_sym_COMMA] = ACTIONS(2014),
    [anon_sym_RBRACK] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [sym_argument_list] = STATE(1023),
    [anon_sym_LPAREN] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(2020),
  },
  [891] = {
    [sym_argument_list] = STATE(1024),
    [anon_sym_LPAREN] = ACTIONS(2003),
    [anon_sym_COLON] = ACTIONS(2022),
    [sym_comment] = ACTIONS(3),
  },
  [892] = {
    [anon_sym_testinlegesher] = ACTIONS(2024),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2026),
    [sym__newline] = ACTIONS(2026),
  },
  [893] = {
    [aux_sym_argument_list_repeat1] = STATE(825),
    [anon_sym_RPAREN] = ACTIONS(480),
    [anon_sym_COMMA] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [aux_sym_dictionary_repeat1] = STATE(894),
    [anon_sym_COMMA] = ACTIONS(2030),
    [anon_sym_RBRACE] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
  },
  [895] = {
    [aux_sym_subscript_repeat1] = STATE(822),
    [anon_sym_COMMA] = ACTIONS(2035),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
  },
  [896] = {
    [aux_sym_argument_list_repeat1] = STATE(825),
    [anon_sym_RPAREN] = ACTIONS(496),
    [anon_sym_COMMA] = ACTIONS(2039),
    [sym_comment] = ACTIONS(3),
  },
  [897] = {
    [aux_sym_argument_list_repeat1] = STATE(901),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [898] = {
    [aux_sym_with_statement_repeat1] = STATE(833),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [aux_sym_with_statement_repeat1] = STATE(811),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_COLON] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
  },
  [900] = {
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [aux_sym_format_specifier_token1] = ACTIONS(2043),
    [sym_comment] = ACTIONS(1640),
  },
  [901] = {
    [aux_sym_argument_list_repeat1] = STATE(825),
    [anon_sym_RPAREN] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
  },
  [902] = {
    [anon_sym_testfromlegesher] = ACTIONS(2047),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2049),
    [sym__newline] = ACTIONS(2049),
  },
  [903] = {
    [aux_sym_with_statement_repeat1] = STATE(903),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_COLON] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [904] = {
    [aux_sym_tuple_repeat1] = STATE(904),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
  },
  [905] = {
    [anon_sym_testexceptlegesher] = ACTIONS(828),
    [anon_sym_testfinallylegesher] = ACTIONS(828),
    [sym_comment] = ACTIONS(3),
  },
  [906] = {
    [anon_sym_RPAREN] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_parameters] = STATE(946),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
  },
  [908] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2061),
    [sym__newline] = ACTIONS(2061),
  },
  [909] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2063),
    [sym__newline] = ACTIONS(2063),
  },
  [910] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2065),
    [sym__newline] = ACTIONS(2065),
  },
  [911] = {
    [anon_sym_COLON] = ACTIONS(2067),
    [anon_sym_DASH_GT] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
  },
  [912] = {
    [anon_sym_COLON] = ACTIONS(2071),
    [anon_sym_DASH_GT] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
  },
  [913] = {
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_COLON] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [914] = {
    [anon_sym_COMMA] = ACTIONS(2033),
    [anon_sym_RBRACE] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
  },
  [915] = {
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
  },
  [916] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2073),
    [sym__newline] = ACTIONS(2073),
  },
  [917] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2075),
    [sym__newline] = ACTIONS(2075),
  },
  [918] = {
    [anon_sym_COLON] = ACTIONS(2077),
    [anon_sym_DASH_GT] = ACTIONS(2079),
    [sym_comment] = ACTIONS(3),
  },
  [919] = {
    [anon_sym_COLON] = ACTIONS(2081),
    [anon_sym_DASH_GT] = ACTIONS(2083),
    [sym_comment] = ACTIONS(3),
  },
  [920] = {
    [anon_sym_testexceptlegesher] = ACTIONS(852),
    [anon_sym_testfinallylegesher] = ACTIONS(852),
    [sym_comment] = ACTIONS(3),
  },
  [921] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1970),
    [sym__newline] = ACTIONS(1970),
  },
  [922] = {
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
  },
  [923] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2085),
    [sym__newline] = ACTIONS(2085),
  },
  [924] = {
    [anon_sym_testexceptlegesher] = ACTIONS(846),
    [anon_sym_testfinallylegesher] = ACTIONS(846),
    [sym_comment] = ACTIONS(3),
  },
  [925] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2087),
    [sym__newline] = ACTIONS(2087),
  },
  [926] = {
    [sym_dotted_name] = STATE(890),
    [sym_identifier] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
  },
  [927] = {
    [sym_parameters] = STATE(911),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
  },
  [928] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2089),
    [sym__newline] = ACTIONS(2089),
  },
  [929] = {
    [anon_sym_COMMA] = ACTIONS(1788),
    [anon_sym_COLON] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [930] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2091),
    [sym__newline] = ACTIONS(2091),
  },
  [931] = {
    [anon_sym_COLON] = ACTIONS(2093),
    [anon_sym_DASH_GT] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
  },
  [932] = {
    [sym_parameters] = STATE(918),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [sym_parameters] = STATE(919),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
  },
  [934] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2095),
    [sym__newline] = ACTIONS(2095),
  },
  [935] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2097),
    [sym__newline] = ACTIONS(2097),
  },
  [936] = {
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
  },
  [937] = {
    [anon_sym_COMMA] = ACTIONS(1644),
    [anon_sym_RBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
  },
  [938] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2099),
    [sym__newline] = ACTIONS(2099),
  },
  [939] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2101),
    [sym__newline] = ACTIONS(2101),
  },
  [940] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1326),
    [sym__newline] = ACTIONS(1326),
  },
  [941] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2103),
    [sym__newline] = ACTIONS(2103),
  },
  [942] = {
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2105),
    [sym__newline] = ACTIONS(2105),
  },
  [943] = {
    [anon_sym_testexceptlegesher] = ACTIONS(854),
    [anon_sym_testfinallylegesher] = ACTIONS(854),
    [sym_comment] = ACTIONS(3),
  },
  [944] = {
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_COMMA] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
  },
  [945] = {
    [anon_sym_testexceptlegesher] = ACTIONS(832),
    [anon_sym_testfinallylegesher] = ACTIONS(832),
    [sym_comment] = ACTIONS(3),
  },
  [946] = {
    [anon_sym_COLON] = ACTIONS(2107),
    [anon_sym_DASH_GT] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
  },
  [947] = {
    [anon_sym_RBRACE] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
  },
  [948] = {
    [sym_identifier] = ACTIONS(2111),
    [sym_comment] = ACTIONS(3),
  },
  [949] = {
    [anon_sym_testforlegesher] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [950] = {
    [anon_sym_testinlegesher] = ACTIONS(2115),
    [sym_comment] = ACTIONS(3),
  },
  [951] = {
    [anon_sym_RBRACK] = ACTIONS(2117),
    [sym_comment] = ACTIONS(3),
  },
  [952] = {
    [anon_sym_RPAREN] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
  },
  [953] = {
    [anon_sym_RBRACE] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [954] = {
    [anon_sym_EQ] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
  },
  [955] = {
    [anon_sym_RPAREN] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
  },
  [956] = {
    [anon_sym_RBRACK] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
  },
  [957] = {
    [anon_sym_testimportlegesher] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
  },
  [958] = {
    [sym_identifier] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
  },
  [959] = {
    [anon_sym_COLON] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
  },
  [960] = {
    [anon_sym_RBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
  },
  [961] = {
    [anon_sym_RBRACE] = ACTIONS(2133),
    [sym_comment] = ACTIONS(3),
  },
  [962] = {
    [anon_sym_RBRACE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
  },
  [963] = {
    [ts_builtin_sym_end] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
  },
  [964] = {
    [sym_identifier] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
  },
  [965] = {
    [anon_sym_RPAREN] = ACTIONS(1467),
    [sym_comment] = ACTIONS(3),
  },
  [966] = {
    [anon_sym_testimportlegesher] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
  },
  [967] = {
    [anon_sym_RPAREN] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
  },
  [968] = {
    [anon_sym_RPAREN] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
  },
  [969] = {
    [anon_sym_testinlegesher] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
  },
  [970] = {
    [anon_sym_STAR] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
  },
  [971] = {
    [anon_sym_RPAREN] = ACTIONS(2149),
    [sym_comment] = ACTIONS(3),
  },
  [972] = {
    [anon_sym_COLON] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
  },
  [973] = {
    [anon_sym_testdeflegesher] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
  },
  [974] = {
    [sym_identifier] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
  },
  [975] = {
    [sym_identifier] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
  },
  [976] = {
    [anon_sym_testinlegesher] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
  },
  [977] = {
    [sym_identifier] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
  },
  [978] = {
    [anon_sym_testinlegesher] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
  },
  [979] = {
    [sym_identifier] = ACTIONS(2163),
    [sym_comment] = ACTIONS(3),
  },
  [980] = {
    [sym_identifier] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
  },
  [981] = {
    [anon_sym_testimportlegesher] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
  },
  [982] = {
    [anon_sym_testinlegesher] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
  },
  [983] = {
    [anon_sym_RBRACE] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
  },
  [984] = {
    [anon_sym_COLON] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
  },
  [985] = {
    [anon_sym_COLON] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
  },
  [986] = {
    [anon_sym_COLON] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
  },
  [987] = {
    [anon_sym_RPAREN] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
  },
  [988] = {
    [anon_sym_RPAREN] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
  },
  [989] = {
    [anon_sym_testinlegesher] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
  },
  [990] = {
    [anon_sym_COLON] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
  },
  [991] = {
    [anon_sym_RPAREN] = ACTIONS(1443),
    [sym_comment] = ACTIONS(3),
  },
  [992] = {
    [anon_sym_RBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
  },
  [993] = {
    [anon_sym_RBRACE] = ACTIONS(2187),
    [sym_comment] = ACTIONS(3),
  },
  [994] = {
    [anon_sym_RBRACE] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
  },
  [995] = {
    [anon_sym_COLON] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
  },
  [996] = {
    [anon_sym_RBRACK] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
  },
  [997] = {
    [anon_sym_COLON] = ACTIONS(2195),
    [sym_comment] = ACTIONS(3),
  },
  [998] = {
    [anon_sym_COLON] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
  },
  [999] = {
    [anon_sym_COLON] = ACTIONS(2199),
    [sym_comment] = ACTIONS(3),
  },
  [1000] = {
    [anon_sym_COLON] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
  },
  [1001] = {
    [anon_sym_COLON] = ACTIONS(2203),
    [sym_comment] = ACTIONS(3),
  },
  [1002] = {
    [anon_sym_COLON] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
  },
  [1003] = {
    [anon_sym_RBRACE] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
  },
  [1004] = {
    [anon_sym_COLON] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
  },
  [1005] = {
    [anon_sym_RBRACE] = ACTIONS(2211),
    [sym_comment] = ACTIONS(3),
  },
  [1006] = {
    [anon_sym_COLON] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(2215),
    [sym_comment] = ACTIONS(3),
  },
  [1008] = {
    [anon_sym_RPAREN] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(2219),
    [sym_comment] = ACTIONS(3),
  },
  [1010] = {
    [anon_sym_COLON] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(2223),
    [sym_comment] = ACTIONS(3),
  },
  [1012] = {
    [anon_sym_COLON] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
  },
  [1013] = {
    [anon_sym_testinlegesher] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(2231),
    [sym_comment] = ACTIONS(3),
  },
  [1016] = {
    [anon_sym_RPAREN] = ACTIONS(1439),
    [sym_comment] = ACTIONS(3),
  },
  [1017] = {
    [anon_sym_RBRACE] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
  },
  [1018] = {
    [anon_sym_RBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
  },
  [1019] = {
    [anon_sym_COLON] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
  },
  [1020] = {
    [anon_sym_COLON] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
  },
  [1021] = {
    [anon_sym_RBRACE] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
  },
  [1022] = {
    [anon_sym_RPAREN] = ACTIONS(1646),
    [sym_comment] = ACTIONS(3),
  },
  [1023] = {
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(2237),
  },
  [1024] = {
    [anon_sym_COLON] = ACTIONS(2239),
    [sym_comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_identifier] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
  },
  [1027] = {
    [anon_sym_testinlegesher] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
  },
  [1028] = {
    [anon_sym_testdeflegesher] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
  },
  [1029] = {
    [anon_sym_testinlegesher] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
  },
  [1030] = {
    [anon_sym_COLON] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_identifier] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_module, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(144),
  [9] = {.count = 1, .reusable = false}, SHIFT(763),
  [11] = {.count = 1, .reusable = false}, SHIFT(680),
  [13] = {.count = 1, .reusable = true}, SHIFT(137),
  [15] = {.count = 1, .reusable = false}, SHIFT(48),
  [17] = {.count = 1, .reusable = false}, SHIFT(298),
  [19] = {.count = 1, .reusable = false}, SHIFT(175),
  [21] = {.count = 1, .reusable = false}, SHIFT(273),
  [23] = {.count = 1, .reusable = false}, SHIFT(159),
  [25] = {.count = 1, .reusable = false}, SHIFT(934),
  [27] = {.count = 1, .reusable = false}, SHIFT(930),
  [29] = {.count = 1, .reusable = false}, SHIFT(928),
  [31] = {.count = 1, .reusable = false}, SHIFT(301),
  [33] = {.count = 1, .reusable = false}, SHIFT(855),
  [35] = {.count = 1, .reusable = false}, SHIFT(548),
  [37] = {.count = 1, .reusable = false}, SHIFT(310),
  [39] = {.count = 1, .reusable = false}, SHIFT(985),
  [41] = {.count = 1, .reusable = false}, SHIFT(256),
  [43] = {.count = 1, .reusable = false}, SHIFT(980),
  [45] = {.count = 1, .reusable = false}, SHIFT(979),
  [47] = {.count = 1, .reusable = false}, SHIFT(977),
  [49] = {.count = 1, .reusable = false}, SHIFT(129),
  [51] = {.count = 1, .reusable = false}, SHIFT(975),
  [53] = {.count = 1, .reusable = true}, SHIFT(926),
  [55] = {.count = 1, .reusable = false}, SHIFT(315),
  [57] = {.count = 1, .reusable = true}, SHIFT(593),
  [59] = {.count = 1, .reusable = false}, SHIFT(620),
  [61] = {.count = 1, .reusable = false}, SHIFT(146),
  [63] = {.count = 1, .reusable = true}, SHIFT(145),
  [65] = {.count = 1, .reusable = true}, SHIFT(106),
  [67] = {.count = 1, .reusable = true}, SHIFT(116),
  [69] = {.count = 1, .reusable = false}, SHIFT(106),
  [71] = {.count = 1, .reusable = false}, SHIFT(320),
  [73] = {.count = 1, .reusable = true}, SHIFT(725),
  [75] = {.count = 1, .reusable = false}, SHIFT(300),
  [77] = {.count = 1, .reusable = false}, SHIFT(815),
  [79] = {.count = 1, .reusable = false}, SHIFT(553),
  [81] = {.count = 1, .reusable = false}, SHIFT(299),
  [83] = {.count = 1, .reusable = false}, SHIFT(1012),
  [85] = {.count = 1, .reusable = false}, SHIFT(270),
  [87] = {.count = 1, .reusable = false}, SHIFT(1025),
  [89] = {.count = 1, .reusable = false}, SHIFT(1014),
  [91] = {.count = 1, .reusable = true}, SHIFT(261),
  [93] = {.count = 1, .reusable = true}, SHIFT(924),
  [95] = {.count = 1, .reusable = true}, SHIFT(267),
  [97] = {.count = 1, .reusable = true}, REDUCE(sym_module, 1),
  [99] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(144),
  [102] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(763),
  [105] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(680),
  [108] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(137),
  [111] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(48),
  [114] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(298),
  [117] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(175),
  [120] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(273),
  [123] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(159),
  [126] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(934),
  [129] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(930),
  [132] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(928),
  [135] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(300),
  [138] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(815),
  [141] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(553),
  [144] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(299),
  [147] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1012),
  [150] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(270),
  [153] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1025),
  [156] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(979),
  [159] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(977),
  [162] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(129),
  [165] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1014),
  [168] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(926),
  [171] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(315),
  [174] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(593),
  [177] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(620),
  [180] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(146),
  [183] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(145),
  [186] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(106),
  [189] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(116),
  [192] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(106),
  [195] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(320),
  [198] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2),
  [200] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(725),
  [203] = {.count = 1, .reusable = true}, SHIFT(281),
  [205] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(301),
  [208] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(855),
  [211] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(548),
  [214] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(310),
  [217] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(985),
  [220] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(256),
  [223] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(980),
  [226] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(975),
  [229] = {.count = 1, .reusable = true}, SHIFT(253),
  [231] = {.count = 1, .reusable = true}, SHIFT(905),
  [233] = {.count = 1, .reusable = false}, SHIFT(518),
  [235] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [237] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [239] = {.count = 1, .reusable = false}, SHIFT(557),
  [241] = {.count = 1, .reusable = false}, SHIFT(353),
  [243] = {.count = 1, .reusable = true}, SHIFT(589),
  [245] = {.count = 1, .reusable = false}, SHIFT(622),
  [247] = {.count = 1, .reusable = true}, SHIFT(503),
  [249] = {.count = 1, .reusable = true}, SHIFT(113),
  [251] = {.count = 1, .reusable = false}, SHIFT(503),
  [253] = {.count = 1, .reusable = false}, SHIFT(321),
  [255] = {.count = 1, .reusable = true}, SHIFT(711),
  [257] = {.count = 1, .reusable = true}, SHIFT(13),
  [259] = {.count = 1, .reusable = true}, SHIFT(33),
  [261] = {.count = 1, .reusable = true}, SHIFT(8),
  [263] = {.count = 1, .reusable = true}, SHIFT(5),
  [265] = {.count = 1, .reusable = true}, SHIFT(25),
  [267] = {.count = 1, .reusable = true}, SHIFT(15),
  [269] = {.count = 1, .reusable = true}, SHIFT(7),
  [271] = {.count = 1, .reusable = true}, SHIFT(9),
  [273] = {.count = 1, .reusable = true}, SHIFT(28),
  [275] = {.count = 1, .reusable = true}, SHIFT(39),
  [277] = {.count = 1, .reusable = true}, SHIFT(40),
  [279] = {.count = 1, .reusable = true}, SHIFT(41),
  [281] = {.count = 1, .reusable = true}, SHIFT(4),
  [283] = {.count = 1, .reusable = true}, SHIFT(22),
  [285] = {.count = 1, .reusable = true}, SHIFT(23),
  [287] = {.count = 1, .reusable = true}, SHIFT(12),
  [289] = {.count = 1, .reusable = true}, SHIFT(17),
  [291] = {.count = 1, .reusable = true}, SHIFT(6),
  [293] = {.count = 1, .reusable = true}, SHIFT(14),
  [295] = {.count = 1, .reusable = true}, SHIFT(16),
  [297] = {.count = 1, .reusable = true}, SHIFT(18),
  [299] = {.count = 1, .reusable = true}, SHIFT(19),
  [301] = {.count = 1, .reusable = true}, SHIFT(11),
  [303] = {.count = 1, .reusable = true}, SHIFT(27),
  [305] = {.count = 1, .reusable = true}, SHIFT(38),
  [307] = {.count = 1, .reusable = true}, SHIFT(37),
  [309] = {.count = 1, .reusable = true}, SHIFT(34),
  [311] = {.count = 1, .reusable = true}, SHIFT(36),
  [313] = {.count = 1, .reusable = true}, SHIFT(35),
  [315] = {.count = 1, .reusable = true}, SHIFT(24),
  [317] = {.count = 1, .reusable = true}, SHIFT(26),
  [319] = {.count = 1, .reusable = true}, SHIFT(32),
  [321] = {.count = 1, .reusable = true}, SHIFT(21),
  [323] = {.count = 1, .reusable = true}, SHIFT(2),
  [325] = {.count = 1, .reusable = true}, SHIFT(10),
  [327] = {.count = 1, .reusable = true}, SHIFT(30),
  [329] = {.count = 1, .reusable = true}, SHIFT(20),
  [331] = {.count = 1, .reusable = true}, SHIFT(31),
  [333] = {.count = 1, .reusable = true}, SHIFT(29),
  [335] = {.count = 1, .reusable = true}, SHIFT(3),
  [337] = {.count = 1, .reusable = true}, SHIFT(257),
  [339] = {.count = 1, .reusable = true}, SHIFT(264),
  [341] = {.count = 1, .reusable = true}, SHIFT(943),
  [343] = {.count = 1, .reusable = true}, SHIFT(263),
  [345] = {.count = 1, .reusable = true}, SHIFT(269),
  [347] = {.count = 1, .reusable = true}, SHIFT(945),
  [349] = {.count = 1, .reusable = false}, SHIFT(190),
  [351] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [353] = {.count = 1, .reusable = false}, SHIFT(593),
  [355] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 3),
  [357] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [359] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 3),
  [361] = {.count = 1, .reusable = false}, SHIFT(471),
  [363] = {.count = 1, .reusable = true}, SHIFT(153),
  [365] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6, .production_id = 73),
  [367] = {.count = 1, .reusable = false}, SHIFT(495),
  [369] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 6, .production_id = 73),
  [371] = {.count = 1, .reusable = false}, SHIFT(343),
  [373] = {.count = 1, .reusable = true}, SHIFT(570),
  [375] = {.count = 1, .reusable = false}, SHIFT(624),
  [377] = {.count = 1, .reusable = true}, SHIFT(154),
  [379] = {.count = 1, .reusable = true}, SHIFT(371),
  [381] = {.count = 1, .reusable = true}, SHIFT(110),
  [383] = {.count = 1, .reusable = false}, SHIFT(371),
  [385] = {.count = 1, .reusable = false}, SHIFT(295),
  [387] = {.count = 1, .reusable = true}, SHIFT(724),
  [389] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 7, .production_id = 82),
  [391] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 7, .production_id = 82),
  [393] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5, .production_id = 57),
  [395] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 5, .production_id = 57),
  [397] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6, .production_id = 72),
  [399] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 6, .production_id = 72),
  [401] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [403] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [405] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(725),
  [408] = {.count = 1, .reusable = true}, SHIFT(964),
  [410] = {.count = 1, .reusable = true}, SHIFT(112),
  [412] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [414] = {.count = 1, .reusable = false}, SHIFT(575),
  [416] = {.count = 1, .reusable = false}, SHIFT(594),
  [418] = {.count = 1, .reusable = true}, SHIFT(578),
  [420] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [422] = {.count = 1, .reusable = true}, SHIFT(978),
  [424] = {.count = 1, .reusable = false}, SHIFT(588),
  [426] = {.count = 1, .reusable = false}, SHIFT(590),
  [428] = {.count = 1, .reusable = false}, SHIFT(592),
  [430] = {.count = 1, .reusable = false}, SHIFT(566),
  [432] = {.count = 1, .reusable = false}, SHIFT(574),
  [434] = {.count = 1, .reusable = false}, SHIFT(578),
  [436] = {.count = 1, .reusable = true}, SHIFT(523),
  [438] = {.count = 1, .reusable = true}, SHIFT(251),
  [440] = {.count = 1, .reusable = false}, SHIFT(517),
  [442] = {.count = 1, .reusable = true}, SHIFT(489),
  [444] = {.count = 1, .reusable = true}, SHIFT(991),
  [446] = {.count = 1, .reusable = true}, SHIFT(126),
  [448] = {.count = 1, .reusable = false}, SHIFT(529),
  [450] = {.count = 1, .reusable = false}, SHIFT(621),
  [452] = {.count = 1, .reusable = true}, SHIFT(1017),
  [454] = {.count = 1, .reusable = true}, SHIFT(497),
  [456] = {.count = 1, .reusable = true}, REDUCE(sym_concatenated_string, 2),
  [458] = {.count = 1, .reusable = false}, REDUCE(sym_concatenated_string, 2),
  [460] = {.count = 1, .reusable = true}, SHIFT(196),
  [462] = {.count = 1, .reusable = true}, SHIFT(1016),
  [464] = {.count = 1, .reusable = true}, SHIFT(953),
  [466] = {.count = 1, .reusable = true}, SHIFT(549),
  [468] = {.count = 1, .reusable = true}, SHIFT(947),
  [470] = {.count = 1, .reusable = true}, SHIFT(220),
  [472] = {.count = 1, .reusable = true}, SHIFT(543),
  [474] = {.count = 1, .reusable = true}, SHIFT(965),
  [476] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1),
  [478] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1),
  [480] = {.count = 1, .reusable = true}, SHIFT(480),
  [482] = {.count = 1, .reusable = true}, REDUCE(sym_binary_operator, 3, .production_id = 19),
  [484] = {.count = 1, .reusable = false}, REDUCE(sym_binary_operator, 3, .production_id = 19),
  [486] = {.count = 1, .reusable = true}, REDUCE(sym_unary_operator, 2, .production_id = 7),
  [488] = {.count = 1, .reusable = false}, REDUCE(sym_unary_operator, 2, .production_id = 7),
  [490] = {.count = 1, .reusable = true}, SHIFT(540),
  [492] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 1),
  [494] = {.count = 1, .reusable = true}, SHIFT(346),
  [496] = {.count = 1, .reusable = true}, SHIFT(558),
  [498] = {.count = 1, .reusable = true}, SHIFT(722),
  [500] = {.count = 1, .reusable = true}, SHIFT(178),
  [502] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [504] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [506] = {.count = 1, .reusable = true}, SHIFT(499),
  [508] = {.count = 1, .reusable = true}, SHIFT(203),
  [510] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [512] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [514] = {.count = 1, .reusable = true}, SHIFT(194),
  [516] = {.count = 1, .reusable = true}, SHIFT(968),
  [518] = {.count = 1, .reusable = false}, SHIFT(147),
  [520] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 48),
  [522] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 48),
  [524] = {.count = 1, .reusable = false}, SHIFT(997),
  [526] = {.count = 1, .reusable = false}, SHIFT(272),
  [528] = {.count = 1, .reusable = false}, SHIFT(990),
  [530] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [532] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [534] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 30),
  [536] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 30),
  [538] = {.count = 1, .reusable = false}, SHIFT(1001),
  [540] = {.count = 1, .reusable = false}, SHIFT(266),
  [542] = {.count = 1, .reusable = false}, SHIFT(1000),
  [544] = {.count = 1, .reusable = true}, SHIFT(970),
  [546] = {.count = 1, .reusable = true}, SHIFT(534),
  [548] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [550] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [552] = {.count = 1, .reusable = true}, SHIFT(294),
  [554] = {.count = 1, .reusable = true}, SHIFT(992),
  [556] = {.count = 1, .reusable = true}, SHIFT(224),
  [558] = {.count = 1, .reusable = true}, SHIFT(223),
  [560] = {.count = 1, .reusable = false}, SHIFT(322),
  [562] = {.count = 1, .reusable = true}, SHIFT(149),
  [564] = {.count = 1, .reusable = false}, SHIFT(345),
  [566] = {.count = 1, .reusable = true}, SHIFT(148),
  [568] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 1),
  [570] = {.count = 1, .reusable = false}, SHIFT(287),
  [572] = {.count = 1, .reusable = true}, SHIFT(960),
  [574] = {.count = 1, .reusable = true}, SHIFT(547),
  [576] = {.count = 1, .reusable = true}, SHIFT(545),
  [578] = {.count = 1, .reusable = true}, SHIFT(955),
  [580] = {.count = 1, .reusable = true}, SHIFT(555),
  [582] = {.count = 1, .reusable = true}, SHIFT(479),
  [584] = {.count = 1, .reusable = true}, SHIFT(481),
  [586] = {.count = 1, .reusable = true}, SHIFT(1022),
  [588] = {.count = 1, .reusable = true}, SHIFT(1018),
  [590] = {.count = 1, .reusable = true}, SHIFT(474),
  [592] = {.count = 1, .reusable = true}, SHIFT(494),
  [594] = {.count = 1, .reusable = true}, SHIFT(205),
  [596] = {.count = 1, .reusable = true}, SHIFT(163),
  [598] = {.count = 1, .reusable = false}, SHIFT(344),
  [600] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 1),
  [602] = {.count = 1, .reusable = true}, REDUCE(sym_list, 3),
  [604] = {.count = 1, .reusable = false}, REDUCE(sym_list, 3),
  [606] = {.count = 1, .reusable = true}, REDUCE(sym_set_comprehension, 4, .production_id = 25),
  [608] = {.count = 1, .reusable = false}, REDUCE(sym_set_comprehension, 4, .production_id = 25),
  [610] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 4),
  [612] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 4),
  [614] = {.count = 1, .reusable = true}, SHIFT(206),
  [616] = {.count = 1, .reusable = true}, SHIFT(181),
  [618] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 3),
  [620] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 3),
  [622] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [624] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [626] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [628] = {.count = 1, .reusable = true}, REDUCE(sym_set, 4),
  [630] = {.count = 1, .reusable = false}, REDUCE(sym_set, 4),
  [632] = {.count = 1, .reusable = true}, REDUCE(sym_list_comprehension, 4, .production_id = 25),
  [634] = {.count = 1, .reusable = false}, REDUCE(sym_list_comprehension, 4, .production_id = 25),
  [636] = {.count = 1, .reusable = true}, SHIFT(209),
  [638] = {.count = 1, .reusable = true}, REDUCE(sym_list, 4),
  [640] = {.count = 1, .reusable = false}, REDUCE(sym_list, 4),
  [642] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6, .production_id = 54),
  [644] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6, .production_id = 54),
  [646] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [648] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 3),
  [650] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [652] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [654] = {.count = 1, .reusable = true}, SHIFT(211),
  [656] = {.count = 1, .reusable = true}, REDUCE(sym_generator_expression, 4, .production_id = 25),
  [658] = {.count = 1, .reusable = false}, REDUCE(sym_generator_expression, 4, .production_id = 25),
  [660] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 4),
  [662] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 4),
  [664] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 1),
  [666] = {.count = 1, .reusable = true}, SHIFT(238),
  [668] = {.count = 1, .reusable = true}, SHIFT(182),
  [670] = {.count = 1, .reusable = true}, SHIFT(546),
  [672] = {.count = 1, .reusable = true}, REDUCE(sym_call, 2, .production_id = 8),
  [674] = {.count = 1, .reusable = false}, REDUCE(sym_call, 2, .production_id = 8),
  [676] = {.count = 1, .reusable = true}, SHIFT(559),
  [678] = {.count = 1, .reusable = true}, SHIFT(544),
  [680] = {.count = 1, .reusable = true}, SHIFT(541),
  [682] = {.count = 1, .reusable = true}, SHIFT(522),
  [684] = {.count = 1, .reusable = true}, SHIFT(530),
  [686] = {.count = 1, .reusable = true}, SHIFT(524),
  [688] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 25),
  [690] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 25),
  [692] = {.count = 1, .reusable = true}, SHIFT(539),
  [694] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 2),
  [696] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 2),
  [698] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [700] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [702] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [704] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [706] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5, .production_id = 54),
  [708] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5, .production_id = 54),
  [710] = {.count = 1, .reusable = true}, SHIFT(174),
  [712] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5, .production_id = 40),
  [714] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5, .production_id = 40),
  [716] = {.count = 1, .reusable = true}, REDUCE(sym_attribute, 3),
  [718] = {.count = 1, .reusable = false}, REDUCE(sym_attribute, 3),
  [720] = {.count = 1, .reusable = true}, SHIFT(472),
  [722] = {.count = 1, .reusable = true}, SHIFT(482),
  [724] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [726] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [728] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 5),
  [730] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 5),
  [732] = {.count = 1, .reusable = true}, REDUCE(sym_set, 5),
  [734] = {.count = 1, .reusable = false}, REDUCE(sym_set, 5),
  [736] = {.count = 1, .reusable = true}, SHIFT(199),
  [738] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 2),
  [740] = {.count = 1, .reusable = true}, SHIFT(242),
  [742] = {.count = 1, .reusable = true}, REDUCE(sym_list, 5),
  [744] = {.count = 1, .reusable = false}, REDUCE(sym_list, 5),
  [746] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4, .production_id = 40),
  [748] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4, .production_id = 40),
  [750] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 5),
  [752] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 5),
  [754] = {.count = 1, .reusable = true}, SHIFT(488),
  [756] = {.count = 1, .reusable = true}, SHIFT(476),
  [758] = {.count = 1, .reusable = true}, SHIFT(173),
  [760] = {.count = 1, .reusable = true}, SHIFT(501),
  [762] = {.count = 1, .reusable = true}, SHIFT(475),
  [764] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 3),
  [766] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 3),
  [768] = {.count = 1, .reusable = true}, SHIFT(169),
  [770] = {.count = 1, .reusable = true}, REDUCE(sym_set, 3),
  [772] = {.count = 1, .reusable = false}, REDUCE(sym_set, 3),
  [774] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 2),
  [776] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 2),
  [778] = {.count = 1, .reusable = true}, SHIFT(483),
  [780] = {.count = 1, .reusable = true}, SHIFT(500),
  [782] = {.count = 1, .reusable = true}, REDUCE(sym_list, 2),
  [784] = {.count = 1, .reusable = false}, REDUCE(sym_list, 2),
  [786] = {.count = 1, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [788] = {.count = 1, .reusable = true}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [790] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(266),
  [793] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(272),
  [796] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 4),
  [798] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 59),
  [800] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 59),
  [802] = {.count = 1, .reusable = false}, SHIFT(293),
  [804] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 44),
  [806] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 44),
  [808] = {.count = 1, .reusable = false}, SHIFT(306),
  [810] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 41),
  [812] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 41),
  [814] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 4),
  [816] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4, .production_id = 28),
  [818] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4, .production_id = 28),
  [820] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 3),
  [822] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 12),
  [824] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 11),
  [826] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3),
  [828] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [830] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [832] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 3),
  [834] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 3),
  [836] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61),
  [838] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61),
  [840] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61), SHIFT_REPEAT(293),
  [843] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61), SHIFT_REPEAT(306),
  [846] = {.count = 1, .reusable = true}, REDUCE(sym_block, 1),
  [848] = {.count = 1, .reusable = false}, REDUCE(sym_block, 1),
  [850] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 2),
  [852] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 2),
  [854] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 4),
  [856] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 4),
  [858] = {.count = 1, .reusable = true}, SHIFT(73),
  [860] = {.count = 1, .reusable = true}, SHIFT(80),
  [862] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4),
  [864] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4),
  [866] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 7),
  [868] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 7),
  [870] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 6, .production_id = 90),
  [872] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 6, .production_id = 90),
  [874] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4, .production_id = 80),
  [876] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4, .production_id = 80),
  [878] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 3, .production_id = 67),
  [880] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 3, .production_id = 67),
  [882] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 5),
  [884] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 5),
  [886] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 78),
  [888] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 78),
  [890] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 46),
  [892] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 46),
  [894] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 4, .production_id = 29),
  [896] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 4, .production_id = 29),
  [898] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 75),
  [900] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 75),
  [902] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 42),
  [904] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 42),
  [906] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(724),
  [909] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 4, .production_id = 28),
  [911] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 4, .production_id = 28),
  [913] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 30),
  [915] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 30),
  [917] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 83),
  [919] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 83),
  [921] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 5, .production_id = 41),
  [923] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 5, .production_id = 41),
  [925] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 48),
  [927] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 48),
  [929] = {.count = 1, .reusable = true}, SHIFT(1015),
  [931] = {.count = 1, .reusable = true}, SHIFT(109),
  [933] = {.count = 1, .reusable = false}, SHIFT(579),
  [935] = {.count = 1, .reusable = true}, SHIFT(580),
  [937] = {.count = 1, .reusable = true}, SHIFT(581),
  [939] = {.count = 1, .reusable = true}, SHIFT(579),
  [941] = {.count = 1, .reusable = true}, SHIFT(1013),
  [943] = {.count = 1, .reusable = true}, SHIFT(582),
  [945] = {.count = 1, .reusable = true}, SHIFT(583),
  [947] = {.count = 1, .reusable = true}, SHIFT(584),
  [949] = {.count = 1, .reusable = true}, SHIFT(585),
  [951] = {.count = 1, .reusable = true}, SHIFT(586),
  [953] = {.count = 1, .reusable = false}, SHIFT(581),
  [955] = {.count = 1, .reusable = true}, SHIFT(527),
  [957] = {.count = 1, .reusable = true}, SHIFT(249),
  [959] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 65),
  [961] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 65),
  [963] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 3, .production_id = 30),
  [965] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 3, .production_id = 30),
  [967] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 4, .production_id = 48),
  [969] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 4, .production_id = 48),
  [971] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [973] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [975] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [977] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [979] = {.count = 1, .reusable = false}, REDUCE(sym_decorated_definition, 2, .production_id = 9),
  [981] = {.count = 1, .reusable = true}, REDUCE(sym_decorated_definition, 2, .production_id = 9),
  [983] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5, .production_id = 45),
  [985] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5, .production_id = 45),
  [987] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 47),
  [989] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 47),
  [991] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 52),
  [993] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 52),
  [995] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 51),
  [997] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 51),
  [999] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 79),
  [1001] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 79),
  [1003] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 5, .production_id = 50),
  [1005] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 5, .production_id = 50),
  [1007] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 81),
  [1009] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 81),
  [1011] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5, .production_id = 49),
  [1013] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5, .production_id = 49),
  [1015] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 4),
  [1017] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 4),
  [1019] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 7, .production_id = 48),
  [1021] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 7, .production_id = 48),
  [1023] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 77),
  [1025] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 77),
  [1027] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 58),
  [1029] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 58),
  [1031] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 7, .production_id = 76),
  [1033] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 7, .production_id = 76),
  [1035] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1037] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1039] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6, .production_id = 62),
  [1041] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6, .production_id = 62),
  [1043] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6, .production_id = 63),
  [1045] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6, .production_id = 63),
  [1047] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 64),
  [1049] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 64),
  [1051] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 6, .production_id = 66),
  [1053] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 6, .production_id = 66),
  [1055] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 3, .production_id = 67),
  [1057] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 3, .production_id = 67),
  [1059] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 30),
  [1061] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 30),
  [1063] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7, .production_id = 74),
  [1065] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7, .production_id = 74),
  [1067] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 68),
  [1069] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 68),
  [1071] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 6, .production_id = 69),
  [1073] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 6, .production_id = 69),
  [1075] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [1077] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [1079] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 84),
  [1081] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 84),
  [1083] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 4, .production_id = 31),
  [1085] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 4, .production_id = 31),
  [1087] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 85),
  [1089] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 85),
  [1091] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [1093] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [1095] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 9, .production_id = 88),
  [1097] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 9, .production_id = 88),
  [1099] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 9, .production_id = 89),
  [1101] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 9, .production_id = 89),
  [1103] = {.count = 1, .reusable = true}, SHIFT(317),
  [1105] = {.count = 1, .reusable = true}, SHIFT(948),
  [1107] = {.count = 1, .reusable = true}, SHIFT(117),
  [1109] = {.count = 1, .reusable = false}, SHIFT(587),
  [1111] = {.count = 1, .reusable = true}, SHIFT(577),
  [1113] = {.count = 1, .reusable = true}, SHIFT(576),
  [1115] = {.count = 1, .reusable = true}, SHIFT(587),
  [1117] = {.count = 1, .reusable = true}, SHIFT(950),
  [1119] = {.count = 1, .reusable = true}, SHIFT(572),
  [1121] = {.count = 1, .reusable = true}, SHIFT(571),
  [1123] = {.count = 1, .reusable = true}, SHIFT(569),
  [1125] = {.count = 1, .reusable = true}, SHIFT(568),
  [1127] = {.count = 1, .reusable = true}, SHIFT(567),
  [1129] = {.count = 1, .reusable = false}, SHIFT(576),
  [1131] = {.count = 1, .reusable = true}, SHIFT(551),
  [1133] = {.count = 1, .reusable = true}, SHIFT(240),
  [1135] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(711),
  [1138] = {.count = 1, .reusable = false}, SHIFT(336),
  [1140] = {.count = 1, .reusable = true}, SHIFT(302),
  [1142] = {.count = 1, .reusable = false}, SHIFT(611),
  [1144] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 2),
  [1146] = {.count = 1, .reusable = true}, SHIFT(611),
  [1148] = {.count = 1, .reusable = false}, SHIFT(135),
  [1150] = {.count = 1, .reusable = false}, SHIFT(565),
  [1152] = {.count = 1, .reusable = true}, SHIFT(135),
  [1154] = {.count = 1, .reusable = false}, SHIFT(382),
  [1156] = {.count = 1, .reusable = false}, SHIFT(573),
  [1158] = {.count = 1, .reusable = true}, SHIFT(382),
  [1160] = {.count = 1, .reusable = false}, SHIFT(286),
  [1162] = {.count = 1, .reusable = false}, SHIFT(606),
  [1164] = {.count = 1, .reusable = true}, SHIFT(606),
  [1166] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 3),
  [1168] = {.count = 1, .reusable = false}, SHIFT(514),
  [1170] = {.count = 1, .reusable = false}, SHIFT(591),
  [1172] = {.count = 1, .reusable = true}, SHIFT(514),
  [1174] = {.count = 1, .reusable = false}, SHIFT(132),
  [1176] = {.count = 1, .reusable = true}, SHIFT(132),
  [1178] = {.count = 1, .reusable = false}, SHIFT(123),
  [1180] = {.count = 1, .reusable = true}, SHIFT(123),
  [1182] = {.count = 1, .reusable = false}, SHIFT(511),
  [1184] = {.count = 1, .reusable = true}, SHIFT(511),
  [1186] = {.count = 1, .reusable = false}, SHIFT(512),
  [1188] = {.count = 1, .reusable = true}, SHIFT(512),
  [1190] = {.count = 1, .reusable = false}, SHIFT(513),
  [1192] = {.count = 1, .reusable = true}, SHIFT(513),
  [1194] = {.count = 1, .reusable = false}, SHIFT(392),
  [1196] = {.count = 1, .reusable = true}, SHIFT(392),
  [1198] = {.count = 1, .reusable = false}, SHIFT(515),
  [1200] = {.count = 1, .reusable = true}, SHIFT(515),
  [1202] = {.count = 1, .reusable = false}, SHIFT(507),
  [1204] = {.count = 1, .reusable = true}, SHIFT(507),
  [1206] = {.count = 1, .reusable = false}, SHIFT(385),
  [1208] = {.count = 1, .reusable = true}, SHIFT(385),
  [1210] = {.count = 1, .reusable = false}, SHIFT(122),
  [1212] = {.count = 1, .reusable = true}, SHIFT(122),
  [1214] = {.count = 1, .reusable = false}, SHIFT(120),
  [1216] = {.count = 1, .reusable = true}, SHIFT(120),
  [1218] = {.count = 1, .reusable = false}, SHIFT(516),
  [1220] = {.count = 1, .reusable = true}, SHIFT(516),
  [1222] = {.count = 1, .reusable = false}, SHIFT(384),
  [1224] = {.count = 1, .reusable = true}, SHIFT(384),
  [1226] = {.count = 1, .reusable = false}, SHIFT(383),
  [1228] = {.count = 1, .reusable = true}, SHIFT(383),
  [1230] = {.count = 1, .reusable = false}, SHIFT(387),
  [1232] = {.count = 1, .reusable = true}, SHIFT(387),
  [1234] = {.count = 1, .reusable = false}, SHIFT(388),
  [1236] = {.count = 1, .reusable = true}, SHIFT(388),
  [1238] = {.count = 1, .reusable = false}, SHIFT(389),
  [1240] = {.count = 1, .reusable = true}, SHIFT(389),
  [1242] = {.count = 1, .reusable = false}, SHIFT(381),
  [1244] = {.count = 1, .reusable = true}, SHIFT(381),
  [1246] = {.count = 1, .reusable = false}, SHIFT(393),
  [1248] = {.count = 1, .reusable = true}, SHIFT(393),
  [1250] = {.count = 1, .reusable = false}, SHIFT(508),
  [1252] = {.count = 1, .reusable = true}, SHIFT(508),
  [1254] = {.count = 1, .reusable = false}, SHIFT(131),
  [1256] = {.count = 1, .reusable = true}, SHIFT(131),
  [1258] = {.count = 1, .reusable = false}, SHIFT(510),
  [1260] = {.count = 1, .reusable = true}, SHIFT(510),
  [1262] = {.count = 1, .reusable = false}, SHIFT(127),
  [1264] = {.count = 1, .reusable = true}, SHIFT(127),
  [1266] = {.count = 1, .reusable = false}, SHIFT(509),
  [1268] = {.count = 1, .reusable = true}, SHIFT(509),
  [1270] = {.count = 1, .reusable = false}, SHIFT(124),
  [1272] = {.count = 1, .reusable = true}, SHIFT(124),
  [1274] = {.count = 1, .reusable = false}, SHIFT(121),
  [1276] = {.count = 1, .reusable = true}, SHIFT(121),
  [1278] = {.count = 1, .reusable = false}, SHIFT(136),
  [1280] = {.count = 1, .reusable = true}, SHIFT(136),
  [1282] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(578),
  [1285] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(978),
  [1288] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(578),
  [1291] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(523),
  [1294] = {.count = 1, .reusable = true}, REDUCE(sym_comparison_operator, 2),
  [1296] = {.count = 1, .reusable = false}, REDUCE(sym_comparison_operator, 2),
  [1298] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(581),
  [1301] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1013),
  [1304] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(581),
  [1307] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(527),
  [1310] = {.count = 1, .reusable = true}, REDUCE(sym_await, 2),
  [1312] = {.count = 1, .reusable = true}, SHIFT(96),
  [1314] = {.count = 1, .reusable = true}, SHIFT(289),
  [1316] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [1318] = {.count = 1, .reusable = true}, SHIFT(352),
  [1320] = {.count = 1, .reusable = true}, SHIFT(351),
  [1322] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3, .production_id = 18),
  [1324] = {.count = 1, .reusable = true}, SHIFT(98),
  [1326] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 1),
  [1328] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_expression, 5),
  [1330] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 3, .production_id = 14),
  [1332] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 4, .production_id = 38),
  [1334] = {.count = 1, .reusable = true}, SHIFT(521),
  [1336] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 1),
  [1338] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3, .production_id = 19),
  [1340] = {.count = 1, .reusable = true}, REDUCE(sym_named_expression, 3, .production_id = 15),
  [1342] = {.count = 1, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [1344] = {.count = 1, .reusable = true}, REDUCE(sym_not_operator, 2, .production_id = 4),
  [1346] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2),
  [1348] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(576),
  [1351] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(950),
  [1354] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(576),
  [1357] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(551),
  [1360] = {.count = 1, .reusable = true}, SHIFT(97),
  [1362] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(348),
  [1365] = {.count = 1, .reusable = true}, SHIFT(99),
  [1367] = {.count = 1, .reusable = true}, SHIFT(283),
  [1369] = {.count = 1, .reusable = true}, SHIFT(107),
  [1371] = {.count = 1, .reusable = true}, SHIFT(108),
  [1373] = {.count = 1, .reusable = true}, REDUCE(sym__right_hand_side, 1),
  [1375] = {.count = 1, .reusable = false}, SHIFT(803),
  [1377] = {.count = 1, .reusable = true}, SHIFT(157),
  [1379] = {.count = 1, .reusable = false}, SHIFT(804),
  [1381] = {.count = 1, .reusable = true}, SHIFT(325),
  [1383] = {.count = 1, .reusable = true}, SHIFT(288),
  [1385] = {.count = 1, .reusable = true}, SHIFT(309),
  [1387] = {.count = 1, .reusable = true}, SHIFT(311),
  [1389] = {.count = 1, .reusable = true}, SHIFT(339),
  [1391] = {.count = 1, .reusable = true}, SHIFT(337),
  [1393] = {.count = 1, .reusable = true}, SHIFT(235),
  [1395] = {.count = 1, .reusable = false}, SHIFT(752),
  [1397] = {.count = 1, .reusable = true}, SHIFT(912),
  [1399] = {.count = 1, .reusable = false}, SHIFT(749),
  [1401] = {.count = 1, .reusable = false}, SHIFT(766),
  [1403] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2, .production_id = 1),
  [1405] = {.count = 1, .reusable = false}, SHIFT(767),
  [1407] = {.count = 1, .reusable = false}, SHIFT(829),
  [1409] = {.count = 1, .reusable = false}, SHIFT(826),
  [1411] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2),
  [1413] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3),
  [1415] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3, .production_id = 1),
  [1417] = {.count = 1, .reusable = true}, SHIFT(218),
  [1419] = {.count = 1, .reusable = true}, SHIFT(291),
  [1421] = {.count = 1, .reusable = true}, SHIFT(949),
  [1423] = {.count = 1, .reusable = true}, SHIFT(531),
  [1425] = {.count = 1, .reusable = true}, SHIFT(219),
  [1427] = {.count = 1, .reusable = true}, SHIFT(222),
  [1429] = {.count = 1, .reusable = true}, SHIFT(493),
  [1431] = {.count = 1, .reusable = true}, SHIFT(189),
  [1433] = {.count = 1, .reusable = true}, SHIFT(563),
  [1435] = {.count = 1, .reusable = true}, SHIFT(486),
  [1437] = {.count = 1, .reusable = true}, SHIFT(216),
  [1439] = {.count = 1, .reusable = true}, SHIFT(195),
  [1441] = {.count = 1, .reusable = true}, SHIFT(134),
  [1443] = {.count = 1, .reusable = true}, SHIFT(487),
  [1445] = {.count = 1, .reusable = true}, SHIFT(119),
  [1447] = {.count = 1, .reusable = true}, SHIFT(214),
  [1449] = {.count = 1, .reusable = true}, SHIFT(161),
  [1451] = {.count = 1, .reusable = true}, SHIFT(221),
  [1453] = {.count = 1, .reusable = true}, SHIFT(498),
  [1455] = {.count = 1, .reusable = true}, SHIFT(167),
  [1457] = {.count = 1, .reusable = true}, SHIFT(165),
  [1459] = {.count = 1, .reusable = true}, SHIFT(526),
  [1461] = {.count = 1, .reusable = true}, SHIFT(193),
  [1463] = {.count = 1, .reusable = true}, SHIFT(191),
  [1465] = {.count = 1, .reusable = true}, SHIFT(562),
  [1467] = {.count = 1, .reusable = true}, SHIFT(542),
  [1469] = {.count = 1, .reusable = true}, SHIFT(128),
  [1471] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_clauses, 1),
  [1473] = {.count = 1, .reusable = true}, SHIFT(349),
  [1475] = {.count = 1, .reusable = true}, REDUCE(sym__expression_within_for_in_clause, 1),
  [1477] = {.count = 1, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [1479] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(349),
  [1482] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(949),
  [1485] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(531),
  [1488] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_clauses, 2),
  [1490] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5, .production_id = 72),
  [1492] = {.count = 1, .reusable = true}, SHIFT(103),
  [1494] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5, .production_id = 73),
  [1496] = {.count = 1, .reusable = true}, SHIFT(100),
  [1498] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 2),
  [1500] = {.count = 1, .reusable = true}, SHIFT(297),
  [1502] = {.count = 1, .reusable = true}, SHIFT(296),
  [1504] = {.count = 1, .reusable = true}, SHIFT(304),
  [1506] = {.count = 1, .reusable = true}, SHIFT(168),
  [1508] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 4, .production_id = 57),
  [1510] = {.count = 1, .reusable = true}, SHIFT(102),
  [1512] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [1514] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(233),
  [1517] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6, .production_id = 82),
  [1519] = {.count = 1, .reusable = true}, SHIFT(101),
  [1521] = {.count = 1, .reusable = true}, SHIFT(1028),
  [1523] = {.count = 1, .reusable = true}, SHIFT(1025),
  [1525] = {.count = 1, .reusable = true}, SHIFT(1014),
  [1527] = {.count = 1, .reusable = true}, REDUCE(sym_if_clause, 2),
  [1529] = {.count = 1, .reusable = true}, SHIFT(973),
  [1531] = {.count = 1, .reusable = true}, SHIFT(980),
  [1533] = {.count = 1, .reusable = true}, SHIFT(975),
  [1535] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .production_id = 39),
  [1537] = {.count = 1, .reusable = true}, SHIFT(228),
  [1539] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2, .production_id = 4),
  [1541] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 38),
  [1543] = {.count = 1, .reusable = true}, SHIFT(158),
  [1545] = {.count = 1, .reusable = true}, SHIFT(217),
  [1547] = {.count = 1, .reusable = false}, SHIFT(721),
  [1549] = {.count = 1, .reusable = true}, SHIFT(789),
  [1551] = {.count = 1, .reusable = false}, SHIFT(957),
  [1553] = {.count = 1, .reusable = true}, SHIFT(1007),
  [1555] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 2),
  [1557] = {.count = 1, .reusable = true}, SHIFT(172),
  [1559] = {.count = 1, .reusable = true}, SHIFT(694),
  [1561] = {.count = 1, .reusable = true}, SHIFT(776),
  [1563] = {.count = 1, .reusable = true}, SHIFT(942),
  [1565] = {.count = 1, .reusable = true}, SHIFT(757),
  [1567] = {.count = 1, .reusable = true}, SHIFT(762),
  [1569] = {.count = 1, .reusable = true}, SHIFT(816),
  [1571] = {.count = 1, .reusable = true}, SHIFT(202),
  [1573] = {.count = 1, .reusable = true}, SHIFT(208),
  [1575] = {.count = 1, .reusable = true}, SHIFT(485),
  [1577] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(1007),
  [1580] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [1582] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 14),
  [1584] = {.count = 1, .reusable = true}, SHIFT(185),
  [1586] = {.count = 1, .reusable = true}, SHIFT(560),
  [1588] = {.count = 1, .reusable = true}, SHIFT(318),
  [1590] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 4, .production_id = 6),
  [1592] = {.count = 1, .reusable = true}, SHIFT(141),
  [1594] = {.count = 1, .reusable = true}, SHIFT(554),
  [1596] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_splat, 3),
  [1598] = {.count = 1, .reusable = true}, SHIFT(207),
  [1600] = {.count = 1, .reusable = true}, SHIFT(210),
  [1602] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 1),
  [1604] = {.count = 1, .reusable = true}, SHIFT(155),
  [1606] = {.count = 1, .reusable = true}, SHIFT(496),
  [1608] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 2),
  [1610] = {.count = 1, .reusable = true}, REDUCE(sym_type, 1),
  [1612] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3, .production_id = 36),
  [1614] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 4),
  [1616] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 1, .production_id = 5),
  [1618] = {.count = 1, .reusable = true}, SHIFT(308),
  [1620] = {.count = 1, .reusable = true}, SHIFT(239),
  [1622] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(1011),
  [1625] = {.count = 1, .reusable = true}, SHIFT(313),
  [1627] = {.count = 1, .reusable = true}, SHIFT(68),
  [1629] = {.count = 1, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [1631] = {.count = 2, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(926),
  [1634] = {.count = 1, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2),
  [1636] = {.count = 1, .reusable = false}, SHIFT(329),
  [1638] = {.count = 1, .reusable = true}, SHIFT(720),
  [1640] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [1642] = {.count = 1, .reusable = true}, SHIFT(519),
  [1644] = {.count = 1, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2),
  [1646] = {.count = 1, .reusable = true}, SHIFT(478),
  [1648] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5, .production_id = 70),
  [1650] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3, .production_id = 15),
  [1652] = {.count = 1, .reusable = true}, SHIFT(292),
  [1654] = {.count = 1, .reusable = true}, SHIFT(60),
  [1656] = {.count = 1, .reusable = true}, SHIFT(723),
  [1658] = {.count = 1, .reusable = true}, SHIFT(821),
  [1660] = {.count = 1, .reusable = true}, SHIFT(142),
  [1662] = {.count = 1, .reusable = true}, SHIFT(520),
  [1664] = {.count = 1, .reusable = true}, SHIFT(1011),
  [1666] = {.count = 1, .reusable = true}, SHIFT(717),
  [1668] = {.count = 1, .reusable = true}, SHIFT(820),
  [1670] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(329),
  [1673] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(723),
  [1676] = {.count = 1, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2),
  [1678] = {.count = 1, .reusable = true}, SHIFT(726),
  [1680] = {.count = 1, .reusable = true}, SHIFT(418),
  [1682] = {.count = 1, .reusable = true}, SHIFT(719),
  [1684] = {.count = 1, .reusable = true}, SHIFT(139),
  [1686] = {.count = 1, .reusable = true}, SHIFT(416),
  [1688] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5, .production_id = 71),
  [1690] = {.count = 1, .reusable = true}, REDUCE(sym_chevron, 2),
  [1692] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 3),
  [1694] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3, .production_id = 15),
  [1696] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 5),
  [1698] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 3, .production_id = 32),
  [1700] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(318),
  [1703] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1705] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3, .production_id = 36),
  [1707] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 3, .production_id = 10),
  [1709] = {.count = 1, .reusable = true}, SHIFT(272),
  [1711] = {.count = 1, .reusable = true}, SHIFT(990),
  [1713] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 3),
  [1715] = {.count = 1, .reusable = false}, SHIFT(327),
  [1717] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 2),
  [1719] = {.count = 1, .reusable = false}, SHIFT(748),
  [1721] = {.count = 1, .reusable = true}, SHIFT(176),
  [1723] = {.count = 1, .reusable = true}, SHIFT(266),
  [1725] = {.count = 1, .reusable = true}, SHIFT(1000),
  [1727] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 3, .production_id = 13),
  [1729] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(327),
  [1732] = {.count = 1, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [1734] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(748),
  [1737] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1, .production_id = 1),
  [1739] = {.count = 1, .reusable = true}, SHIFT(632),
  [1741] = {.count = 1, .reusable = true}, SHIFT(279),
  [1743] = {.count = 1, .reusable = true}, SHIFT(350),
  [1745] = {.count = 1, .reusable = true}, SHIFT(775),
  [1747] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1),
  [1749] = {.count = 1, .reusable = true}, SHIFT(637),
  [1751] = {.count = 1, .reusable = true}, SHIFT(280),
  [1753] = {.count = 1, .reusable = true}, SHIFT(347),
  [1755] = {.count = 1, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2),
  [1757] = {.count = 1, .reusable = true}, SHIFT(741),
  [1759] = {.count = 1, .reusable = true}, SHIFT(958),
  [1761] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 1, .production_id = 3),
  [1763] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 4, .production_id = 27),
  [1765] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 1),
  [1767] = {.count = 1, .reusable = false}, SHIFT(742),
  [1769] = {.count = 1, .reusable = true}, SHIFT(1031),
  [1771] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 3),
  [1773] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 3),
  [1775] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 26), SHIFT_REPEAT(312),
  [1778] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 26),
  [1780] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 3),
  [1782] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 3),
  [1784] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 20),
  [1786] = {.count = 1, .reusable = true}, SHIFT(56),
  [1788] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2),
  [1790] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2, .production_id = 35),
  [1792] = {.count = 1, .reusable = true}, SHIFT(58),
  [1794] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 21), SHIFT_REPEAT(886),
  [1797] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 21),
  [1799] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 2),
  [1801] = {.count = 1, .reusable = true}, SHIFT(67),
  [1803] = {.count = 1, .reusable = true}, SHIFT(721),
  [1805] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(328),
  [1808] = {.count = 1, .reusable = true}, SHIFT(64),
  [1810] = {.count = 1, .reusable = true}, SHIFT(177),
  [1812] = {.count = 1, .reusable = true}, SHIFT(303),
  [1814] = {.count = 1, .reusable = true}, SHIFT(739),
  [1816] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 10),
  [1818] = {.count = 2, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(1031),
  [1821] = {.count = 1, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [1823] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 4, .production_id = 34),
  [1825] = {.count = 1, .reusable = true}, SHIFT(282),
  [1827] = {.count = 1, .reusable = true}, SHIFT(779),
  [1829] = {.count = 1, .reusable = true}, SHIFT(1009),
  [1831] = {.count = 1, .reusable = true}, REDUCE(sym_typed_parameter, 3, .production_id = 37),
  [1833] = {.count = 1, .reusable = true}, SHIFT(334),
  [1835] = {.count = 2, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(236),
  [1838] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [1840] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(788),
  [1843] = {.count = 1, .reusable = false}, REDUCE(sym_import_prefix, 1),
  [1845] = {.count = 1, .reusable = true}, SHIFT(788),
  [1847] = {.count = 1, .reusable = true}, SHIFT(252),
  [1849] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2),
  [1851] = {.count = 1, .reusable = true}, SHIFT(246),
  [1853] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 11),
  [1855] = {.count = 1, .reusable = true}, SHIFT(85),
  [1857] = {.count = 1, .reusable = true}, SHIFT(245),
  [1859] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 12),
  [1861] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 3),
  [1863] = {.count = 1, .reusable = true}, SHIFT(49),
  [1865] = {.count = 1, .reusable = true}, SHIFT(71),
  [1867] = {.count = 1, .reusable = true}, SHIFT(338),
  [1869] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 2),
  [1871] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 4),
  [1873] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 4),
  [1875] = {.count = 1, .reusable = true}, SHIFT(81),
  [1877] = {.count = 1, .reusable = true}, SHIFT(900),
  [1879] = {.count = 1, .reusable = true}, SHIFT(633),
  [1881] = {.count = 1, .reusable = true}, SHIFT(638),
  [1883] = {.count = 1, .reusable = true}, SHIFT(330),
  [1885] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 5, .production_id = 6),
  [1887] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 3),
  [1889] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 5),
  [1891] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 5),
  [1893] = {.count = 1, .reusable = true}, SHIFT(198),
  [1895] = {.count = 1, .reusable = true}, SHIFT(197),
  [1897] = {.count = 1, .reusable = true}, SHIFT(258),
  [1899] = {.count = 1, .reusable = true}, SHIFT(63),
  [1901] = {.count = 1, .reusable = true}, SHIFT(89),
  [1903] = {.count = 1, .reusable = true}, SHIFT(284),
  [1905] = {.count = 1, .reusable = true}, SHIFT(186),
  [1907] = {.count = 1, .reusable = true}, SHIFT(561),
  [1909] = {.count = 1, .reusable = true}, SHIFT(271),
  [1911] = {.count = 1, .reusable = true}, SHIFT(1026),
  [1913] = {.count = 1, .reusable = true}, SHIFT(800),
  [1915] = {.count = 1, .reusable = true}, SHIFT(187),
  [1917] = {.count = 1, .reusable = true}, SHIFT(188),
  [1919] = {.count = 1, .reusable = true}, SHIFT(93),
  [1921] = {.count = 2, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(237),
  [1924] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(143),
  [1927] = {.count = 1, .reusable = true}, SHIFT(94),
  [1929] = {.count = 1, .reusable = true}, SHIFT(920),
  [1931] = {.count = 1, .reusable = true}, SHIFT(639),
  [1933] = {.count = 1, .reusable = true}, SHIFT(634),
  [1935] = {.count = 1, .reusable = true}, SHIFT(83),
  [1937] = {.count = 1, .reusable = true}, SHIFT(171),
  [1939] = {.count = 1, .reusable = true}, SHIFT(164),
  [1941] = {.count = 1, .reusable = true}, SHIFT(91),
  [1943] = {.count = 1, .reusable = true}, SHIFT(90),
  [1945] = {.count = 1, .reusable = true}, SHIFT(262),
  [1947] = {.count = 1, .reusable = true}, SHIFT(92),
  [1949] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(643),
  [1952] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2), SHIFT_REPEAT(564),
  [1955] = {.count = 1, .reusable = true}, SHIFT(156),
  [1957] = {.count = 1, .reusable = true}, SHIFT(215),
  [1959] = {.count = 1, .reusable = true}, SHIFT(533),
  [1961] = {.count = 1, .reusable = true}, SHIFT(274),
  [1963] = {.count = 1, .reusable = true}, SHIFT(974),
  [1965] = {.count = 1, .reusable = false}, REDUCE(sym_relative_import, 1),
  [1967] = {.count = 2, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(95),
  [1970] = {.count = 1, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [1972] = {.count = 1, .reusable = true}, SHIFT(635),
  [1974] = {.count = 1, .reusable = true}, SHIFT(77),
  [1976] = {.count = 1, .reusable = true}, SHIFT(636),
  [1978] = {.count = 1, .reusable = true}, SHIFT(550),
  [1980] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 2),
  [1982] = {.count = 1, .reusable = true}, SHIFT(213),
  [1984] = {.count = 1, .reusable = true}, SHIFT(104),
  [1986] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 16),
  [1988] = {.count = 1, .reusable = true}, SHIFT(212),
  [1990] = {.count = 1, .reusable = true}, SHIFT(152),
  [1992] = {.count = 1, .reusable = true}, SHIFT(87),
  [1994] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 21), SHIFT_REPEAT(814),
  [1997] = {.count = 1, .reusable = true}, REDUCE(sym_aliased_import, 3, .production_id = 22),
  [1999] = {.count = 1, .reusable = true}, SHIFT(772),
  [2001] = {.count = 1, .reusable = true}, SHIFT(151),
  [2003] = {.count = 1, .reusable = true}, SHIFT(115),
  [2005] = {.count = 1, .reusable = true}, SHIFT(79),
  [2007] = {.count = 1, .reusable = true}, SHIFT(70),
  [2009] = {.count = 1, .reusable = true}, SHIFT(179),
  [2011] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(644),
  [2014] = {.count = 1, .reusable = true}, SHIFT(183),
  [2016] = {.count = 1, .reusable = true}, SHIFT(532),
  [2018] = {.count = 1, .reusable = true}, SHIFT(114),
  [2020] = {.count = 1, .reusable = true}, SHIFT(760),
  [2022] = {.count = 1, .reusable = true}, SHIFT(53),
  [2024] = {.count = 1, .reusable = true}, SHIFT(326),
  [2026] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 2, .production_id = 6),
  [2028] = {.count = 1, .reusable = true}, SHIFT(133),
  [2030] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(204),
  [2033] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2035] = {.count = 1, .reusable = true}, SHIFT(201),
  [2037] = {.count = 1, .reusable = true}, SHIFT(492),
  [2039] = {.count = 1, .reusable = true}, SHIFT(125),
  [2041] = {.count = 1, .reusable = true}, SHIFT(55),
  [2043] = {.count = 1, .reusable = false}, REDUCE(sym_format_expression, 3),
  [2045] = {.count = 1, .reusable = true}, SHIFT(130),
  [2047] = {.count = 1, .reusable = true}, SHIFT(290),
  [2049] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 2),
  [2051] = {.count = 2, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(258),
  [2054] = {.count = 1, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [2056] = {.count = 2, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(232),
  [2059] = {.count = 1, .reusable = true}, SHIFT(631),
  [2061] = {.count = 1, .reusable = true}, REDUCE(sym_delete_statement, 2),
  [2063] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment, 3, .production_id = 17),
  [2065] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [2067] = {.count = 1, .reusable = true}, SHIFT(84),
  [2069] = {.count = 1, .reusable = true}, SHIFT(255),
  [2071] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 2),
  [2073] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 2),
  [2075] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 17),
  [2077] = {.count = 1, .reusable = true}, SHIFT(86),
  [2079] = {.count = 1, .reusable = true}, SHIFT(278),
  [2081] = {.count = 1, .reusable = true}, SHIFT(76),
  [2083] = {.count = 1, .reusable = true}, SHIFT(268),
  [2085] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 2, .production_id = 2),
  [2087] = {.count = 1, .reusable = true}, REDUCE(sym_future_import_statement, 4, .production_id = 23),
  [2089] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [2091] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [2093] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 3),
  [2095] = {.count = 1, .reusable = true}, REDUCE(sym_pass_statement, 1),
  [2097] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 5, .production_id = 53),
  [2099] = {.count = 1, .reusable = true}, REDUCE(sym_future_import_statement, 6, .production_id = 55),
  [2101] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 4, .production_id = 24),
  [2103] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 6, .production_id = 56),
  [2105] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard_import, 1),
  [2107] = {.count = 1, .reusable = true}, SHIFT(51),
  [2109] = {.count = 1, .reusable = true}, SHIFT(276),
  [2111] = {.count = 1, .reusable = true}, SHIFT(556),
  [2113] = {.count = 1, .reusable = true}, SHIFT(537),
  [2115] = {.count = 1, .reusable = true}, SHIFT(591),
  [2117] = {.count = 1, .reusable = true}, SHIFT(170),
  [2119] = {.count = 1, .reusable = true}, SHIFT(536),
  [2121] = {.count = 1, .reusable = true}, SHIFT(333),
  [2123] = {.count = 1, .reusable = true}, SHIFT(528),
  [2125] = {.count = 1, .reusable = true}, SHIFT(525),
  [2127] = {.count = 1, .reusable = true}, SHIFT(750),
  [2129] = {.count = 1, .reusable = true}, SHIFT(874),
  [2131] = {.count = 1, .reusable = true}, SHIFT(354),
  [2133] = {.count = 1, .reusable = true}, SHIFT(535),
  [2135] = {.count = 1, .reusable = true}, SHIFT(538),
  [2137] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [2139] = {.count = 1, .reusable = true}, SHIFT(200),
  [2141] = {.count = 1, .reusable = true}, SHIFT(683),
  [2143] = {.count = 1, .reusable = true}, SHIFT(180),
  [2145] = {.count = 1, .reusable = true}, SHIFT(166),
  [2147] = {.count = 1, .reusable = true}, SHIFT(234),
  [2149] = {.count = 1, .reusable = true}, SHIFT(931),
  [2151] = {.count = 1, .reusable = true}, SHIFT(227),
  [2153] = {.count = 1, .reusable = true}, SHIFT(927),
  [2155] = {.count = 1, .reusable = true}, SHIFT(891),
  [2157] = {.count = 1, .reusable = true}, SHIFT(265),
  [2159] = {.count = 1, .reusable = true}, SHIFT(799),
  [2161] = {.count = 1, .reusable = true}, SHIFT(565),
  [2163] = {.count = 1, .reusable = true}, SHIFT(770),
  [2165] = {.count = 1, .reusable = true}, SHIFT(907),
  [2167] = {.count = 1, .reusable = true}, REDUCE(sym_relative_import, 2),
  [2169] = {.count = 1, .reusable = true}, SHIFT(254),
  [2171] = {.count = 1, .reusable = true}, SHIFT(808),
  [2173] = {.count = 1, .reusable = true}, SHIFT(335),
  [2175] = {.count = 1, .reusable = true}, SHIFT(75),
  [2177] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 1),
  [2179] = {.count = 1, .reusable = true}, SHIFT(938),
  [2181] = {.count = 1, .reusable = true}, SHIFT(941),
  [2183] = {.count = 1, .reusable = true}, SHIFT(243),
  [2185] = {.count = 1, .reusable = true}, SHIFT(78),
  [2187] = {.count = 1, .reusable = true}, SHIFT(473),
  [2189] = {.count = 1, .reusable = true}, SHIFT(491),
  [2191] = {.count = 1, .reusable = true}, SHIFT(50),
  [2193] = {.count = 1, .reusable = true}, SHIFT(477),
  [2195] = {.count = 1, .reusable = true}, SHIFT(54),
  [2197] = {.count = 1, .reusable = true}, SHIFT(74),
  [2199] = {.count = 1, .reusable = true}, SHIFT(52),
  [2201] = {.count = 1, .reusable = true}, SHIFT(72),
  [2203] = {.count = 1, .reusable = true}, SHIFT(66),
  [2205] = {.count = 1, .reusable = true}, SHIFT(65),
  [2207] = {.count = 1, .reusable = true}, SHIFT(192),
  [2209] = {.count = 1, .reusable = true}, SHIFT(59),
  [2211] = {.count = 1, .reusable = true}, SHIFT(162),
  [2213] = {.count = 1, .reusable = true}, SHIFT(57),
  [2215] = {.count = 1, .reusable = true}, SHIFT(708),
  [2217] = {.count = 1, .reusable = true}, SHIFT(502),
  [2219] = {.count = 1, .reusable = true}, SHIFT(915),
  [2221] = {.count = 1, .reusable = true}, SHIFT(82),
  [2223] = {.count = 1, .reusable = true}, SHIFT(751),
  [2225] = {.count = 1, .reusable = true}, SHIFT(88),
  [2227] = {.count = 1, .reusable = true}, SHIFT(573),
  [2229] = {.count = 1, .reusable = true}, SHIFT(880),
  [2231] = {.count = 1, .reusable = true}, SHIFT(490),
  [2233] = {.count = 1, .reusable = true}, SHIFT(332),
  [2235] = {.count = 1, .reusable = true}, SHIFT(69),
  [2237] = {.count = 1, .reusable = true}, SHIFT(782),
  [2239] = {.count = 1, .reusable = true}, SHIFT(61),
  [2241] = {.count = 1, .reusable = true}, SHIFT(932),
  [2243] = {.count = 1, .reusable = true}, SHIFT(933),
  [2245] = {.count = 1, .reusable = true}, SHIFT(275),
  [2247] = {.count = 1, .reusable = true}, SHIFT(277),
  [2249] = {.count = 1, .reusable = true}, SHIFT(62),
  [2251] = {.count = 1, .reusable = true}, SHIFT(866),
};

void *tree_sitter_python_legesher_external_scanner_create(void);
void tree_sitter_python_legesher_external_scanner_destroy(void *);
bool tree_sitter_python_legesher_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_legesher_external_scanner_serialize(void *, char *);
void tree_sitter_python_legesher_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python_legesher(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_legesher_external_scanner_create,
      tree_sitter_python_legesher_external_scanner_destroy,
      tree_sitter_python_legesher_external_scanner_scan,
      tree_sitter_python_legesher_external_scanner_serialize,
      tree_sitter_python_legesher_external_scanner_deserialize,
    },
  };
  return &language;
}
